var Namespace = new Object();     
Namespace.register = function(path){     
    var arr = path.split(".");     
    var ns = "";     
    for(var i=0;i<arr.length;i++){     
        if(i>0) ns += ".";     
        ns += arr[i];     
        eval("if(typeof(" + ns + ") == 'undefined') " + ns + " = new Object();");     
    }     
}
Namespace.register("ch.widget");

ch.widget.CListView = function (selector, data, frameName) {

    var len = arguments.length;
    var _this = this;                 //对象指针_this，避免与其他内部类指针this冲突   

    this.activeFlag = false;          //响应态焦点标识
    this.lastItem = null;             //记录响应焦点的最后一个Item对象

    //绑定列表item的点击响应态
    this.bindItemActive = function () {
        $(this.selector + " > li").on("touchstart", function (e) {
            if ($(e.target).attr("focusable") != "true") {
                $(_this.selector + " > li").removeClass("active");
                _this.activeFlag = true;
                _this.lastItem = $(this);
                setTimeout(function () {
                    if (_this.activeFlag && _this.lastItem != null) {
                        _this.lastItem.addClass("active");
                    }
                }, 100);
            }
        });

        $(this.selector + " > li").on("touchmove", function (e) {
            if ($(e.target).attr("focusable") != "true") {
                _this.activeFlag = false;
            }
        });

        $(this.selector + " > li").on("touchend", function (e) {
            if ($(e.target).attr("focusable") != "true") {
                setTimeout(function () {
                    if (_this.lastItem != null) {
                        _this.lastItem.removeClass("active");
                    }
                }, 100);
            }
        });
    }

    //构造函数
    if (len == 5) {
        this.wrapper = document.querySelector(arguments[0]);
        this.selector = arguments[0] + " .list";      //选择器
        this.data = arguments[1];                    //数据集
        this.frameName = arguments[2];               //item样式
        this.option = arguments[3];                  //options可选项
        this.style = arguments[4];                   //style样式类

        //更新数据显示
        this.update = function () {
            var html = "";
            for (i = 0; i < this.data.length; i++) {
                var item = template(this.frameName, this.data[i]);
                html = html + "<li data-role='list_item' class='ch_ui_list_li'>" + item + "</li>";
            }
            $(this.selector).html(html);
            if (this.events != null) this.events();
            this.bindItemActive();
        };
        this.update();

    } else if (len == 3) {
        this.wrapper = document.querySelector(arguments[0]);
        this.selector = arguments[0] + " .list"; //选择器
        this.option = arguments[1];             //options可选项
        this.style = arguments[2];              //style样式类
    }

    //绑定列表响应态效果
    this.bindItemActive();

    //绑定用户自定义样式
    if (this.style != "") {
        $(this.selector).addClass(this.style);
    }
    this.events = null;               //事件集
    this.onItemClickCallback = null;  //onItemTap回调
    this.childCallback = new Array();  //子元素事件

    this.show = function () {
        //显示列表
        $(this.selector).show();
    }

    //隐藏列表
    this.hide = function () {
        $(this.selector).hide();
    }

    //判断是否隐藏
    this.isShow = function () {
        return $(this.selector).css("display") == "block";
    }

    //绑定列表项点击事件
    this.onItemClick = function (callback) {
        this.onItemClickCallback = callback;
        //绑定所有Item的tap事件
        $(this.selector + " > li").off("tap");
        $(this.selector + " > li").on("tap", function () {
            if (typeof(_this.onItemClickCallback) == "function")
                _this.onItemClickCallback($(this).index());
        });
    };

    //设置list的Data
    this.setData = function setData(data) {
        this.data = data;
    }

    //删除第i个列表项
    this.removeItem = function (i) {
        if (len == 5) {
            this.data.splice(i, 1);
            $(this.selector + " > li").eq(i).remove();
        } else if (len == 3) {
            $(this.selector + " > li").eq(i).remove();
        }
    };

    //添加1个列表项到末尾
    this.addItem = function (itemData) {
        if (len != 5) return;
        this.data.push(itemData);
        var item = template(this.frameName, itemData);
        var html = "<li data-role='list_item' class='ch_ui_list_li'>" + item + "</li>";
        $(this.selector).append(html);
        //更新listView相关事件绑定
        for (i = 0; i < this.childCallback.length; i++) {
            var target = $(this.selector + " > li").last().find(this.childCallback[i].child);
            target.bind(this.childCallback[i].eventName, this.childCallback[i].callback);
        }
        $(this.selector + " > li").unbind("tap");
        $(this.selector + " > li").bind("tap", function () {
            _this.onItemClickCallback($(this).index());
        });
        this.bindItemActive();
    };

    //添加1个列表项到开头
    this.addItemToHead = function (itemData) {
        if (len != 5) return;
        this.data.unshift(itemData);
        var item = template(this.frameName, itemData);
        var html = "<li data-role='list_item' class='ch_ui_list_li'>" + item + "</li>";
        $(this.selector).prepend(html);
        //更新listView相关事件绑定
        for (i = 0; i < this.childCallback.length; i++) {
            var target = $(this.selector + " > li").first().find(this.childCallback[i].child);
            target.bind(this.childCallback[i].eventName, this.childCallback[i].callback);
        }
        $(this.selector + " > li").unbind("tap");
        $(this.selector + " > li").bind("tap", function () {
            _this.onItemClickCallback($(this).index());
        });
        this.bindItemActive();
    };

    //绑定事件集
    this.bindItemEvent = function (child, eventName, callback) {
        var target = $(this.selector + " > li").find(child);
        target.bind(eventName, callback);

        var ievent = new Object();
        ievent.child = child;
        ievent.eventName = eventName;
        ievent.callback = callback;
        this.childCallback.push(ievent);
    };

    //解绑绑定事件集
    this.unbindItemEvent = function (child, eventName) {
        var target = $(this.selector + " > li").find(child);
        target.unbind(eventName);
        var ievent = new Object();
        ievent.child = child;
        ievent.eventName = eventName;
        ievent.callback = callback;
        for (i = 0; i < childCallback.length; i++) {
            if (childCallback[i].child == ievent.child && childCallback[i].eventName == ievent.eventName && childCallback[i].callback == ievent.callback) {
                this.childCallback.splice(i, 1);
                break;
            }
        }
    };

    //绑定事件集合
    this.bindEvents = function (events) {
        this.events = events;
        events();
    };

    //获取响应事件的Item的索引
    this.getEventIdx = function (target) {
        return target.parents(".ch_ui_list_li").index();
    }

}