var Namespace = new Object();     
Namespace.register = function(path){     
    var arr = path.split(".");     
    var ns = "";     
    for(var i=0;i<arr.length;i++){     
        if(i>0) ns += ".";     
        ns += arr[i];     
        eval("if(typeof(" + ns + ") == 'undefined') " + ns + " = new Object();");     
    }     
}
Namespace.register("chui.widget");

chui.widget.listView = function (selector, data, frameName) {

    var len = arguments.length;
    var _this = this;                 //对象指针_this，避免与其他内部类指针this冲突    
    this.activeFlag = false;          //响应态焦点标识
    this.lastItem = null;             //记录响应焦点的最后一个Item对象
    var startX = 0;//X轴滑动开始位置
    var offsetX = 0;//横向滑动距离
    var startY = 0;//Y轴滑动开始位置
    var offsetY = 0;//纵向滑动距离
    //绑定列表item的滑动监听事件
    var startP;
    var curIndex;
    this.bindItemSlide = function () {
        $("li.ch_ui_list_li").on('touchstart', function (e) {
            e.preventDefault();
            curIndex = $(this).index();
            $(".itemstyle").eq(curIndex).css("background", "#d5d5d5");
            startX = e.targetTouches[0].pageX;
            startY = e.targetTouches[0].pageY;
            //curIndex = $(this).index();
            startP = $(this).find(".itemstyle").position().left;
            //console.log("startP:"+startP);
        });
        $("li.ch_ui_list_li").on("touchmove", function (e) {
            e.preventDefault();
            if (e.targetTouches.length == 1) {
                var touch = e.targetTouches[0];
                offsetX = parseFloat(touch.pageX - startX);
                offsetY = parseFloat(touch.pageY - startY);
                //console.log("offsetX:"+offsetX);
                //console.log("offsetY:"+offsetY);
                //水平滑动距离大于50，垂直方向滑动距离小于30，则出现“删除”button
                if (startP == 0 && offsetX < -50 && Math.abs(offsetY) < 30) {
                    $(this).find(".itemstyle").css('-webkit-transform', 'translateX(-60px)');
                    $(this).find(".rightButton").css('background', 'red');
                } else if (startP == -60 && offsetX > 50) {
                    $(this).find(".itemstyle").css('-webkit-transform', 'translateX(0px)');
                     $(this).find(".rightButton").css('background', '#f0f0f0');
                }
            }
        });

        $(this.selector + " > li").on("touchend", function (e) {
            curIndex = $(this).index();
            $(".itemstyle").eq(curIndex).css("background", "#f0f0f0");
        });
    }

    //构造函数
    if (len == 5) {
        this.wrapper = document.querySelector(arguments[0]);
        this.selector = arguments[0] + " .list";      //选择器
        this.option = arguments[1];   //options可选项
        this.data = arguments[2];                    //数据集
        this.frameName = arguments[3];               //item样式
        this.style = arguments[4];                   //style样式类
        //更新数据显示
        this.update = function () {
            var html = "";
            for (var i = 0; i < this.data.length; i++) {
                var item = template(this.frameName, this.data[i]);
                html = html + "<li data-role='list_item' class='ch_ui_list_li'>" + item + "</li>";
            }
            $(this.selector).html(html);
            this.myScroll = new IScroll('#list-scroll', {mouseWheel: true});
            if (this.events != null) this.events();
            if (this.option.isNeedSlideable == true) {
                this.bindItemSlide();
            }
        };
        this.update();
    } else if (len == 3) {
        this.wrapper = document.querySelector(arguments[0]);
        this.option = arguments[1];             //options可选项
        this.style = arguments[2];              //style样式类
        this.myScroll = new IScroll('#list-scroll', {mouseWheel: true});
    }

    //绑定列表滑动事件
    if (this.option.isNeedSlideable == true) {
        this.bindItemSlide();
    }

    //绑定用户自定义样式
    if (this.style != "") {
        $(this.selector).addClass(this.style);
    }
    this.events = null;               //事件集
    this.onItemClickCallback = null;  //onItemTap回调
    this.onButtonClickCallback = null;  //点击删除按钮回调
    this.childCallback = new Array();  //子元素事件

    this.show = function () {
        //显示列表
        $(this.selector).show();
    }

    //隐藏列表
    this.hide = function () {
        $(this.selector).hide();
    }

    //判断是否隐藏
    this.isShow = function () {
        return $(this.selector).css("display") == "block";
    }

    //绑定列表项点击事件
    this.onItemClick = function (callback) {
        this.onItemClickCallback = callback;
        //绑定所有Item的tap事件
        // 	  alert($(this.selector+" > li ").html());
        $(this.selector + " > li ").find(".itemstyle").off("tap");
        $(this.selector + " > li ").find(".itemstyle").on("tap", function () {
            //alert($(this).index());
            if (typeof(_this.onItemClickCallback) == "function") {
                _this.onItemClickCallback($(this).parent().index());
            }

        });
    };

    //设置list的Data
    this.setData = function setData(data) {
        this.data = data;
    }

    //删除第i个列表项
    this.removeItem = function (i) {
    	
        if (len == 5) {
            this.data.splice(i, 1);
            $(this.selector + " > li").eq(i).remove();
            this.myScroll.refresh();
        } else if (len == 3) {
            $(this.selector + " > li").eq(i).remove();
            this.myScroll.refresh();
        }
    };

    //添加1个列表项到末尾
    this.addItem = function (itemData) {
        if (len != 5) return;
        this.data.push(itemData);
        var item = template(this.frameName, itemData);
        var html = "<li data-role='list_item' class='ch_ui_list_li'>" + item + "</li>";
        $(this.selector).append(html);
        //更新listView相关事件绑定
        for (var i = 0; i < this.childCallback.length; i++) {
            var target = $(this.selector + " > li").last().find(this.childCallback[i].child);
            target.on(this.childCallback[i].eventName, this.childCallback[i].callback);
        }
        //列表项点击事件
        $(this.selector + " > li").find(".itemstyle").off("tap");
        $(this.selector + " > li").find(".itemstyle").on("tap", function () {
            _this.onItemClickCallback($(this).parent().index());
        });

        //左右滑动事件
        if (this.option.isNeedSlideable == true) {
            this.bindItemSlide();
        }

        //删除按钮点击事件
        $(this.selector + " > li").find(".rightButton").off("tap");
        $(this.selector + " > li").find(".rightButton").on("tap", function () {
            _this.onButtonClickCallback($(this).parent().index());
        });

        _this.myScroll.refresh();
    };

    //添加1个列表项到开头
    this.addItemToHead = function (itemData) {
        if (len != 5) return;
        this.data.unshift(itemData);
        var item = template(this.frameName, itemData);
        var html = "<li data-role='list_item' class='ch_ui_list_li'>" + item + "</li>";
        $(this.selector).prepend(html);
        //更新listView相关事件绑定
        for (var i = 0; i < this.childCallback.length; i++) {
            var target = $(this.selector + " > li").first().find(this.childCallback[i].child);
            target.on(this.childCallback[i].eventName, this.childCallback[i].callback);
        }
        //列表项点击事件
        $(this.selector + " > li").find(".itemstyle").off("tap");
        $(this.selector + " > li").find(".itemstyle").on("tap", function () {
            _this.onItemClickCallback($(this).parent().index());
        });

        //左右滑动事件
        if (this.option.isNeedSlideable == true) {
            this.bindItemSlide();
        }
        //删除按钮点击事件
        $(this.selector + " > li").find(".rightButton").off("tap");
        $(this.selector + " > li").find(".rightButton").on("tap", function () {
            _this.onButtonClickCallback($(this).parent().index());
        });

        _this.myScroll.refresh();
    };

    //绑定事件集
    this.bindItemEvent = function (child, eventName, callback) {
        var target = $(this.selector + " > li").find(child);
        target.on(eventName, callback);

        var ievent = new Object();
        ievent.child = child;
        ievent.eventName = eventName;
        ievent.callback = callback;
        this.childCallback.push(ievent);
    };

    //解绑绑定事件集
    this.unbindItemEvent = function (child, eventName) {
        var target = $(this.selector + " > li").find(child);
        target.off(eventName);
        var ievent = new Object();
        ievent.child = child;
        ievent.eventName = eventName;
        ievent.callback = callback;
        for (var i = 0; i < childCallback.length; i++) {
            if (childCallback[i].child == ievent.child && childCallback[i].eventName == ievent.eventName && childCallback[i].callback == ievent.callback) {
                this.childCallback.splice(i, 1);
                break;
            }
        }
    };

    //绑定事件集合
    this.bindEvents = function (events) {
        this.events = events;
        events();
    };

    //获取响应事件的Item的索引
    this.getEventIdx = function (target) {
        return target.parents(".ch_ui_list_li").index();
    };

    //列表项左滑所显示按钮的点击事件
    this.onButtonClick = function (callback) {
        this.onButtonClickCallback = callback;
        $(this.selector + " li").find(".rightButton").off("tap");
        $(this.selector + " li").find(".rightButton").on("tap", function () {
            if (typeof(_this.onButtonClickCallback) == "function") {
                //alert($(this).parent().index());
                _this.onButtonClickCallback($(this).parent().index());
            }

        });

    };

}