var Namespace = new Object();     
Namespace.register = function(path){     
    var arr = path.split(".");     
    var ns = "";     
    for(var i=0;i<arr.length;i++){     
        if(i>0) ns += ".";     
        ns += arr[i];     
        eval("if(typeof(" + ns + ") == 'undefined') " + ns + " = new Object();");     
    }     
}
Namespace.register("chui.widget");

chui.widget.pullToListView = function (selector, dataTemplate, options) {
    var that = this;
    var len = arguments.length;

    this.offset = 50;
    this.hasDOM = false;
    this.loading = false;

    this.activeFlag = false;
    this.lastItem = null;

    var defaults = {
        pullUpState: true,
        pullDownState: true
    };

    var tapStartHandler, tapMoveHandler, tapEndHandler;
    var startX = 0;//X轴滑动开始位置
    var offsetX = 0;//横向滑动距离
    var startY = 0;//Y轴滑动开始位置
    var offsetY = 0;//纵向滑动距离
    //绑定列表item的滑动监听事件
    var startP;
    var curIndex;
    this.bindItemSlide = function () {
        var elListLi = $("li.ch-ui-list-li");
        elListLi.on('touchstart', function (e) {
            //e.preventDefault();
            curIndex = $(this).index();
            $(".itemstyle").eq(curIndex).css("background", "#d5d5d5");
            startX = e.targetTouches[0].pageX;
            startY = e.targetTouches[0].pageY;
            startP = $(this).find(".itemstyle").position().left;

        });
        elListLi.on("touchmove", function (e) {
            //e.preventDefault();
            if (e.targetTouches.length == 1) {
                var touch = e.targetTouches[0];
                offsetX = parseFloat(touch.pageX - startX);
                offsetY = parseFloat(touch.pageY - startY);
                //水平滑动距离大于50，垂直方向滑动距离小于30，则出现“删除”button
                if (startP == 0 && offsetX < -50 && Math.abs(offsetY) < 30) {
                    $(this).find(".itemstyle").css('-webkit-transform', 'translateX(-60px)');
                    $(this).find(".rightButton").css('background', 'red');
                } else if (startP == -60 && offsetX > 50) {
                    $(this).find(".itemstyle").css('-webkit-transform', 'translateX(0px)');
                    $(this).find(".rightButton").css('background', '#f0f0f0');
                }
            }
        });

        $(this.selector + " > li").on("touchend", function (e) {
            curIndex = $(this).index();
            $(".itemstyle").eq(curIndex).css("background", "#f0f0f0");
        });
    };

    //var settings = $.extend({}, defaults, options);
    this.bindItemActive = function () {
        $(this.selector).on("touchstart", "li", function (e) {
            if ($(e.target).attr("focusable") != "true") {
                $(this).removeClass("active");
                that.activeFlag = true;
                that.lastItem = $(this);
                setTimeout(function () {
                    if (that.activeFlag && that.lastItem != null) {
                        that.lastItem.addClass("active");
                    }
                }, 100);
            }
        });

        $(this.selector).on("touchmove", "li", function (e) {
            if ($(e.target).attr("focusable") != "true") {
                that.activeFlag = false;
            }
        });

        $(this.selector).on("touchend", "li", function (e) {
            if ($(e.target).attr("focusable") != "true") {
                setTimeout(function () {
                    if (that.lastItem != null) {
                        that.lastItem.removeClass("active");
                    }
                }, 100);
            }
        });
    };

    if (len == 5) {
        this.wrapper = document.querySelector(arguments[0]);
        this.selector = arguments[0] + " .list";
        this.data = arguments[1];
        this.frameName = arguments[2];
        this.option = arguments[3];
        this.style = arguments[4];

        this.update = function () {
            var html = "";
            for (var i = 0; i < this.data.length; i++) {
                var item = template(this.frameName, this.data[i]);
                html = html + "<li data-role='list_item' class='ch-ui-list-li'>" + item + "</li>";
            }
            $(this.selector).html(html);
            if (this.events != null) this.events();
            if (typeof that.reset != 'undefined') {
                that.reset();
            }
            //绑定列表滑动事件
            if (this.option.isNeedSlideable == true) {
                this.bindItemSlide();
            }

        };
        this.update();

    } else if (len == 3) {
        this.wrapper = document.querySelector(arguments[0]);
        this.selector = arguments[0] + " .list";
        this.option = arguments[1];
        this.style = arguments[2];
    }

    //绑定列表响应态效果
    this.bindItemActive();
    //绑定列表滑动事件
    if (this.option.isNeedSlideable == true) {
        this.bindItemSlide();
    }
    //绑定用户自定义样式
    if (this.style != "") {
        $(this.selector).addClass(this.style);
    }

    this.events = null;               //事件集
    this.onItemClickCallback = null;  //onItemTap回调
    this.onButtonClickCallback = null;  //点击删除按钮回调
    this.childCallback = [];  //子元素事件

    this.show = function () {
        //显示列表
        $(this.selector).show();
    };

    //隐藏列表
    this.hide = function () {
        $(this.selector).hide();
    };

    //判断是否隐藏
    this.isShow = function () {
        return $(this.selector).css("display") == "block";
    };

    //绑定列表项点击事件
    this.onItemClick = function (callback) {
        this.onItemClickCallback = callback;
        //绑定所有Item的tap事件
        $(this.selector + " > li").off("tap");
        $(this.selector).on("tap", "li", function () {
            if (typeof(that.onItemClickCallback) == "function")
            //alert($(this).index());
                that.onItemClickCallback($(this).index());
        });
    };

    //列表项左滑所显示按钮的点击事件 add by wyy
    this.onButtonClick = function (callback) {
        this.onButtonClickCallback = callback;
        var _this = this;
        $(this.selector + "> li").find(".rightButton").off("tap");
        $(this.selector + "> li").find(".rightButton").on("tap", ".rightButton>p", function () {
            if (typeof _this.onButtonClickCallback == 'function') {
                _this.onButtonClickCallback($(this).parent().parent().index());
            }
        });
    };

    //设置list的Data
    this.setData = function setData(data) {
        this.data = data;
    };

    //删除第i个列表项
    this.removeItem = function (i) {

        if (len == 5) {
            this.data.splice(i, 1);
            $(this.selector + " > li").eq(i).remove();
        } else if (len == 3) {
            $(this.selector + " > li").eq(i).remove();
        }
    };

    //添加1个列表项到末尾
    this.addItem = function (itemData) {
        if (len != 5) return;
        this.data.push(itemData);
        var item = template(this.frameName, itemData);
        var html = "<li data-role='list_item' class='ch-ui-list-li'>" + item + "</li>";
        $(this.selector).append(html);
        //更新listView相关事件绑定
        for (var i = 0; i < this.childCallback.length; i++) {
            var target = $(this.selector + " > li").last().find(this.childCallback[i].child);
            target.on(this.childCallback[i].eventName, this.childCallback[i].callback);
        }
        //$(this.selector + " > li").unbind("tap");
        //$(this.selector + " > li").bind("tap", function () {
        //    that.onItemClickCallback($(this).index());
        //});
        //this.bindItemActive();
        //绑定列表滑动事件
        if (this.option.isNeedSlideable == true) {
            this.bindItemSlide();
        }

        //删除按钮点击事件
        var _this = this;
        $(this.selector + "> li").find(".rightButton").off("tap");
        $(this.selector + "> li").find(".rightButton").on("tap", ".rightButton>p", function () {
            if (typeof _this.onButtonClickCallback == 'function') {
                _this.onButtonClickCallback($(this).parent().parent().index());
            }
        });

        this.reset();
    };

    //添加1个列表项到开头
    this.addItemToHead = function (itemData) {
        if (len != 5) return;
        this.data.unshift(itemData);
        var item = template(this.frameName, itemData);
        var html = "<li data-role='list_item' class='ch-ui-list-li'>" + item + "</li>";
        $(this.selector).prepend(html);
        //更新listView相关事件绑定
        for (var i = 0; i < this.childCallback.length; i++) {
            var target = $(this.selector + " > li").first().find(this.childCallback[i].child);
            target.on(this.childCallback[i].eventName, this.childCallback[i].callback);
        }
        //绑定列表滑动事件
        if (this.option.isNeedSlideable == true) {
            this.bindItemSlide();
        }
        //删除按钮点击事件
        var _this = this;
        $(this.selector + "> li").find(".rightButton").off("tap");
        $(this.selector + "> li").find(".rightButton").on("tap", ".rightButton>p", function () {
            if (typeof _this.onButtonClickCallback == 'function') {
                _this.onButtonClickCallback($(this).parent().parent().index());
            }
        });

        //$(this.selector + " > li").unbind("tap");
        //$(this.selector + " > li").bind("tap", function () {
        //    that.onItemClickCallback($(this).index());
        //});
        //this.bindItemActive();

        this.reset();
    };

    //滚动至顶部
    this.scrollToTop = function () {
        $('body').scrollTop(0);
    };

    //滚动至第nth个item
    this.scrollToItem = function (nth) {
        var target = $(this.selector + " > li"), h = 0;
        if (nth < 0 || nth > target.length) return;
        for (var i = 0; i < nth - 1; i++) h = h + target.eq(i).height();
        $('body').scrollTop(h);
    };

    //滚动至底部
    this.scrollToEnd = function () {
        $('body').scrollTop($(that.wrapper).height());
    };

    //绑定事件集
    this.bindItemEvent = function (child, eventName, callback) {
        var target = $(this.selector).find(child);
        target.on(eventName, callback);

        var ievent = {};
        ievent.child = child;
        ievent.eventName = eventName;
        ievent.callback = callback;
        this.childCallback.push(ievent);
    };

    //解绑绑定事件集
    this.unbindItemEvent = function (child, eventName) {
        var target = $(this.selector + " > li").find(child);
        target.off(eventName);
        var ievent = {};
        ievent.child = child;
        ievent.eventName = eventName;
        ievent.callback = callback;
        for (var i = 0; i < childCallback.length; i++) {
            if (childCallback[i].child == ievent.child && childCallback[i].eventName == ievent.eventName && childCallback[i].callback == ievent.callback) {
                this.childCallback.splice(i, 1);
                break;
            }
        }
    };

    //绑定事件集合
    this.bindEvents = function (events) {
        this.events = events;
        events();
    };

    //获取响应事件的Item的索引
    this.getEventIdx = function (target) {
        return target.parents(".ch-ui-list-li").index();
    };

    //初始化为空 function ，避免报错；

	this._scrollStop = this._scrolling = this._scrollToTop = this._scrollToEnd = function(){};
	

    //滚动停止事件
    this.onScrollStop = function (callback) {
        this._scrollStop = callback;
    };

    //正在滚动事件
    this.onScrolling = function (callback) {
        this._scrolling = callback;
    };

    //滚动到顶部事件
    this.onScrollToTop = function (callback) {
        this._scrollToTop = callback;
    };

    //滚动到底部事件
    this.onScrollToEnd = function (callback) {
        this._scrollToEnd = callback;
    };

    this.setPullDownAction = function (callback) {
        this.pullDownAction = callback;
    };

    this.setPullUpAction = function (callback) {
    	
        this.pullUpAction = callback;
    };

    this.initPullToRefresh = function () {
        var that = this;
        var domRefreshAndLoading = {
            initRefresh: '<div class="refresh">↓下拉刷新</div>',
            beforeRefresh: '↑松手开始刷新',
            refresh: '<span class="process"></span>刷新中',
            initLoading: '<div class="loading">↑上拉加载</div>',
            beforeLoading: '↓松手开始加载',
            loading: '<span class="process"></span>&nbsp;加载中'
        };

        var selector = $(this.selector);
        var startPosY, lastPosY;

        tapStartHandler = function (e) {
            if (that.loading) return;

            startPosY = e.touches[0].pageY;

            that.initRefresh = that.beforeRefresh = false;
            that.initLoading = that.beforeLoading = false;
        };

        tapMoveHandler = function (e) {
            that._scrolling();
            if (that.loading) return;

            lastPosY = e.touches[0].pageY;

            var movePosY;
            movePosY = lastPosY - startPosY;
            that.absMoveY = Math.abs(movePosY);

            that.y = $(window).scrollTop();
            that.h = $(that.wrapper).height();

            if (movePosY > 0) {
                that.direction = 'down';
            } else if (movePosY < 0) {
                that.direction = 'up';
            }

            if (that.y == 0 && that.direction == 'down') that._scrollToTop();
            if (that.y + $(window).height() >= that.h && that.direction == 'up') that._scrollToEnd();

            if (that.y <= 0 && that.direction == 'down') {
                e.preventDefault();

                if (!that.hasDOM) {
                    selector.before(domRefreshAndLoading.initRefresh);
                    that.domRefresh = $(that.wrapper).find('.refresh');
                    that.hasDOM = true;
                }

                if (that.absMoveY <= that.offset) {
                    that.dynamicHeight = that.absMoveY;
                    if (!that.initRefresh) {
                        that.domRefresh.html(domRefreshAndLoading.initRefresh);
                        that.initRefresh = true;
                    }
                } else if (that.absMoveY >= that.offset && that.absMoveY < that.offset * 5) {
                    that.dynamicHeight = that.offset + (that.absMoveY - that.offset) * 0.2;
                    if (!that.beforeRefresh) {
                        that.domRefresh.html(domRefreshAndLoading.beforeRefresh);
                        that.beforeRefresh = true;
                    }
                } else {
                    that.dynamicHeight = that.offset + that.offset * 0.5 + (that.absMoveY - that.offset * 2) * 0.2;
                }
                that.domRefresh.css({
                    'height': that.dynamicHeight + 'px',
                    'line-height': that.dynamicHeight + 'px'
                })

            } else if (that.y + $(window).height() >= that.h && that.direction == 'up') {
                e.preventDefault();

                if (!that.hasDOM) {
                    selector.after(domRefreshAndLoading.initLoading);
                    that.domLoading = $(that.wrapper).find('.loading');
                    that.hasDOM = true;
                }

                if (that.absMoveY <= that.offset) {
                    that.dynamicHeight = that.absMoveY;
                    if (!that.initLoading) {
                        that.domLoading.html(domRefreshAndLoading.initLoading);
                    }
                } else if (that.absMoveY >= that.offset && that.absMoveY < that.offset * 50) {
                    that.dynamicHeight = that.offset + (that.absMoveY - that.offset) * 0.5;
                    if (!that.beforeLoading) {
                        that.domLoading.html(domRefreshAndLoading.beforeLoading);
                        that.beforeLoading = true;
                    }
                } else {
                    that.dynamicHeight = that.offset + that.offset * 0.5 + (that.absMoveY - that.offset * 2) * 0.2;
                }

                that.domLoading.css({
                    'height': that.dynamicHeight + 'px',
                    'line-height': that.dynamicHeight + 'px'
                });
                $(window).scrollTop((that.y + that.dynamicHeight));
            }

        };

        tapEndHandler = function (e) {
            that._scrollStop();
            if (that.loading) return;

            if (that.hasDOM) {
                var domTarget, domHtml, fnCallback;

                if (that.direction == 'down') {
                    domTarget = that.domRefresh;
                    domHtml = domRefreshAndLoading.refresh;
                    fnCallback = that.pullDownAction;
                } else if (that.direction == 'up') {
                    domTarget = that.domLoading;
                    domHtml = domRefreshAndLoading.loading;
                    fnCallback = that.pullUpAction;
                }

                that.fnTransition(domTarget, 100);

                if (that.absMoveY > that.offset) {
                    domTarget.css({'height': that.offset, 'line-height': that.offset + 'px'});
                    domTarget.html(domHtml);
                    that.loading = true;
                    typeof fnCallback != 'undefined' ? fnCallback() : null;
                } else {
                    that.reset();
                }
            }
        };

        selector.on("touchstart", function (e) {
            if (!that.loading) tapStartHandler(e);
        });

        selector.on("touchmove", function (e) {
            if (!that.loading) tapMoveHandler(e);
        });

        selector.on("touchend", function (e) {
            if (!that.loading) tapEndHandler(e);
        });
    };

    this.destoryPullToRefresh = function () {
        tapStartHandler = tapMoveHandler = tapEndHandler = function () {};
    };

    this.reset = function () {
        that.loading = that.hasDOM = false;
        that.initRefresh = that.beforeRefresh = false;
        that.initLoading = that.beforeLoading = false;
        $(that.wrapper).find('.refresh, .loading').remove();
    };

    this.fnTransition = function (domTarget, time) {
        domTarget.css({
            '-webkit-transition': 'all ' + time + 'ms',
            'transition': 'all ' + time + 'ms'
        });
    };

    if (this.option.pullToRefresh) {
        this.initPullToRefresh();
    }
};