var Namespace = {};
Namespace.register = function(path){
    var arr = path.split(".");
    var ns = "";
    for(var i=0;i<arr.length;i++){
        if(i>0) ns += ".";
        ns += arr[i];
        eval("if(typeof(" + ns + ") == 'undefined') " + ns + " = new Object();");
    }
};
Namespace.register("chui.widget");
chui.widget.slider = function () {

    var style;
    var datalist;  //slider内容数据
    var options;   //初始化选项
    var currentIndex = 0; //当前索引
    var selector = arguments[0];
    var startcallback, endcallback;//滑动开始和结束触发的回调

    // 触摸事件
    var events = ['touchstart', 'touchmove', 'touchend'];

    // 检测
    var support = {
        // 触摸
        touch: (window.Modernizr && Modernizr.touch === true) || (function () {
            return !!(('ontouchstart' in window) || window.DocumentTouch && document instanceof DocumentTouch);
        })()
    };
    // 手动触摸赋值
    var slideEvents = {
        slideStart: events[0],
        slideMove: events[1],
        slideEnd: events[2]
    };

    //判读构造函数参数
    var len = arguments.length;
    if (len == 4) {
        //4个构造参数：selector, options, datalist,style
        this.options = arguments[1];
        this.datalist = arguments[2];
        style = arguments[3];//这个style可以是标准样式ch-widget-dialog，可以是用户自定义样式
    } else {
        //3个构造参数：selector, options,style
        this.options = arguments[1];
        style = arguments[2];//这个style可以是标准样式ch-widget-dialog，可以是用户自定义样式
    }
    var _this = this;
    this.selector = $(selector);

    //构建dom
    if ($(".ch_ui_slider ul").length <= 0 && null != this.datalist) {
        //有用户数据就将轮播内容设置为用户输入的内容
        var dom = "<ul >";
        for (var i = 0; i < this.datalist.length; i++) {
            if (this.options.hasLabel) { //有文字描述时
                dom = dom + "<li>";
                dom = dom + "<a>";
                dom = dom + "<img src = '" + this.datalist[i].img + "' onerror=\"this.src='../img/loadingIco.png'\">";
                dom = dom + "</a>";
                dom = dom + "<p class='slider-title slider-title-padding'>" + this.datalist[i].title + "";
                dom = dom + "</p>";
                dom = dom + "</li>";
            } else {
                //没有文字描述时
                dom = dom + "<li>";
                dom = dom + "<a>";
                dom = dom + "<img src = '" + this.datalist[i].img + "'>";
                dom = dom + "</a>";
                dom = dom + "</li>";
            }
        }
        dom = dom + "</ul>";
        if (this.options.hasLabel) {
            //有文字描述时,位置描述符slider-dot在右侧
            dom = dom + "<div class='slider-dot-right'>";
        } else {
            //有文字描述时,位置描述符slider-dot居中
            dom = dom + "<div class='slider-dot-middle'>";
        }
        for (var i = 0; i < this.datalist.length; i++) {
            dom = dom + "<span></span>";
        }
        dom = dom + "</div>";
        this.selector.html(dom);

    } else if ($(".ch_ui_slider ul").length <= 0 && null == this.datalist) {
        //没有用户数据就设置默认内容
        var dom = "<ul >";
        for (var i = 0; i < 4; i++) {
            dom = dom + "<li>";
            dom = dom + "<a href ='http://www.baidu.com'>";
            dom = dom + "<img src = 'img/default.jpg'>";
            dom = dom + "</a>";
            dom = dom + "</li>";
        }
        dom = dom + "</ul>";
        dom = dom + "<div class='slider-dot-middle'>";
        for (var i = 0; i < 4; i++) {
            dom = dom + "<span></span>";
        }
        dom = dom + "</div>";
        this.selector.html(dom);
    }
    this.selector.addClass(style);    //添加默认样式

    //----------下面为初始化-------
    this.allowSlideClick = true;
    this.opts = $.extend({}, {
        ul: this.selector.children('ul'),             // 父dom
        li: this.selector.children().children('li'),  // 子dom
        index: 0,                              // 轮播初始值
        continuousScroll: false,               // 连续滚动
        autoSwipe: false,                       // 自动切换
        hasLabel: false,                          //是否有文字标签
        speed: 4000,                           // 切换速度
        axisX: true,                           // X轴
        transitionType: 'ease',                // 过渡类型
        lazyLoad: true,                       // 图片懒加载
        callback: function () {}                 // 回调方法
    }, this.options);

    this._index = this.opts.index;
    this._distance = 50; //滑动距离判断
    // 轮播数量
    this._liLength = this.opts.li.length;
    this.isScrolling;

    // 回调
    this.opts.callback(this._index, this._liLength);
    this.autoSlide = setInterval(function () {
        fnSlide(this, 'next', '.3');
    }, this.opts.speed);

    // 如果轮播小于等于1个，跳出
    if (this._liLength <= 1) {
        if (this.opts.lazyLoad) fnLazyLoad(this, 0);
        return false;
    }

    // 连续滚动，复制dom
    if (this.opts.continuousScroll) {
        this.opts.ul.prepend(this.opts.li.last().clone()).append(this.opts.li.first().clone());
    }

    //懒加载图片
    if (this.opts.lazyLoad) {
        fnLazyLoad(this, this._index);
        if (this.opts.continuousScroll) {
            fnLazyLoad(this, this._index + 1);
            fnLazyLoad(this, this._index + 2);
            // 如果是第一屏
            if (this._index == 0) {
                fnLazyLoad(this, this._liLength);
                // 如果是最后一屏
            } else if (this._index + 1 == this._liLength) {
                fnLazyLoad(this, 1);
            }
        } else {
            fnLazyLoad(this, this._index + 1 == this._liLength ? this._liLength - 2 : this._index + 1);
        }
    }

    // 绑定手动触摸
    this.selector.on(slideEvents.slideStart, function (e) {
        fnSlideStart(e, _this);

    });

    this.selector.on(slideEvents.slideMove, function (e) {
        fnSlideMove(e, _this);
        if (typeof(startcallback) == "function") {
            //处理滑动开始回调事件
            startcallback();
        }
    });

    this.selector.on(slideEvents.slideEnd, function () {
        fnSlideEnd(_this);
        if (typeof(endcallback) == "function") {
            //处理滑动结束回调事件
            endcallback();
            if (_this.opts.autoSwipe) {
                _this.enableSlide();
            }
        }
    });

    // touchstart
    function fnSlideStart(e, me) {
        me.isScrolling = undefined;
        me._moveDistance = me._moveDistanceIE = 0;
        // 按下时的坐标
        me._startX = support.touch ? e.touches[0].pageX : (e.pageX || e.clientX);
        me._startY = support.touch ? e.touches[0].pageY : (e.pageY || e.clientY);
    }

    // touchmove
    function fnSlideMove(e, me) {
        // 如果自动切换，move的时候清除autoSlide自动轮播方法 
        if (_this.opts.autoSwipe) {
            _this.disableSlide(me);
        }
        me.allowSlideClick = false;
        // 触摸时的坐标
        me._curX = support.touch ? e.touches[0].pageX : (e.pageX || e.clientX);
        me._curY = support.touch ? e.touches[0].pageY : (e.pageY || e.clientY);
        // 触摸时的距离
        me._moveX = me._curX - me._startX;
        me._moveY = me._curY - me._startY;
        // 优化触摸禁止事件
        if (typeof me.isScrolling == 'undefined') {
            if (me.opts.axisX) {
                me.isScrolling = !!(Math.abs(me._moveX) >= Math.abs(me._moveY));
            } else {
                me.isScrolling = !!(Math.abs(me._moveY) >= Math.abs(me._moveX));
            }
        }
        // 距离
        if (me.isScrolling) {
            if (e.preventDefault) e.preventDefault();
            else e.returnValue = false;
            // 触摸时跟手
            fnTransition(me, me.opts.ul, 0);
            me._moveDistance = me._moveDistanceIE = me.opts.axisX ? me._moveX : me._moveY;
        }
        if (!me.opts.continuousScroll) {
            // 如果是第一屏，并且往下滚动，就不让滚动 || 如果是最后一屏，并且往上滚动，就不让滚动
            if (me._index == 0 && me._moveDistance > 0 || (me._index + 1) >= me._liLength && me._moveDistance < 0) {
                me._moveDistance = 0;
            }
        }
        // 触摸时跟手滚动
        fnTranslate(me, me.opts.ul, -(me._slideDistance * me._index - me._moveDistance));
    }

    // touchend
    function fnSlideEnd(me) {
        // 优化触摸禁止事件
        if (!me.isScrolling) {
            _this.fnAutoSlide(me);
        }
        // 距离小
        if (Math.abs(me._moveDistance) <= me._distance) {
            fnSlide(me, '', '.3');
            // 距离大
        } else {
            // 手指触摸上一屏滚动
            if (me._moveDistance > me._distance) {
                fnSlide(me, 'prev', '.3');
                // 手指触摸下一屏滚动
            } else if (Math.abs(me._moveDistance) > me._distance) {
                fnSlide(me, 'next', '.3');
            }
        }
        me._moveDistance = me._moveDistanceIE = 0;
    }

    //-----------初始化结束-----------

    // 获取轮播宽度
    function fnGetSlideDistance(me) {
        var $li = me.opts.ul.children();
        me._slideDistance = me.opts.axisX ? me.opts.li.width() : me.opts.li.height();
        // 定位
        fnTransition(me, me.opts.ul, 0);
        fnTranslate(me, me.opts.ul, -me._slideDistance * me._index);
        fnTransition(me, $li, 0);
        var num = me.opts.continuousScroll ? -1 : 0;
        $li.each(function (i) {
            fnTranslate(me, $(this), me._slideDistance * (i + num));
        });
    }

    // 轮播的宽度
    fnGetSlideDistance(this);
    // css过渡
    function fnTransition(me, dom, num) {
        dom.css({
            '-webkit-transition': 'all ' + num + 's ' + me.opts.transitionType,
            'transition': 'all ' + num + 's ' + me.opts.transitionType
        });
    }

    // css位移
    function fnTranslate(me, dom, distance) {
        var result = me.opts.axisX ? distance + 'px,0,0' : '0,' + distance + 'px,0';
        dom.css({
            '-webkit-transform': 'translate3d(' + result + ')',
            'transform': 'translate3d(' + result + ')'
        });
    }

    // 懒加载图片
    function fnLazyLoad(me, index) {
        var $li = me.opts.ul.children();
        var $thisImg = $li.eq(index).find('[data-src]');
        if ($thisImg) {
            $thisImg.each(function (i) {
                var $this = $(this);
                if ($this.is('img')) {
                    $this.attr('src', $this.data('src'));
                    $this.removeAttr('data-src');
                } else {
                    $this.css({'background-image': 'url(' + $this.data('src') + ')'});
                    $this.removeAttr('data-src');
                }
            });
        }
    }

    //click事件
    this.clickItem = function (callback) {
        this.clickCallback = callback;
        for (var i = 0; i < this.opts.ul.children().size(); i++) {
            this.opts.ul.children().eq(i).on("tap",function () {
                var idx = $(this).index()-1;
                var src = $(this).find("img").attr("src");
                //返回当前索引和img
                _this.clickCallback(idx, src);
            });
        }
    };

    // 停止轮播
    this.disableSlide = function () {
        this.opts.autoSwipe = false;
        clearInterval(this.autoSlide);
    };
    // 自动轮播
    this.fnAutoSlide = function (me) {
        if (me.opts.autoSwipe) {
            this.disableSlide(me);
            me.autoSlide = setInterval(function () {
                fnSlide(me, 'next', '.3');
            }, me.opts.speed);
        } else {
            this.disableSlide(me);
        }
    };

    //开启轮播
    this.enableSlide = function () {
        if (!this.opts.autoSwipe) {
            this.opts.autoSwipe = true;
        }
        this.fnAutoSlide(this);
    };

    // 指定轮播到第几个
    this.slideTo = function (i) {
        var me = this;
        fnSlide(me, i, '.3');
    };

    //slide到下一个
    this.next = function () {
        var me = this;
        fnSlide(me, 'next', '.3');
    };

    //slide到前一个
    this.prev = function () {
        var me = this;
        fnSlide(me, 'prev', '.3');
    };

    //滑动开始触发的事件
    this.slideStart = function (callback) {
        startcallback = callback;
    };

    //滑动结束触发的事件
    this.slideEnd = function (callback) {
        endcallback = callback;
    };

    // 轮播方法
    function fnSlide(me, go, num) {
        // 判断方向
        if (typeof go == 'number') {
            me._index = go;
            // 加载当前屏、前一屏、后一屏
            if (me.opts.lazyLoad) {
                // 因为连续滚动，复制dom，所以要多加1
                if (me.opts.continuousScroll) {
                    fnLazyLoad(me, me._index);
                    fnLazyLoad(me, me._index + 1);
                    fnLazyLoad(me, me._index + 2);
                } else {
                    fnLazyLoad(me, me._index - 1);
                    fnLazyLoad(me, me._index);
                    fnLazyLoad(me, me._index + 1);
                }
            }
        } else if (go == 'next') {
            me._index++;
            //  alert(me.opts.lazyLoad);
            if (me.opts.lazyLoad) {
                if (me.opts.continuousScroll) {
                    fnLazyLoad(me, me._index + 2);
                    // 滑到最后一屏
                    if (me._index + 1 == me._liLength) {
                        fnLazyLoad(me, 1);
                        // 最后一屏，继续往后滑动
                    } else if (me._index == me._liLength) {
                        fnLazyLoad(me, 0);
                    }
                } else {
                    fnLazyLoad(me, me._index + 1);
                }
            }
        } else if (go == 'prev') {
            me._index--;
            if (me.opts.lazyLoad) {
                if (me.opts.continuousScroll) {
                    fnLazyLoad(me, me._index);
                    // 滑到第一屏
                    if (me._index == 0) {
                        fnLazyLoad(me, me._liLength);

                        // 第一屏，继续往前滑动
                    } else if (me._index < 0) {
                        fnLazyLoad(me, me._liLength - 1);
                    }
                } else {
                    fnLazyLoad(me, me._index - 1);
                }
            }
        }

        // 如果是连续滚动
        if (me.opts.continuousScroll) {
            if (me._index >= me._liLength) {
                fnScroll(me, num);
                me._index = 0;
                setTimeout(function () {
                    fnScroll(me, 0);
                    me.opts.callback(me._index, me._liLength);
                    return;
                }, 300);
            } else if (me._index < 0) {
                fnScroll(me, num);
                me._index = me._liLength - 1;
                setTimeout(function () {
                    fnScroll(me, 0);
                    me.opts.callback(me._index, me._liLength);
                    return;
                }, 300);
            } else {
                fnScroll(me, num);
            }
        } else {
            if (me._index >= me._liLength) {
                me._index = 0;
            } else if (me._index < 0) {
                me._index = me._liLength - 1;
            }
            fnScroll(me, num);
        }
        me.opts.callback(me._index, me._liLength);
        currentIndex = me._index;//当前索引
        //alert(currentIndex);
    }

    // 轮播动作
    function fnScroll(me, num) {
        fnTransition(me, me.opts.ul, num);
        fnTranslate(me, me.opts.ul, -me._index * me._slideDistance);
    }

    // 调用轮播
    this.fnAutoSlide(this);

    //设置切换速度
    this.setSpeed = function (speed) {
        this.opts.speed = speed;
        //alert(speed);
        this.fnAutoSlide(this);
    }
    //获取当前索引
    this.getIndex = function () {
        // alert(currentIndex);
        return currentIndex;
    }
    //设置slider内容
    this.setData = function (data, hasLabel) {
        //删除原来的dom
        $('.ch_ui_slider ul').remove();
        if ($('div .slider-dot-middle').length > 0) $('div .slider-dot-middle').remove();
        if ($('div .slider-dot-right').length > 0) $('div .slider-dot-right').remove();
        //-------------------重新构建dom---------------
        var dom = "<ul >";
        for (var i = 0; i < data.length; i++) {
            if (hasLabel) { //有文字描述时
                dom = dom + "<li>";
                dom = dom + "<a href ='" + data[i].href + "'>";
                dom = dom + "<img src = '" + data[i].img + "'>";
                dom = dom + "</a>";
                dom = dom + "<p class='slider-title slider-title-padding'>" + data[i].title + "";
                dom = dom + "</p>";
                dom = dom + "</li>";
            } else {
                //没有文字描述时
                dom = dom + "<li>";
                dom = dom + "<a href ='" + data[i].href + "'>";
                dom = dom + "<img src = '" + data[i].img + "'>";
                dom = dom + "</a>";
                dom = dom + "</li>";
            }
        }
        dom = dom + "</ul>";
        if (hasLabel) {
            //有文字描述时,位置描述符slider-dot在右侧
            dom = dom + "<div class='slider-dot-right'>";
        } else {
            //有文字描述时,位置描述符slider-dot居中
            dom = dom + "<div class='slider-dot-middle'>";
        }
        for (var i = 0; i < data.length; i++) {
            dom = dom + "<span></span>";
        }
        dom = dom + "</div>";
        this.selector.html(dom);
        //------------------构建dom结束------------------
        this.opts = $.extend({}, {
            ul: this.selector.children('ul'),             // 父dom
            li: this.selector.children().children('li'),  // 子dom
            index: 0,                              // 轮播初始值
            continuousScroll: false,               // 连续滚动
            autoSwipe: false,                       // 自动切换
            hasLabel: false,                          //是否有文字标签
            speed: 4000,                           // 切换速度
            axisX: true,                           // X轴
            transitionType: 'ease',                // 过渡类型
            lazyLoad: true,                       // 图片懒加载
            callback: function () {}                 // 回调方法
        }, this.options);
        
        if (hasLabel) {
            $('.slider-dot-right').children().eq(0).addClass('current');
        }
         // 连续滚动，复制dom
    	if (this.opts.continuousScroll) {
        	this.opts.ul.prepend(this.opts.li.last().clone()).append(this.opts.li.first().clone());
    	}
    	fnGetSlideDistance(this);
        this.fnAutoSlide(this);

    }

}
 
 

