var Namespace = new Object();
Namespace.register = function(path) {
	var arr = path.split(".");
	var ns = "";
	for (var i = 0; i < arr.length; i++) {
		if (i > 0) ns += ".";
		ns += arr[i];
		eval("if(typeof(" + ns + ") == 'undefined') " + ns + " = new Object();");
	}
};

Namespace.register("chui.widget");
/*   
 * selector 选择器
 * options 可选项
 * style  css样式，可以为标准样式ch_ui_switch，也可以试用户自定义样式
 */
chui.widget.switch = function(selector, options, style) {
	var defaluts = { //可选参数默认值
		height: '',
		width: '',
		isEnable: true,
		checked: false
	};
	this.selector = $(selector);
	this.sel = selector;
	var dom = "<label class='ch_ui_switch_wrap'>";
	dom = dom + "<input type='checkbox' name='checkbox' />";
	dom = dom + "<span></span>";
	dom = dom + "</label>";
	this.selector.html(dom);
	this.selector.addClass(style);
	defaluts.height = this.selector.css("height");
	defaluts.width = this.selector.css("width");
	var opts = $.extend(defaluts, options);

	var that = this;
	var bg = "#4dd963";
	this.setBackground = function(color) { //设置背景
			bg = color;
			var checkedStute = that.getChecked();
			that.setChecked(checkedStute);
		},
		this.selector.find('input').change(function() {
			var checkedStute = that.getChecked();
			that.setChecked(checkedStute);
		});
	this.setChecked = function(bool) { //设置状态
		if (bool == true) {
			this.selector.find("input[type=checkbox]").attr("checked", "checked");
			this.selector.find('span').css({
				right: '1px',
				left: 'auto'
			});
			this.selector.css({
				background: bg
			});
		} else {
			this.selector.find("input[type=checkbox]").removeAttr("checked");
			this.selector.find('span').css({
				left: '1px',
				right: 'auto'
			});
			this.selector.css({
				background: "#ddd"
			});
		}
		this.selector.show();
	}
	this.setHeight(opts.height); //初始化可选项
	this.setWidth(opts.width);
	this.setEnable(opts.isEnable);
	this.setChecked(opts.checked);
};

chui.widget.switch.prototype = {
	setHeight: function(height) { //设置高度
		var w = document.body.clientHeight;
		var a = height.slice(height.length - 1);
		if (a == "%") {
			this.selector.height(w * parseFloat(height) / 100);
			this.selector.find(".ch_ui_switch_wrap").height(w * parseFloat(height) / 100);
		} else {
			this.selector.height(height);
			this.selector.find(".ch_ui_switch_wrap").height(height);
		}
		this.selector.find(".ch_ui_switch_wrap span").height(this.selector.height() - 2).width(this.selector.height() - 2);
	},
	setWidth: function(width) { //设置宽度
		var w = document.body.clientWidth;
		var a = width.slice(width.length - 1);
		if (a == "%") {
			this.selector.width(w * parseFloat(width) / 100);
			this.selector.find(".ch_ui_switch_wrap").width(w * parseFloat(width) / 100);
		} else {
			this.selector.width(width);
			this.selector.find(".ch_ui_switch_wrap").width(width);
		}
		this.selector.find(".ch_ui_switch_wrap span").height(this.selector.height() - 2).width(this.selector.height() - 2);
	},

	setText: function(str1, str2) { //设置开关文字
		var fontsize = this.selector.css("font-size");
		fontsize = parseInt(fontsize);
		fontsize = fontsize / 2;
		var dom = "<style>";
		dom = dom + this.sel + " .ch_ui_switch_wrap:before{";
		dom = dom + "content:'" + str1 + "';";
		dom = dom + "margin-top:-" + fontsize + "px";
		dom = dom + "}";
		dom = dom + this.sel + " .ch_ui_switch_wrap:after{";
		dom = dom + "content:'" + str2 + "';";
		dom = dom + "margin-top:-" + fontsize + "px";
		dom = dom + "}";
		dom = dom + "</style>";
		$("head").append(dom);
	},
	setFontSize: function(size) {
		this.selector.css("font-size", size);
	},
	getChecked: function() { //获取当前状态
		return this.selector.find("input[type=checkbox]").is(":checked");
	},

	setEnable: function(bool) { //设置可用状态
		if (bool == true)
			this.selector.find("input[type=checkbox]").prop("disabled", null);
		else
			this.selector.find("input[type=checkbox]").prop("disabled", true);
	},
	getEnable: function() { //获取可用状态
		return !(this.selector.find("input[type=checkbox]").is(":disabled"));
	},
	show: function() { //显示
		this.selector.show();
	},
	hide: function() { //隐藏
		this.selector.hide();
	},
	change: function(callback) { //changge事件
		return this.selector.find("input").on("change", callback);
	}
}