var Namespace = new Object();     
Namespace.register = function(path){     
    var arr = path.split(".");     
    var ns = "";     
    for(var i=0;i<arr.length;i++){     
        if(i>0) ns += ".";     
        ns += arr[i];     
        eval("if(typeof(" + ns + ") == 'undefined') " + ns + " = new Object();");     
    }     
}
Namespace.register("chui.widget");
chui.widget.viewPager = function (selector, data, pageTemplate, className, effect) {
    var args, wrap, item, items, current, changecallback = function () {}, isSwitchAble = true, isScroll;

    // 根据参数决定接下来解析;
    args = arguments.length;

    // 解析参数;
    switch (args) {
        case 1:
            selector = arguments[0];
            break;
        case 2:
            selector = arguments[0];
            className = arguments[1];
            break;
        case 3:
            break;
        default :
            selector = arguments[0];
            data = arguments[1];
            pageTemplate = arguments[2];
            className = arguments[3];
            break;
    }

    // 设置默认特效组
    var defaults = {
        effects: {
            bounce: ['bounceInRight', 'bounceInLeft'],
            fade: ['fadeInRight', 'fadeInLeft'],
            flip: ['flipInY', 'flipInY'],
            rotate: ['rotateIn', 'rotateIn'],
            slide: ['slideInRight', 'slideInLeft'],
            zoom: ['zoomInRight', 'zoomInLeft'],
            roll: ['rollIn', 'rollIn']
        }
    };

    // 如果没有传入对象，则默认选区 .ch_ui_viewpager;
    selector === undefined ? selector = $('.ch_ui_viewpager') : selector = $(selector);
    // if (className) selector.addClass(className);

    if (!selector.hasClass(className)) {
        selector.addClass(className);
    }

    // 保存原有内部 DOM 结构;
    items = selector.html();

    // 清除内部 DOM 结构;
    selector.html('');

    // 添加一层 wrap 包裹到对象内;
    wrap = $("<div class='ch_ui_viewpager_wrap'></div>").appendTo(selector);

    // 如果有传入数据和指定模板
    if (data && pageTemplate) {
        for (var i = 0; i < data.length; i++) {
            var content = template(pageTemplate, data[i]);
            if (i == 0) {
                $("<section class='active'>" + content + "</section>").appendTo(wrap);
            } else {
                $("<section>" + content + "</section>").appendTo(wrap);

            }
        }
    } else {
        wrap.html(items);
    }

    // 获取所有子对象;
    item = wrap.children();

    var viewpager = viewpager || {};
    var delta = {}, start = {};

    viewpager = {

        getSectionCount: function () {
            return item.length;
        },
        getTotalWidth: function () {
            var count = this.getSectionCount();
            return parseInt($(window).width()) * parseInt(count);
        },
        setTotalWidth: function () {

            wrap.css('width', this.getTotalWidth());
        },
        getSectionWidth: function () {
            return $(window).width();
        },

        setSectionWidth: function () {
            item.css('width', this.getSectionWidth());
        },
        getSectionActive: function () {
            item.each(function (i) {
                if ($(this).hasClass('active')) {
                    current = i;
                }
            });
            return current;
        },
        setSectionActive: function (index) {
            item.each(function (i) {
                if (i == index) {
                    $(this).addClass('active').siblings().removeClass('active');
                }
            })
        },
        transition: function (index, direction) {
            var count, distance, active;

            // 如果当前索引 index 的值没有内容，则默认为一;
            !(!!index) ? index = 0 : null;
            if (direction === undefined) direction = true;

            viewpager.setSectionActive(index);
            distance = viewpager.getSectionWidth();

            count = viewpager.getSectionCount();
            if (index < 0 || index > count - 1) {
                return false;
            }
            // 动画过渡切换效果，可扩展;
            wrap.css({
                "transform": "translateX(" + -(index * distance) + "px)",
                "-webkit-transform": "translateX(" + -(index * distance) + "px)",
                "-moz-transform": "translateX(" + -(index * distance) + "px)",
                "-ms-transform": "translateX(" + -(index * distance) + "px)",
                "-o-transform": "translateX(" + -(index * distance) + "px)"
            });
            changecallback.call(this);

            active = wrap.find('.active');

            if (effect !== undefined) {
                var animate;
                direction ? animate = defaults.effects[effect][0] : animate = defaults.effects[effect][1];
                active.addClass('animated ' + animate).siblings().removeClass();
            }

        },
        init: function () {
            var active = $(".viewpager_wrap>.active");

            viewpager.setTotalWidth();
            viewpager.setSectionWidth();
            viewpager.transition();
        }
    };

    viewpager.init();

    var tapStartHandler = function (e) {

        var touches = e.touches[0];

        start = {

            x: touches.pageX,
            y: touches.pageY

        };

        delta = {};

        selector.on("touchmove", tapMoveHandler);
        selector.on("touchend", tapEndHandler);
    };

    var tapMoveHandler = function (e) {
        if (event.touches.length > 1 || event.scale && event.scale !== 1) return;

        var touches = event.touches[0];

        delta = {
            x: touches.pageX - start.x,
            y: touches.pageY - start.y
        };

        if (typeof isScrolling == 'undefined') {
            var isScrolling = isScroll = !!(isScrolling || Math.abs(delta.x) < Math.abs(delta.y));
        }

        if (!isScrolling && isSwitchAble) e.preventDefault();

    };

    var tapEndHandler = function (e) {
        var index = viewpager.getSectionActive();

        if (!(typeof delta.x == 'undefined')) var direction = delta.x < 0;

        if (isSwitchAble && !isScroll && typeof direction != 'undefined') {
            if (direction) {
                viewpager.transition(index + 1, direction);
            } else {
                viewpager.transition(index - 1, direction);
            }
        }

        selector.off("touchmove touchend");
    };

    selector.on("touchstart", tapStartHandler);

    this.getItemIndex = function () {
        return viewpager.getSectionActive();
    };

    /*
     * 更新页面的数据集
     * @param data 数据集
     */
    this.update = function (data) {
        try {
            if (data) {
                $(selector).find(".ch_ui_viewpager_wrap").html("");
                for (i = 0; i < data.length; i++) {
                    var items = template(pageTemplate, data[i]);
                    if (i == 0) {
                        $(selector).children(".ch_ui_viewpager_wrap").append("<section class='active'>" + items + "</section>");
                    } else {
                        $(selector).children(".ch_ui_viewpager_wrap").append("<section>" + items + "</section>");
                    }
                }
                var currentpage = 0;
                var maxPage = data.length - 1;
            }

            item = wrap.children();
            viewpager.init();

        } catch (e) {
            throw e;
        }
    };

    this.pause = function () {
        return isSwitchAble = false;
    };

    this.resume = function () {
        return isSwitchAble = true;
    };

    this.change = function (callback) {
        changecallback = callback;
    };

    this.moveToPage = function (index) {
        setTimeout(function () {
            viewpager.transition(index);
        }, 100)
    };

    this.bindItemEvent = function (E) {
        if (typeof E != "object") return false;

        var el, event, callback;
        el = E.elem;
        event = E.eventName;
        callback = E.callback;

        wrap.children(el).on(event, callback);
    };

    this.setEffect = function (newEffect) {
        effect = newEffect;
    }
};