function showCheckboxDialog(options) {
	options = $.extend({
		title: "提示",
		data: [],
		callback: function() {},
	}, options);
	var dialogHtml = "<div class='dialog-checkbox-mask'>";
	dialogHtml += "<div class='dialog-checkbox-mask-wrap flex_box_h flex_box_center'>";
	dialogHtml += "<div class='dialog-checkBox'>";
	dialogHtml += "<div class='dialog-checkBox-title'>" + options.title + "</div>";
	dialogHtml += "<div class='dialog-checkBox-content'>";
	for(var i=0;i<options.data.length;i++){
		dialogHtml += "<div class='check-item flex_box_h flex_box_v_center flex_box_h_space_between' data-id='"+options.data[i].id+"'>";
		dialogHtml += "<div class='check-item-text flex_box_grow'>"+options.data[i].name+"</div>";
		dialogHtml += "<div class='check-item-icon'></div>";
		dialogHtml += "</div>";
	}
	dialogHtml += "</div>";
	dialogHtml += "<div class='dialog-checkBox-btn-wrap flex_box_h flex_box_v_center'>";
	dialogHtml += "<div class='dialog-checkBox-cancel-btn flex_box_grow'>取消</div>";
	dialogHtml += "<div class='dialog-checkBox-confirm-btn flex_box_grow'>确认</div>";
	dialogHtml += "</div></div></div></div>"
	$("body").append(dialogHtml);
	if(!!options.selectIndex)
	{
		for (var i = 0; i < options.selectIndex.length; i++) {
			$(".dialog-checkBox-content").find(".check-item").eq(options.selectIndex[i]).addClass("active");
		}
	}
	$(".dialog-checkBox-cancel-btn").off("tap");
	$(".dialog-checkBox-cancel-btn").on("tap",function(){
		hideDialogAnimated($(".dialog-checkbox-mask"), $(".dialog-checkBox"))
	})
	$(".dialog-checkBox-confirm-btn").off("tap");
	$(".dialog-checkBox-confirm-btn").on("tap",function(e){
		if(!options.callback(e))
		{
			return;
		}
		hideDialogAnimated($(".dialog-checkbox-mask"), $(".dialog-checkBox"))
	})
	$(".check-item").off("tap");
	$(".check-item").on("tap",function(e){
		$(this).toggleClass("active");
	})
	showDialogAnimated($(".dialog-checkbox-mask"), $(".dialog-checkBox"))
}
function showDialogAnimated($mask, $contentView){
	$mask.show();
	$mask.css("opacity", 0);
	$contentView.css("transform", "scale(1.2, 1.2)");
	$mask.animate({opacity:1}, 200, "ease-in-out");
    $contentView.animate({transform:"none"}, 200, "ease-in-out");
}
function hideDialogAnimated($mask, $contentView){
	$mask.animate({opacity:0}, 200, "ease-in-out", function(){
		$mask.remove();
	});
	$contentView.animate({transform:"scale(1.2, 1.2)"}, 200, "ease-in-out");
}