var myJsInterface = {
	goToHome: function(tabIndex) {
		if (isIOS) {
            window.myNativeInterface.popToTabWindow(tabIndex);
		} else if (tabIndex == "0" || tabIndex == "3") {
			//登录成功进入“首页”或“我的”页面
			var obj = {
				action: {
					android: "gov.my.socialsecurity.nativeactivity.MainActivity",
					ios: ""
				},
				windowType: 0,
				params: {
					tabIndex: tabIndex
				}
			}
			topmobi.native.common.openWindow(obj);
		} else if(tabIndex  ==  "10" ){
            topmobi.native.common.closeWindow(0);
        }
	},
	/*
	 * add by wyy On 2016/04/25
	 * description:获取登录入口，是由“首页”进入的还是“我的”页面进入的，登录完成后返回入口页面
	 */
	getEntrance: function() {
        return window.myNativeInterface.getLoginEntrance();
	},
    
	loadPicture: function(picUrl) {
		if (isIOS) {
            window.myNativeInterface.popToTabWindow(tabIndex);
		} else {
			var obj = {
				action: {
					android: "gov.my.socialsecurity.nativeactivity.MainActivity",
					ios: ""
				},
				windowType: 0,
				params: {
					tabIndex: tabIndex
				}
			}
			topmobi.native.common.openWindow(obj);
		}
	},
    
	updateSoft: function(data) {
		if (isAndroid) {
			return window.myUpdateInterface.updateSoft(data);
		}
	},
    
	getVersionNumber: function() {
    return window.myNativeInterface.getVersionNumber();

	},
    
	getVersionCode: function() {
    return window.myNativeInterface.getVersionCode();
	},
	/*
	 * 调用原生的AES加密算法
	 */
	encryptData: function(data) {
        return window.myNativeInterface.encrypt(data);
	},

	/*
	 * 调用原生的AES解密算法
	 */
	decryptData: function(data) {
        return window.myNativeInterface.decrypt(data);
	},
	/*
	 * 调用原生接口获取应用缓存大小
	 */
	getCacheSize: function(option) {
    if (isAndroid) {
      option && option.success && option.success({ result: window.myNativeInterface.getTotalCacheSize() });
    } else {
      var now = new Date();
      var successKey = 'getCacheSize_s_' + now.getTime();
      var failKey = 'getCacheSize_f_' + now.getTime();
      if (typeof option.success === 'function') {
        window.callbackMap.put(successKey, option.success);
      }
      if (typeof option.fail === 'function') {
        window.callbackMap.put(failKey, option.fail);
      }
      window.myNativeInterface.getTotalCacheSize(successKey, failKey);
    }
	},
	/*
	 * 调用原生接口清除应用缓存
	 */
	cleanData: function(option) {
    if (isAndroid) {
      option && option.success && option.success({ result: window.myNativeInterface.cleanData() });
    } else {
      var now = new Date();
      var successKey = 'getCacheSize_s_' + now.getTime();
      var failKey = 'getCacheSize_f_' + now.getTime();
      if (typeof option.success === 'function') {
        window.callbackMap.put(successKey, option.success);
      }
      if (typeof option.fail === 'function') {
        window.callbackMap.put(failKey, option.fail);
      }
      window.myNativeInterface.cleanData(successKey, failKey);
    }
	},
	/*
	 * 清除应用缓存之后，调用原生接口去刷新未读消息气泡
	 */
	refreshMsgNum:function() {
		if (isAndroid) {
			return window.myNativeInterface.refreshMsgNum();
		} 
	},
	/*
	 * 缓存新闻图片到本地
	 */
	savePicture: function(data) {
        return window.myNativeInterface.savePicture(data);
	},
    
    /*
     * 缓存新闻图片到本地
     */
    getPicture: function(data) {
        return window.myNativeInterface.getPicture(data);
    },
    /*
     * 图片是否存在
     */
    fileIsExists: function(data) {
        if (isAndroid) {
            return window.myNativeInterface.fileIsExists(data);
        }
    },
    /*
     * 用户登录且绑定社保之后注册信鸽，上报account
     */
    registerXinGe:function(){
        return window.myNativeInterface.registerXinGe();
    },
    /*
     * 用户退出登录后信鸽账号解绑
     */
    unregisterXinGe:function(){
    	 return window.myNativeInterface.unRegisterXinGe();
    },
    /*
     * 更新消息数量缓存
     */
    subtractMsgNum:function(type){
    	 return window.myNativeInterface.SubtractMsgNum(type);
    },

    /*
     * 视频简历url
     */
    pushVideoResumeVC:function(videoUrl){
        if (isIOS) {
            window.myNativeInterface.pushVideoResumeVC(videoUrl);
        }
    },
    /*
     * entrance =1 表示是首页新参保申请调用OCR；
     * entrance = 2 表示是“我的”绑定社保卡调用OCR;
     * entrance = 3 表示是综合缴费添加账户调用OCR
     * entrance = 4 表示是村医通病人账户调用OCR
     * *entrance = 5 表示是村医通医生绑定账户调用OCR
     */
    verifyIdCard:function(filePath,entrance){
      return window.myNativeInterface.verifyIdCard(filePath);
   },
   idcardOCR: function(option) {
    var now = new Date();
    var successKey = 'idcardOCR_s_' + now.getTime();
    var failKey = 'idcardOCR_f_' + now.getTime();
    if (typeof option.success === 'function') {
      window.callbackMap.put(successKey, option.success);
    }
    if (typeof option.fail === 'function') {
      window.callbackMap.put(failKey, option.fail);
    }
    
    window.commonJsInterface.idcardOCR(successKey, failKey);
   },
   megLiveStill: function(myNickName,myIdentity,option)
   {
        // var myNickName=topmobi.native.cache.getSharedValue('user', 'nickName')+''; // 无星号姓名
		    // var myIdentity=topmobi.native.cache.getSharedValue('user', 'identityNum')+''; // 无星号身份证
        var now = new Date();
        var successKey = 'megLiveStill_s_' + now.getTime();
        var failKey = 'megLiveStill_f_' + now.getTime();
        if (typeof option.success === 'function') {
          window.callbackMap.put(successKey, option.success);
        } 
        if (typeof option.fail === 'function') {
          window.callbackMap.put(failKey, option.fail);
        }
        window.commonJsInterface.megLiveStill(myNickName,myIdentity,successKey, failKey);
   },
    
//  GetImageStrFromPath:function(filePath){
//      return window.myNativeInterface.GetImageStrFromPath(filePath);
//  }
	gobackToUnemployInsuranceHome:function(){
		return window.myNativeInterface.gobackToUnemployInsuranceHome();
	},
	 /*
     * 获取网络地址
     */
	getNetAddress:function(){
		return window.myNativeInterface.getNetAddress();
	},
	/*
	 * 存储pdf文件流
	 */
	saveFileStream:function(file){
		return window.myNativeInterface.saveFileStream(file);
  },
  setupQuickActions: function() {
    if (typeof window.myNativeInterface.setupQuickActions == 'function') {
      window.myNativeInterface.setupQuickActions();
    }
  },
  clearQuickActions: function() {
    if (typeof window.myNativeInterface.clearQuickActions == 'function') {
      window.myNativeInterface.clearQuickActions();
    }
  },
  /**
   * 获取本机支持的生物识别: 0-none, 1-touchid, 2-faceid, 3-touchid & faceid
   */
  supportBiometryType: function() {
    if (typeof window.myNativeInterface.supportBiometryType == 'function') {
      return window.myNativeInterface.supportBiometryType();
    }
    return 0;
  },
  /**
   * 调用电子社保卡人脸认证
   * @param {string} name 姓名
   * @param {string} idcard 身份证号
   * @param {string} signNo 签发号
   * @param {string} applyIfNeeded 是否在无签发号是自动进入申领流程
   * @param {string} success 成功回调方法名
   * @param {string} fail 失败回调方法名
   */
  esscFaceAuth: function(name, idcard, signNo, applyIfNeeded, success, fail) {
    window.esscNative.faceAuth(name, idcard, signNo, applyIfNeeded, success, fail);
  },
  /**
   * 调用电子社保卡申领
   * @param {string} name 姓名
   * @param {string} idcard 身份证号
   * @param {string} phoneNum 手机号
   * @param {boolean} autoClose 是否在申领完成后自动关闭电子社保卡界面
   * @param {string} success 成功回调方法名
   * @param {string} fail 失败回调方法名
   */
  esscApply: function(name, idcard, phoneNum, autoClose, success, fail) {
    if (typeof autoClose != 'boolean') {
      success = autoClose;
      fail = success;
      autoClose = true;
    }
    window.esscNative.apply(name, idcard, phoneNum, autoClose, success, fail);
  }
}
