topmobi.extends.uploader = {
    uploadFile: function (url, filePath, params, callbacks) {
        if (typeof callbacks != "object") {
            throw("error:TopMobi+框架方法uploadFile调用参数格式错误！");
        }
        var successKey = "";
        var failKey = "";
        if (callbacks.success) {
            successKey = "uploadFile_s_" + new Date().getTime();
            callbackMap.put(successKey, callbacks.success);
        }
        if (callbacks.fail) {
            failKey = "uploadFile_f_" + new Date().getTime();
            callbackMap.put(failKey, callbacks.fail);
        }
        try {
            if (isIOS) {
                var iosUrl = "chmobile://com.changhong.native.async/uploadFile:?param="
                    + JSON.stringify({
                        url: url,
                        filePath: filePath,
                        params: params,
                        successKey: successKey,
                        failKey: failKey
                    });
                window.location = encodeURI(iosUrl);
            } else {
                window.topmobi_uploader.uploadFile(url, filePath, params, successKey, failKey);
            }
        } catch (e) {
            throw("error:TopMobi+框架方法uploadFile()执行错误：" + e.message);
        }
    }
}
