topmobi.sdk.qrcode = {
    scanCode: function (callbacks) {
        if (typeof callbacks != "object") {
            throw("error:TopMobi+框架方法scanCode调用参数格式错误！");
        }
        var successKey = "";
        var failKey = "";
        if (callbacks.success) {
            successKey = "scanCode_s_" + new Date().getTime();
            callbackMap.put(successKey, callbacks.success);
        }
        if (callbacks.fail) {
            failKey = "scanCode_f_" + new Date().getTime();
            callbackMap.put(failKey, callbacks.fail);
        }
        try {
            window.topmobi_code.scanCode(successKey, failKey);
        } catch (e) {
            throw("error:TopMobi+框架方法scanCode()执行错误：" + e.message);
        }
    },
    createCode: function (content, codeType, imgName, width, height) {
        try {
            return window.topmobi_code.createCode(content, codeType, imgName, width, height);
        } catch (e) {
            throw("error:TopMobi+框架方法createCode()执行错误：" + e.message);
        }
    }
}
