var Namespace = new Object();
Namespace.register = function(path) {
	var arr = path.split(".");
	var ns = "";
	for (var i = 0; i < arr.length; i++) {
		if (i > 0) ns += ".";
		ns += arr[i];
		eval("if(typeof(" + ns + ") == 'undefined') " + ns + " = new Object();");
	}
};

Namespace.register("topmobi.widget");

topmobi.widget.calendarPanel = function () {
    var nowYear, nowMonth, nowDay; //当前时间的年月日
    var year, month;  //选择时间的年月

    function getDaysInMonth(year, month) { //计算某年某月的天数
        return new Date(year, month, 0).getDate();
    }

    function getWeekFirstDay(year, month) { //计算某年某月第一天是星期几
        var temp = year + "/" + month + "/" + "1";
        return new Date(temp).getDay();
    }

    function getWeekLastDay(year, month) { //计算某年某月最后一天是星期几
        var days = getDaysInMonth(year, month);
        var temp = year + "/" + month + "/" + days;
        return new Date(temp).getDay();
    }

    function createCalendar() { //创建日历面板
        if ($("body").find(".chui-widget-calendarPanel").length == 0) {
            nowYear = new Date().getFullYear(),
                nowMonth = new Date().getMonth() + 1,
                nowDay = new Date().getDate();
            year = nowYear;
            month = nowMonth;
            var domHtml = "";
            domHtml += "<div class='chui-widget-calendarPanel'>";
            domHtml += "<div class='calendarPanelHead'>";
            domHtml += "<div class='yearHead'>";
            domHtml += "<span class='yearPrev'></span>";
            domHtml += "<span class='yearText'>" + nowYear + "</span>";
            domHtml += "<span class='yearNext'></span>";
            domHtml += "</div>";
            domHtml += "<div class='monthHead'>";
            domHtml += "<span class='monthPrev'></span>";
            domHtml += "<span class='monthText'>" + nowMonth + "</span>";
            domHtml += "<span class='monthNext'></span>";
            domHtml += "</div>";
            domHtml += "</div>";
            domHtml += "<ul class='weekWrap'>";
            domHtml += "<li class='week'>日</li>";
            domHtml += "<li class='week'>一</li>";
            domHtml += "<li class='week'>二</li>";
            domHtml += "<li class='week'>三</li>";
            domHtml += "<li class='week'>四</li>";
            domHtml += "<li class='week'>五</li>";
            domHtml += "<li class='week'>六</li>";
            domHtml += "</ul>";
            domHtml += "<div class='date-wrap'>";
            domHtml += "</div>";
            domHtml += " <div class='btn-wrap'>";
            domHtml += "<div id='btn-ok'>确定</div>";
            domHtml += "<div id='btn-cancel'>取消</div>";
            domHtml += "</div>";
            domHtml += "</div>";
            $("body").append(domHtml);
        }
    }

    var nowFlag = 1;

    function calendarShow(y, m) { //初始化当前年月日期数据
        $("div.date-wrap").html("");
        var firstDay = getWeekFirstDay(y, m);
        var lastDay = getWeekLastDay(y, m);
        var countDay = getDaysInMonth(y, m);
        var lastcount = getDaysInMonth(y, m - 1); //计算上个月共有的天数
        var dataHtml = "";
        dataHtml += "<ul class='date'>";
        for (var i = firstDay - 1; i >= 0; i--) { //补齐上个月最后几天
            var day = lastcount - i;
            dataHtml += "<li class='dateItem prveDateItem'>" + day + "</li>";
        }
        for (var i = 1; i <= countDay; i++) { //填充当前月数据
            if (i == nowFlag && (m != nowMonth || y != nowYear)) {
                dataHtml += "<li class='dateItem nowDateItem'>" + i + "</li>";
                continue;
            }
            if (i == nowDay && y == nowYear && m == nowMonth) {
                dataHtml += "<li class='dateItem nowDateItem'>" + i + "</li>";
                continue;
            }
            dataHtml += "<li class='dateItem'>" + i + "</li>";
        }
        for (var i = 1; i <= 6 - lastDay; i++) { //填充下个月开始几天
            dataHtml += "<li class='dateItem nextDateItem'>" + i + "</li>";
        }
        dataHtml += "<ul class='date'>";
        $("div.date-wrap").append(dataHtml);
        $("li.dateItem").on("tap", function () { //绑定日期点击事件
            nowFlag = $(this).html();
            nowDay = nowFlag;
            if ($(this).hasClass("nextDateItem")) { //如果点击的是下个月日期则跳转到下月
                if ($(".monthText").html() == 12) { //跨年处理
                    calendarShow(year + 1, 1);
                    year = year + 1;
                    month = 1;
                    $(".yearText").html(year);
                    $(".monthText").html(month);
                    $("ul.date").css("-webkit-animation", "0.5s fadeinRight");
                    return;
                }
                calendarShow(year, month + 1);
                month = month + 1;
                $(".monthText").html(month);
                $("ul.date").css("-webkit-animation", "0.5s fadeinRight");
            }
            if ($(this).hasClass("prveDateItem")) { //如果点击的是上个月则跳转到上个月
                if ($(".monthText").html() == 1) { //跨年处理
                    calendarShow(year - 1, 12);
                    year = year - 1;
                    month = 12;
                    $(".yearText").html(year);
                    $(".monthText").html(month);
                    $("ul.date").css("-webkit-animation", "0.5s fadeinLeft")
                    return;
                }
                calendarShow(year, month - 1);
                month = month - 1;
                $(".monthText").html(month);
                $("ul.date").css("-webkit-animation", "0.5s fadeinLeft")
            }
            if (!$(this).hasClass("nextDateItem")) { //点击日期高亮显示
                $(this).parent().find("li.nowDateItem").removeClass("nowDateItem")
                $(this).addClass("nowDateItem");
            }
        })
    }

    function init() { //初始化日期头部四个按钮图标点击事件以及日期面板滑动事件
        var touchStart;
        var change;
        $("div.date-wrap").on("touchstart", function (e) {
            e.preventDefault();
            touchStart = e.targetTouches[0].pageX;
        });
        $("div.date-wrap").on("touchmove", function (e) {  //面板滑动
            e.preventDefault();
            change = e.targetTouches[0].pageX - touchStart;
            if (change < -40) {
                nowFlag = 1;
                nowDay = 1;
                if ($(".monthText").html() == 12) { //跨年处理
                    calendarShow(year + 1, 1);
                    year = year + 1;
                    month = 1;
                    $(".yearText").html(year);
                    $(".monthText").html(month);
                    $("ul.date").css("-webkit-animation", "0.5s fadeinRight");
                    return;
                }
                calendarShow(year, month + 1);
                month = month + 1;
                $(".monthText").html(month);
                $("ul.date").css("-webkit-animation", "0.5s fadeinRight");
            }
            if (change > 40) {
                nowFlag = 1;
                nowDay = 1;
                if ($(".monthText").html() == 1) {   //跨年处理
                    calendarShow(year - 1, 12);
                    year = year - 1;
                    month = 12;
                    $(".yearText").html(year);
                    $(".monthText").html(month);
                    $("ul.date").css("-webkit-animation", "0.5s fadeinLeft")
                    return;
                }
                calendarShow(year, month - 1);
                month = month - 1;
                $(".monthText").html(month);
                $("ul.date").css("-webkit-animation", "0.5s fadeinLeft");
            }
        });

        $(".yearPrev").on("tap", function () {  //上一年图标点击事件
            nowFlag = 1;
            nowDay = 1;
            calendarShow(year - 1, month);
            year = year - 1;
            $(".yearText").html(year);
            $("ul.date").css("-webkit-animation", "0.5s fadeinLeft")
        })
        $(".yearNext").on("tap", function () {    //下一年图标点击事件
            nowFlag = 1;
            nowDay = 1;
            calendarShow(year + 1, month);
            year = year + 1;
            $(".yearText").html(year);
            $("ul.date").css("-webkit-animation", "0.5s fadeinRight");
        })
        $(".monthPrev").on("tap", function () {   //上一月图标点击事件
            nowFlag = 1;
            nowDay = 1;
            if ($(".monthText").html() == 1) {    //跨年处理
                calendarShow(year - 1, 12);
                year = year - 1;
                month = 12;
                $(".yearText").html(year);
                $(".monthText").html(month);
                $("ul.date").css("-webkit-animation", "0.5s fadeinLeft")
                return;
            }
            calendarShow(year, month - 1);
            month = month - 1;
            $(".monthText").html(month);
            $("ul.date").css("-webkit-animation", "0.5s fadeinLeft")
        })
        $(".monthNext").on("tap", function () {  //下一月图标点击事件
            nowFlag = 1;
            nowDay = 1;
            if ($(".monthText").html() == 12) {      //跨年处理
                calendarShow(year + 1, 1);
                year = year + 1;
                month = 1;
                $(".yearText").html(year);
                $(".monthText").html(month);
                $("ul.date").css("-webkit-animation", "0.5s fadeinRight");
                return;
            }
            calendarShow(year, month + 1);
            month = month + 1;
            $(".monthText").html(month);
            $("ul.date").css("-webkit-animation", "0.5s fadeinRight");
        })
    }

    this.getDate = function () { //获取所选日期
        var s_year = $(".calendarPanelHead .yearText").html();
        var s_month = $(".calendarPanelHead .monthText").html();
        var s_day = $("li.nowDateItem").html();
        return s_year + "-" + s_month + "-" + s_day;
    }
    this.getYear = function () { //获取所选年
        var s_year = $(".calendarPanelHead .yearText").html();
        return s_year;
    }
    this.getMonth = function () { //获取所选月
        var s_month = $(".calendarPanelHead .monthText").html();
        return s_month;
    }
    this.getDay = function () { //获取所选日
        var s_day = $("li.nowDateItem").html();
        return s_day;
    }
    this.show = function () { //日期显示
        createCalendar();
        calendarShow(year, month);
        init();
    }
    this.hide = function () { //日期隐藏
        $(".chui-widget-calendarPanel").css("-webkit-animation", "0.5s fadeoutDown");
        setTimeout(function () {
            $(".chui-widget-calendarPanel").remove();
        }, 500)
    }
    this.cancleClick = function (callback) { //取消按钮点击事件
        $(".chui-widget-calendarPanel #btn-cancel").on("tap", callback);
    }
    this.confirmClick = function (callback) { //确认按钮点击事件
        $(".chui-widget-calendarPanel #btn-ok").on("tap", callback);
    }
}