Zepto(function($) {
    var TIMEOUT_REQ = 4000;
    // 标题
    var $title = $('.title');

    $(".content-scroll, .tip-container").css("top","44px");

    // 加载条控件

    // 通过判断消息的类型，设置页面的标题。 1代表通知公告，2代表图片新闻
    var newsTypeShared = topmobi.native.cache.getSharedValue('news', 'newsType');
    switch(newsTypeShared) {
        case '1':
            $title.html('通知公告');
            break;
        case '2':
            $title.html('图片新闻');
            break;
        case 'Faq':
            $title.html('常见问题');
            break;
        case 'WorkGuide':
            $title.html('办事指南');
            break;
        case 'JobInfo':
            $title.html('就业信息');
            break;
        case 'Help':
            $title.html('帮助说明');
    }
    // 新闻id
    var newsIdShared = topmobi.native.cache.getSharedValue('news', 'newsId');
    request(newsIdShared);

    /**
     * 新闻详细信息数据请求
     * @param id，根据新闻的id请求对应的详情
     */
    function request(id) {
        var data = {
            "handler": "touristGovermentNewsDetailHandler",
            "sub": {
                "newsId": id
            }
        };
        var obj = {
            url: touristUrl,
            data: data,
            success: function(success) {
                var result = success.result ;
                switch (result.code) {
                    case '1000':
                        var $pageWrap = $('.page-wrap');
                        $pageWrap.removeClass('displaynone');
                        $('.page-wrap-title').html(result.data.newsTitle);
                        $('.info-time').html(formatTimeStamp(result.data.newsCrtime));
                        $('.page-wrap-content').html(result.data.newsContent);
                        break;
                    case '4000':
                        showNoData();
                        break;
                }

            },
            fail: function() {
                showNoNet();
            }
        };
        rs_networkRequest(obj);
    }
});
