var pageNum = 1;
var pageSize = 10;
var listData = [{
		"name": "工艺品雕刻工三级",
		"stepType": 1,
		"stepName": "审核中"
	},
	{
		"name": "纺织品工艺师四级",
		"stepType": 2,
		"stepName": "审核通过"
	},
	{
		"name": "纺织品工艺师四级",
		"stepType": 1,
		"stepName": "审核中"
	},
	{
		"name": "纺织品工艺师四级",
		"stepType": 1,
		"stepName": "审核中"
	},
	{
		"name": "纺织品工艺师四级",
		"stepType": 2,
		"stepName": "审核通过"
	}

];
initList();

//MARK 
function initList() {
	mui.init({
		pullRefresh: {
			container: '#list_wrap',
			down: {
				callback: refreshList
			},
			up: {
				contentrefresh: "正在加载...",
				callback: loadMoreList
			}
		}
	});

	refreshList();
}

function refreshList() {
	pageNum = 1;
	setTimeout(function() {
		$(".list_view").html("");

		for(var i = 0; i < listData.length; i++) {
			var orderItem = listData[i];

			var orderItemDom = template("template_list_item", orderItem);
			$(".list_view").append(orderItemDom);
		}

		mui('#list_wrap').pullRefresh().endPulldownToRefresh();
		mui('#list_wrap').pullRefresh().refresh(true);
		mui('#list_wrap').pullRefresh().endPullupToRefresh(false);
	}, 300);
}

function loadMoreList() {
	pageNum += 1;
	setTimeout(function() {
		for(var i = 0; i < listData.length; i++) {
			var orderItem = listData[i];
			var orderItemDom = template("template_list_item", orderItem);

			$(".list_view").append(orderItemDom);
		}

		mui('#list_wrap').pullRefresh().endPullupToRefresh(false);
	}, 1000);
}

$(".add_new").on("touchend", function(e) {
	e.preventDefault();
})

$(".add_new").on("tap", function() {
	var obj = {
		action: {
			android: "gov.my.socialsecurity.htmlactivity.home.UnemploymentInsuranceSubsidyPersonActivity",
			ios: "CHBaseWebViewController"
		},
		windowType: 0,
		params: {
			info: "",
			html: "html_home/unemploymentInsuranceSubsidyApply.html"
		}
	}
	topmobi.native.common.openWindow(obj);
})

$(".list_view").on("touchend", ".listItem", function(e) {
	e.preventDefault();
})

$(".list_view").on("tap", ".listItem", function() {
	var type = $(this).data("type");
	var obj = {
		action: {
			android: "gov.my.socialsecurity.htmlactivity.home.UnemploymentInsuranceSubsidySkillCertifiActivity",
			ios: "CHBaseWebViewController"
		},
		windowType: 0,
		params: {
			info: "",
			html: "html_home/subsidyApplySkillCertificate.html"
		}
	}
	topmobi.native.common.openWindow(obj);
})