$(".back_icon").on("tap", function() {
	topmobi.native.common.closeWindow(0);
})
var firstData = "";
var loginToken = "";

var personNumber = topmobi.native.cache.getSharedValue("user", "personNumber");
var unsrName = topmobi.native.cache.getSharedValue("user", "username");
$(".headText").html(unsrName);
$(".personNumber span").html(personNumber);
var headIcon = topmobi.native.cache.getSharedValue("user", "head_icon");
var picUrl = topmobi.native.cache.getSharedValue("user", "picUrl");
if(picUrl != "" && headIcon != "") {
	$(".headIcon").attr("src", headIcon + randomString);
}else if(picUrl !="" && headIcon == ""){
		$(".headIcon").attr("src", picUrl);
	}
var option = {
	'pullUpState': true,
	'pullDownState': true
};
var pullRefresh = new chui.widget.pullRefresh("#pRefresh", option);
//设置上拉加载更多事件
pullRefresh.pullUp(function() {
	loadMore();
});
pullRefresh.pullDown(function() {
	refreshData();
});
var startIndex = 1;
function noData(){
	$(".noData").css("display", "block");
	pullRefresh.hide();
}
$('.noData').on('tap', function() {
	window.location.reload();
});

function http() {
	loginToken = topmobi.native.cache.getSharedValue("user", "loginToken");
	var dataJson = {
		"handler": "payRecordHandler",
		"token": loginToken,
		"sub": {
			"start": 1,
			"offset": 10,
			"type": "110"
		}
	};
	var obj = {
		url: insuranceUrl,
		data: dataJson,
		isEncrypt:true,
		success: function(data) {
			try {
				var result = data.result;
				switch(result.code) {
					case "1000":
						var len = result.data.length;
						var dataHtml = "";
						firstData = result.data[0].belongTime;
						for(var i = 0; i < len; i++) {
							if(result.data[i].toAccountFlag == 0) {
								dataHtml += template("user-item-0", result.data[i]);
							} else {
								dataHtml += template("user-item-1", result.data[i]);
							}
						}
						$(".headWrap,.listItemCompany").css("display", "block");
						pullRefresh.appendContent(dataHtml);
						pullRefresh.refresh();
						startIndex += len;
						result = JSON.stringify(result);
						break;
					case "4000":
						noData();
						break;
				}
			} catch(e) {
				noData();
				topmobi.native.common.log("lj", "错误：" + e.message);
			}
		},
		fail: function(data) {
			noData();
			topmobi.native.common.showMsg("网络异常", "middle", 1500);
		}
	}
	rs_networkRequest(obj);
}
http();

function refreshData() {
	loginToken = topmobi.native.cache.getSharedValue("user", "loginToken");
	var dataJson = {
		"handler": "payRecordHandler",
		"token": loginToken,
		"sub": {
			"start": 1,
			"offset": 10,
			"type": "110"
		}
	};
	var obj = {
		url: insuranceUrl,
		data: dataJson,
		isEncrypt:true,
		success: function(data) {
			try {
				var result = data.result;
				switch(result.code) {
					case "1000":
						var len = result.data.length;
						var dataHtml = "";
						if(firstData == result.data[0].belongTime) {
							topmobi.native.common.showMsg("已是最新数据", "middle", 1500);
							pullRefresh.refresh();
							return;
						}
						for(var i = 0; i < len; i++) {
							if(result.data[i].toAccountFlag == 0) {
								dataHtml += template("user-item-0", result.data[i]);
							} else {
								dataHtml += template("user-item-1", result.data[i]);
							}
						}
						pullRefresh.addContent(dataHtml);
						pullRefresh.refresh();
						startIndex += len;
						firstData = result.data[0].belongTime;
						result = JSON.stringify(result);
						break;
					case "4000":
						pullRefresh.refresh();
						break;
				}
			} catch(e) {
				topmobi.native.common.log("lj", "错误：" + e.message);
			}
		},
		fail: function(data) {
			pullRefresh.refresh();
			topmobi.native.common.showMsg("网络异常", "middle", 1500);
		}
	}
	rs_networkRequest(obj);
}

function loadMore() {
	loginToken = topmobi.native.cache.getSharedValue("user", "loginToken");
	var dataJson = {
		"handler": "payRecordHandler",
		"token": loginToken,
		"sub": {
			"start": startIndex,
			"offset": 5,
			"type": "110"
		}
	};
	var obj = {
		url: insuranceUrl,
		data: dataJson,
		isEncrypt:true,
		success: function(data) {
			try {
				var result = data.result;
				switch(result.code) {
					case "1000":
						var len = result.data.length;
						var dataHtml = "";
						startIndex += len;
						for(var i = 0; i < len; i++) {
							if(result.data[i].toAccountFlag == 0) {
								dataHtml += template("user-item-0", result.data[i]);
							} else {
								dataHtml += template("user-item-1", result.data[i]);
							}
						}
						pullRefresh.appendContent(dataHtml);
						pullRefresh.refresh();
						result = JSON.stringify(result);
						break;
					case "4000":
						topmobi.native.common.showMsg("无更多数据", "middle", 1500);
						pullRefresh.refresh();
						pullRefresh.scrollToEnd();
						break;
				}
			} catch(e) {
				topmobi.native.common.log("lj", "错误：" + e.message);
			}
		},
		fail: function(data) {

			pullRefresh.refresh();
			topmobi.native.common.showMsg("网络异常", "middle", 1500);
		}
	}
	rs_networkRequest(obj);
}