// 返回
$('.back_icon').on('tap', function() {
	topmobi.native.common.closeWindow(0);
});
$(".institutions").hide();
var username = topmobi.native.cache.getSharedValue("user", "username");
var personNumber = topmobi.native.cache.getSharedValue("user", "personNumber");
var idCardNumber = topmobi.native.cache.getSharedValue("user", "idCardNumber");
$(".headText").html(username);
$(".personNumber span").html(personNumber);
$(".idCardNumber span").html(idCardNumber);
var headIcon = topmobi.native.cache.getSharedValue("user", "head_icon");
var picUrl = topmobi.native.cache.getSharedValue("user", "picUrl");
if(picUrl != "" && headIcon != "") {
	$(".headIcon").attr("src", headIcon + randomString);
}else if(picUrl !="" && headIcon == ""){
		$(".headIcon").attr("src", picUrl);
	}

/*
城镇职工养老
*/
$("#endowmentInsurance").on("tap", function() {
	var obj = {
		action: {
			android: "gov.my.socialsecurity.htmlactivity.home.EndowmentInsuranceCategoryActivity",
			ios: "CHBaseWebViewController"
		},
		windowType: 0,
		params: {
			info: "",
			html:"html_home/endowmentInsurance_category.html"
		}
	}
	topmobi.native.common.openWindow(obj);
})
/*
城乡居民养老
*/
$("#resident-endowmentInsurance").on("tap", function() {
	var obj = {
		action: {
			android: "gov.my.socialsecurity.htmlactivity.home.ResidentInsuranceActivity",
			ios: "CHBaseWebViewController"
		},
		windowType: 0,
		params: {
			info: "",
			html:"html_home/residentInsurance_query.html"
		}
	}
	topmobi.native.common.openWindow(obj);
})
/*
机关事业养老
*/
$("#institutions-endowmentInsurance").on("tap", function() {
	var obj = {
		action: {
			android: "gov.my.socialsecurity.htmlactivity.home.InstitutionInsuranceActivity",
			ios: "CHBaseWebViewController"
		},
		windowType: 0,
		params: {
			info: "",
			html:"/insurance-query/gov-endowment.html"
			// html:"html_home/institutionsInsurance_query.html"
		}
	}
	topmobi.native.common.openWindow(obj);
})
/*
城镇医疗
*/
$("#medicalInsurance").on("tap", function() {
	var obj = {
		action: {
			android: "gov.my.socialsecurity.htmlactivity.home.MedicalInsuranceCategoryActivity",
			ios: "CHBaseWebViewController"
		},
		windowType: 0,
		params: {
			info: "",
			html:"html_home/medicalInsurance_category.html"
		}
	}
	topmobi.native.common.openWindow(obj);
})
/*
城乡居民医疗
*/
$("#resident-medicalInsurance").on("tap", function() {
	var obj = {
    action: {
      android: "gov.my.socialsecurity.htmlactivity.home.ResMedicalInsQueryActivity",
      ios: "CHBaseWebViewController"
    },
    windowType: 0,
    params: {
      info: "",
      html:"html_home/resMedicalInsQuery.html"
    }
  }
  topmobi.native.common.openWindow(obj);
})
/*
工伤保险
*/
$("#employmentInjuryInsurance").on("tap", function() {
	var obj = {
		action: {
			android: "gov.my.socialsecurity.htmlactivity.home.EmploymentInjuryInsuranceCategoryActivity",
			ios: "CHBaseWebViewController"
		},
		windowType: 0,
		params: {
			info: "",
			html:"html_home/employmentInjuryInsurance_category.html"
		}
	}
	topmobi.native.common.openWindow(obj);
})
/*
生育保险
*/
$("#maternityInsurance").on("tap", function() {
	var obj = {
		action: {
			android: "gov.my.socialsecurity.htmlactivity.home.MaternityInsuranceCategotyActivity",
			ios: "CHBaseWebViewController"
		},
		windowType: 0,
		params: {
			info: "",
			html:"html_home/maternityInsurance_categoty.html"
		}
	}
	topmobi.native.common.openWindow(obj);
})
/*
失业保险
*/
$("#unemploymentInsurance").on("tap", function() {
	var obj = {
		action: {
			android: "gov.my.socialsecurity.htmlactivity.home.UnemploymentInsuranceCategoryActivity",
			ios: "CHBaseWebViewController"
		},
		windowType: 0,
		params: {
			info: "",
			html:"html_home/unemploymentInsurance_category.html"
		}
	}
	topmobi.native.common.openWindow(obj);
})
getInfo();

function getInfo() {

	topmobi.native.cache.putSharedValue('institution', 'name', "");//个人姓名
	topmobi.native.cache.putSharedValue('institution', 'sex', "");//个人性别
	topmobi.native.cache.putSharedValue('institution', 'minzu', "");//个人民族
	topmobi.native.cache.putSharedValue('institution', 'personalCode', "");//个人编号
	topmobi.native.cache.putSharedValue('institution', 'startTime', "");//个人姓名
	topmobi.native.cache.putSharedValue('institution', 'endTime', "");//个人性别
	topmobi.native.cache.putSharedValue('institution', 'retirement', "");//是否退休
	var loginToken = topmobi.native.cache.getSharedValue("user", "loginToken");
	var dataJson = {
		"handler": "jiguanBaseInfoHandler",
		"token": loginToken,
	};
	var obj = {
		url: insuranceUrl,
		timeout:20000,
		data: dataJson,
		isEncrypt: true,
		success: function(data) {
			try {
				var result = data.result;
				if(result.code == 1000) {
					var resultInfo=result.data[0];
					topmobi.native.cache.putSharedValue('institution', 'name', resultInfo.aac003);//个人姓名
					topmobi.native.cache.putSharedValue('institution', 'sex', resultInfo.aac004);//个人性别
					topmobi.native.cache.putSharedValue('institution', 'minzu', resultInfo.aac005);//个人民族
					topmobi.native.cache.putSharedValue('institution', 'personalCode', resultInfo.aac001);//个人编号
					topmobi.native.cache.putSharedValue('institution', 'startTime', resultInfo.aae041);//启缴时间
					topmobi.native.cache.putSharedValue('institution', 'endTime', resultInfo.aae042);//缴费截止时间
					topmobi.native.cache.putSharedValue('institution', 'retirement', resultInfo.aac084);//是否退休
					// unitName=resultInfo.aae044;//单位编号
					$(".institutions").show();

				} else {
					$(".institutions").hide();
					// topmobi.native.common.showMsg(result.message || "查询出错", "middle", 1500);
				}
			} catch(e) {
				topmobi.native.common.log("lj", "错误：" + e.message);
				$(".institutions").hide();
			}
		},
		fail: function(data) {
			if(!!data.msg) {
				$(".institutions").hide();
				// topmobi.native.common.showMsg(data.msg, "middle", 1500);
			} else {
				$(".institutions").hide();
				// topmobi.native.common.showMsg("网络异常，请检查网络", "middle", 1500);
			}
		}
	}
	rs_networkRequest(obj);
}
getPersonInfo();
function getPersonInfo() {
	loginToken = topmobi.native.cache.getSharedValue("user", "loginToken");
	var dataJson = {
		"handler": "showUserInfoHandler",
		"token": loginToken
	};
	var obj = {
		url: insuranceUrl,
		data: dataJson,
		isEncrypt:true,
		success: function(data) {
			try {
				var result = data.result;
				switch (result.code) {
					case "1000":
						var companyName = result.data.companyName;
						var insuredTime = result.data.insuredTime;
						insuredTime = insuredTime.slice(0, 10);
						var insuredState = result.data.insuredState;
            var adminNum = result.data.adminNum;//参保机构
            // 存储参保机构代码，导出对账单要用
            topmobi.native.cache.putSharedValue('user', 'aab034', result.data.aab034)
            // 存储参保状态，用于是否显示“养老金发放明细”和“养老金发放账户信息”
            topmobi.native.cache.putSharedValue('user', 'insuredState', insuredState);
						switch (insuredState) {
							case "0":
								insuredState = "未参保";
								break;
							case "1":
								insuredState = "在职";
								break;
							case "2":
								insuredState = "退休";
								break;
							case "3":
								insuredState = "转出";
								break;
							case "1":
								insuredState = "终止";
								break;
						}
						$("#unitName").html(companyName);
						$("#insuranceAgencies").html(adminNum);
						$("#insuranceAgenciesTime").html(insuredTime);
						$("#workState").html(insuredState);
						break;
					case "4000":
						break;
				}
			} catch (e) {
				topmobi.native.common.log("lj", "错误：" + e.message);
			}
		},
		fail: function(data) {
			topmobi.native.common.showMsg("网络异常", "middle", 1500);
		}
	}
	rs_networkRequest(obj);
}
