var filePath_front_url = "";
var filePath_opposite_url = "";
var companyName = "";
var address = "";
var phoneNumber = "";
var idNumber = topmobi.native.cache.getSharedValue("newApply", "idNumber");
var nickName = topmobi.native.cache.getSharedValue("newApply", "nickName");
var filePath_opposite = topmobi.native.cache.getSharedValue("newApply", "pictureOpposite");
var filePath_front = topmobi.native.cache.getSharedValue("newApply", "pictureFront");

$(".back_icon").on("tap", function() {
	topmobi.native.common.closeWindow(0);
})

//提交申请
$(".submit_btn").on("tap",function(){
	companyName = $(".companyNameInputText").val();
	address = $(".addressInputText").val();
	phoneNumber = $(".phoneNumberInputText").val();
	
	if (companyName != "" && address != "" && phoneNumber != "") {
		if(companyName.length>25){
			topmobi.native.common.showMsg("公司名称限25个字符!", "middle", 1500);
			return;
		}else if(address.length>25){
			topmobi.native.common.showMsg("住宅地址限25个字符!", "middle", 1500);
			return;
		}else if(!checkPhone(phoneNumber)){
			topmobi.native.common.showMsg("电话号码格式不正确", "middle", 1500);
			return;
		}
		
        uploadPicture();
	} else {
		topmobi.native.common.showMsg("请填入完整信息!", "middle", 1500);
	}
})
//上传身份证图片
function uploadPicture() {
	showLoading();
	var params = "";
	var oppositeObj = {
		success: function(data) {
			filePath_opposite_url = data.msg.data;
			newApplyfor();
		},
		fail: function(data) {
			hideLoading();
			$(".submit_btn").html("提交申请");
			topmobi.native.common.showMsg("上传身份证图片失败", "middle", 1500);
		}
	};
	var frontObj = {
		success: function(data) {
			filePath_front_url = data.msg.data;
			topmobi.extends.uploader.uploadFile(touristFileUrl, filePath_opposite, params, oppositeObj);
		},
		fail: function(data) {
			hideLoading();
			$(".submit_btn").html("提交申请");
			topmobi.native.common.showMsg("上传身份证图片失败", "middle", 1500);
		}
	};
	topmobi.extends.uploader.uploadFile(touristFileUrl, filePath_front, params, frontObj);
}

function newApplyfor() {
	var dataJson = {
		"handler": "newinsuredInfoAddHandler",
		"sub": {
			"frontUrl": filePath_front_url,
			"backUrl": filePath_opposite_url,
			"identityNum": idNumber,
			"companyName": companyName,
			"address": address,
			"tel": phoneNumber,
			"uname": nickName
		}
	};
	var obj = {
		url: orignalUrl,
		data: dataJson,
		isEncrypt: true,
		success: function(data) {
			hideLoading();
			try {
				var result = data.result;
				switch (result.code) {
					case "1000":
						topmobi.native.common.showMsg("申请信息提交成功,请等待审核", "middle", 2000);
						$(".submit_btn").html("提交申请");
						myJsInterface.goToHome("0");
						break;
				}
				result = JSON.stringify(result);
			} catch (e) {
				$(".submit_btn").html("提交申请");
				topmobi.native.common.log("lj", "错误：" + e.message);
			}
		},
		fail: function(data) {
			hideLoading();
			$(".submit_btn").html("提交申请");
			topmobi.native.common.showMsg("网络异常", "middle", 1500);
		}
	}
	rs_networkRequest(obj);
}


