	$("#contentWrap").css("top","44px");
	$(".back_icon").on("tap", function() {
		topmobi.native.common.closeWindow(0);
	})
	
	var loginToken = "";
	var personNumber = topmobi.native.cache.getSharedValue("user", "personNumber");
	var ratio_update = "";
	
	function findWithholdingAgreement() {
		loginToken = topmobi.native.cache.getSharedValue("user", "loginToken");
		var dataJson = {
			"handler": "findWithholdingAgreementHandler",
			"token": loginToken
		};
		var obj = {
			url: insuranceUrl,
			data: dataJson,
			isEncrypt:true,
			success: function(data) {
				try {
					var result = data.result;
					switch (result.code) {
						case "1000":
							if (result.data.isRetire == "1") {
								$(".textNoChecked-icon,.textNoChecked").css("display", "block");
								$(".textNoChecked").html("您好，您是离退休人员，无需申请变更代扣比例。");
							} else {
								if (result.data.isAgreementSigned == "1") {
									$("#contentWrap").css("display", "block");
									$(".textCheckedInfo").html("您好，您目前选择的社保代扣比例为" + result.data.proportion * 100 + "%");
									initData();
								} else {
									$(".textNoChecked-icon,.textNoChecked").css("display", "block");
									$(".textNoChecked").html("您好，您尚未签订社保代扣协议，请先在社保机构完成《城乡居民基本养老保险费代扣代缴协议书》签署。");
								}
							}
							break;
						case "4000":
							$(".textNoChecked-icon,.textNoChecked").css("display", "block");
							$(".textNoChecked").html("您好，您尚未签订社保代扣协议，请先在社保机构完成《城乡居民基本养老保险费代扣代缴协议书》签署。");
							break;
					}
				} catch (e) {
					topmobi.native.common.log("lj", "错误：" + e.message);
				}
			},
			fail: function(data) {
				topmobi.native.common.showMsg("网络异常", "middle", 1500);
			}
		}
		rs_networkRequest(obj);
	}
findWithholdingAgreement();
	function updateWithholdingAgreementHandler() {
		loginToken = topmobi.native.cache.getSharedValue("user", "loginToken");
		var dataJson = {
			"handler": "updateWithholdingAgreementHandler",
			"token": loginToken,
			"sub": {
				"proportionType": ratio_update
			}
		};
		var obj = {
			url: reprocessUrl,
			data: dataJson,
			isEncrypt:true,
			success: function(data) {
				try {
					var result = data.result;
					switch (result.code) {
						case "1000":
							topmobi.native.common.showMsg("修改成功!", "middle", 1500);
							break;
						case "2000":
							topmobi.native.common.showMsg("修改失败!", "middle", 1500);
							break;
					}
				} catch (e) {
					topmobi.native.common.log("lj", "错误：" + e.message);
				}
			},
			fail: function(data) {
				topmobi.native.common.showMsg("网络异常", "middle", 1500);
			}
		}
		rs_networkRequest(obj);
	}

	function initData() {
		var radio_4Type = new topmobi.widget.radio(".radio-4Type", {
			name: "radio",
			text: "45%"
		}, "ch_ui_radio");
		var radio_5Type = new topmobi.widget.radio(".radio-5Type", {
			name: "radio",
			text: "50%"
		}, "ch_ui_radio");
		var radio_6Type = new topmobi.widget.radio(".radio-6Type", {
			name: "radio",
			text: "60%"
		}, "ch_ui_radio");
		var radio_7Type = new topmobi.widget.radio(".radio-7Type", {
			name: "radio",
			text: "70%"
		}, "ch_ui_radio");
		var radio_8Type = new topmobi.widget.radio(".radio-8Type", {
			name: "radio",
			text: "80%"
		}, "ch_ui_radio");
		var radio_9Type = new topmobi.widget.radio(".radio-9Type", {
			name: "radio",
			text: "90%"
		}, "ch_ui_radio");
		var radio_10Type = new topmobi.widget.radio(".radio-10Type", {
			name: "radio",
			text: "100%"
		}, "ch_ui_radio");
		var $confirm_btn = $(".confirm_btn");
		radio_4Type.click(function() {
			ratio_update = "_4Type";
		})
		radio_5Type.click(function() {
			ratio_update = "_5Type";
		})
		radio_6Type.click(function() {
			ratio_update = "_6Type";
		})
		radio_7Type.click(function() {
			ratio_update = "_7Type";
		})
		radio_8Type.click(function() {
			ratio_update = "_8Type";
		})
		radio_9Type.click(function() {
			ratio_update = "_9Type";
		})
		radio_10Type.click(function() {
			ratio_update = "_1Type";
		})
		$confirm_btn.on("taps",function() {
			updateWithholdingAgreementHandler()
		})
	}