// var el_imgCode = $(".imgCode");
var $next_btn = $(".next_btn");
var macAddress = topmobi.native.cache.getSharedValue("user", "macAddress");
if (macAddress == "") {
	var macObj = {
		success: function(data) {
			macAddress = data.result.deviceId;
			topmobi.native.cache.putSharedValue("user", "macAddress", macAddress);
		},
		fail: function(data) {}
	};
	topmobi.native.common.getDeviceInfo(macObj);
}
// el_imgCode.attr("src", touristImgCodeUrl + macAddress);
// el_imgCode.on("tap", function() {
// 	el_imgCode.attr("src", touristImgCodeUrl + macAddress+Math.round(Math.random() * 10000));
// })
// el_imgCode.error(function(){
//     el_imgCode.attr("src", touristImgCodeUrl + macAddress+Math.round(Math.random() * 10000));
// });
// $(".getImgCode").on("tap", function() {
// 	randomString();
// })
var phoneNumber = "";
var imgCode = "";
var smsCode = "";
var t = 60;
var timer;
$next_btn.on("tap",function() {
	smsCode = $(".smsCodeInput").val();
	phoneNumber = $(".phoneNumberInput").val();
	imgCode = $(".imgCodeInput").val();
	if (phoneNumber == "") {
		topmobi.native.common.showMsg("手机号码不能为空!", "middle", 1500);
		return;
	} else if (!checkPhone(phoneNumber)) {
		topmobi.native.common.showMsg("手机号码不正确!", "middle", 1500);
		return;
	} else if (imgCode == "") {
		topmobi.native.common.showMsg("图片验证码不能为空!", "middle", 1500);
		return;
	} else if (smsCode == "") {
		topmobi.native.common.showMsg("短信验证码不能为空!", "middle", 1500);
		return;
	}else if(!isNum(smsCode)){
		topmobi.native.common.showMsg("短信验证码只能为数字!", "middle", 1500);
		return;
	}
	checkSms();
})

function showTime() {
	$(".getSmsCode").html(t + "秒");
	if (t != 0) {
		timer = setTimeout(function() {
			showTime();
		}, 1000)
	} else {
		$(".getSmsCode").html("重发");
		clearTimeout(timer);
		t = 60;
	}
	t = t - 1;
}
$(".getSmsCode").on("tap", function() {
	phoneNumber = $(".phoneNumberInput").val();
	imgCode = $(".imgCodeInput").val();
	if (phoneNumber != "") {
		if (checkPhone(phoneNumber)) {
			if (imgCode != "") {
				if ($(".getSmsCode").html() == "重发" || $(".getSmsCode").html() == "获取验证码") {
					getSms();
				}
			} else {
				topmobi.native.common.showMsg("图片验证码不能为空!", "middle", 1500);
			}
		} else {
			topmobi.native.common.showMsg("手机号码不正确!", "middle", 1500);
		}
	} else {
		topmobi.native.common.showMsg("手机号不能为空!", "middle", 1500);
	}
})
$(".back_icon").on("tap", function() {
	topmobi.native.common.closeWindow(0);
})

function getSms() {
	var dataJson = {
		"handler": "getVerifyCodeHandler",
		"sub": {
			"phoneNum": phoneNumber,
			"macId":macAddress,
			// "imageCode":imgCode
		}
	};
	var obj = {
		url: orignalUrl,
		data: dataJson,
		isEncrypt:true,
		success: function(data) {
			try {
				var result = data.result;
				switch (result.code) {
					case "1000":
            topmobi.native.common.showMsg("发送成功", "middle", 1500);
            showTime();
						break;
					case "3006":
						topmobi.native.common.showMsg("验证码今日次数已达上限,请明日再试", "middle", 1500);
						break;
					// case "3012":
					// 	$(".getSmsCode").html("获取验证码");
					// 	clearTimeout(timer);
					// 	t = 60;
					// 	topmobi.native.common.showMsg("图片验证码错误!", "middle", 1500);
					// 	el_imgCode.attr("src", touristImgCodeUrl + macAddress);
					// 	break;
				}
			} catch (e) {
				topmobi.native.common.log("lj", "错误：" + e.message);
			}
		},
		fail: function(data) {
			topmobi.native.common.showMsg("网络异常", "middle", 1500);
		}
	}
	rs_networkRequest(obj);
}

function checkSms() {
	var dataJson = {
		"handler": "checkVerifyCodeHandler",
		"sub": {
			"phoneNum": phoneNumber,
			"verifyCode": smsCode
		}
	};
	var obj = {
		url: orignalUrl,
		data: dataJson,
		isEncrypt:true,
		success: function(data) {
			try {
				var result = data.result;
				switch (result.code) {
					case "1000":
						var obj = {
							action: {
								android: "gov.my.socialsecurity.htmlactivity.home.ResetPasswordActivity",
								ios: "CHBaseWebViewController"
							},
							windowType: 0,
							params: {
								info: "",
								html:"html_home/resetPassword.html"
							}
						}
						$(".getSmsCode").html("获取验证码");
						clearTimeout(timer);
						t = 60;
						topmobi.native.cache.putSharedValue("forgetPassword", "phoneNumber", phoneNumber);
						topmobi.native.cache.putSharedValue("user", "smsCode", smsCode);
						topmobi.native.common.openWindow(obj);
						break;
					case "3004":
						// el_imgCode.attr("src", touristImgCodeUrl + macAddress);
						topmobi.native.common.showMsg("短信验证码错误", "middle", 1500);
						break;
				}
			} catch (e) {
				topmobi.native.common.log("lj", "错误：" + e.message);
			}
		},
		fail: function(data) {
			topmobi.native.common.showMsg("网络异常", "middle", 1500);
		}
	}
	rs_networkRequest(obj);
}