 $(".back_icon").off("tap");
 $('.back_icon').on('tap', function() {
 	history.back();
 });

 var token = topmobi.native.cache.getSharedValue("user", "loginToken");
 var personInfo = JSON.parse(getQuery("value"));
 getList();

 function getList() {
 	var dataJson = {
 		"handler": "retireForecastHandler",
 		"token": token,
 		"sub": {
 			"name": personInfo.name,
 			"retireDate": personInfo.retirementTime,
 			"baseIncreaseRatio": personInfo.baseRatio,
 			"paymentRatio": personInfo.paymentRatio,
 			"identityNum": personInfo.idCardNumber
 		}
 	};
 	var obj = {
 		url: insuranceUrl,
 		timeout: 20000,
 		data: dataJson,
 		isEncrypt: true,
 		success: function(data) {
 			hideLoading();
 			try {
 				var result = data.result;
 				if(result.code == '1000') {
 					console.log(result.msg);
 					var msg = JSON.parse(result.msg);
 					var resultHtml = "";
 					var amount = 0;
 					for(var key in msg) {
 						resultHtml = resultHtml + '<div class="listItem flex_box_h flex_box_v_center">';
 						resultHtml = resultHtml + '<span class="itemText">' + key + '</span>';
 						resultHtml = resultHtml + '<span class="itemRightText">¥ ' + msg[key] + '</span>';
 						resultHtml = resultHtml + '</div>';
 						amount += parseFloat(msg[key]);
 					}
 					resultHtml = resultHtml + '<div class="listItem flex_box_h flex_box_v_center">';
 					resultHtml = resultHtml + '<span class="itemText"></span>';
 					resultHtml = resultHtml + '<span class="itemRightText">养老金合计：¥ ' + amount.toFixed(2) + '</span>';
 					resultHtml = resultHtml + '</div>';
 					$(".record_list").append(resultHtml);
 				} else if(result.code == '2000') {
 					topmobi.native.common.showMsg(result.msg || "测算失败！", "middle", 5000);
 				} else {
 					topmobi.native.common.showMsg(result.msg || "测算失败！", "middle", 5000);
 				}
 			} catch(e) {
 				topmobi.native.common.log("wyy", "错误：" + e.message);
 			}
 		},
 		fail: function(data) {
 			if(!!data.msg) {
 				topmobi.native.common.showMsg(data.msg, "middle", 1500);
 			} else {
 				topmobi.native.common.showMsg("网络异常，请检查网络", "middle", 1500);
 			}
 		}
 	}
 	rs_networkRequest(obj);
 }