$(function() {
	$(".back_icon").off("tap");
	$('.back_icon').on('tap', function() {
    topmobi.native.common.closeWindow(0);
  });
	var phoneNumber = topmobi.native.cache.getSharedValue("user", "phoneNumber");
	var securityType = topmobi.native.cache.getSharedValue("temp", "payInsuranceType");
	if(securityType == "110"){
		$(".title").html("城镇职工养老保险");
	} 
	if(securityType == "310"){
		$(".title").html("城镇职工医疗保险");
	} 
	if(securityType == '390'){
		$(".title").html("城乡居民医疗保险");
	} 
	var orderData = [];
  var payState = 0;  // 0：待缴费  1：已缴费
  var payResult = topmobi.native.cache.getSharedValue('temp', 'payResult');
  if (payResult == 'true') {
    $(".tab-wrap .tab-item[data-state='1']")
      .addClass('active')
      .siblings()
      .removeClass('active');
    payState = 1;
    topmobi.native.cache.removeSharedValue('temp', 'payResult');
  }
	$(".tab-wrap").on("tap", ".tab-item", function() {
		$(this).addClass("active").siblings().removeClass("active");
		payState = $(this).data("state");
		refreshOrderList();
	})
//	mui.init({
//		pullRefresh: {
//			container: '#orderlist_wrap',
//			down: {
//				callback: refreshOrderList
//			},
//			up: {
//				contentrefresh: "正在加载...",
//				callback: loadMoreOrderList
//			}
//		}
//	});
	refreshOrderList();

	$(".order-list").on("tap",".payText",function() {
		var nowIndex = $(this).parents(".payment-item-wrap").index();
		topmobi.native.cache.putSharedValue("temp", "pendingOrderInfo",JSON.stringify(orderData[nowIndex]));
		window.location.href = "./socialSecurityPay_cancelDeclare.html";
	})
	$(".order-list").on("tap",".pendingText",function() {
		topmobi.native.common.showMsg("上账失败,请前往社保大厅确认处理", "middle", 3500);
	})
	
	$(".add_btn").on("touchend", function(e) {
		e.preventDefault();
	})
	
	$(".add_btn").on("tap", function() {
		var photoHtml = "<div class='mask'></div>";
		photoHtml += "<div class='popupWindow_head'>";
		photoHtml += "<div class='selfPay'>为本人缴费</div>";
		photoHtml += "<div class='friendPay'>为亲友缴费</div>";
		photoHtml += "<div class='cancel'>取消</div>";
		photoHtml += "</div>";
		$("body").append(photoHtml);
		$(".selfPay").on("click", function() {
			$(".mask").remove();
			$(".popupWindow_head").remove();
			topmobi.native.cache.putSharedValue("temp", "isFriend","false");
			window.location.href = "./socialSecurityPay_confirmPayAccount.html";
		});
		$(".friendPay").on("click", function() {
			$(".mask").remove();
			$(".popupWindow_head").remove();
			topmobi.native.cache.putSharedValue("temp", "isFriend","true");
			window.location.href = "./socialSecurityPay_friendList.html";
		});
		$(".cancel").on("click", function() {
			$(".mask").remove();
			$(".popupWindow_head").remove();
		});
	})
	function refreshOrderList() {
		var obj = {
			url: renshe2ApiUrl + "payment/query/declaration/"+phoneNumber+"/"+payState+"/"+securityType,
			method: "get",
			isEncrypt: true,
			success: function(data) {
				try {
					var result = data.result;
					if(!!result.statusCode && result.statusCode == 200) {
						if(!result.result){
//							topmobi.native.common.showMsg("暂无数据", "middle", 1500);
							$(".order-list").html(template("noData", {}));
							return;
						}
						orderData = JSON.parse(result.result);
						if(orderData.length == 0){
//							topmobi.native.common.showMsg("暂无数据", "middle", 1500);
							$(".order-list").html(template("noData", {}));
							return;
						}
						if(payState==0){
							$(".order-list").html(template("pending-item", JSON.parse(result.result)));
						}else{
							$(".order-list").html(template("payment-item", JSON.parse(result.result)));
						}

//						mui('#orderlist_wrap').pullRefresh().endPulldownToRefresh();
//						mui('#orderlist_wrap').pullRefresh().refresh(true);
//						mui('#orderlist_wrap').pullRefresh().endPullupToRefresh(false);
					}
				} catch(e) {
				}
			},
			fail: function(data) {
				if(!!data.result && !!data.result.message) {
					//平台出错将错误信息写入data.result.message
					topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSocialSecurityPay);
				} else if(!!data.msg) {
					topmobi.native.common.showMsg(data.msg, "middle", toastTimeForSocialSecurityPay);
				} else {
					topmobi.native.common.showMsg("网络异常，请检查网络", "middle", 1500);
				}
			}
		}
		rs_networkRequest(obj);
	}
})