$(function() {
	$(".back_icon").off("tap");
	$('.back_icon').on('tap', function() {
		history.back();
	});
	var pendingOrderInfo = topmobi.native.cache.getSharedValue("temp", "pendingOrderInfo");
	pendingOrderInfo = JSON.parse(pendingOrderInfo);
	if(!!pendingOrderInfo.orderNo) {
		$(".confirm_btn").show();
	}
	$(".name").html(pendingOrderInfo.aac003);
	$(".cardNo").html(pendingOrderInfo.aac001 || pendingOrderInfo.yac100); ////如果是居民医保，社保好取户主社保号 ,如果是职工养老和医保，社保号取个人社保号
	$(".area").html(getKeyWithValue("AAB034", pendingOrderInfo.aab034));
	$(".unitName").html(pendingOrderInfo.aab001);
	if(pendingOrderInfo.aae140 == "110") {
		$(".paymentLevel").html((parseFloat(pendingOrderInfo.jfdc) * 100) + "%");
		$("#paymentLevel-item").show();
	}
	if(pendingOrderInfo.aae140 == "390") {
		$("#yearly-item").show();
		$("#jfrs-item").show();
		$(".yearly").html(pendingOrderInfo.aae001);
		$(".jfrs").html(pendingOrderInfo.jfrs);
	} else {
		$("#startTime-item").show();
		$("#endTime-item").show();
		$(".startTime").html(pendingOrderInfo.aae04142.split("-")[0]);
		$(".endTime").html(pendingOrderInfo.aae04142.split("-")[1]);
	}
	$(".account").html(pendingOrderInfo.jfje);
	$(".confirm_btn").on("tap", function() {
		checkOrder();
	})
	$(".cancel_btn").on("tap", function() {
		cancelDeclaration();
	})

	function checkOrder() {
		var insuranceNumber = "";
		if(pendingOrderInfo.aae140 == "390") {
			insuranceNumber = pendingOrderInfo.yac100
		} else {
			insuranceNumber = pendingOrderInfo.aac001;
		}
		var dataJson = {
			"aaz010": insuranceNumber, //个人编号
			"yaz100": pendingOrderInfo.yae749, //申报单号
			"aae140": pendingOrderInfo.aae140, //险种
		}
		var obj = {
			url: renshe2ApiUrl + "payment/status/query",
			method: "post",
			data: dataJson,
			isEncrypt: true,
			success: function(data) {
				try {
					var result = data.result;
					if(!!result.statusCode && (result.statusCode == 201 || (result.statusCode == 200 && result.message == "请求成功"))) {
						var status = JSON.parse(result.result).status;
						if(status == "0") {
							topmobi.native.cache.putSharedValue("temp", "payOrder", JSON.stringify(pendingOrderInfo));
							var obj = {
								action: {
									android: "gov.my.socialsecurity.htmlactivity.home.H5PayActivity",
									ios: "CHBaseWebViewController"
								},
								windowType: 0,
								params: {
									info: "",
									html: "html_home/h5Pay.html"
								}
							}
							topmobi.native.common.openWindow(obj);
						} else if(status == "-1") {
							topmobi.native.common.showMsg("订单已失效，不能继续支付，请撤销后重新申报", "middle", toastTimeForSocialSecurityPay);
						} else if(status == "1" || status == "X" || status == "x") {
							topmobi.native.common.showMsg("订单已完成缴费，无需再次进行缴费", "middle", toastTimeForSocialSecurityPay);
						}
					} else {
						topmobi.native.common.showMsg(result.message || "撤销失败", "middle", toastTimeForSocialSecurityPay);
					}
				} catch(e) {}
			},
			fail: function(data) {
				if(!!data.result && !!data.result.message) {
					//平台出错将错误信息写入data.result.message
					topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSocialSecurityPay);
				} else if(!!data.msg) {
					topmobi.native.common.showMsg(data.msg, "middle", toastTimeForSocialSecurityPay);
				} else {
					topmobi.native.common.showMsg("网络异常，请检查网络", "middle", 1500);
				}
			}
		}
		rs_networkRequest(obj);
	}

	function cancelDeclaration() {
		var insuranceNumber = "";
		if(pendingOrderInfo.aae140 == "390") {
			insuranceNumber = pendingOrderInfo.yac100
		} else {
			insuranceNumber = pendingOrderInfo.aac001;
		}
		var dataJson = {
			"aac001": insuranceNumber, //个人编号
			"yae749": pendingOrderInfo.yae749, //订单流水号
			"dyfwylsh": pendingOrderInfo.dyfwylsh, //唯一流水号
		}
		var obj = {
			url: renshe2ApiUrl + "payment/cancel",
			method: "post",
			data: dataJson,
			isEncrypt: true,
			success: function(data) {
				try {
					var result = data.result;
					if(!!result.statusCode && (result.statusCode == 201 || (result.statusCode == 200 && result.message == "请求成功"))) {
						topmobi.native.common.showMsg("撤销成功", "middle", 1500);
						history.back();
					} else {
						topmobi.native.common.showMsg(result.message || "撤销失败", "middle", toastTimeForSocialSecurityPay);
					}
				} catch(e) {}
			},
			fail: function(data) {
				if(!!data.result && !!data.result.message) {
					//平台出错将错误信息写入data.result.message
					topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSocialSecurityPay);
				} else if(!!data.msg) {
					topmobi.native.common.showMsg(data.msg, "middle", toastTimeForSocialSecurityPay);
				} else {
					topmobi.native.common.showMsg("网络异常，请检查网络", "middle", 1500);
				}
			}
		}
		rs_networkRequest(obj);
	}
})