$(function() {
	$(".back_icon").off("tap");
	$('.back_icon').on('tap', function() {
		history.back();
	});
	var phoneNumber = topmobi.native.cache.getSharedValue("user", "phoneNumber");
	var confirmPayAccount = topmobi.native.cache.getSharedValue("temp", "confirmPayAccount");
	confirmPayAccount = JSON.parse(confirmPayAccount);
	var payInsuranceType = topmobi.native.cache.getSharedValue("temp", "payInsuranceType");
	if(payInsuranceType == "110") {
		$("#paymentLevel-item").show();
	}
	if(payInsuranceType == "390") {
		$("#yearly-item").show();
		$(".yearly").html(confirmPayAccount.year);
		$(".cardNo").html(confirmPayAccount.yac100); //居民医保社保号显示yac100
	} else {
		var startMonth = "01";
		var tempTime = confirmPayAccount.yae097;
		if(!!tempTime) {
			var nowYear = new Date().getFullYear();
			var startYear = tempTime.slice(0, 4);
			if(nowYear == startYear) {
				startMonth = tempTime.slice(4, tempTime.length)
				startMonth = parseInt(startMonth) + 1;
				if(startMonth < 10) {
					startMonth = "0" + startMonth;
				}
			}
		}
		$("#startTime-item").show();
		$("#endTime-item").show();
		$(".startTime").html(new Date().getFullYear() + "-" + startMonth);
		$(".endTime").html(new Date().getFullYear() + "-12");
		$(".cardNo").html(confirmPayAccount.aac001); //职工养老和医保社保号显示aac001
	}
	$(".name").html(confirmPayAccount.aac003);
	$(".area").html(getKeyWithValue("AAB034", confirmPayAccount.aab034));
	$(".unitName").html(confirmPayAccount.aab004 || "无");
	var payLevel = "";
	var yearly = "";
	var startTime = "";
	var endTime = "";
	var serialNumber = "";
	/* * 缴费档次 */
	var ARR_paymentLevel = ["100%以上请到社保大厅窗口缴费","100%","90%","80%","70%","60%","50%","45%"];
	var options1 = {
		data: ARR_paymentLevel,
		title: '请选择',
		duration: 300
	};
	$("#paymentLevel-item").on("tap", function() {
		var actionSheet = new topmobi.widget.actionSheetDialog(options1);
		actionSheet.setItemClick(function(index) {
			if(index == 0){
				actionSheet.remove();
				topmobi.native.common.showMsg("缴费档次超过100%，请到社保大厅窗口缴纳！", "middle", 2000);
			} else {
				$(".paymentLevel").html(options1.data[index]);
				actionSheet.remove();
			}
		});
	})

//	$("#yearly-item").on("tap", function() {
//		var nowYear = new Date().getFullYear();
//		var ARR_payYear = [nowYear, nowYear + 1];
//		var options = {
//			data: ARR_payYear,
//			title: '请选择',
//			duration: 300
//		};
//		var actionSheet = new topmobi.widget.actionSheetDialog(options);
//		actionSheet.setItemClick(function(index) {
//			$(".yearly").html(options.data[index]);
//			actionSheet.remove();
//		});
//	})

	$(".confirm_btn").on("tap", function() {
		payLevel = $(".paymentLevel").html();
		if(payInsuranceType == "390") {
			yearly = $(".yearly").html();
		} else {
			startTime = $(".startTime").html();
			endTime = $(".endTime").html();
		}
		if((payLevel == "--请选择--" || payLevel == "") && payInsuranceType == "110") {
			topmobi.native.common.showMsg("请选择缴费档次", "middle", 1500);
			return;
		}
//		if((payLevel == "100%以上请到社保大厅窗口缴费") && payInsuranceType == "110") {
//        topmobi.native.common.showMsg("缴费档次超过100%，请到社保大厅窗口缴纳！", "middle", 2000);
//        return;
//      }
		getSerialNumber();
	})

	function declaration() {
		var dataJson = {
			"aae011": phoneNumber, //注册账号
			"aab001": confirmPayAccount.aab001, //单位编号
			"aac001": confirmPayAccount.aac001, //社保编号
			"aae140": payInsuranceType, //险种 110,310,390
			"aae041": getUploadTimeFormat(startTime), //开始日期
			"aae042": getUploadTimeFormat(endTime), //结束日期
			"aae001": yearly, //年度（居民医保使用）
			"yac100": confirmPayAccount.yac100, //户主编号（居保使用）
			"jfdc": toPoint(payLevel), //缴费档次
			"dyfwylsh": serialNumber, //调用方唯一流水号
			"aab034": confirmPayAccount.aab034 //社保机构代码
		}
		var obj = {
			url: renshe2ApiUrl + "payment/declaration",
			method: "post",
			data: dataJson,
			isEncrypt: true,
			success: function(data) {
				try {
					var result = data.result;
					if(!!result.statusCode && !!result.result && (result.statusCode == 201 || (result.statusCode == 200 && result.message == "请求成功"))) {
						topmobi.native.cache.putSharedValue("temp", "payOrder", result.result);
						topmobi.native.common.showMsg("申报成功，请及时完成缴费", "middle", toastTimeForSocialSecurityPay);
						var obj = {
							action: {
								android: "gov.my.socialsecurity.htmlactivity.home.H5PayActivity",
								ios: "CHBaseWebViewController"
							},
							windowType: 0,
							params: {
								info: "",
								html: "html_home/h5Pay.html"
							}
						}
						topmobi.native.common.openWindow(obj);
					} else {
						topmobi.native.common.showMsg(result.message, "middle", toastTimeForSocialSecurityPay);
					}
				} catch(e) {}
			},
			fail: function(data) {
				if(!!data.result && !!data.result.message) {
					//平台出错将错误信息写入data.result.message
					topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSocialSecurityPay);
				} else if(!!data.msg) {
					topmobi.native.common.showMsg(data.msg, "middle", toastTimeForSocialSecurityPay);
				} else {
					topmobi.native.common.showMsg("网络异常，请检查网络", "middle", 1500);
				}
			}
		}
		rs_networkRequest(obj);
	}

	function getSerialNumber() {
		var obj = {
			url: renshe2ApiUrl + "payment/serialNumber",
			method: "get",
			isEncrypt: true,
			success: function(data) {
				try {
					var result = data.result;
					if(!!result.statusCode && !!result.result && result.statusCode == 200) {
						serialNumber = JSON.parse(result.result).seriesNumber;
						declaration();
					} else {
						topmobi.native.common.showMsg(result.message || "申报失败", "middle", toastTimeForSocialSecurityPay);
					}
				} catch(e) {}
			},
			fail: function(data) {
				if(!!data.result && !!data.result.message) {
					//平台出错将错误信息写入data.result.message
					topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSocialSecurityPay);
				} else if(!!data.msg) {
					topmobi.native.common.showMsg(data.msg, "middle", toastTimeForSocialSecurityPay);
				} else {
					topmobi.native.common.showMsg("网络异常，请检查网络", "middle", 1500);
				}
			}
		}
		rs_networkRequest(obj);
	}

	function toPoint(percent) {
		var str = parseInt(percent.replace("%", ""));
		str = str / 100;
		return str;
	}
})