//--------------------------失业保险技能补贴申领相关---------------------------
var areaNameArray = ['涪城区', '游仙区', '高新区', '江油市', '三台县', '安州区', '梓潼县', '北川县', '平武县', '盐亭县', '经开区', '仙海区', '科创区'];
var ARR_certifySkillLevel = ['高级工（三级）', '中级工（四级）', '初级工（五级）'];

$().ready(function () {
    $('input').on('tap', function (event) {
        //自动反弹 输入法高度自适应
        var target = this;
        setTimeout(function () {
            target.scrollIntoViewIfNeeded();
        }, 100);
    });
    requestPayMonths();
    //监听外地累计缴纳月数输入
    $("#nonlocal_insur_pay_months").on("input", function () {
        var my_count = JSON.parse($("#my_insur_pay_months").val());

        var history_count_str = $("#history_insur_pay_months").val();
        if (history_count_str == undefined || history_count_str == "") {
            var history_count_str = "0";
        }
        var history_count = JSON.parse(history_count_str);

        var nonlocal_count_str = $("#nonlocal_insur_pay_months").val();
        if (nonlocal_count_str == undefined || nonlocal_count_str == "") {
            var nonlocal_count_str = "0";
        }
        var nonlocal_count = JSON.parse(nonlocal_count_str);
        $("#unemployment_insur_pay_months").html(my_count + history_count + nonlocal_count + "");
    })

    //监听历史或视同累计缴纳月数输入
    $("#history_insur_pay_months").on("input", function () {
        var my_count = JSON.parse($("#my_insur_pay_months").val());

        var nonlocal_count_str = $("#nonlocal_insur_pay_months").val();
        if (nonlocal_count_str == undefined || nonlocal_count_str == "") {
            var nonlocal_count_str = "0";
        }
        var nonlocal_count = JSON.parse(nonlocal_count_str);


        var history_count_str = $("#history_insur_pay_months").val();
        if (history_count_str == undefined || history_count_str == "") {
            var history_count_str = "0";
        }
        var history_count = JSON.parse(history_count_str);
        $("#unemployment_insur_pay_months").html(my_count + nonlocal_count + history_count + "");
    })
})

function requestPayMonths() {
    var token = topmobi.native.cache.getSharedValue("user", "loginToken");
    var dataJson = {
        "handler": "countUnemployHandler",
        "token": token
    }
    var request = {
        data: dataJson,
        url: countUnemployHandlerUrl,
        isEncrypt: true,
        success: function (data) {
            if (data != undefined && data.result != "" && data.result != undefined) {
                if (data.result.code == "1000") {
                    $("#my_insur_pay_months").val(data.result.data.months);
                    $("#unemployment_insur_pay_months").html($("#my_insur_pay_months").val());
                } else {
                    topmobi.native.common.showMsg("请求失败", "middle", 1500);
                }
            }
        },
        fail: function (data) {
            topmobi.native.common.showMsg("网络异常", "middle", 1500);
        }
    }
    rs_networkRequest(request);
}

$("#unemployment_bank_name").parent().on('tap', function () {
	$("input").blur();
    var id = topmobi.native.cache.getSharedValue("unEmployApply", "id");
    var dataJson = {
        "handler": "bankNameGetHandler",
        "sub": {
            "id": id
        }
    }
    var request = {
        data: dataJson,
        url: syslbzbzHandlerUrl,
        isEncrypt: true,
        success: function (data) {
            if (data != undefined && data.result != "" && data.result != undefined) {
                if (data.result.code == "1000") {
                    var bankListArray = data.result.data;
                    var bankNameArray = [];
                    if (bankListArray.length > 0) {
                        for (var i = 0; i < bankListArray.length; i++) {
                            bankNameArray.push(bankListArray[i].bankName);
                        }

                        var bankNameOption = {
                            data: bankNameArray,
                            title: '请选择',
                            duration: 300
                        }

                        var actionSheet = new topmobi.widget.actionSheetDialog(bankNameOption);
                        actionSheet.setItemClick(function (index) {
                            $("#unemployment_bank_name").html(bankNameOption.data[index]);
                            actionSheet.remove();
                        });
                    } else {
                        topmobi.native.common.showMsg("无支持的银行信息", "middle", 1500);
                    }
                }
            }
        },
        fail: function (data) {
            topmobi.native.common.showMsg("网络异常", "middle", 1500);
        }
    }
    rs_networkRequest(request);
});

/*
 * 证书对应技能等级
 */
var options2 = {
    data: ARR_certifySkillLevel,
    title: '请选择',
    duration: 300
};
$("#unemployment_skill_level").parent().on('tap', function () {
	$("input").blur();
    var actionSheet = new topmobi.widget.actionSheetDialog(options2);
    actionSheet.setItemClick(function (index) {
        $("#unemployment_skill_level").html(options2.data[index]);
        AutoFillSubsidyMoney(index + 3);
        actionSheet.remove();
    });
});

/*
 * 点击"保存"，提交申领补贴其他信息
 */
$(".nav-btn").click(function () {
    addOtherApplyInfo();
})

function addOtherApplyInfo() {
    var id = topmobi.native.cache.getSharedValue("unEmployApply", "id");
    var bankName = $("#unemployment_bank_name").html();
    var bankAccountName = $("#unemployment_bank_owner_name").val();
    var bankNum = $("#unemployment_bank_card_number").val();
    var professionGread = grade + "";
    var subsidies = $("#unemployment_insure_subsidy_money").val();
    var my_insur_pay_months = $("#my_insur_pay_months").val();
    var nonlocal_insur_pay_months = $("#nonlocal_insur_pay_months").val();
    var nonlocal_name = $("#nonlocal_name").val();
    //新增字段
    var history_insur_pay_months = $("#history_insur_pay_months").val();
    var history_category = $("#history_category").val();

    var amountOfPayment = $("#unemployment_insur_pay_months").html();
    var unemployment_skill_level = $("#unemployment_skill_level").html();

    if (bankName == undefined || bankName == "--请选择--") {
        topmobi.native.common.showMsg('银行名称不能为空！', "middle", 1500);
        return;
    }

    if (unemployment_skill_level == undefined || unemployment_skill_level == "--请选择--") {
        topmobi.native.common.showMsg('技能等级不能为空！', "middle", 1500);
        return;
    }

    if (parseInt(nonlocal_insur_pay_months) > 0) {
        if (nonlocal_name == "") {
            topmobi.native.common.showMsg("外地市州名称不能为空", "middle", 1500);
            return;
        }
    }

    if (parseInt(history_insur_pay_months) > 0) {
        if (history_category == "") {
            topmobi.native.common.showMsg("历史或视同缴纳类型不能为空", "middle", 1500);
            return;
        }
     }

    admitData();

    function admitData() {
        if (bankName != "" && bankAccountName != "" && bankNum != "" && amountOfPayment != "" && professionGread != "" && subsidies != "") {
            var dataJson = {
                "handler": "reportHandler",
                "sub": {
                    "bankName": bankName,
                    "bankAccountName": bankAccountName,
                    "bankNum": bankNum,
                    "professionGread": professionGread,
                    "subsidies": subsidies,
                    "amountOfPayment": parseInt(amountOfPayment),
                    "amountOfM": parseInt(my_insur_pay_months),
                    "amountOfW": parseInt(nonlocal_insur_pay_months),
                    "nameOfW": nonlocal_name,
                    "hisAmount": parseInt(history_insur_pay_months),
                    "hisType": history_category,
                    "id": id
                }
            };

            var obj = {
                url: syslbzbzHandlerUrl,
                data: dataJson,
                isEncrypt: true,
                success: function (data) {
                    if (data != undefined && data.result != "" && data.result != undefined) {
                        var result = data.result;
                        switch (result.code) {
                            case "1000":
                                topmobi.native.common.showMsg("信息提交成功！", "middle", 1500);
                                myJsInterface.gobackToUnemployInsuranceHome();
                                break;
                            case "2000":
                                topmobi.native.common.showMsg("申领失败:" + result.msg, "middle", 1500);
                                break;
                            case "2004":
                                topmobi.native.common.showMsg("参数错误！", "middle", 1500);
                                break;
                            case "2005":
                                topmobi.native.common.showMsg("职业等级与证书不一致！", "middle", 1500);
                                break;
                            case "20021":
                                topmobi.native.common.showMsg("银行卡号输入错误！", "middle", 1500);
                                break;
                            case "20022":
                                topmobi.native.common.showMsg("银行卡号与银行不匹配！", "middle", 1500);
                                break;
                            default:
                                topmobi.native.common.showMsg("系统异常，信息提交失败！", "middle", 1500);
                                break;
                        }
                    }
                },
                fail: function (data) {
                    topmobi.native.common.showMsg("网络异常", "middle", 1500);
                }
            }
            rs_networkRequest(obj);
        } else {
            topmobi.native.common.showMsg("有必填信息为空", "middle", 1500);
        }
    }
}

var grade = 3;

function AutoFillSubsidyMoney(index) {
    grade = index;
    var dataJson = {
        "handler": "syslbzbzHandler",
        "sub": {
            "professionGread": index + ""
        }
    }
    var request = {
        data: dataJson,
        url: syslbzbzHandlerUrl,
        isEncrypt: true,
        success: function (data) {
            if (data != undefined && data.result != "" && data.result != undefined) {
                if (data.result.code == "1000") {
                    $("#unemployment_insure_subsidy_money").val(data.result.data.subsidies);
                } else {
                    topmobi.native.common.showMsg("请求失败", "middle", 1500);
                }
            }
        },
        fail: function (data) {
            topmobi.native.common.showMsg("网络异常", "middle", 1500);
        }
    }
    rs_networkRequest(request);
}

//银行卡号Luhn校验算法
//luhn校验规则：16位银行卡号（19位通用）:
//1.将未带校验位的 15（或18）位卡号从右依次编号 1 到 15（18），位于奇数位号上的数字乘以 2。
//2.将奇位乘积的个十位全部相加，再加上所有偶数位上的数字。
//3.将加法和加上校验位能被 10 整除。
//bankno为银行卡号
function luhnCheck(bankno) {
    var lastNum = bankno.substr(bankno.length - 1, 1);//取出最后一位（与luhn进行比较）
    var first15Num = bankno.substr(0, bankno.length - 1);//前15或18位
    var newArr = new Array();
    for (var i = first15Num.length - 1; i > -1; i--) {    //前15或18位倒序存进数组
        newArr.push(first15Num.substr(i, 1));
    }
    var arrJiShu = new Array();  //奇数位*2的积 <9
    var arrJiShu2 = new Array(); //奇数位*2的积 >9

    var arrOuShu = new Array();  //偶数位数组
    for (var j = 0; j < newArr.length; j++) {
        if ((j + 1) % 2 == 1) {//奇数位
            if (parseInt(newArr[j]) * 2 < 9)
                arrJiShu.push(parseInt(newArr[j]) * 2);
            else
                arrJiShu2.push(parseInt(newArr[j]) * 2);
        }
        else //偶数位
            arrOuShu.push(newArr[j]);
    }
    var jishu_child1 = new Array();//奇数位*2 >9 的分割之后的数组个位数
    var jishu_child2 = new Array();//奇数位*2 >9 的分割之后的数组十位数
    for (var h = 0; h < arrJiShu2.length; h++) {
        jishu_child1.push(parseInt(arrJiShu2[h]) % 10);
        jishu_child2.push(parseInt(arrJiShu2[h]) / 10);
    }

    var sumJiShu = 0; //奇数位*2 < 9 的数组之和
    var sumOuShu = 0; //偶数位数组之和
    var sumJiShuChild1 = 0; //奇数位*2 >9 的分割之后的数组个位数之和
    var sumJiShuChild2 = 0; //奇数位*2 >9 的分割之后的数组十位数之和
    var sumTotal = 0;
    for (var m = 0; m < arrJiShu.length; m++) {
        sumJiShu = sumJiShu + parseInt(arrJiShu[m]);
    }

    for (var n = 0; n < arrOuShu.length; n++) {
        sumOuShu = sumOuShu + parseInt(arrOuShu[n]);
    }

    for (var p = 0; p < jishu_child1.length; p++) {
        sumJiShuChild1 = sumJiShuChild1 + parseInt(jishu_child1[p]);
        sumJiShuChild2 = sumJiShuChild2 + parseInt(jishu_child2[p]);
    }
    //计算总和
    sumTotal = parseInt(sumJiShu) + parseInt(sumOuShu) + parseInt(sumJiShuChild1) + parseInt(sumJiShuChild2);

    //计算luhn值
    var k = parseInt(sumTotal) % 10 == 0 ? 10 : parseInt(sumTotal) % 10;
    var luhn = 10 - k;

    if (lastNum == luhn) {
        topmobi.native.common.showMsg('验证通过！', "middle", 1500);
        return true;
    } else {
        topmobi.native.common.showMsg('银行卡号不正确！', "middle", 1500);
        return false;
    }
}

//检查银行卡号
function CheckBankNo(bankno) {
    var bankno = bankno.replace(/\s/g, '');
    if (bankno == "") {
        topmobi.native.common.showMsg('请填写银行卡号！', "middle", 1500);
        return false;
    }
    if (bankno.length < 16 || bankno.length > 19) {
        topmobi.native.common.showMsg('银行卡号长度必须在16到19之间！', "middle", 1500);
        return false;
    }
    var num = /^\d*$/;//全数字
    if (!num.exec(bankno)) {
        topmobi.native.common.showMsg('银行卡号必须全为数字！', "middle", 1500);
        return false;
    }
    //开头6位
    var strBin = "10,18,30,35,37,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,58,60,62,65,68,69,84,87,88,94,95,98,99";
    if (strBin.indexOf(bankno.substring(0, 2)) == -1) {
        topmobi.native.common.showMsg('银行卡号开头6位不符合规范！', "middle", 1500);
        return false;
    }
    //Luhn校验
    if (!luhnCheck(bankno)) {
        return false;
    }
    return true;
}