$().ready(function() {
	var idCardNumber = "";
	var complainter = "";
	var complaintAddress = "";
	var complaintTitle = "";
	var complaintContent = "";
	var complaintType = "";
	var complainterPhone = "";
	var operatorTime = "";
	var arrPic = new Array(0);
	var picNum = 0;

	clearParams();
	registerClickLister();
	var personInfo; //根据身份证号查询到的个人基本信息
	var ARR_complaintType = ['一般投诉', '严重投诉'];
	// 返回
	$(".back_icon").off("tap");
	$('.back_icon').on('tap', function() {
		topmobi.native.common.closeWindow(0);
	});

	function clearParams() {
		hasGetRelatedInfo = false;
		personInfo = {};
		$("#name").val("");
		$("#idNumber").val("");
		$("#complaintTitle").val("");
		$("#complaintAddress").val("");
		$("#complaintContent").val("");
		$("#complaintType").html("--请选择--");
	}

	function registerClickLister() {
		$(".pictureFront").on("tap", function() {
			var photoHtml = "<div class='mask'></div>";
			photoHtml += "<div class='popupWindow_head'>";
			photoHtml += "<div class='takePhoto'>拍照</div>";
			photoHtml += "<div class='albumSelect'>从相册里选择</div>";
			photoHtml += "<div class='cancel'>取消</div>";
			photoHtml += "</div>";
			$("body").append(photoHtml);
			var that = this;
			$(".takePhoto").on("tap", function() {
				choosePicture(true, false, that);
				$(".mask").remove();
				$(".popupWindow_head").remove();
			});
			$(".albumSelect").on("tap", function() {
				choosePicture(false, false, that);
				$(".mask").remove();
				$(".popupWindow_head").remove();
			});
			$(".cancel").on("tap", function() {
				$(".mask").remove();
				$(".popupWindow_head").remove();
			});
		});
	}

	/**
	 * 身份证
	 */
	$("#idNumber").on("blur", function() {
		idCardNumber = $("#idNumber").val();
		if(!isIdCardNo(idCardNumber)) {
			topmobi.native.common.showMsg("身份证格式不对", "middle", 1500);
		}
	})

	/*
	 * 投诉类别
	 */
	var options1 = {
		data: ARR_complaintType,
		title: '请选择',
		duration: 300
	};
	$("#complaintType").parent().on('tap', function() {
		var actionSheet = new topmobi.widget.actionSheetDialog(options1);
		actionSheet.setItemClick(function(index) {
			$("#complaintType").html(options1.data[index]);
			complaintType = index;
			actionSheet.remove();
		});
	});

	function choosePicture(photograph, isClipping, selector) {
		var callbacks = {
			success: function(data) {
				var path = data.result.photoName;
				topmobi.native.common.log("wyy", "certificatePicUpload----choosePicture  path1:  " + path);
				path = path.replace("file://", "");
				topmobi.native.cache.putSharedValue("certificateProfession", "certificateSavePicture", path);
				$(selector).attr("src", path);
				var item = {
					"picName":path.split('/')[path.split('/').length - 1],
					"picSerial": picNum++,
					"picUrl": path
				};
				if($(selector).hasClass("pictureFront")) {
					filePath_front = path;
					topmobi.native.common.log("wyy", "certificatePicUpload----choosePicture  filePath_front:  " + filePath_front);
					var obj = {
						success: function(data) {
							topmobi.native.common.log("wyy", "certificatePicUpload----choosePicture  data:  " + data.result);
							filePath_front = data.result;
							filePath_front = filePath_front.replace("file://", "");
							uploadPicture(item);
						},
						fail: function(data) {
							topmobi.native.common.log("wyy", "certificatePicUpload----choosePicture  data:  " + data.result);
							filePath_front = filePath_front.replace("file://", "");
						}
					};
					topmobi.native.media.compressPicture(false, filePath_front, 760, 760, obj);
				}
				return false;
			},
			fail: function(data) {
				if(!!data.msg) {
					topmobi.native.common.showMsg(data.msg, "middle", 1500);
				}
			}
		};
		topmobi.native.media.choosePicture(photograph, isClipping, callbacks);
	}
	function uploadPicture(item) {
		var params = "";
		var obj = {
			success: function(data) {
				if(data.result == 200) {
					if(data.msg.data) {
						topmobi.native.common.showMsg("上传图片成功", "middle", 1500);
						item.picUrl = data.msg.data;
						arrPic.push(item);
						var imgHtml = "<div style='text-align:center'>";
						imgHtml += "<img class='pictureFront'  src='../img/pictureAdd.png'>";
						imgHtml += "</div>";
						$(".selectPicture").append(imgHtml);
						registerClickLister();
					} else {
						topmobi.native.common.showMsg("上传图片失败", "middle", 1500);
					}
				}
			},
			fail: function(data) {
				topmobi.native.common.showMsg("上传图片失败", "middle", 1500);
			}
		};
		topmobi.extends.uploader.uploadFile(uploadPicUrl, item.picUrl, params, obj);
	}
	$(".save_btn").on("tap", function() {
		idCardNumber = $("#idNumber").val();
		complaintContent = $("#complaintContent").val();
		operatorTime = Date.parse(new Date());
		complaintAddress = $("#complaintAddress").val();
		complainterPhone = $("#complainterPhone").val();
		complainter = $("#complainter").val();
		complaintTitle = $("#complaintTitle").val();
		// 信息校验
		if(complaintType !== 0 && complaintType !== 1) {
			topmobi.native.common.showMsg("请选择投诉类型！", "middle", 1500);
			return;
		}
		if(complaintTitle == "" || complaintTitle.length < 5) {
			topmobi.native.common.showMsg("投诉标题不能低于5个字！", "middle", 1500);
			return;
		}
		if(complaintTitle.length > 30) {
			topmobi.native.common.showMsg("投诉标题不能超过30个字！", "middle", 1500);
			return;
		}
		if(complaintContent == "" || complaintContent.length < 10) {
			topmobi.native.common.showMsg("投诉内容不能低于10个字！", "middle", 1500);
			return;
		}
		if(!checkName(complainter)) {
			return;
		}
		if(!isIdCardNo(idCardNumber)) {
			topmobi.native.common.showMsg("身份证格式不对", "middle", 1500);
			return;
		}
		if(!(/^(\(\d{3,4}\)|\d{3,4}-|\s)?\d{7,14}$/.test(complainterPhone))) {
			topmobi.native.common.showMsg('请输入正确的电话信息！', "middle", 1500);
			return;
		}
		if(complaintAddress == "" || complaintAddress.length < 5) {
			topmobi.native.common.showMsg("地址信息不能低于5个字！", "middle", 1500);
			return;
		}
		if(complaintAddress.length > 30) {
			topmobi.native.common.showMsg("投诉地址信息不能超过30个字！", "middle", 1500);
			return;
		}
		//提交投诉
		commitInfo();

	});

	function commitInfo(dataJson) {
		var dataJson = {
			"input": {
				"channelNumber": "04",
				"complaintType": complaintType,
				"complaintTitle": complaintTitle,
				"complainter": complainter,
				"complainterIdentityId": idCardNumber,
				"complaintContent": complaintContent,
				"complainterPhone": complainterPhone,
				"complainterAddress": complaintAddress,
				"operatorTime": operatorTime,
				"row": arrPic
			}

		};
		var obj = {
			url: saveComplaintUrl,
			data: dataJson,
			method: "post",
			formatString: false,
			isEncrypt: false,
			contentType: "application/json",
			success: function(data) {
				var result = data.result;
				if(result.code == 200) {
					topmobi.native.common.showMsg("投诉成功！", "middle", 1500);
					arrPic = [];
					picNum = 0;
				}
			},
			fail: function(data) {
				topmobi.native.common.showMsg("提交失败", "middle", 1500);
			}
		}
		rs_networkRequest(obj);
	}
})