//var NUM_FIRST_REQ = 10; // 第一次请求的数量
var NUM_REQ = 100; // 上拉加载请求依次的数量
var arrZone = new Array(0); // 政策zone信息

$(".pull_wrapper, .tip-container").css("top", "44px");

// 返回
$(".back_icon").on("tap", function() {
	topmobi.native.common.closeWindow(0);
});
// 请求数据
requestPolicy();
$(".check_all").on("tap", function() {
	location.href = "huimin_policy_select_zone.html";
});

function requestPolicy() {
	var data = {
		"input": {
			"number": NUM_REQ,
			"channelNumber": "04"
		}
	};
	var obj = {
		url: policyListUrl,
		method: "post",
		formatString: false,
		contentType: "application/json",
		data: data,
		success: function(success) {
			// 获取返回的结果
			var result = success.result;
			if(result.code == 200) {
				var resultData = result.data;
				if(resultData.outputInfoLists) {
					var arrData = resultData.outputInfoLists;
					var arrDataOptimized = new Array(0);
					// 数据优化处理
					for(var i = 0; i < arrData.length; i++) {
						var item = {
							policyTitle: arrData[i].policyTitle,
							policyId: arrData[i].policyId,
							policyCrtime: formatTimeStamp(arrData[i].issueDate)
						};
						arrDataOptimized.push(item);
					}
					$('.policy-list').html(template('policy-item', {
						data: arrDataOptimized
					}));
					paintHead();
					registerListener();
				}
			}
		},
		fail: function(err) {
			showNoNet();
		}
	};
	rs_networkRequest(obj);
}

/**
 * 为列表渲染头部颜色条
 */
function paintHead() {
	var $listHead = $('.list-head');
	var i = 0;
	var length = $listHead.length;
	for(i; i < length; i++) {
		switch(i % 4) {
			case 1:
				$listHead.eq(i).addClass('green-head');
				break;
			case 2:
				$listHead.eq(i).addClass('yellow-head');
				break;
			case 3:
				$listHead.eq(i).addClass('red-head');
				break;
			case 0:
				$listHead.eq(i).addClass('blue-head');
				break;
		}
	}
}

/**
 * 给列表添加点击事件
 */
function registerListener() {
	$(".list-wrap").on("click", function(event) {
		var obj = {
			action: {
				android: 'gov.my.socialsecurity.htmlactivity.huimin.HuiminPolicyDetailActivity',
				ios: 'CHPreviewViewController'
			},
			windowType: 0,
			params: {
				info: '',
				html: "html_huiminService/huimin_policy_detail.html"
			}
		};
		topmobi.native.cache.putSharedValue('news', 'newsId',$(this).data("id"));
		topmobi.native.common.openWindow(obj);

		//location.href = "huimin_policy_detail.html?policyId=" + $(this).data("id");
	});
}