//var NUM_FIRST_REQ = 10; // 第一次请求的数量

var zoneCode;
var departmentCode;
$(".tip-container").css("top", "44px");
// 返回
$(".back_icon").on("tap", function() {
	history.back();
});
var value = JSON.parse(getQuery("value"));
requestPolicy();

function requestPolicy() {
	var data = {
		"input": {
			"channelNumber": "04",
			"zone": value.zone,
			"department": value.department
		}
	};
	var obj = {
		url: getPolicyInfoUrl,
		method: "post",
		formatString: false,
		contentType: "application/json",
		data: data,
		success: function(success) {
			// 获取返回的结果
			var result = success.result;
			if(result.code == 200) {
				var resultData = result.data;
				if(resultData.outputInfoLists) {
					var arrData = resultData.outputInfoLists;
					if(arrData.length > 0) {
						var arrDataOptimized = new Array(0);
						// 数据优化处理
						for(var i = 0; i < arrData.length; i++) {
							var item = {
								policyTitle: arrData[i].policyTitle,
								policyCrtime: formatTimeStamp(arrData[i].issueDate),
								policyId:arrData[i].policyId
							};
							arrDataOptimized.push(item);
						}
						$('.policy-list').html(template('policy-item', {
							data: arrDataOptimized
						}));
						paintHead();
						registerListener();
					} else {
						showNoData();
					}
				}
			}
		},
		fail: function(err) {
			showNoNet();
		}
	};
	rs_networkRequest(obj);
}

/**
 * 为列表渲染头部颜色条
 */
function paintHead() {
	var $listHead = $('.list-head');
	var i = 0;
	var length = $listHead.length;
	for(i; i < length; i++) {
		switch(i % 4) {
			case 1:
				$listHead.eq(i).addClass('green-head');
				break;
			case 2:
				$listHead.eq(i).addClass('yellow-head');
				break;
			case 3:
				$listHead.eq(i).addClass('red-head');
				break;
			case 0:
				$listHead.eq(i).addClass('blue-head');
				break;
		}
	}
}

/**
 * 给列表添加点击事件
 */
function registerListener() {
	$(".list-wrap").on("click", function(event) {
		var obj = {
			action: {
				android: 'gov.my.socialsecurity.htmlactivity.huimin.HuiminPolicyDetailActivity',
				ios: 'CHBaseWebViewController'
			},
			windowType: 0,
			params: {
				info: '',
				html: "html_huiminService/huimin_policy_detail.html"
			}
		};
		topmobi.native.cache.putSharedValue('news', 'newsId',$(this).data("id"));
		topmobi.native.common.openWindow(obj);
//		location.href = "huimin_policy_detail.html?policyId=" + $(this).data("id");
	});
}