$(function() {
	$(".back_icon").off("tap");
	$('.back_icon').on('tap', function() {
		topmobi.native.common.closeWindow(0);
	});
	var token = topmobi.native.cache.getSharedValue("user", "loginToken");
    var phoneNum = topmobi.native.cache.getSharedValue("user", "phoneNumber");
	var personId = "";//社保个人ID
	var cardNum = "";//社保卡号	
	var userInfo = {};
	var userName;//姓名
	var identityNum;//身份证号
	var socialCardId;//社保ID aac001
	var socialCardNum;//社保卡号  aaz501
	var socialBindFlag;//是否已在本机构绑定社会保障卡aae119
	var medicalAccountBalance;//医保个人账户余额 yka065
	var medicalInstitute;//参保经办机构  aab034
	var $bind_btn = $(".bind_btn");
	/*
	 * 异步获取个人信息 (姓名\身份证号\电话号码等)
	 */
	function getUserInfo() {
			asyncGetUserInfo({
				token: token,
				phoneNum: phoneNum,
				success: function(response) {
					if(response.code == "200") {
						// 获取成功
						//userName = response.nickName;
						//identityNum = response.identityNum;						
						//getUserSocialInfo(userName,identityNum);
						$(".personIdInputText").val(topmobi.native.cache.getSharedValue("user", "medicalSocailCardId"));
						$(".cardNumInputText").val(topmobi.native.cache.getSharedValue("user", "medicalSocailCardNum"));
					} else {
						//获取个人参保信息失败
						topmobi.native.common.showMsg("获取个人信息失败！", "middle", toastTimeForMedicalCard);
					}
				}
			});		
	};	
	/*
	 *根据userName 和identifyNum来查询个人参保信息 
	 */
//	function getUserSocialInfo(userName,identityNum){
//		asyncGetUserSocialInfo({
//				userName: userName,
//				identityNum: identityNum,
//				success: function(response) {
//					if(response.code == "200") {
//						// 获取成功
//						$(".personIdInputText").val(socialCardId);
//						$(".cardNumInputText").val(socialCardNum);
//					} else {
//						//获取个人参保信息失败
//						topmobi.native.common.showMsg("获取个人参保信息失败！", "middle", toastTimeForMedicalCard);
//					}
//				}
//		});
//	}
	
	
	getUserInfo();	
	
	$bind_btn.on("tap", function() {
		$("input").blur();
		personId = $(".personIdInputText").val();
		cardNum = $(".cardNumInputText").val();	
		if(personId != "" && cardNum!= "") {
			bindSocialMedicalCard();
		} else if(personId == "") {
			topmobi.native.common.showMsg("社保个人ID不能为空!", "middle", toastTimeForMedicalCard);
		}else if (cardNum == "") {
			topmobi.native.common.showMsg("社保卡号不能为空!", "middle", toastTimeForMedicalCard);
		}
	})

	function bindSocialMedicalCard() {
		var dataJson = {
			"handler":"a001Handler",
			"token": token,
			"sub":{
				"aac001": personId,
				"aaz501":cardNum
			}			
		};
		var obj = {
			url: medicalUrl,
			method: "post",
			isEncrypt: true,
			data: dataJson,
			success: function(data) {
				var result = data.result;
				if(!!result.code) {				
					switch(result.code) {
						case "0":
						//已绑定过：<![CDATA[[银海网上支付平台]此人在该单位已经被绑定，无需在重新绑定]]>
						//或者："<![CDATA[[银海网上支付平台]报错ae09数据异常，aac001没有对应的数据]]>"
							topmobi.native.common.showMsg(result.message, "middle", toastTimeForMedicalCard);
							break;
						case "1":
						    myShowMessage("绑定成功！");	
							topmobi.native.cache.putSharedValue("user", "medicalBindFlag", "1");//绑定医保标志
							//返回首页
							topmobi.native.common.closeWindow(0);
							break;
						case "-1":
						default:
						    if(result.msg) {
								topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);
							} else if(result.message) {
								topmobi.native.common.showMsg(result.message, "middle", toastTimeForMedicalCard);
							}
						    break;
					}
				} else {
					if(!!data.result && !!data.result.message) {
						//未查找到符合条件的数据也返回200，走这个分支，并将错误信息写入data.result.message
						topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForMedicalCard);
						return;
					}
					topmobi.native.common.showMsg("绑定失败", "middle", toastTimeForMedicalCard);
				}
			},
			fail: function(data) {
				topmobi.native.common.log("bindSocialSecurityCard", "错误：" + JSON.stringify(data));
			}
		}
		rs_networkRequest(obj);
	}
})