/**
 * @author wyy 2017/2/16
 * @description:本页面挂号支付和缴费支付共用，根据参数传过来的type值判断是挂号还是缴费
 */
$(function() {
	// 返回
	$(".back_icon").off("tap");
	$('.back_icon').on('tap', function() {
		//topmobi.native.common.closeWindow(0);
		history.back();
	});
	var payDialog;
	var reqUrl;
	var apptId;
	var schdId;
	var batchNumber;
	var amount; //待支付金额
	var yke014; //下单产生的医保交易流水号
	var yke203; //下单产生的医保交易验证码
	var akc190; //下单产生的医保就诊序号
	var akc264; //门诊费金额
	var payAccount; //医保支付金额合计
	var type; //"挂号费"和"诊疗费"两种
	// var netAddress;//请求网络地址
	var sfph; //收费批号  医院提交明细时返回
	var yke016; //订单号,对应上传明细接口返回的yke016
	var patientId; //医院就诊卡号
	var address;
	var doctorId;

	var patientName = topmobi.native.cache.getSharedValue("user", "nickName"); //姓名  不带*
	var cardNum = topmobi.native.cache.getSharedValue("user", "medicalSocailCardNum"); //社保卡号
	var cardId = topmobi.native.cache.getSharedValue("user", "medicalSocailCardId"); //社保编号
	var password = ""; //支付密码
	//获取页面入口参数，从哪个页面进入的："1"表示从我的挂号未缴费页面，"2"表示从预约挂号成功页面,"3"表示诊间支付未缴费页面进入
	var entranceID = getQuery("payEntrance");
	var medicalAccount = topmobi.native.cache.getSharedValue("user", "medicalAccountBalance");; //医保可用余额
	var token = topmobi.native.cache.getSharedValue("user", "loginToken");
	var cardNum = topmobi.native.cache.getSharedValue("user", "medicalSocailCardNum"); //社保编号
	var cardId = topmobi.native.cache.getSharedValue("user", "medicalSocailCardId"); //社保个人ID
	var phoneNum = topmobi.native.cache.getSharedValue("user", "phoneNumber");
	var smsCode = "";
	var t = 60;
	var timer;
	var macAddress = topmobi.native.cache.getSharedValue("user", "macAddress");
	if(macAddress == "") {
		var macObj = {
			success: function(data) {
				macAddress = data.result.deviceId;
				topmobi.native.cache.putSharedValue("user", "macAddress", macAddress);
			},
			fail: function(data) {}
		};
		topmobi.native.common.getDeviceInfo(macObj);
	}

	var param = topmobi.native.cache.getSharedValue("medical", "medicalOrderInfo");
	if(param) {
		param = JSON.parse(param);
		yke014 = param.yke014;
		yke203 = param.yke203;
		akc190 = param.akc190;
		akc264 = param.akc264
		type = param.type;
		patientId = param.patientId;
		if(type == "挂号费") {
			apptId = param.apptId;
			schdId = param.schdId;
			doctorId = param.doctorId;
		} else {
			sfph = param.sfph;
			yke016 = param.yke016;
		}
	} else {
		topmobi.native.common.showMsg("获取参数错误！", "middle", toastTimeForMedicalCard);
		return;
	}

	//以下data为测试数据
	var data = {
		"type": type,
		"unpayedFee": akc264,
		"balance": medicalAccount
	}
	$('.container').html(template('payConfirmTpl', data));

	/*
	 *获取医保账户余额并显示    
	 */
	function getMedicalAccount() {
		var dataJson = {
			"handler": "q001Handler",
			"token": token,
		};
		var obj = {
			url: medicalUrl,
			method: "post",
			isEncrypt: true,
			data: dataJson,
			success: function(data) {
				if(data.result.code == "1") {
					if(!!data.result.output && !!data.result.output.yka065) {
						medicalAccount = data.result.output.yka065;
						topmobi.native.cache.putSharedValue("user", "medicalAccountBalance", medicalAccount); //医保个人账户余额 
						$(".available-text .detail").html(medicalAccount + "元");
					}
				} else {
					topmobi.native.common.showMsg("系统异常", "middle", toastTimeForMedicalCard);
				}
			},
			fail: function(data) {
				topmobi.native.common.log("getMedicalAccount", "错误：" + JSON.stringify(data));
			}
		}
		rs_networkRequest(obj);
	}

	getMedicalAccount();

	function registerSmsEvent() {
		//获取验证码
		$(".getSmsCode").on("tap", function() {
			if(phoneNum != "") {
				if(checkPhone(phoneNum)) {
					if($(".getSmsCode").html() == "重发" || $(".getSmsCode").html() == "获取验证码") {
						getSms();
					}
				} else {
					topmobi.native.common.showMsg("手机号码不正确!", "middle", 1500);
				}
			} else {
				topmobi.native.common.showMsg("手机号不能为空!", "middle", 1500);
			}
		})
	}
	/*
	 *支付密码输入框
	 */
	function showPayDialog() {
		//显示支付密码输入框
		payDialog = new DialogWidget({
			title: '支付密码',
			content: template('payTpl', {}),
			btns: ['取消', '确认']
		});
		registerSmsEvent();
		payDialog.click(function(index) {
			if(index === 1) {
				// 确认逻辑
				password = $(".pay-input").val();
				smsCode = $(".smsCodeInput").val();
				if(password==""){
					topmobi.native.common.showMsg("请输入密码！", "middle", 1500);
				}else if(smsCode==""){
					topmobi.native.common.showMsg("请输入验证码！", "middle", 1500);
				}else{
					//先验证验证码
					checkSms();
					//payDialog.remove();
				}
			} else {
				// 取消逻辑
				payDialog.remove();
			}
		});
	}

	function showTime() {
		$(".getSmsCode").html(t + "秒");
		if(t != 0) {
			timer = setTimeout(function() {
				showTime();
			}, 1000)
		} else {
			$(".getSmsCode").html("重发");
			clearTimeout(timer);
			t = 60;
		}
		t = t - 1;
	}

	function getSms() {
		showTime();
		var dataJson = {
			"handler": "getVerifyCodeHandler",
			"sub": {
				"phoneNum": phoneNum,
				"msgCode": 1
			}
		};
		var obj = {
			url: orignalUrl,
			data: dataJson,
			isEncrypt: true,
			success: function(data) {
				try {
					var result = data.result;
					switch(result.code) {
						case "1000":
							topmobi.native.common.showMsg("发送成功", "middle", 1500);
							break;
						case "3006":
							topmobi.native.common.showMsg("验证码今日次数已达上限,请明日再试", "middle", 1500);
							break;		
					}
				} catch(e) {
					topmobi.native.common.log("lj", "错误：" + e.message);
				}
			},
			fail: function(data) {
				$(".getSmsCode").html("获取验证码");
				clearTimeout(timer);
				t = 60;
				topmobi.native.common.showMsg("网络异常", "middle", 1500);
			}
		}
		rs_networkRequest(obj);
	}

	function checkSms() {
		var dataJson = {
			"handler": "checkVerifyCodeHandler",
			"sub": {
				"phoneNum": phoneNum,
				"verifyCode": smsCode
			}
		};
		var obj = {
			url: orignalUrl,
			data: dataJson,
			isEncrypt: true,
			success: function(data) {
				try {
					var result = data.result;
					switch(result.code) {
						case "1000":
							$(".getSmsCode").html("获取验证码");
							clearTimeout(timer);
							t = 60;
							topmobi.native.cache.putSharedValue("user", "smsCode", smsCode);
							//验证码验证成功去支付
							gotoPay();
							break;
						case "3004":
							//el_imgCode.attr("src", touristImgCodeUrl + macAddress);
							topmobi.native.common.showMsg("短信验证码错误", "middle", 1500);
							break;
					}
				} catch(e) {
					topmobi.native.common.log("lj", "错误：" + e.message);
				}
			},
			fail: function(data) {
				topmobi.native.common.showMsg("网络异常", "middle", 1500);
			}
		}
		rs_networkRequest(obj);
	}

	//支付
	var gotoPay = function() {
		var data;
		password = topmobi.extends.encrypt.doEncrypt(4, password, "");
		if(type == "挂号费") {
			data = {
				token: token,
				patientId: patientId,
				pName: patientName,
				apptId: apptId + "",
				schdId: schdId + "",
				phoneNum: phoneNum,
				aac001: cardId, //测试必须，正式通过token获取
				akb020: "2040", //定点医疗机构编号
				yke014: yke014, //交易流水号
				yke203: yke203, //交易验证码
				akc190: akc190, //就诊序号
				aaz501: cardNum,
				hkdz: address, //患者地址
				payPassword: password,
				ghys: doctorId //传挂号的医生的代码
			};
			reqUrl = hospitalTestUrl + 'payConfirmRegistration';
		} else {
			//netAddress = myJsInterface.getNetAddress();
			data = {
				token: token,
				akb020: "2040", //定点医疗机构编号
				yke014: yke014, //交易流水号
				yke203: yke203, //交易验证码
				akc190: akc190, //就诊序号
				//ip: netAddress,//ip地址
				phoneNum: phoneNum,
				aac001: cardId, //测试必须，正式通过token获取
				aaz501: cardNum, //社保卡号
				sfph: sfph, //医院提交明细时返回     收费批号
				yke016: yke016,
				tmh: patientId, //医院卡号，同patientId
				payPassword: password,
				zfbz: "0" //作废标志 0-正常交易，1-退费
			}
			reqUrl = hospitalTestUrl + 'payBill';
		}
		var obj = {
			url: reqUrl,
			data: data,
			isEncrypt: true,
			success: function(response) {
				var result = response.result;
				if(result.code) {
					switch(result.code) {
						case "1000":
						    payDialog.remove();
							//支付成功
							topmobi.native.common.showMsg("支付成功", "middle", toastTimeForMedicalCard);
							if(entranceID == "1" || entranceID == "3") {
									history.back();
							} else {
								if(type == "挂号费") {
									topmobi.native.cache.putSharedValue("user", "payType", "1");
								}
								topmobi.native.common.closeWindow(0);
							}
							break;
						case "3011":
							payDialog.remove();
							//提示用户去设置支付密码
							confirmDialog(result.msg, function() {
								location.href = "./medical_setPayPassword.html";
							});
							break;
						case "3012":
							//支付密码错误
							//alertDialog(result.msg || "支付密码错误");
							var count = 3 - parseInt(result.data);
							topmobi.native.common.showMsg(result.msg + ",您还有" + count + "次机会！", "middle", toastTimeForMedicalCard);
							break;
						case "3013":
							//支付密码错误超过三次
							alertDialog("密码错误次数超过上限，账户锁定,请于" + result.data + "之后重试！");
							payDialog.remove();
							break;
						case "5000":
							//系统错误
							//alertDialog(result.msg || "系统错误");
							topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);
							break;
						case "2000":
							//支付失败
							var count = 3 - parseInt(result.data);
							topmobi.native.common.showMsg(result.msg + ",您还有" + count + "次机会！", "middle", toastTimeForMedicalCard);
							break;
						case "0":
							//银海扣费错误信息
							//alertDialog(result.msg || "扣费错误");
							topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);
							break;
						default:
							//alertDialog(result.msg);
							if(result.msg) {
								topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);
							} else {
								topmobi.native.common.showMsg("解析错误", "middle", toastTimeForMedicalCard);
							}
							break;
					}
				} else if(result.Result) {
					if(result.NewDataSet.Table.summary.ResultCode == "0") {
						alertDialog("支付成功！");
					} else {
						alertDialog("支付失败！");
					}
				} else {
					topmobi.native.common.showMsg("支付错误", "middle", toastTimeForMedicalCard);
				}
			},
			fail: function(data) {
				topmobi.native.common.showMsg("网络异常", "middle", 1500);
			}
		}
		rs_networkRequest(obj);
	}

	//支付
	$(".confirm_btn").on("tap", function() {
		if(type == "挂号费") {
			//此处先判断是否有地址信息，没有地址信息需要先跳转完善地址信息界面
			var hasAddressFlag = topmobi.native.cache.getSharedValue("user", "hasAddress");
			if(hasAddressFlag == '1') {
				address = topmobi.native.cache.getSharedValue("user", "address");
				showPayDialog();
			} else {
				location.href = "./medical_complement_address.html";
			}
		} else {
			showPayDialog();
		}

	})

	//测试支付回退  c004Handler
	function payBack() {
		password = topmobi.extends.encrypt.doEncrypt(4, password, "");
		var dataJson = {
			"handler": "c004Handler",
			"token": token,
			"sub": {
				"akb020": "2040", //定点医疗机构编号
				"aaz261": "100000022992596", //支付确认交易流水号
				"akc190": "KO51070000000119291279", //就诊序号
				"aac001": cardId, //社保个人ID					
				"password": password //支付密码   md5
			}
		};
		var obj = {
			url: medicalUrl,
			data: dataJson,
			isEncrypt: true,
			success: function(data) {
				try {
					var result = data.result;
					switch(result.code) {
						case "1000":
							myShowMessage("支付成功！");
							break;
						case "3012":
							//支付密码错误
							topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);
							break;
						case "2007":
							//加解密错误
							topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);
							break;
						case "4000":
							//请求参数错误
							topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);
							break;
						case "2001":
							//token验证错误
							topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);
							break;
						case "2009":
							//token为空
							topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);
							break;
						case "2004":
							//参数为空
							topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);
							break;
						case "2008":
							//系统异常
							topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);
							break;
						case "5000":
							//系统异常
							topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);
							break;
					}
				} catch(e) {
					topmobi.native.common.log("wyy", "错误：" + e.message);
				}
			},
			fail: function(data) {
				topmobi.native.common.showMsg("网络异常", "middle", 1500);
			}
		}
		rs_networkRequest(obj);
	}

	//测试支付确认接口  支付确认 c003Handler
	function payConfirm() {
		password = topmobi.extends.encrypt.doEncrypt(4, password, "");
		cardId = topmobi.extends.encrypt.doEncrypt(4, cardId, "");
		var dataJson = {
			"handler": "c003Handler",
			"token": token,
			"sub": {
				"akb020": "2040", //定点医疗机构编号
				"yke014": yke014, //交易流水号
				"yke203": yke203, //交易验证码
				"akc190": akc190, //就诊序号
				"password": password, //支付密码   md5
				"aac001": cardId //社保个人ID  md5
			}
		};
		var obj = {
			url: medicalUrl,
			data: dataJson,
			isEncrypt: true,
			success: function(data) {
				try {
					var result = data.result;
					switch(result.code) {
						case "1000":
							myShowMessage("支付成功！");
							break;
						case "3012":
							//支付密码错误
							topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);
							break;
						case "2007":
							//加解密错误
							topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);
							break;
						case "4000":
							//请求参数错误
							topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);
							break;
						case "2001":
							//token验证错误
							topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);
							break;
						case "2009":
							//token为空
							topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);
							break;
						case "2004":
							//参数为空
							topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);
							break;
						case "2008":
							//系统异常
							topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);
							break;
						case "5000":
							//系统异常
							topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);
							break;
					}
				} catch(e) {
					topmobi.native.common.log("wyy", "错误：" + e.message);
				}
			},
			fail: function(data) {
				topmobi.native.common.showMsg("网络异常", "middle", 1500);
			}
		}
		rs_networkRequest(obj);
	}
});