
//--------------------------------------------------------------------------------------
/**
 * @author wyy 2018/2/16
 */

$(function() {
	var deptId; //二级科室id,从地址中获取
	var schdlimit = 0; //预约限制人数
	var schdPrice; //挂号费
	var doctorName; //医生姓名
	var doctorTitle; //医生职称
	var projectName; //专业（一级科室）名称
	var departName; //科室名称
	var schdDate; //排班时间
	var schdID; //门诊排班标识
	var doctorId; //医生id
	var token;
	// 返回
	$(".back_icon").off("tap");
	$('.back_icon').on('tap', function() {
		history.back();
	});
	var loginToken = topmobi.native.cache.getSharedValue("user", "loginToken");
	deptId = getQuery("deptId");
	//  if(param.id){
	//      deptId = param.id;
	//  }else{
	//      alertDialog(TEXT_SYSTEM_ERROR);
	//      return;
	//  }
	//var deptId ="1040";

	/*
	           获取医生列表
	 */
	var getDoctorsList = function() {
		// var requestUrl=getHospitalUrl("appointment");             
		var dataJson = {
			"handler": "getDoctorListHandler",
			"token": loginToken,
			"sub": {
				"deptId": deptId
			}
		};
		var obj = {
			url: orignalUrl,
			method: "post",
			isEncrypt: true,
			data: dataJson,
			success: function(data) {
				var result = data.result;
				if(result.code == "1000") {
					showData(result);
				} else {
					// alertDialog(TEXT_SYSTEM_ERROR);
					topmobi.native.common.showMsg("系统异常", "middle", toastTimeForMedicalCard);
				}
			},
			fail: function(data) {
				topmobi.native.common.log("selectDoctor", "错误：" + JSON.stringify(data));
			}
		}
		rs_networkRequest(obj);

	};
	//请求数据展示
	var showData = function(data) {
		for(var i = 0; i < data.data.length; i++) {
			if(data.data[i].SchdAPM == "1") {
				data.data[i].SchdAPM = "上午";
				data.data[i].SchdDate = data.data[i].SchdDate + data.data[i].SchdAPM;
			} else if(data.data[i].SchdAPM == "2") {
				data.data[i].SchdAPM = "下午";
				data.data[i].SchdDate = data.data[i].SchdDate + data.data[i].SchdAPM;
			}
		}
		$('.doctor-list').html(template('doctors', data));
		//点击列表项，跳转至医生信息页
		$(".list-item").on("click", function(event) {
			doctorId = $(this).data("id");
			schdID = $(this).data("schdid");
			schdlimit = $(this).data("limit");
			schdPrice = $(this).data("schdprice");
			projectName = $(this).data("projectname");
			departName = $(this).data("departname");
			doctorName = $(this).find(".doctor-name").html();
			doctorTitle = $(this).find(".doctor-position").html();
			schdDate = $(this).find(".work-time").html();
			var param = {
				"doctorId": doctorId,
				"schdID": schdID, //门诊排班标识
				"schdlimit": schdlimit,
				"schdPrice": schdPrice,
				"projectName": projectName,
				"departName": departName,
				"doctorName": doctorName,
				"doctorTitle": doctorTitle,
				"deptId":deptId,
				"schdDate": schdDate
			};

			// local.set("hospital_doctorInfo", JSON.stringify(param));
			topmobi.native.cache.putSharedValue("medical", "doctorInfo", JSON.stringify(param));
			location.href = "./medical_onlineAppointment.html";
		})
	};
	getDoctorsList();
});