	$(function() {
		$(".back_icon").off("tap");
		$('.back_icon').on('tap', function() {
			history.back();
		});
		$(".password_tips").css("visibility", "hidden");
		var token = topmobi.native.cache.getSharedValue("user", "loginToken");
		var $confirm_btn = $(".confirm_btn");
		var password = "";//密码
		var cardNum = "";//社保卡号
		var cardId = topmobi.native.cache.getSharedValue("user", "medicalSocailCardId");//社保ID(编号)
        $(".cardNumInputText").val(topmobi.native.cache.getSharedValue("user", "medicalSocailCardNum"));
        
        var pwdSetType = topmobi.native.cache.getSharedValue("pwdSet", "pwdSetType");
        if(pwdSetType=="1"){
        	$(".title").html("设置支付密码");
        }
        if(pwdSetType=="2"){
        	$(".title").html("重置支付密码");
        }
        
		$confirm_btn.on("tap", function() {
			$("input").blur();
			password = $(".passwordInputText").val();
			cardNum = $(".cardNumInputText").val();
				if(checkPassword(password)) {
					if(pwdSetType=="1"){
						setPassword();
					}else{
						resetPassword();
					}					
				} else {
					//$(".password_tips").html("密码长度6-16位,且必须包含字母和数字");
					$(".password_tips").css("visibility", "visible");
				}	
		})
		
        //设置密码
		function setPassword() {
			password = topmobi.extends.encrypt.doEncrypt(4, password, "");
			var dataJson = {
				"handler": "setPayPasswordHandler",
				"token":token,
				"sub": {
					"aaz501": cardNum,
					"payPassword": password,
					"aac001":cardId
				}
			};
			var obj = {
				url: medicalUrl,
				data: dataJson,
				isEncrypt: true,
				success: function(data) {
					try {
						var result = data.result;
						switch(result.code) {
							case "1000":
								topmobi.native.common.showMsg("设置密码成功!", "middle", 1500);
								history.back();
								break;
							case "3014":
							   //已设置过支付密码	,请直接使用或者去重置或修改
							    topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);	
								break;
							case "2007":
							   //加解密错误
							    topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);	
								break;
							case "4000":
							   //请求参数错误
							    topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);	
								break;
							case "2001":
							   //token验证错误
							    topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);	
								break;
							case "2009":
							   //token为空
							    topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);	
								break;
							case "2004":
							   //参数为空
							    topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);	
								break;
							case "2008":
							   //系统异常
							    topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);	
								break;
							case "5000":
							   //系统异常
							    topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);	
								break;
							
						}
					} catch(e) {
						topmobi.native.common.log("wyy", "错误：" + e.message);
					}
				},
				fail: function(data) {
					topmobi.native.common.showMsg("网络异常", "middle", 1500);
				}
			}
			rs_networkRequest(obj);
		}
	
    // 重置密码
		function resetPassword() {
			password = topmobi.extends.encrypt.doEncrypt(4, password, "");
			var dataJson = {
				"handler": "resetPayPasswordHandler",
				"token":token,
				"sub": {
					"aaz501": cardNum,
					"payPassword": password,
					"aac001":cardId
				}
			};
			var obj = {
				url: medicalUrl,
				data: dataJson,
				isEncrypt: true,
				success: function(data) {
					try {
						var result = data.result;
						switch(result.code) {
							case "1000":
								topmobi.native.common.showMsg("重置密码成功!", "middle", 1500);
								history.back();
								break;	
							case "2007":
							   //加解密错误
							    topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);	
								break;
							case "4000":
							   //请求参数错误
							    topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);	
								break;
							case "2001":
							   //token验证错误
							    topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);	
								break;
							case "2009":
							   //token为空
							    topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);	
								break;
							case "2004":
							   //参数为空
							    topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);	
								break;
							case "2008":
							   //系统异常
							    topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);	
								break;
							case "5000":
							   //系统异常
							    topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);	
								break;
							case "3011":
							   //重置失败，无密码，请前往设置密码界面设置
							    topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);	
								break;
						}
					} catch(e) {
						topmobi.native.common.log("wyy", "错误：" + e.message);
					}
				},
				fail: function(data) {
					topmobi.native.common.showMsg("网络异常", "middle", 1500);
				}
			}
			rs_networkRequest(obj);
		}
	})