//$(".examplePicture").css("background-size", $(".pictureFront").width() + "px 100px");
//重写退出按钮事件
$(".back_icon").off("tap");
$(".back_icon").on("tap", function() {
	var entrance = myJsInterface.getEntrance();
	myJsInterface.goToHome(entrance);
})

var filePath_front = "";
var idNumber = "";
var name = "";

function choosePicture(photograph, isClipping, selector) {
	var callbacks = {
		success: function(data) {
			var path = data.result.photoName;
			path = path.replace("file://", "");
			$(selector).attr("src", path);
			showLoading();
			//调用汉王的接口，获取身份证信息
			myJsInterface.verifyIdCard(path);
			return false;
		},
		fail: function(data) {
			if(!!data.msg) {
				topmobi.native.common.showMsg(data.msg, "middle", 1500);
			}
		}
	};
	topmobi.native.media.choosePicture(photograph, isClipping, callbacks);
}

$(".pictureFront").on("tap", function() {
	var photoHtml = "<div class='mask'></div>";
	photoHtml += "<div class='popupWindow_head'>";
	photoHtml += "<div class='takePhoto'>拍照</div>";
	photoHtml += "<div class='albumSelect'>从相册里选择</div>";
	photoHtml += "<div class='cancel'>取消</div>";
	photoHtml += "</div>";
	$("body").append(photoHtml);
	var that = this;
	$(".takePhoto").on("click", function() {
		choosePicture(true, false, that);
		$(".mask").remove();
		$(".popupWindow_head").remove();
	});
	$(".albumSelect").on("click", function() {
		choosePicture(false, false, that);
		$(".mask").remove();
		$(".popupWindow_head").remove();
	});
	$(".cancel").on("click", function() {
		$(".mask").remove();
		$(".popupWindow_head").remove();
	});
})

//{"code":"434","result":"haven't apply service or service has expired or no times left"}您没有申请相应的服务，或服务的次数已到临界值，或服务已到期
//""
function getRecgResult(result) {
	hideLoading();
	var json = result;
	if(result == "") {
		topmobi.native.common.showMsg("识别失败,请重新识别", "middle", 1500);
	}
	if(isAndroid && typeof(result) == "string") {
		json = JSON.parse(result);
	}
	if(json.code == "0") { //识别成功
		topmobi.native.common.showMsg("识别成功", "middle", 1500);
		$(".idCard-inputText").val(json.idnumber);
		$(".name-inputText").val(json.name);
	} else { //识别失败
		topmobi.native.common.showMsg("识别失败,请重新识别", "middle", 1500);
	}
}

function nextStepListener() {
	$(".default_btn").off("tap");
	$(".default_btn").on("tap", function() {
		idNumber = $(".idCard-inputText").val();
		name = $(".name-inputText").val();
		if(!isIdCardNo(idNumber)) {
			topmobi.native.common.showMsg("请输入正确的身份证号", "middle", 1500);
			return;
		}
		if(isNull(name)) {
			topmobi.native.common.showMsg("请输入姓名", "middle", 1500);
			return;
		}
		topmobi.native.cache.putSharedValue("bindSecurity", "idNumber", idNumber);
		topmobi.native.cache.putSharedValue("bindSecurity", "nickName", name);
		var obj = {
			action: {
				android: "gov.my.socialsecurity.htmlactivity.my.BindSecurityActivity",
				ios: "CHBaseWebViewController"
			},
			windowType: 0,
			params: {
				info: "",
				html: "html_my/bindSecurity.html"
			}
		}
		topmobi.native.common.openWindow(obj);
	})
}
nextStepListener();