var updateVer;
var updatePath;
var updateTips;
var versionCode = myJsInterface.getVersionCode();
var versionNumber = myJsInterface.getVersionNumber();
if (isAndroid) {
  //读取应用版本号
  document.getElementById('version').innerHTML = '版本：V' + versionNumber;
} else {
  $('#update').remove();
  $('#messageSetting').remove();
}
$('#version').html('绵阳智慧人社：v' + versionNumber + '(' + versionCode + ')');
// 生物识别
(function() {
  var biometryType = myJsInterface.supportBiometryType();
  if (biometryType == 0) {
    // 不支持，隐藏生物识别
    $('#biometry').remove();
  } else {
    var touchidIsEnabled = topmobi.native.cache.getSharedValue('user', 'touchid') == 'true';
    var faceidIsEnabled = topmobi.native.cache.getSharedValue('user', 'faceid') == 'true';
    var desc = [];
    if (touchidIsEnabled) {
      desc.push('指纹');
    }
    if (faceidIsEnabled) {
      desc.push('人脸');
    }
    if (desc.length > 0) {
      $('#biometry .rightText').html(desc.join('、'));
    } else {
      $('#biometry .rightText').html('未指定');
    }
  }
})();

var $securityGroup = $('#security-group');
var loginState = topmobi.native.cache.getSharedValue('user', 'loginState').toString();
var $logout = $('#logout-row');
var $logout_text = $logout.find('.itemText');
var $cancelAccount =  $('#cancelAccount');

if (loginState == 'true') {
  $securityGroup.show();
  $logout_text.html('退出登录');
  var phoneNumber = topmobi.native.cache.getSharedValue('user', 'phoneNumber');
  $('#phoneNum').html(phoneNumber.replace(/^(\d{3}).*(\d{4})/, '$1****$2'));
} else {
  $securityGroup.hide();
  $cancelAccount.hide();
  $logout_text.html('立即登录');
}
var $logout_btn = $('.logout_btn');
//读取应用缓存大小
myJsInterface.getCacheSize({
  success: function(data) {
    var cacheSize = data.result || '0KB';
    document.getElementById('cache').innerHTML = cacheSize;
  },
});

$logout.on('tap', function() {
  if (loginState == 'true') {
    topmobi.native.cache.removeSharedValue('user', 'loginToken');
    topmobi.native.cache.removeSharedValue('user', 'personNumber');
    //		topmobi.native.cache.removeSharedValue("user", "phoneNumber");
    topmobi.native.cache.removeSharedValue('user', 'userId');
    topmobi.native.cache.removeSharedValue('user', 'idCardNumber');
    //		topmobi.native.cache.removeSharedValue("user", "picUrl");
    topmobi.native.cache.removeSharedValue('user', 'companyName');
    topmobi.native.cache.removeSharedValue('user', 'companyNumber');
    topmobi.native.cache.removeSharedValue('user', 'username');
    topmobi.native.cache.removeSharedValue('user', 'toAccountDate');
    topmobi.native.cache.removeSharedValue('user', 'medicalAccountBalance');
    topmobi.native.cache.removeSharedValue('user', 'isOfficial');
    //	  topmobi.native.cache.removeSharedValue("user", "head_icon");
    topmobi.native.cache.removeSharedValue('user', 'bindState');
    topmobi.native.cache.removeSharedValue('user', 'loginState');
    topmobi.native.cache.removeSharedValue('user', 'bindHelp');
//    topmobi.native.cache.removeSharedValue('user', 'bindHelp');
    //清除绑定医保支付标志 medicalBindFlag
    topmobi.native.cache.removeSharedValue('user', 'medicalBindFlag');
    topmobi.native.cache.removeSharedValue('user', 'hasGetUserSocialInfo');
    topmobi.native.cache.removeSharedValue('user', 'payPassword');
    // 清除不带星号的姓名和身份证号
    topmobi.native.cache.removeSharedValue('user', 'nickName');
    topmobi.native.cache.removeSharedValue('user', 'identityNum');

    // 清除自动登录信息
    topmobi.native.cache.removeSharedValue('user', 'accountNumber');
    topmobi.native.cache.removeSharedValue('user', 'accountPassword');
    topmobi.native.cache.removeSharedValue('user', 'accountName');
    topmobi.native.cache.removeSharedValue('user', 'accountIdcard');

    // 清除继续教育登录信息
    topmobi.native.cache.removeSharedValue('user', 'studyToken');
    
    // 清除iOS快捷菜单
    myJsInterface.clearQuickActions();
    myJsInterface.unregisterXinGe();
    myJsInterface.goToHome('3');
    // 清除缓存信息
    window.commonJsInterface.storageClear();
  } else {
    var obj = {
      action: {
        android: 'gov.my.socialsecurity.htmlactivity.home.LoginActivity',
        ios: 'CHBaseWebViewController',
      },
      windowType: 0,
      params: {
        entrance: '3',
        html: 'html_home/login.html',
      },
    };
    topmobi.native.common.openWindow(obj);
  }
});
$('.back_icon').on('tap', function() {
  topmobi.native.common.closeWindow(0);
});
$('#changePhoneNum').on('tap', function() {
  var obj = {
    action: {
      android: 'gov.my.socialsecurity.htmlactivity.my.ChangePhoneActivity',
      ios: 'CHBaseWebViewController',
    },
    windowType: 0,
    params: {
      html: 'html_my/changePhone.html',
    },
  };
  topmobi.native.common.openWindow(obj);
});
$('#biometry').on('tap', function() {
  var obj = {
    action: {
      android: 'gov.my.socialsecurity.htmlactivity.my.SettingBiometryActivity',
      ios: 'CHBaseWebViewController',
    },
    windowType: 0,
    params: {
      info: '',
      html: 'html_my/setting_biometry.html',
    },
  };
  topmobi.native.common.openWindow(obj);
});
// $('#biometry').on('tap', function() {
//   var obj = {
//     action: {
//       android: 'gov.my.socialsecurity.htmlactivity.my.SettingBiometryActivity',
//       ios: 'CHBaseWebViewController',
//     },
//     windowType: 0,
//     params: {
//       html: 'html_my/setting_biometry.html',
//     },
//   };
//   topmobi.native.common.openWindow(obj);
// });
$('#findPassword').on('tap', function() {

    var obj = {
      action: {
        android: 'gov.my.socialsecurity.htmlactivity.home.ForgetPasswordActivity',
        ios: 'CHBaseWebViewController',
      },
      windowType: 0,
      params: {
        info: '',
        html: '/app/reset-password.html',
      },
    };
    
    topmobi.native.common.openWindow(obj);
  });


$('#resetPassword').on('tap', function() {
  var state = topmobi.native.cache.getSharedValue('user', 'loginState');
  if (state == 'true') {
    var obj = {
      action: {
        android: 'gov.my.socialsecurity.htmlactivity.my.ModifyPasswordActivity',
        ios: 'CHBaseWebViewController',
      },
      windowType: 0,
      params: {
        info: '',
        html: '/app/update-password.html',
      },
    };
    topmobi.native.common.openWindow(obj);
  } else {
    var obj = {
      action: {
        android: 'gov.my.socialsecurity.htmlactivity.home.LoginActivity',
        ios: 'CHBaseWebViewController',
      },
      windowType: 0,
      params: {
        entrance: '3',
        html: 'html_home/login.html',
      },
    };
    topmobi.native.common.openWindow(obj);
  }
});
$('#messageSetting').on('tap', function() {
  var obj = {
    action: {
      android: 'gov.my.socialsecurity.htmlactivity.my.MessageSettingActivity',
      ios: 'CHBaseWebViewController',
    },
    windowType: 0,
    params: {
      info: '',
      html: 'html_my/messageSetting.html',
    },
  };
  topmobi.native.common.openWindow(obj);
});

$('#cancelAccount').on('tap', function() {
    var obj = {
      action: {
        android: 'gov.my.socialsecurity.htmlactivity.my.CancelAccountActivity',
        ios: 'CHBaseWebViewController',
      },
      windowType: 0,
      params: {
        info: '',
        html: '/cancel-account/index.html',
      },
    };
    topmobi.native.common.openWindow(obj);

});

$('#about').on('tap', function() {
  var obj = {
    action: {
      android: 'gov.my.socialsecurity.htmlactivity.my.AboutActivity',
      ios: 'CHBaseWebViewController',
    },
    windowType: 0,
    params: {
      info: '',
      html: 'html_my/about.html',
    },
  };
  topmobi.native.common.openWindow(obj);
});

//检测更新
function update() {
  var dataJson = {
    handler: 'touristMobileApkDownHandler',
  };
  var obj = {
    url: touristUrl,
    data: dataJson,
    success: function(data) {
      try {
        var result = data.result;
        switch (result.code) {
          case '1000':
            updateVer = result.data.apkCode;
            updatePath = result.data.apkUrl;
            updateTips = result.data.apkDesc;
            //分行处理升级提示信息   add by wyy on 2016.8.3
            var arr = updateTips.split('\r');
            var tips = '';
            for (var i = 0; i < arr.length; i++) {
              tips += arr[i] + '<br>';
            }
            if (parseInt(updateVer) > parseInt(versionCode)) {
              var options = {
                title: '提示',
                content: '检查到新版本,点击"确定"进行下载。<br>' + tips,
                btns: ['取消', '确定'],
              };
              var myAlert = new topmobi.widget.alert(options);
              myAlert.setWidth('85%');
              myAlert.click(function(i) {
                myAlert.hide();
                if (i == 1) {
                  myJsInterface.updateSoft(updatePath);
                }
              });
            } else {
              //	topmobi.native.common.log("wyy", "equal");
              var options = {
                title: '提示',
                content: '&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp已是最新版',
                btns: ['确定'],
              };

              var myAlert = new topmobi.widget.alert(options);
              myAlert.setWidth('60%');
              //	myAlert.setHeight("100px");
              myAlert.click(function(i) {
                myAlert.hide();
              });
            }
            break;
        }
      } catch (e) {
        //	topmobi.native.common.log("wyy", "错误：" + e.message);
      }
    },
    fail: function(data) {
      topmobi.native.common.showMsg('数据请求失败!', 'middle', 1500);
    },
  };
  rs_networkRequest(obj);
}

$('#update').on('tap', function() {
  update();
});
$('#clear').on('tap', function() {
  var options = {
    type: '3',
    textContent: '正在清除中...',
    hasText: true,
  };
  loadingbar = new topmobi.widget.loadingBar(options, 'chui-widget-loadingBar');
  loadingbar.show();
  loadingbar.setIcon('url(../img/loading.gif)');

  myJsInterface.cleanData({
    success: function(data) {
      if (data.result.toString() == 'true') {
        loadingbar.hide();
        myShowMessage('清除成功');
        document.getElementById('cache').innerHTML = '0KB';
        myJsInterface.refreshMsgNum();
      }
    },
  });
  
});
