Zepto(function($) {
	var phoneNumber = "";
    //如果已登录，获取电话号码；如果未登录，电话号码为"00"
    var state = topmobi.native.cache.getSharedValue("user", "loginState");
//  console.log("state:"+state);
    if(state){
    	phoneNumber = topmobi.native.cache.getSharedValue("user", "phoneNumber");
//  	console.log("phoneNumber:"+phoneNumber);
    }else{
    	phoneNumber = "00";
//  	console.log("phoneNumber:"+phoneNumber);
    }
    
    //提交意见
	function commitSuggestion() {
		var text=document.getElementById("textaArea").value;
		if ( text == "" ) {
		    topmobi.native.common.showMsg("反馈内容不能为空", "middle", 1500);
			return;
		} else if ( text.length < 10 ) {		
		    topmobi.native.common.showMsg("反馈字数不能少于10个字", "middle", 1500);
		    return;
		} else if ( text.length > 140 ) {		
		    topmobi.native.common.showMsg("反馈字数不能超过140个字，已超出"+(text.length-140)+"个字", "middle", 1500);
		    return;
		}
		var dataJson = {
			"handler": "touristAddFeedbackHandler",
			"sub": {
				"phoneNum": phoneNumber,
				"content": text
			}
		};
		var obj = {
		    url:touristUrl,
			data: dataJson,
			success: function(data) {
				try {
					var result = data.result;
					switch (result.code) {
						case "1000":
							myShowMessage("提交成功!");
							document.getElementById("textaArea").value = "";
							break;
						case "2000":
							topmobi.native.common.showMsg("提交失败!", "middle", 1500);
							break;
						case "4005":
							topmobi.native.common.showMsg("每日最多反馈两次意见!", "middle", 1500);
							break;
					}
				} catch (e) {
					topmobi.native.common.log("wyy", "错误：" + e.message);
				}
			},
			fail: function(data) {
				topmobi.native.common.showMsg("请求失败!", "middle", 1500);
			}
		}
		rs_networkRequest(obj);
	}

	$(".commit").on("tap", function() {
//		console.log("phoneNumber:"+phoneNumber);
		commitSuggestion();
	});

	$(".back_icon").on("tap", function() {
		topmobi.native.common.closeWindow(0);
	});
});