$().ready(function() {
	// 返回
	$(".back_icon").off("tap");
	$('.back_icon').on('tap', function() {
		history.back();
	});

	var personalInfo = topmobi.native.cache.getSharedValue("temp", "personalInfo");
	if(!!personalInfo) {
		var result = JSON.parse(personalInfo);
		showInfo(result);
	} else {
		topmobi.native.common.showMsg("个人信息详情为空", "middle", toastTimeForSalary);
	}

	function showInfo(result) {
		//人员基本信息
		$("#name").html(result.aac003 || "");
		$("#idCardNumber").html(result.aac002 || "");
		$("#sex").html(getKeyWithValue("AAC004", result.aac004));

		$("#birthTime").html(getShowTimeFormat(result.aac006));
		$("#nation").html(getKeyWithValue("AAC005", result.aac005));
		$("#workTime").html(getShowTimeFormat(result.aac007));
		$("#mouths").html(result.yac035 || "");

		//人事工资关系
		var companyName = topmobi.native.cache.getSharedValue("user", "companyName");
		$("#unit").html(companyName || "");
		$("#sources").html(getKeyWithValue("YAC001", result.yac001));
		$("#personIdentify").html(getKeyWithValue("YAC002", result.yac002));
		$("#rankOfDuty").html(getKeyWithValue("YAC013", result.aad007));
		$("#isLeader").html(getKeyWithValue("AAE100", result.aad009));
		$("#apointmentTime").html(getShowTimeFormat(result.yac092));
		$("#positionLevel").html(getKeyWithValue("YAC013", result.yac013));
		$("#isLeaderPositionTreatment").html(getKeyWithValue("AAE100", result.yac081));
		$("#salaryGrade").html(result.yac005 || "");
		$("#salaryLevel").html(result.yac080 || "");
		$("#ighestEducational").html(getKeyWithValue("AAC011", result.aac011));

		var allowances = result.allowances;
		setAllowances(allowances);
	}
})