$().ready(function() {
	//重写退出按钮事件
	$(".back_icon").off("tap");
	$(".back_icon").on("tap", function() {
		history.go(-1);
	})
	$(".itemRightResultText").html("");
	var idCardNumber = getQuery("idCardNumber");

	getDetailInfo();

	function getDetailInfo() {
		var obj = {
			url: basicSalaryUrl + 'swdy/swxxxx/' + idCardNumber,
			method: "get",
			isEncrypt: true,
			success: function(data) {
				try {
					if(data.result && !!data.result.statusCode && data.result.statusCode == 200) {
						var result = JSON.parse(data.result.result);

						//人员基本信息
						$("#idText").html(result.aac002 || "");
						$("#name").html(result.aac003 || "");
						$("#sex").html(getKeyWithValue("A0107", result.aac004));
						$("#nationality").html(getKeyWithValue("AAC005", result.aac005));
						$("#personStatus").html(getKeyWithValue("AAC008", result.aac008));
						var companyName = topmobi.native.cache.getSharedValue("user", "companyName");
						$("#unit").html(companyName || "");
						$("#personIdentify").html(getKeyWithValue("YAC002", result.yac002));
						//						$("#birthTime").html(getShowTimeFormat(result.aac006));
						//						$("#companyText").html(result.aae044 || "");

						//人事工资关系情况
						//						$("#positionLevel").html(getKeyWithValue("YAC013", result.yac013));
						//						$("#isLeader").html(getKeyWithValue("AAE100", result.yac081));
						//						$("#salaryLevel").html(result.yac080 || "");
						//						$("#salaryGrade").html(result.yac005 || "");
						//						$("#salaryStartDateText").html(getShowTimeFormat(result.yac091));
						//						$("#workStartTimeText").html(getShowTimeFormat(result.aac007));
						//						$("#positionSalary").html(result.yac056 || "");
						//						$("#levelSalary").html(result.yac057 || "");
						$("#basicSalary").html(result.aad011 || "");
						//						$("#disposableIncome").html(result.yac190 || "");
						$("#retirementPay").html(result.tac007 || "");
						//						$("#increasePay").html(result.aac060 || "");
						//						$("#totalMonthPay").html(result.aac062 || "");

						//死亡待遇信息
						$("#deathResonText").html(getKeyWithValue("AAD013", result.aad013));
						$("#deathTimeText").html(getShowTimeFormat(result.aad012));
						$("#oncePensionText").html(result.aac051 || "");
						$("#funeralPensionText").html(result.aac052 || "");
						//						$("#salaryText").html(result.bz || "");
						setPublicFunctionary(result.yac002);
						$("#peopleIncomeTitle").html(getAllPersonSalaryNStr(result.aad013, result.yac002));
						$("#peopleIncomeText").html(result.aad014 || ""); //可为空
						$("#lifePensionText").html(result.aac053 || ""); //可为空
					} else {
						topmobi.native.common.showMsg("请求失败", "middle", toastTimeForSalary);
					}
				} catch(e) {
					if(!!data.result.message) {
						//未查找到符合条件的数据也返回200，走这个分支，并将错误信息写入data.result.message
						topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSalary);
						return;
					}
					topmobi.native.common.log("getDetailInfo", "数据异常：" + e.message);
					topmobi.native.common.showMsg("数据异常", "middle", toastTimeForSalary);
				}
			},
			fail: function(data) {
				topmobi.native.common.log("getDetailInfo", "错误：" + JSON.stringify(data));
				if(!!data.result && !!data.result.message) {
					//平台出错将错误信息写入data.result.message
					topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSalary);
				} else if(!!data.msg) {
					topmobi.native.common.showMsg(data.msg, "middle", toastTimeForSalary);
				} else {
					topmobi.native.common.showMsg("网络异常，请检查网络", "middle", toastTimeForSalary);
				}
			}
		};
		rs_networkRequest(obj);
	}

	//根据人员身份判断是否是公务员或者参公
	function isPublicFunctionaryFuc(personIdentify) {
		if(!!personIdentify && personIdentify != "06" && personIdentify != "07" && personIdentify != "08") {
			return true;
		}
		return false;
	}

	//根据死亡原因和是否事业单位人员计算全国城镇居民收入倍数
	function getAllPersonSalaryNStr(deathReson, personIdentify) {
		var isPublicFunctionary = isPublicFunctionaryFuc(personIdentify) //是否是非事业单位 true 是 false 不是
		if(!!deathReson) {
			deathResonInt = parseInt(deathReson);
		}
		switch(deathResonInt) {
			case 1: //因病
				if(isPublicFunctionary) //非事业单位因病
				{
					return "全国城镇居民收入2倍"; 
				} else //事业单位因病
				{
					return "全国城镇居民收入N倍";
				}
			case 2: //烈士
			case 3: //因公牺牲
				if(isPublicFunctionary) //非事业单位烈士或因公牺牲
				{
					return "全国城镇居民收入20倍";
				} else //事业单位烈士或因公牺牲
				{
					return "全国城镇居民收入N倍";
				}
			case 4: //其他
				return "全国城镇居民收入N倍";
		}
	}
	
	/*
	 * 公务员或者参公 显示上年全国居民收入 否则不显示
	 */
	function setPublicFunctionary(personIdentify) {
		if(isPublicFunctionaryFuc(personIdentify)) {
			$("#disposableIncomeParent").show();
			return;
		}
		$("#disposableIncomeParent").hide();
	}
})