$().ready(function() {
	// 返回
	$(".back_icon").off("tap");
	$('.back_icon').on('tap', function() {
		history.back();
	});

	var listData = [];
	listData = topmobi.native.cache.getSharedValue("person", "position");
	if(!!listData) {
		listData = JSON.parse(listData);
	}

	initList();

	function initList() {
		$(".list_view").html("");

		for(var i = 0; i < listData.length; i++) {
			var orderItem = listData[i];

			var orderItemDom = template("template_list_item", orderItem);
			$(".list_view").append(orderItemDom);
		}
	}

	$(".list_view").addCellLeftSlide(".list_item_detail", function(e) {
		var positionInfo = topmobi.native.cache.getSharedValue("person", "allpositioninfo"); //人员工作简历缓存
		if(!!positionInfo) {
			positionInfo = JSON.parse(positionInfo);
		} else {
			return;
		}
		// 点击某一条件item 进入条件编辑界面
		var index = $(e.currentTarget).parents(".listItem").index();
		var tempPositionInfo = positionInfo[index];
		topmobi.native.cache.putSharedValue("temp", "tempPositioninfo", JSON.stringify(tempPositionInfo));
		topmobi.native.cache.putSharedValue("temp", "editPositioninfoIndex", index + "");
		location.href = "personal_increase_position_resume.html";
	})

	//点击某一工作简历的删除按钮 
	$(".list_view").on("tap", ".item_delete", function(e) {
		var index = $(this).parents(".listItem").index();
		$(this).siblings(".list_item_detail").removeClass("active");
		$(this).parents(".listItem").remove();
		listData.splice(index, 1);
		topmobi.native.cache.putSharedValue("person", "position", JSON.stringify(listData));
		
		var positionInfo = topmobi.native.cache.getSharedValue("person", "allpositioninfo"); //人员工作简历缓存
		if(!!positionInfo) {
			positionInfo = JSON.parse(positionInfo);
			positionInfo.splice(index, 1);
			topmobi.native.cache.putSharedValue("person", "allpositioninfo", JSON.stringify(positionInfo)); 
		}
	})

	$(".addIcon").on("touchend", function(e) {
		e.preventDefault();
	})

	$(".addIcon").on("tap", function() {
		topmobi.native.cache.removeSharedValue("temp", "tempPositioninfo");
		topmobi.native.cache.removeSharedValue("temp", "editPositioninfoIndex");
		location.href = "personal_increase_position_resume.html";
	})

	$(".save_btn").on("touchend", function(e) {
		e.preventDefault();
	})

	$(".save_btn").on("tap", function() {
		var saveData = "";
		if(listData == "") { //没有任职简历，复用人员基本信息数据
			saveData = topmobi.native.cache.getSharedValue("person", "personinfo");
			if(!!saveData) {
				saveData = JSON.parse(saveData);
				var idfNumberCopy = saveData.aac002; //人员身份证
				var personidfy = saveData.yac002; //人员身份
				var dataJson = {
					"aac002": idfNumberCopy, //身份证
					"yac002": personidfy, //人员身份
					"yac011": saveData.yac011 + "01",
					"yac013_1": saveData.yac013_1,
					"yac014": saveData.yac014,

				};
				var saveDataOne = [];
				saveDataOne.push(dataJson);
				topmobi.native.cache.putSharedValue("person", "allpositioninfo", JSON.stringify(saveDataOne));
			} else {
				topmobi.native.common.showMsg("数据异常", "middle", toastTimeForSalary);
			}
		}

		var personInfo = topmobi.native.cache.getSharedValue("person", "allpersoninfo"); //人员基本信息缓存
		var studyInfo = topmobi.native.cache.getSharedValue("person", "allstudyinfo"); //人员学习简历缓存
		var positionInfo = topmobi.native.cache.getSharedValue("person", "allpositioninfo"); //人员工作简历缓存
		var dataJson = {
			ryxx: personInfo,
			xxjl: studyInfo,
			rzjl: positionInfo
		}
		dataJson = JSON.stringify(dataJson);
		savePositionResumeInfo(dataJson);
	})

	function savePositionResumeInfo(dataJson) {
		var obj = {
			//			url: basicSalaryUrl + 'ryxz/rzjllr',
			url: basicSalaryUrl + 'ryxz/xxjllr',
			data: dataJson,
			method: "post",
			isEncrypt: true,
			success: function(data) {
				var result = data.result;
				if(result.statusCode == 201) {
					topmobi.native.common.showMsg(result.message, "middle", toastTimeForSalary);
					topmobi.native.common.closeWindow(0);
				} else {
					if(!!result.statusCode && result.statusCode == 200 && !!data.result.message) {
						//保存失败，走这个分支，并将错误信息写入data.result.message
						topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSalary);
						return;
					}
					topmobi.native.common.showMsg("保存失败", "middle", toastTimeForSalary);
				}
			},
			fail: function(data) {
				topmobi.native.common.log("savePositionResumeInfo", "错误：" + JSON.stringify(data));
				if(!!data.result && !!data.result.message) {
					//平台出错将错误信息写入data.result.message
					topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSalary);
				} else if(!!data.msg) {
					topmobi.native.common.showMsg(data.msg, "middle", toastTimeForSalary);
				} else {
					topmobi.native.common.showMsg("网络异常，请检查网络", "middle", toastTimeForSalary);
				}
			}
		}
		rs_networkRequest(obj);
	}
})