// 返回
$(".back_icon").off("tap");
$('.back_icon').on('tap', function() {
	history.back();
});

var setDefaultForIsleaderFlag = false; //是否将“是否领导职务”设置为否 是则不可编辑 否则可编辑

var idCardNumber;
var personIdentifyValue = ""; //人员身份
var hasCompetentDepartment = topmobi.native.cache.getSharedValue("user", "hasCompetentDepartment"); //是否有主管部门

var hasGetRelatedInfo = false; //是否根据身份证号获取过人员基本信息
var ARR_treatmentLevelSelected; //人员身份返回后，对应的享受待遇级别数组
clearParams();
var personInfo; //根据身份证号查询到的个人基本信息
var arrayStudyResume = []; //学习简历

function clearParams() {
	hasGetRelatedInfo = false;
	$("#name").html("");
	$("#unit").html("");
	//	$("#birthTime").find(".itemRightText").html("");
	$("#personIdentify").html("");
	$("#jobGrades").html("");
	$("#isLeader").html("");
	$("#probationFlag").html("");
	$("#education").html("--请选择--");

	$("#teacherOrNurse").html("--请选择--");
	$("#positionLevel").html("--请选择--");
	$("#isLeaderTreatment").html("--请选择--");
	$("#salaryBeginTime").find(".itemRightText").html("--请选择--");

	$("#salaryLevel").val("");
	$("#salaryRank").val("");
	$("#promotionYear").find(".itemRightText").html("--请选择--");
	$("#filesYear").find(".itemRightText").html("--请选择--");
	$("#fileBasis").val("");

	addNodisplayClass($("#salaryGradeParent"));
	addNodisplayClass($("#salaryLevelParent"));
	addNodisplayClass($("#promotionYear"));
	addNodisplayClass($("#filesYear"));
	arrayStudyResume = [];
}

function addNodisplayClass(element) {
	if(!element.hasClass("nodisplay")) {
		element.addClass("nodisplay");
	}
}

function removeNodisplayClass(element) {
	if(element.hasClass("nodisplay")) {
		element.removeClass("nodisplay");
	}
}

//查政策
$('.operationBar_policy').on('tap', function() {
	var obj = {
		action: {
			android: "gov.my.socialsecurity.htmlactivity.home.PolicyMenusActivity",
			ios: "CHBaseWebViewController"
		},
		windowType: 0,
		params: {
			info: "",
			html: "html_salary/policyMenus.html"
		}
	}
	topmobi.native.cache.putSharedValue("temp", "policyType", "gzsb");
	topmobi.native.common.openWindow(obj);
});

//操作指南
$('.operationBar_guide').on('tap', function() {
	var obj = {
		action: {
			android: "gov.my.socialsecurity.htmlactivity.home.OperationGuidListActivity",
			ios: "CHBaseWebViewController"
		},
		windowType: 0,
		params: {
			info: "",
			html: "html_salary/operationGuidList.html"
		}
	}
	topmobi.native.cache.putSharedValue("temp", "guideType", "gzsb");
	topmobi.native.common.openWindow(obj);
});

//通过是否有主管部门和人员身份获取审批流程
function getCheckProcess(hasCompetentDepartment, personIdentify) {
	var isOfficial = getIsOfficial(personIdentify);
	hasCompetentDepartment = parseInt(hasCompetentDepartment);
	if(hasCompetentDepartment) {
		return ["zgbm", "gzksh", "gzkfh"];
	} else {
		return ["gzksh", "gzkfh"];
	}
}

//看流程
$('.operationBar_process').on('tap', function() {
	var obj = {
		action: {
			android: "gov.my.socialsecurity.htmlactivity.home.SalaryChangeProcessingActivity",
			ios: "CHBaseWebViewController"
		},
		windowType: 0,
		params: {
			info: "",
			html: "html_salary/salary_change_processing.html"
		}
	}
	var checkProcess = getCheckProcess(hasCompetentDepartment, personIdentifyValue);
	var data = {
		"checkProcess": checkProcess,
		"stepType": 1,
		"processType": "xjrygzsb",
		"checkStatus": 1
	}
	topmobi.native.cache.putSharedValue("temp", "checkProcessData", JSON.stringify(data));
	topmobi.native.common.openWindow(obj);
});

//输入身份证号，自动获取姓名、单位名称、人员身份、现任职务等级、是否领导职务、试用标志, 学历列表
//点击搜索按钮，根据身份证号码查询信息
$('.search-btn').on('tap', function() {
	//验证身份证
	idCardNumber = $("#idCardNumber").val();
	if(!isNull(idCardNumber)) {
		if(isIdCardNo(idCardNumber)) {
			$("#idCardNumber").blur();
			getRelatedInfo();
		} else {
			topmobi.native.common.showMsg("身份证号格式不对", "middle", toastTimeForSalary);
		}
	} else {
		topmobi.native.common.showMsg("身份证号不能为空", "middle", toastTimeForSalary);
	}
});

/*
 * 根据身份证号码获取人员基本信息
 */
function getRelatedInfo() {
	clearParams(); //先清空参数
	personInfo = {};
	var obj = {
		url: basicSalaryUrl + 'gzsb/xxlr/' + idCardNumber,
		method: "get",
		isEncrypt: true,
		timeout: 20000,
		success: function(data) {
			try {
				if(!!data.result && !!data.result.statusCode && data.result.statusCode == 200) {
					var result = JSON.parse(data.result.result);
					personInfo = result;
					//信息回填
					$("#name").html(result.aac003);
					var companyName = topmobi.native.cache.getSharedValue("user", "companyName");
					$("#unit").html(companyName || "");
					var personIdentify = getKeyWithValue("YAC002", result.yac002);
					$("#personIdentify").html(personIdentify);
					if(!!personIdentify) {
						ARR_treatmentLevelSelected = ARR_personIdentifyRelated[personIdentify];
					}
					setSalaryInfoAppear(result.yac002);
					personIdentifyValue = result.yac002;
					$("#jobGrades").html(getKeyWithValue("YAC013", result.aad007));
					setSalaryInfoAppearWithJobGrades(result.aad007);
					$("#isLeader").html(getKeyWithValue("AAE100", result.aad009));
					$("#probationFlag").html(getKeyWithValue("YAC082", result.yac082));
					$("#education").html(getKeyWithValue("AAE100", result.tac009));
					hasGetRelatedInfo = true;
					getStudyResume();
				} else {
					topmobi.native.common.showMsg("获取人员基本信息失败", "middle", toastTimeForSalary);
				}
			} catch(e) {
				if(!!data.result.message) {
					//未查找到符合条件的数据也返回200，走这个分支，并将错误信息写入data.result.message
					topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSalary);
					return;
				}
				topmobi.native.common.log("getRelatedInfo", "数据异常：" + e.message);
				topmobi.native.common.showMsg("人员基本信息数据异常", "middle", toastTimeForSalary);
			}
		},
		fail: function(data) {
			topmobi.native.common.log("getRelatedInfo", "错误：" + JSON.stringify(data));
			if(!!data.result && !!data.result.message) {
				//平台出错将错误信息写入data.result.message
				topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSalary);
			} else if(!!data.msg) {
				topmobi.native.common.showMsg(data.msg, "middle", toastTimeForSalary);
			} else {
				topmobi.native.common.showMsg("网络异常，请检查网络", "middle", toastTimeForSalary);
			}
		}
	};
	rs_networkRequest(obj);
}

function getStudyResume() {
	var obj = {
		url: basicSalaryUrl + 'ggjk/jlcx/1/99/' + idCardNumber + "/02", //02 学习简历 01工作简历
		method: "get",
		isEncrypt: true,
		success: function(data) {
			try {
				var result = data.result;
				if(result && !!result.statusCode && result.statusCode == 200) {
					if(!!result.result) {
						var result = JSON.parse(result.result);
						if(result.length > 0) {
							for(var i = 0; i < result.length; i++) {
								var temp = result[i];
								arrayStudyResume.push(getKeyWithValue("AAC011", temp.aac011));
							}
						}
					} else {
						topmobi.native.common.showMsg("该人员没保存学习简历", "middle", toastTimeForSalary);
						return;
					}
				} else {
					topmobi.native.common.showMsg("获取学习简历失败，请重试", "middle", toastTimeForSalary);
				}
			} catch(e) {
				topmobi.native.common.log("requestList", "数据异常：" + e.message);
				topmobi.native.common.showMsg("学习简历数据异常", "middle", toastTimeForSalary);
			}
		},
		fail: function(data) {
			topmobi.native.common.log("requestList", "错误：" + JSON.stringify(data));
			if(!!data.result && !!data.result.message) {
				//平台出错将错误信息写入data.result.message
				topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSalary);
			} else if(!!data.msg) {
				topmobi.native.common.showMsg(data.msg, "middle", toastTimeForSalary);
			} else {
				topmobi.native.common.showMsg("网络异常，请检查网络", "middle", toastTimeForSalary);
			}
		}
	};
	rs_networkRequest(obj);
}

//根据人员身份 判断工资信息里面显示的字段
function setSalaryInfoAppear(personIdentify) {
	if(!personIdentify) {
		return;
	}
	if(personIdentify == "06" || personIdentify == "07" || personIdentify == "08") {
		removeNodisplayClass($("#salaryGradeParent"));
		removeNodisplayClass($("#promotionYear"));
	} else if(personIdentify == "01" || personIdentify == "02" || personIdentify == "03" || personIdentify == "05") {
		removeNodisplayClass($("#salaryGradeParent"));
		removeNodisplayClass($("#salaryLevelParent"));
		removeNodisplayClass($("#promotionYear"));
		removeNodisplayClass($("#filesYear"));
	} else if(personIdentify == "04") {
		removeNodisplayClass($("#salaryGradeParent"));
		removeNodisplayClass($("#filesYear"));
	} else {
		removeNodisplayClass($("#salaryLevelParent"));
		removeNodisplayClass($("#filesYear"));
	}
}

//现任职务等级是：试用期、机关技术工熟练期、机关技术工学徒期、管理见习期、专技见习期、事业技术工熟练期、事业技术工学徒期时 隐藏工资级别和工资档次 
function setSalaryInfoAppearWithJobGrades(jobGrades) {
	if(jobGrades == "13" || jobGrades == "20" || jobGrades == "21" || jobGrades == "32" || jobGrades == "46" || jobGrades == "53" || jobGrades == "54") {
		addNodisplayClass($("#salaryGradeParent"));
		addNodisplayClass($("#salaryLevelParent"));
	}
}

function checkHasGetRelatedInfo(isInput) {
	if(!hasGetRelatedInfo) {
		topmobi.native.common.showMsg("请先填写身份证号获取回填信息", "middle", toastTimeForSalary);
		$("input").blur();
		return false;
	}
	if(!isInput) {
		$("input").blur();
	}
	return true;
}

/*
 * 最高学历
 */
$("#education").parent().on('tap', function() {
	if(!checkHasGetRelatedInfo(false)) {
		return;
	}
	if(!arrayStudyResume || arrayStudyResume.length == 0) {
		topmobi.native.common.showMsg("该人员没保存学习简历", "middle", toastTimeForSalary);
		return;
	}
	var options1 = {
		data: arrayStudyResume,
		title: '请选择',
		duration: 300
	};
	var actionSheet = new topmobi.widget.actionSheetDialog(options1);
	actionSheet.setItemClick(function(index) {
		$("#education").html(options1.data[index]);
		actionSheet.remove();
	});
});

/*
 * 教师护士标识
 */
$("#teacherOrNurse").parent().on('tap', function() {
	if(!checkHasGetRelatedInfo(false)) {
		return;
	}
	var options2 = {
		data: ARR_teacherOrNurseLabel,
		title: '请选择',
		duration: 300
	};
	var actionSheet = new topmobi.widget.actionSheetDialog(options2);
	actionSheet.setItemClick(function(index) {
		educationBackgroundText = options2.data[index];
		$("#teacherOrNurse").html(educationBackgroundText);
		actionSheet.remove();
	});
});

/*
 * 享受待遇的职务等级
 */
$("#positionLevel").parent().on('tap', function() {
	if(!checkHasGetRelatedInfo(false)) {
		return;
	}
	var options3 = {
		data: ARR_treatmentLevelSelected,
		title: '请选择',
		duration: 300
	};
	if(ARR_treatmentLevelSelected != undefined) {
		var actionSheet = new topmobi.widget.actionSheetDialog(options3);
		actionSheet.setItemClick(function(index) {
			$("#positionLevel").html(options3.data[index]);
			actionSheet.remove();
			setDefaultForIsleaderFlag = setDefaultForIsleader(personIdentifyValue, CODE.YAC013[options3.data[index]], $("#isLeaderTreatment"));
		});
	} else {
		topmobi.native.common.showMsg("个人信息未返回人员身份", "middle", toastTimeForSalary);
	}
});

//是否享受领导职务待遇
$("#isLeaderTreatment").parent().on('tap', function() {
	if(!checkHasGetRelatedInfo(false)) {
		return;
	}
	if(setDefaultForIsleaderFlag) {
		return;
	}
	var options4 = {
		data: ARR_eitherOr,
		title: '请选择',
		duration: 300
	};
	var actionSheet = new topmobi.widget.actionSheetDialog(options4);
	actionSheet.setItemClick(function(index) {
		$("#isLeaderTreatment").html(options4.data[index]);
		actionSheet.remove();
	});
});

//	
/*
 * 工资开始年月
 */
$("#salaryBeginTime").on("tap", function() {
	if(!checkHasGetRelatedInfo(false)) {
		return;
	}
	var endTime = getEndTime();
	showMonthTimePicker($(this).find(".itemRightText"), "month", endTime.endYear, endTime.endMonth);
})

/*
 * 工资等级
 */
$("#salaryGrade").on("blur", function() {
	if(!checkHasGetRelatedInfo(true)) {
		$(this).val("");
		return;
	}
	var positionLevelValue = $("#positionLevel").html();
	var item = checkSalaryLevel(CODE.YAC013[positionLevelValue]);
	var salaryGradeValue = this.value;
	if(parseFloat(salaryGradeValue) > item[1]) {
		topmobi.native.common.showMsg("工资等级不能大于" + item[1], "middle", toastTimeForSalary);
		$(this).val(item[1] + "");
		return;
	}
	if(parseFloat(salaryGradeValue) < item[0]) {
		topmobi.native.common.showMsg("工资等级不能小于" + item[0], "middle", toastTimeForSalary);
		$(this).val(item[0] + "");
		return;
	}
})

/*
 * 工资档次
 */
$("#salaryLevel").on("input", function() {
	if(!checkHasGetRelatedInfo(true)) {
		$(this).val("");
		return;
	}
	var salaryLevelValue = this.value;
	if(parseFloat(salaryLevelValue) > 14) {
		topmobi.native.common.showMsg("工资档次不能大于14", "middle", toastTimeForSalary);
		$(this).val("14");
		return;
	}
	if(parseFloat(salaryLevelValue) < 1) {
		topmobi.native.common.showMsg("工资档次不能小于1", "middle", toastTimeForSalary);
		$(this).val("1");
		return;
	}
})

/*
 * 晋级起算年度
 */
$("#promotionYear").on("tap", function() {
	if(!checkHasGetRelatedInfo(false)) {
		return;
	}
	showMonthTimePicker($(this).find(".itemRightText"), "year");
})

/*
 * 晋档起算年度
 */
$("#filesYear").on("tap", function() {
	if(!checkHasGetRelatedInfo(false)) {
		return;
	}
	showMonthTimePicker($(this).find(".itemRightText"), "year");
})

/*
 * 保存信息
 */
function checkChooseItem(itemText, message) {
	if(itemText == "" || itemText == "--请选择--") {
		topmobi.native.common.showMsg(message, "middle", toastTimeForSalary);
		return false;
	}
	return true;
}

$(".save_btn").on("tap", function() {
	if(!checkHasGetRelatedInfo(false)) {
		return;
	}

	var personNo = personInfo.aac001 || ""; //个人编号
	if(!checkChooseItem(personNo, "个人信息未返回人员编号")) {
		return;
	}

	var personIdentify = personInfo.yac002 || ""; //人员身份
	if(!checkChooseItem(personIdentify, "个人信息未返回人员身份")) {
		return;
	}

	var jobGrades = personInfo.aad007 || ""; //现任职务
	if(!checkChooseItem(jobGrades, "个人信息未返回现任职务")) {
		return;
	}

	var educationValue = $("#education").html();
	if(!checkChooseItem(educationValue, "请选择最高学历")) {
		return;
	}
	//必填信息校验
	var teacherOrNurseValue = $("#teacherOrNurse").html();
	if(!checkChooseItem(teacherOrNurseValue, "请选择教师护士标识")) {
		return;
	}
	var positionLevelValue = $("#positionLevel").html();
	if(!checkChooseItem(positionLevelValue, "请选择享受待遇的职务等级")) {
		return;
	}
	var isLeaderTreatmentValue = $("#isLeaderTreatment").html();
	if(!checkChooseItem(isLeaderTreatmentValue, "请选择是否享受领导职务待遇")) {
		return;
	}
	var salaryBeginTimeValue = $("#salaryBeginTime").find(".itemRightText").html();
	if(!checkChooseItem(salaryBeginTimeValue, "请选择工资开始年月")) {
		return;
	}

	var salaryGradeValue = "";
	if(!$("#salaryGradeParent").hasClass("nodisplay")) {
		salaryGradeValue = $("#salaryGrade").val();
		if(!checkChooseItem(salaryGradeValue, "请填写工资级别")) {
			return;
		}
		var item = checkSalaryLevel(CODE.YAC013[positionLevelValue]);
		if(salaryGradeValue < item[0] || salaryGradeValue > item[1]) {
			topmobi.native.common.showMsg("工资级别须在" + item[0] + "-" + item[1] + "范围内!", "middle", toastTimeForSalary);
			return;
		}
	}
	var salaryLevelValue = "";
	if(!$("#salaryLevelParent").hasClass("nodisplay")) {
		salaryLevelValue = $("#salaryLevel").val();
		if(!checkChooseItem(salaryLevelValue, "请填写工资档次")) {
			return;
		}
		if(parseFloat(salaryLevelValue) > 14) {
			topmobi.native.common.showMsg("工资档次不能大于14", "middle", toastTimeForSalary);
			return;
		}
		if(parseFloat(salaryLevelValue) < 1) {
			topmobi.native.common.showMsg("工资档次不能小于1", "middle", toastTimeForSalary);
			return;
		}
	}

	var promotionYearValue = "";
	if(!$("#promotionYear").hasClass("nodisplay")) {
		promotionYearValue = $("#promotionYear").find(".itemRightText").html();
		if(!checkChooseItem(promotionYearValue, "请选择晋级起算年度")) {
			return;
		}
	}

	var filesYearValue = "";
	if(!$("#filesYear").hasClass("nodisplay")) {
		filesYearValue = $("#filesYear").find(".itemRightText").html();
		if(!checkChooseItem(filesYearValue, "请选择晋档起算年度")) {
			return;
		}
	}

	var dataJson = {
		"aac001": personNo,
		"aac002": idCardNumber,
		"yac002": personIdentify,
		"aad007": jobGrades,
		"aac011": CODE.AAC011[educationValue],
		"yac005": salaryGradeValue || "0",
		"yac013": CODE.YAC013[positionLevelValue],
		"yac080": salaryLevelValue || "0",
		"yac081": CODE.AAE100[isLeaderTreatmentValue],
		"yac091": getUploadTimeFormat(salaryBeginTimeValue),
		"yac006": CODE.AAE100[teacherOrNurseValue],
		"wjyj": $("#fileBasis").val() || "",
	};
	if(!!promotionYearValue) {
		dataJson.yac062 = promotionYearValue;
	}
	if(!!filesYearValue) {
		dataJson.yac063 = filesYearValue;
	}
	//保存工资申报信息
	saveWageDeclareInfo(dataJson);
})

function saveWageDeclareInfo(dataJson) {
	var obj = {
		url: basicSalaryUrl + 'gzsb/xxlr',
		data: dataJson,
		method: "post",
		isEncrypt: true,
		timeout: 20000,
		success: function(data) {
			var result = data.result;
			if(!!result.statusCode && result.statusCode == 201) {
				topmobi.native.common.showMsg(result.message, "middle", toastTimeForSalary);
				history.go(-1);
			} else {
				if(!!result.statusCode && result.statusCode == 200 && !!data.result.message) {
					//保存失败，走这个分支，并将错误信息写入data.result.message
					topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSalary);
					return;
				}
				topmobi.native.common.showMsg("保存失败", "middle", toastTimeForSalary);
			}
		},
		fail: function(data) {
			topmobi.native.common.log("saveRetiredInfo", "错误：" + JSON.stringify(data));
			if(!!data.result && !!data.result.message) {
				//平台出错将错误信息写入data.result.message
				topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSalary);
			} else if(!!data.msg) {
				topmobi.native.common.showMsg(data.msg, "middle", toastTimeForSalary);
			} else {
				topmobi.native.common.showMsg("网络异常，请检查网络", "middle", toastTimeForSalary);
			}
		}
	}
	rs_networkRequest(obj);
}