var idCardNumber;
var upLoadInfo;

var personIdentifyValueGlobal = ""; //人员身份
var hasCompetentDepartment = topmobi.native.cache.getSharedValue("user", "hasCompetentDepartment"); //是否有主管部门
var hasGetRelatedInfo = false; //是否根据身份证号获取过人员基本信息
// 返回
$(".back_icon").off("tap");
$('.back_icon').on('tap', function() {
	history.back();
});
// 查询结果对象
var result;

//查政策
$('.operationBar_policy').on('tap', function() {
	var obj = {
		action: {
			android: "gov.my.socialsecurity.htmlactivity.home.PolicyMenusActivity",
			ios: "CHBaseWebViewController"
		},
		windowType: 0,
		params: {
			info: "",
			html: "html_salary/policyMenus.html"
		}
	}
	topmobi.native.cache.putSharedValue("temp", "policyType", "ryjs");
	topmobi.native.common.openWindow(obj);
});

//操作指南
$('.operationBar_guide').on('tap', function() {
	var obj = {
		action: {
			android: "gov.my.socialsecurity.htmlactivity.home.OperationGuidListActivity",
			ios: "CHBaseWebViewController"
		},
		windowType: 0,
		params: {
			info: "",
			html: "html_salary/operationGuidList.html"
		}
	}
	topmobi.native.cache.putSharedValue("temp", "guideType", "ryjs");
	topmobi.native.common.openWindow(obj);
});

//通过是否有主管部门和人员身份获取审批流程
function getCheckProcess(hasCompetentDepartment, personIdentify) {
	var isOfficial = getIsOfficial(personIdentify);
	hasCompetentDepartment = parseInt(hasCompetentDepartment);
	if(hasCompetentDepartment) {
		if(isOfficial) {
			return ["zgbm", "gzksh", "gzkfh"];
		} else {
			return ["zgbm", "sgk", "gzksh", "gzkfh"];
		}
	} else {
		if(isOfficial) {
			return ["gzksh", "gzkfh"];
		} else {
			return ["sgk", "gzksh", "gzkfh"];
		}
	}
}

//看流程
$('.operationBar_process').on('tap', function() {

	var obj = {
		action: {
			android: "gov.my.socialsecurity.htmlactivity.home.SalaryChangeProcessingActivity",
			ios: "CHBaseWebViewController"
		},
		windowType: 0,
		params: {
			info: "",
			html: "html_salary/salary_change_processing.html"
		}
	}
	var checkProcess = getCheckProcess(hasCompetentDepartment, personIdentifyValueGlobal);
	var data = {
		"checkProcess": checkProcess,
		"stepType": 1,
		"processType": "ryjs",
		"checkStatus": 1
	}
	topmobi.native.cache.putSharedValue("temp", "checkProcessData", JSON.stringify(data));
	topmobi.native.common.openWindow(obj);
});

$('.search-btn').on('tap', function() {
	//验证身份证
	idCardNumber = $("#idCardNumber").val();
	if(!isNull(idCardNumber)) {
		if(isIdCardNo(idCardNumber)) {
			$("input").blur();
			getRelatedInfo();
		} else {
			topmobi.native.common.showMsg("身份证格式不对", "middle", toastTimeForSalary);
		}
	} else {
		topmobi.native.common.showMsg("输入不能为空", "middle", toastTimeForSalary);
	}
});

/**
 * 提交新增个人信息到服务器
 */
$('.save_btn').on('tap', function() {
	checkUpLoadInfo();

});

/**
 * 校验上报信息是否合法
 */
function checkUpLoadInfo() {
	upLoadInfo = new Object();
	// 检查身份证信息
	idCardNumber = $("#idCardNumber").val();
	if(!isNull(idCardNumber)) {
		if(isIdCardNo(idCardNumber)) {
			upLoadInfo.aac002 = idCardNumber;
		} else {
			topmobi.native.common.showMsg("身份证格式不对", "middle", toastTimeForSalary);
			return;
		}
	} else {
		topmobi.native.common.showMsg("输入不能为空", "middle", toastTimeForSalary);
		return;
	}

	// 检查减少原因
	if($("#reduceReason_item").text() == "--请选择--" || $("#reduceReason_item").text() == "") {
		topmobi.native.common.showMsg("减少原因信息不能为空！", "middle", toastTimeForSalary);
		return;
	}

	//"aav010": $("#reduceReason_item").text(),
	upLoadInfo.aav010 = CODE.AAV010[$("#reduceReason_item").text()];

	// 检查减少时间
	if($("#reducetime_item").text() == "--请选择--" || $("#reducetime_item").text() == "") {
		topmobi.native.common.showMsg("减少时间信息不能为空！", "middle", toastTimeForSalary);
		return;
	}
	//"yac089": $("#reducetime_item").text(),
	//upLoadInfo.yac089 = $("#reducetime_item").text();
	upLoadInfo.yac089 = $("#reducetime_item").text();
	// 备注
	upLoadInfo.aav011 = $('.textArea').text();
	upLoadInfo.aac008 = result.aac008;
	upLoadInfo.yac002 = result.yac002;
	upLoadInfo.aac001 = result.aac001;
	saveRecordInfo();
}

/**
 * 根据身份证信息查询
 */
function getRelatedInfo() {
	// $("#idCardNumber").val("510702195512240053");
	removeAllItemView();
	var obj = {
		//	url: basicSalaryUrl + "ryjs/xxlr/" + "510703196505010429"idCardNumber"",
		url: basicSalaryUrl + "ryjs/xxlr/" + idCardNumber,
		method: "get",
		isEncrypt: true,
		success: function(data) {
			topmobi.native.common.log("requestList+++success+++=" + JSON.stringify(data));
			paraseRespData(data);
		},
		fail: function(data) {
			removeAllItemView();
			showError();
		}
	};
	rs_networkRequest(obj);
}

function removeAllItemView() {
	$("#name").val("");
	$("#sex_input").val("");
	// 出生日期
	$("#birthData").val("");
	// 汉族
	$("#unit").val("");
	$("#companyName").val("");
	// 人员身份
	$("#personState").val("");
	// 职务级别
	$("#jobLevel").val("");
	$("#isLeader").val("");
	$("#isVerify").val("");
	$("#reducetime_item").html("--请选择--");
	$("#reduceReason_item").html("--请选择--");	
	hasGetRelatedInfo = false; 
	$("#textaAreaRemark").val("");
}

/**
 *  response解析
 *  @param {Object} data
 */
function paraseRespData(data) {
	try {
		if(data.result && !!data.result.statusCode && data.result.statusCode == 200) {
			result = JSON.parse(data.result.result);
			// 人员姓名
			$("#name").val(result.aac003);
			$("#sex_input").val(getKeyWithValue("AAC004", result.aac004));
			// 出生日期
			$("#birthData").val(result.aac006);
			// 汉族
			$("#unit").val(getKeyWithValue("AAC005", result.aac005));
			//
			//			// 单位名称
			//			$("#companyName").val(result.aae044);
			var companyName = topmobi.native.cache.getSharedValue("user", "companyName");
			$("#unit").html(companyName || "");
			$("#companyName").val(companyName);
			// 人员身份
			$("#personState").val(getKeyWithValue("YAC002", result.yac002));
			personIdentifyValueGlobal = result.yac002;
			// 职务级别
			$("#jobLevel").val(getKeyWithValue("YAC013", result.aad007));
			$("#isLeader").val(getKeyWithValue("YA1421", result.aad009));
		//	$("#isVerify").val(getKeyWithValue("YA1421", result.aad007));
			hasGetRelatedInfo = true;
		}
	} catch(e) {
		//TODO handle the exception
		try {
			topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSalary);
		} catch(e) {
			//TODO handle the exception
		}
	}

}

function checkHasGetRelatedInfo(isInput) {
	if(!hasGetRelatedInfo) {
		topmobi.native.common.showMsg("请先填写身份证号获取回填信息", "middle", toastTimeForSalary);
		$("input").blur();
		return false;
	}
	if(!isInput) {
		$("input").blur();
	}
	return true;
}

/*
 * 减少时间
 */
$("#reducetime2").on("tap", function() {
	if(!checkHasGetRelatedInfo(false)) {
		return;
	}
	showMonthTimePicker($(this).find(".itemRightText"));
})

/**
 * 减少原因
 */
var options7 = {
	data: ARR_personOutReason,
	title: '请选择',
	duration: 300
};
$("#reduceReason").on('tap', function() {
	if(!checkHasGetRelatedInfo(false)) {
		return;
	}
	var actionSheet = new topmobi.widget.actionSheetDialog(options7);
	actionSheet.setItemClick(function(index) {
		$("#reduceReason_item").html(options7.data[index]);
		actionSheet.remove();
	});
});
/**
 * 提交个人信息
 */
function saveRecordInfo() {
	if(!checkHasGetRelatedInfo(false)) {
		return;
	}
	var url = basicSalaryUrl + "ryjs/xxlr";
	var obj = {
		"url": url,
		data: upLoadInfo,
		method: "post",
		isEncrypt: true,
		success: function(data) {
			try {
				if(data.result.statusCode == 201) {
					topmobi.native.common.showMsg("创建成功!", "middle", toastTimeForSalary);
					window.history.go(-1);
				} else {
					topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSalary);
				}
			} catch(e) {
				topmobi.native.common.showMsg("保存失败！", "middle", toastTimeForSalary)
			}
		},
		fail: function(data) {
			topmobi.native.common.showMsg("网络异常", "middle", toastTimeForSalary);
		}
	}
	rs_networkRequest(obj);
}