var school="",major="",degree="",startTime="",endTime="";
//id = location.href.substring(location.href.indexOf('?') + 1).split("=")[1];//获取教育信息id
var id = topmobi.native.cache.getSharedValue('resume', 'experienceId');
var flag = topmobi.native.cache.getSharedValue('resume', 'isNew');
$html = $('html');
if(flag=='true'){
	//新增，不需要显示删除按钮
	$('.del-icon').remove();
}else{//获取已有经历信息
}

// 返回
$('.back_icon').on('tap', function() {
   topmobi.native.common.closeWindow(0);
});
    
/*
 * 根据id判断是显示教育经历详情还是新增教育经历
 * id没有值表示新增教育经历
 * id有值表示显示教育经历详情，并可修改教育经历
 */

 function getInfoById(){
 	if(id!=null && id!=undefined && id!=""){
 		var dataJson = {
			"handler": "detailEducationHandler",
			"sub": {
				"id":id
			}
		};
		var obj = {
			url: resumeEncryUrl,
			data: dataJson,
			isEncrypt:true,
			success: function(data) {
				var result = data.result;
				if(result.code=="1000"){
					showEducationDetail(result.data);
				}else if(result.code=="2000"){
					topmobi.native.common.showMsg("获取信息失败!", "middle", 1500);
				}else if(result.code=="4000"){
					topmobi.native.common.showMsg("暂无信息!", "middle", 1500);
				}
			},
			fail: function(data) {
				topmobi.native.common.showMsg("网络错误！", "middle", 1500);
			}
		}
		rs_networkRequest(obj);
 	}
 }
 function showEducationDetail(data){
 	if(data!=undefined && data != null){
 		id = data.id;
 		$("#school").val(data.name);
 		$("#majorName").val(data.major);
 		$("#degree").html(data.degree);
	    $("#enrollment").html(data.startTime);
	    $("#graduateTime").html(data.endTime);
 	}
 }
 getInfoById();  
   
/*
 * 学校验证
 */
$(".school").blur(function(event){
	school = $("#school").val();
	checkSchool(school);
});
    
 /*
 * 验证所学专业
 */
  $(".major").blur(function(event){
	major = $("#major").val();
	resumeCheckInput50(major,"1");
  }); 
  
/*
 * 学历
 */
var options2 = {
                data: ARR_educationBackground,
                title: '请选择学历',
                duration: 300
            };
$("#degree").parent().on('tap', function() {
    var actionSheet = new topmobi.widget.actionSheetDialog(options2);
    actionSheet.setItemClick(function(index) {
        $("#degree").html(options2.data[index]);
        actionSheet.remove();
    });
});

  
/*
 * 入学时间
 */
$("#enrollment").on("tap", function() {
	showMonthTimePicker($(this).find(".itemRightText"));
})
  
/*
 * 毕业时间
 */
$("#graduateTime").on("tap", function() {
	showMonthTimePicker($(this).find(".itemRightText"));
})

function getEducationItemValue(){
	school = $("#school").val();
	major = $("#majorName").val();
	degree =  $("#degree").html();
	startTime = $("#enrollment").html();
	endTime = $("#graduateTime").html();
}
	
/*
 * 点击"保存"，提交教育经历信息
 */
$(".save_btn").click(function(){
	getEducationItemValue();
	if(checkSchool(school)
        && resumeCheckInput50(major,"1")
        && checkSelect(degree,"10")
        && checkSelect(startTime,"1")
        && checkSelect(endTime,"6")      
	){
		if(startTime<endTime){//入学时间应小于毕业时间
			addEducationInfo();
		}else{
			topmobi.native.common.showMsg("毕业时间应大于入学时间!", "middle", 1500);
		}
	}
})

function addEducationInfo(){
	userId = topmobi.native.cache.getSharedValue("user", "userId");
	if(flag=='true'){
		var dataJson = {
			"handler": "updateEducationHandler",
			"sub": {
				"userId":userId,
　　　 　　	    	"name":school,　
　　				"major":major,
　　　　　			"degree":degree,　
　　　　　　		"startTime":startTime,　
　　　　　			"endTime":endTime
			}
		};
	}else{
		var dataJson = {
			"handler": "updateEducationHandler",
			"sub": {
				"id":id,
				"userId":userId,
　　　 　　	    	"name":school,　
　　				"major":major,
　　　　　			"degree":degree,　
　　　　　　		"startTime":startTime,　
　　　　　			"endTime":endTime
			}
		};
	}
	
	var obj = {
		url: resumeEncryUrl,
		data: dataJson,
		isEncrypt:true,
		success: function(data) {
			var result = data.result;
			if(result.code=="1000"){
				topmobi.native.common.showMsg("信息提交成功!", "middle", 1500);
				//发送广播通知educationExperience.js刷新页面
				topmobi.native.common.broadcast("educationRefresh","1");
				topmobi.native.common.closeWindow(0);
			}else if(result.code=="2000"){
				topmobi.native.common.showMsg("信息提交失败!", "middle", 1500);
			}
		},
		fail: function(data) {
			topmobi.native.common.showMsg("网络异常", "middle", 1500);
		}
	}
	rs_networkRequest(obj);
}
//删除记录
function delEducationExper(){
	var dataJson = {
			"handler": "deleteEducationHandler",
			"sub": {
				"id":id
			}
	};
	var obj = {
		url: resumeEncryUrl,
		data: dataJson,
		isEncrypt:true,
		success: function(data) {
			var result = data.result;
			if(result.code=="1000"){
				topmobi.native.common.showMsg("删除成功!", "middle", 1500);
				topmobi.native.common.broadcast("educationRefresh","1");
				topmobi.native.common.closeWindow(0);
			}else if(result.code=="4000"){
				topmobi.native.common.showMsg("记录为空!", "middle", 1500);
			}
		},
		fail: function(data) {
			topmobi.native.common.showMsg("网络异常", "middle", 1500);
		}
	}
	rs_networkRequest(obj);
	
}
$('.del-icon').on('tap',function(){
		var options = {
					title: '提示',
					content: '确定删除此条记录?<br>',
					btns: ['取消','确定']
		};
		var myAlert = new topmobi.widget.alert(options);
		myAlert.setWidth("60%");
		myAlert.setHeight("130px");
		myAlert.click(function(i) {
				myAlert.hide();
				if(i==1){
					delEducationExper();
				}
		});
});
