var arrJobId = new Array(0); // 存储职位id信息
var companyId="";//企业id
var isCollect = '0';//是否关注过改企业
var registerFlag = false;//是否已注册“更多评论”点击事件。只注册一次
$(".back_icon").on("tap", function() {
	topmobi.native.common.unregisterBroadcast("companyDetailRefresh");
	topmobi.native.common.closeWindow(0);
//	getCompanyDetail();
})

var companyId = topmobi.native.cache.getSharedValue('jobFind', 'jobId');//获取id
var companyName="",enterpriseAddr="",salary="",coverImgUrl="";
var userId = topmobi.native.cache.getSharedValue("user", "userId");

function noData(){
	$(".noData").css("display", "block");
}
$('.noData').on('tap', function() {
	window.location.reload();
});
//获取企业详情
function  getCompanyDetail(){
	var dataJson = {
			"handler": "touristDetailEnterHandler",
			"sub":{
				"userId":userId,
　　　　　			"enterpriseId":companyId 
			}
		};
		var obj = {
			url: resumeTouristUrl,
			data: dataJson,
			success: function(data) {
				var result = data.result;
				if(result.code=="1000"){
					$(".title").html(result.data.enterprise.enterpriseName);
					showCompanyDetail(result.data);
					registerFlag = true;
					getCompanyComments();
					addFooter();//添加底部的footer(关注和评论按钮)
				}else if(result.code=="4000"){
					registerFlag = false;
					topmobi.native.common.showMsg("暂无信息!", "middle", 1500);
				}
			},
			fail: function(data) {
				noData();
				topmobi.native.common.showMsg("网络异常", "middle", 1500);
			}
		}
		rs_networkRequest(obj);
}

function showCompanyDetail(result){
	//页面title显示公司名称
	companyName = result.enterprise.enterpriseName;
	enterpriseAddr = result.enterprise.adr;
	coverImgUrl = result.enterprise.coverimgurl;
	isCollect = result.enterprise.isCollect;
	$(".title").html(companyName);
	//先显示基本信息
	 $(".content").append(template('CompanyBasicInfo', result));
	 //再显示公司职位
	 var data = result.jobs;
	 if(data.length>0){
	 	var jobsHtml="";
		jobsHtml+='<div class="item-wrap bgActive ps-re">';
		jobsHtml+='<div class="text-center">公司职位</div>';
		jobsHtml+='<div class="more-job">更多职位</div>';
		jobsHtml+='</div>';
		jobsHtml+='<div class="job-wrap">';
		jobsHtml+='</div>';
	 	$('.content').append(jobsHtml);
	 	var html = "";
	 	//只显示两个职位
	 	var maxNum=0;
	 	if(data.length<=2){
	 		maxNum=data.length;
	 	}else{
	 		maxNum=2;
	 	}
        for (var i = 0; i < maxNum; i++) {
        	arrJobId.push(data[i].id);
            html += template("CompanyJobs", data[i]);
        }
        $(".job-wrap").html(html);
        //给公司职位添加点击事件
        registerCompanyJobsListener();
	 } 
}
getCompanyDetail();

//获取企业评论
 function getCompanyComments(){
	var dataJson = {
			"handler": "touristFindCommtsHandler",
			"sub":{
				"commentId":companyId,
　　　　　			"start":0,
				"offset":2
			}
		};
		var obj = {
			url: resumeTouristUrl,
			data: dataJson,
			success: function(data) {
				var result = data.result;
				if(result.code=="1000"){
					showCompanyComments(result.data);
				}else if(result.code=="4000"){
					//topmobi.native.common.showMsg("暂无企业评论", "bottom", 1500);
				}
			},
			fail: function(data) {
				topmobi.native.common.showMsg("获取企业评论异常", "middle", 1500);
			}
		}
		rs_networkRequest(obj);
 }
 function showCompanyComments(data){
 	//有评论数据才添加此评论标题
 	if($(".comment").length==0){
 		var commentHtml="";
 		commentHtml+='<div class="item-wrap bgActive ps-re comment">';
 		commentHtml+='<div class="text-center">评论</div>';
 		commentHtml+='<div class="more-comments">更多评论</div>';
 		commentHtml+='</div>';
 		commentHtml+='<div class="judgement-list">';
 		commentHtml+='</div>';
 		$(".content").append(commentHtml);
 	}
 	
 	//渲染评论模板
 	var html = "";
    for (var i = 0; i < data.length; i++) {
        html += template("CompanyComments", data[i]);
    }
    $(".judgement-list").html(html);
     if(registerFlag ==true){
     	registerCompanyCommentsListener();
     }  
 }
 
 function addFooter(){
 	var footerHtml="";
 	footerHtml+='<div class="item-wrap bgActive">';
 	footerHtml+='<div class="collection-wrap">';
 	footerHtml+='<div class="collection-icon"></div>';
 	footerHtml+='<div class="collection">关注</div>';
 	footerHtml+='</div>';
 	footerHtml+='<div class="judgement-wrap">';
 	footerHtml+='<div class="judgement-icon"></div>';
 	footerHtml+='<div class="judgement">评论</div>';
 	footerHtml+='</div>';
 	footerHtml+='</div>';
 	$('body').append(footerHtml);
 	if(isCollect=='1'){
 		$('.collection').html('已关注');
		$('.collection-icon').css("background-image","url(../img/collection.png)")
 	}
 	registerFooterListener();
 }
 
 function registerCompanyJobsListener(){
 	//点击"更多职位"按钮
 	$(".more-job").on('tap',function () {
	    topmobi.native.cache.putSharedValue('jobs', 'keywords', companyId);
 		topmobi.native.cache.putSharedValue('jobs', 'jobType', 2);
		var obj = {
            action: {
                android: 'gov.my.socialsecurity.htmlactivity.talentCenter.JobSearchActivity',
                ios: 'CHBaseWebViewController'
            },
            windowType: 0,
            params: {
                'id': '',
                html:"html_talentCenter/jobList.html"
            }
        };
        topmobi.native.common.openWindow(obj);
	});
 	//点击职位列表,跳转到职位详情
 	$(".job").each(function () {
		$(this).on('tap',function () {
			var index = $(this).index();
			topmobi.native.cache.putSharedValue('jobFind', 'jobId', arrJobId[index]);
			gotoJobDetail();
		});
	});
 }
 
function registerCompanyCommentsListener(){
 	//点击"更多评论"按钮
 	$(".more-comments").on('tap',function () {
 		topmobi.native.cache.putSharedValue('comment', 'commentId', companyId);//企业id
 		topmobi.native.cache.putSharedValue('comment', 'commentType', 1); //"1"表示对企业的评论
 		topmobi.native.cache.putSharedValue('comment', 'commentName', companyName); //企业名称
		var obj = {
            action: {
                android: 'gov.my.socialsecurity.htmlactivity.talentCenter.CommentsActivity',
                ios: 'CHBaseWebViewController'
            },
            windowType: 0,
            params: {
                'id': '',
                html:"html_talentCenter/commentsList.html"
            }
        };
        topmobi.native.common.openWindow(obj);
	});
}

function registerFooterListener(){
	//关注企业
$(".collection-wrap").on('tap',function(){
	collectType="1";
	collectId = companyId;
	gotoCollectOrApply();
});
	//评论企业
$(".judgement-wrap").on('tap',function(){
	topmobi.native.cache.putSharedValue('comment', 'commentId', companyId);//企业id
    topmobi.native.cache.putSharedValue('comment', 'commentType', 1); //"1"表示对企业的评论
    topmobi.native.cache.putSharedValue('comment', 'commentName', companyName); //企业名称
	gotoAddComment();
});
}



function gotoCollectOrApply(){
	var dataJson = {
			"handler": "addToCollectHandler",
			"sub":{
				"userId":userId,
				"collectType":collectType,
　　　　　　　		"collectId":companyId,
　　　　　　 　		"enterpriseName":companyName,
				"enterpriseAddr":enterpriseAddr,
				"coverImgUrl":coverImgUrl
			}
		};
		var obj = {
			url: resumeEncryUrl,
			data: dataJson,
			isEncrypt:true,
			success: function(data) {
				var result = data.result;
				if(result.code=="1000"){
					topmobi.native.common.showMsg("关注成功!", "bottom", 1500);
					topmobi.native.common.broadcast("myPositionRefresh","1");
 					$('.collection').html('已关注');
					$('.collection-icon').css("background-image","url(../img/collection.png)")
				}else if(result.code=="8000"){
					//取消关注企业
					cancelCollect();	
				}
			},
			fail: function(data) {
				topmobi.native.common.showMsg("网络异常", "bottom", 1500);
			}
		}
		rs_networkRequest(obj);
}
//取消关注
function cancelCollect(){
	var collectType='1';
	var dataJson = {
			"handler": "deleteFromCollectHandler",
			"sub":{
				"userId":userId,
				"collectType":collectType,
　　　　　　　		"collectId":companyId
			}
		};
		var obj = {
			url: resumeEncryUrl,
			data: dataJson,
			isEncrypt:true,
			success: function(data) {
				var result = data.result;
				if(result.code=="1000"){
					topmobi.native.common.showMsg("取消关注!", "bottom", 1500);					
					topmobi.native.common.broadcast("myPositionRefresh","1");
					$('.collection').html('关注');
					$('.collection-icon').css("background-image","url(../img/notCollect.png)")
				}else if(result.code=="4000"){
					//record is null
				}
			},
			fail: function(data) {
				topmobi.native.common.showMsg("网络异常", "bottom", 1500);
			}
		}
		rs_networkRequest(obj);
}
//添加评论
function gotoAddComment(){
		var obj = {
            action: {
                android: 'gov.my.socialsecurity.htmlactivity.talentCenter.AddCommentActivity',
                ios: 'CHBaseWebViewController'
            },
            windowType: 0,
            params: {
                'id': '',
                html:"html_talentCenter/addComment.html"
            }
    };
    topmobi.native.common.openWindow(obj);
}
function gotoJobDetail(){
	var obj = {
            action: {
                android: 'gov.my.socialsecurity.htmlactivity.talentCenter.JobDetailActivity',
                ios: 'CHBaseWebViewController'
            },
            windowType: 0,
            params: {
                'id': '',
                html:"html_talentCenter/jobDetail.html"
            }
        };
        topmobi.native.common.openWindow(obj);
}
//注册广播刷新页面(当在此页面添加评论时)
topmobi.native.common.registerBroadcast("companyDetailRefresh", function(msg) {
    if(registerFlag==true){
		    	registerFlag = false;
	} 	
	if(msg == "1") {
		getCompanyComments();
	} 
});