// 返回
$('.back_icon').on('tap', function() {
    topmobi.native.common.closeWindow(0);
});
var noEmployment = new topmobi.widget.radio(".no-employment", {
		name: "radio"		 
	}, "ch-ui-radio");
var employment = new topmobi.widget.radio(".employment", {
		name: "radio"		 
	}, "ch-ui-radio");

   
var idCard = "" ,mail = "" , password = "" , employmentStatus = "";

//输入身份证号码之后检查身份证是否已注册
$(".idCard-input").blur(function(event){
	var idCard = $(".idCard-input").val();//身份证号
	if(isIdCardNo(idCard)){
		isRegistered();
	}else{
		topmobi.native.common.showMsg("请输入正确的身份证信息！", "middle", 1500);
	}
});


/*
 * 验证身份证是否已注册
 */
function isRegistered(){
	userId = topmobi.native.cache.getSharedValue("user", "userId");
	idCard = $(".idCard-input").val();//身份证号
	var dataJson = {
		"handler": "touristFindIdCardHandler",
		"sub": {
			"idCard": idCard,
			"userId":userId
		}
	};
	var obj = {
		url: graduateRegisterUrl,
		data: dataJson,
		success: function(data) {
			 var result = data.result;	
				switch (result.code) {
					case "2007":
						topmobi.native.common.showMsg("该身份证号已注册过!", "middle", 1500);
						//location.href="graduatesReportInfo.html";
						goToGraduatesReportInfo();
						break;
					default:
					//	topmobi.native.common.showMsg("record is null", "middle", 1500);
						break;
				}		
		},
		fail: function(data) {
			topmobi.native.common.showMsg("网络异常", "middle", 1500);
		}
	}
	rs_networkRequest(obj);
}
/*
 * 邮箱验证
 */
$(".mail-input").blur(function(event){
	mail = $(".mail-input").val();
	//checkEmail(mail);
});
/*
 * 验证密码
 */
$(".password-input").blur(function(event){
	password = $(".password-input").val();
	checkPassword(password);
	
});

/*
 * 点击"下一步"，提交注册信息
 */
$(".query_btn").click(function(){
	userId = topmobi.native.cache.getSharedValue("user", "userId");
	idCard = $(".idCard-input").val();//身份证号
	mail = $(".mail-input").val();//用户邮箱
	passwordOri = $(".password-input").val();
	
	if(noEmployment.isChecked()){
		//"1"表示已就业
		employmentStatus="1";
	}else if(employment.isChecked()){
		//"0"表示未就业
		employmentStatus="0";
	}else{
		employmentStatus="";
	}
	if(checkIdNum(idCard)
	  	&& checkEmail(mail)
        && checkPassword(passwordOri)
        && checkemploymentStatus(employmentStatus)
    ){
    	topmobi.native.cache.putSharedValue("user","employmentStatus",employmentStatus);
		register();
	}
})

function register(){
	password = md5(passwordOri).substr(8,16);//用户密码用md5加密
	var dataJson = {
		"handler": "touristRegisterHandler",
		"sub": {
			"idCard": idCard,
			"userId":userId,
			"password": password,
			"email":mail,
			"employmentStatus":employmentStatus
		}
	};
	var obj = {
		url: graduateRegisterUrl,
		data: dataJson,
		success: function(data) {
			var result = data.result;
			if(result.code=="1000"){
				location.href="graduatesBasicInfo.html";
			}else if(result.code=="3014"){
				topmobi.native.common.showMsg("该身份证号已注册过！", "middle", 1500);
				goToGraduatesReportInfo();
			}
		},
		fail: function(data) {
			topmobi.native.common.showMsg("网络异常", "middle", 1500);
		}
	}
	rs_networkRequest(obj);
}


