var streetInfo;//街道信息
var streetNo;//街道号
//var studentOfTeacher="";//师范生
//var sex="";//性别
// 返回
$(".back_icon").off("tap");
$('.back_icon').on('tap', function() {
	myJsInterface.goToHome("0");
});

function noData() {
	$(".noData").css("display", "block");
	$(".content_scroll").hide();
}

$('.noData').on('tap', function() {
	window.location.reload();
});

var manRadio = new topmobi.widget.radio(".maleCbox", {
	name: "radio1"
}, "ch-ui-radio");
var womanRadio = new topmobi.widget.radio(".femaleCbox", {
	name: "radio1"
}, "ch-ui-radio");

var tmaRadio = new topmobi.widget.radio(".tmaCbox", {
	name: "radio2"
}, "ch-ui-radio");
var ntmaRadio = new topmobi.widget.radio(".notTmaCbox", {
	name: "radio2"
}, "ch-ui-radio");

/*
 * 去平台获取毕业生信息
 */
function getGraduatesInfo() {
	userId = topmobi.native.cache.getSharedValue("user", "userId");
	var dataJson = {
		"handler": "findUserInfoHandler",
		"sub": {
			"userId": userId
		}
	};
	var obj = {
		url: graduateInfoUrl,
		data: dataJson,
		success: function(data) {
			var result = data.result;
			if(result.code == "1000") {
				console.log(result.data);
				showBasicInfo(result.data);
			} else if(result.code == "8002") {
				topmobi.native.common.showMsg("用户id为null!", "middle", 1500);
			} else if(result.code == "4000") {
				//topmobi.native.common.showMsg("record is null!", "middle", 1500);
			}
		},
		fail: function(data) {
			topmobi.native.common.showMsg("网络异常", "middle", 1500);
			noData();
		}
	}
	rs_networkRequest(obj);
}
/*
 * 将查询到的基本信息显示
 */
function showBasicInfo(data) {
	//先判断是否已就业

	if(data.employmentStatus != null && data.employmentStatus != undefined) {
		if(data.employmentStatus == "1") { //已就业
			$(".nojob_info").remove();
			if(data.meployment != null && data.meployment != undefined) {
				$("#employmentWay").html(data.meployment.employmentWay);
				$("#companyName").val(data.meployment.company);
				$("#companyAddress").val(data.meployment.companyAddress);
				$("#companyphoneNum").val(data.meployment.companyNumber);
				$("#empoymentLocation").html(data.meployment.empoymentLocation);
			}

		} else { //未就业
			$(".job_info").remove();
			if(data.meployment != null && data.meployment != undefined) {
				$("#employmentIntention").html(data.meployment.employmentIntention);
				$("#employmentPurpose").html(data.meployment.employmentPurpose);
				$("#workPlaceIntention").html(data.meployment.workPlaceIntention);
			}
		}
	}
	//基本信息
	if(data.userInfo != null && data.userInfo != undefined) {
		var userInfo = data.userInfo;
		if(userInfo.name != null) $("#name").val(userInfo.name);
		if(userInfo.sex == "女") womanRadio.setChecked(true);
		if(userInfo.sex == "男") manRadio.setChecked(true);
		if(userInfo.nation != null) $("#nationText").html(userInfo.nation);
		if(userInfo.politicsStatus != null) $("#policyText").html(userInfo.politicsStatus);
		if(userInfo.educationBackground != null) {
			//学历传过来的是分类码，要处理一下
			for(var item in ARR_educationBackground_CODE) {
				if(userInfo.educationBackground == ARR_educationBackground_CODE[item]) {
					educationBackgroundText = ARR_educationBackground[item];
				}
			}
			$("#xueliText").html(educationBackgroundText);
		}
		if(userInfo.educationalSystme != null) $("#educationalSystme").val(userInfo.educationalSystme);
		if(userInfo.school != null) $(".school").val(userInfo.school);
		if(userInfo.graduateTime != null) $("#graduateText").html(userInfo.graduateTime.split(" ")[0]);
		if(userInfo.major != null) {
			// 对专业信息处理  "003,通信"   
			var majorCategory = (userInfo.major).split(',')[0];
			var major = (userInfo.major).split(',')[1];
			$("#major").val(major);
			for(var item in ARR_majorCategory_CODE) {
				if(majorCategory == ARR_majorCategory_CODE[item]) {
					majorClassText = ARR_majorCategory[item]
					$("#majorClassText").html(majorClassText);
				}
			}
		}
		if(userInfo.difficultyStatus != null) $("#difficultText").html(userInfo.difficultyStatus);
		if(userInfo.censusRegister != null) $("#homeText").html(userInfo.censusRegister);
		if(userInfo.homeAddress != null) {
			//需要对城镇街道等信息进行处理       北京,北京,东城区,城乡,123
			var adressArray = (userInfo.homeAddress).split(',');
			if(adressArray.length > 3) {
				$("#addressText").html(adressArray[0] + ',' + adressArray[1] + ',' + adressArray[2]);
				$("#streetInput").val(adressArray[3]);
				$("#streetNumberInput").val(adressArray[4]);
			} else {
				$("#addressText").html(adressArray[0] + ',' + adressArray[1] + ',' + adressArray[2]);
			}
		}
		if(userInfo.censusType != null) $("#hpropertyText").html(userInfo.censusType);
		if(userInfo.studentOfTeacher == "是") tmaRadio.setChecked(true);
		if(userInfo.studentOfTeacher == "否") ntmaRadio.setChecked(true);
		if(userInfo.archives != null) {
			//返回的是档案代码     对档案归属地信息进行处理
			archivesCode = userInfo.archives;
			for(var item in ARR_archives_CODE) {
				if(archivesCode == ARR_archives_CODE[item]) {
					archives = ARR_archives[item]
					$("#archives").html(archives);
				}
			}
		}
		if(userInfo.mobilePhoneNumber != null) $("#phoneNum").val(userInfo.mobilePhoneNumber);
		if(userInfo.homeNumber != null) $("#homePhoneNum").val(userInfo.homeNumber);
		if(userInfo.fatherCompany != null) $("#dadJob").val(userInfo.fatherCompany);
		if(userInfo.motherCompany != null) $("#mumJob").val(userInfo.motherCompany);
	}
}

getGraduatesInfo();

/*
 * 姓名验证
 */

$(".name").blur(function(event) {
	name = $("#name").val();
});

/*
 * 民族
 */
var options1 = {
	data: ARR_nation,
	title: '请选择民族',
	duration: 300
};
$("#nationText").parent().on('tap', function() {
	var actionSheet = new topmobi.widget.actionSheetDialog(options1);
	actionSheet.setItemClick(function(index) {
		$("#nationText").html(options1.data[index]);
		actionSheet.remove();
	});
});
/*
 * 政治面貌
 */
var options2 = {
	data: ARR_politicsStatus,
	title: '请选择政治面貌',
	duration: 300
};
$("#policyText").parent().on('tap', function() {
	var actionSheet = new topmobi.widget.actionSheetDialog(options2);
	actionSheet.setItemClick(function(index) {
		$("#policyText").html(options2.data[index]);
		actionSheet.remove();
	});
});

/*
 * 学历:
 * 中专--03;　大专--05;本科--06;硕士--07;博士---08
 */
var options3 = {
	data: ARR_educationBackground,
	title: '请选择学历',
	duration: 300
};
$("#xueliText").parent().on('tap', function() {
	var actionSheet = new topmobi.widget.actionSheetDialog(options3);
	actionSheet.setItemClick(function(index) {
		educationBackgroundText = options3.data[index];
		$("#xueliText").html(educationBackgroundText);
		educationBackground = ARR_educationBackground_CODE[index];
		actionSheet.remove();
	});
});

/*
 * 学制验证
 */
$(".educationalSystme").blur(function(event) {
	educationalSystme = $("#educationalSystme").val();
//	checkEducationalSystme(educationalSystme);
});

/*
 * 学校验证
 */
$(".school").blur(function(event) {
	school = $("#school").val();
//	checkSchool(school);
});

/*
 * 毕业时间
 */
$("#graduateTime").on("tap", function() {
		showMonthTimePicker($(this).find(".itemRightText"), "date");
	})
	/*
	 * 专业类别
	 */
var options5 = {
	data: ARR_majorCategory,
	title: '请选择专业',
	duration: 300
};
$("#majorClassText").parent().on('tap', function() {
	var actionSheet = new topmobi.widget.actionSheetDialog(options5);
	actionSheet.setItemClick(function(index) {
		majorClassText = options5.data[index];
		$("#majorClassText").html(majorClassText);
		majorClass = ARR_majorCategory_CODE[index];
		actionSheet.remove();
	});
});

/*
 * 验证所学专业
 */
$(".major").blur(function(event) {
	major = $("#major").val();
	//graduateCheckInput20(major, "1");
});

/*
 * 困难情况
 */
var options6 = {
	data: ARR_difficultyStatus,
	title: '请选择经济情况',
	duration: 300
};
$("#difficultText").parent().on('tap', function() {
	var actionSheet = new topmobi.widget.actionSheetDialog(options6);
	actionSheet.setItemClick(function(index) {
		$("#difficultText").html(options6.data[index]);
		actionSheet.remove();
	});
});

/*
 * 户籍
 */

$("#homeText").parent().on("tap",function(){
	var hometownSelector = new topmobi.widget.citySelector({
		data: cityData
	});
	if($(".chui-widget-pickerArea").length == 0){
		hometownSelector.show();
		hometownSelector.confirmClick(function(data) {
			hometownSelector.hide();
			$("#homeText").html(data[0] + ',' + data[1] + ',' + data[2]);
		});
		hometownSelector.cancelClick(function() {});
	}
});

/*
 * 住址
 */

$("#addressText").parent().on("tap", function(){
	var addressSelector = new topmobi.widget.citySelector({
		data: cityData
	});
	if($(".chui-widget-pickerArea").length == 0){
		addressSelector.show();
	}
	addressSelector.confirmClick(function(data) {
		addressSelector.hide();
		$("#addressText").html(data[0] + ',' + data[1] + ',' + data[2]);
	});
	addressSelector.cancelClick(function() {});	
});


/*
 * 户籍性质
 */
var options7 = {
	data: ARR_censusType,
	title: '请选择户籍性质',
	duration: 300
};
$("#hpropertyText").parent().on('tap', function() {
	var actionSheet = new topmobi.widget.actionSheetDialog(options7);
	actionSheet.setItemClick(function(index) {
		$("#hpropertyText").html(options7.data[index]);
		actionSheet.remove();
	});
});

/*
 * 档案保存地
 */
var options8 = {
	data: ARR_archives,
	title: '请选择档案保存地',
	duration: 300
};
$("#archives").parent().on('tap', function() {
	var actionSheet = new topmobi.widget.actionSheetDialog(options8);
	actionSheet.setItemClick(function(index) {
		archivesCode = ARR_archives_CODE[index];
		archives = options8.data[index];
		$("#archives").html(archives);
		actionSheet.remove();
	});
});
/*
 * 验证移动电话
 */
$(".phoneNum").blur(function(event) {
	mobilePhoneNumber = $("#phoneNum").val();
	//checkmobilePhoneNumber(mobilePhoneNumber);
});
/*
 * 验证家庭电话
 */
$("#homePhoneNum").blur(function(event) {
	homeNumber = $("#homePhoneNum").val();
	//checkHomeNumber(homeNumber);
});
/*
 * 点击"保存基本信息"，提交个人基本信息
 */
$(".basic_btn").click(function() {
	getBasicItemValue();
	streetInfo = $("#streetInput").val();
	streetNo = $("#streetNumberInput").val();
	if(checkName(name) &&
	    isRadioChecked(sex,"1") &&
		checkSelect(nation, "15") &&
		checkSelect(politicsStatus, "16") &&
		checkSelect(educationBackgroundText, "17") &&
		checkEducationalSystme(educationalSystme) &&
		checkSchool(school) &&
		checkSelect(graduateTime, "6") &&
		checkSelect(majorClassText, "18") &&
		graduateCheckInput20(major, "1") &&
		checkSelect(difficultyStatus, "19") &&
		checkSelect(censusRegister, "20") &&
		checkSelect(homeAddress, "21") &&
		checkSelect(censusType, "22") &&
		checkSelect(archives, "23") &&
		isRadioChecked(studentOfTeacher,"2") &&
		checkmobilePhoneNumber(mobilePhoneNumber) &&
		checkHomeNumber(homeNumber) &&
		checkWorkPlace(fatherCompany) &&
		checkWorkPlace(motherCompany) &&
		graduateCheckInput20(streetInfo, "2") &&
		graduateCheckInput10(streetNo, "1") 
	) {
		updateBasicInfo();
	}
})

function updateBasicInfo() {
	userId = topmobi.native.cache.getSharedValue("user", "userId");
	major = majorClass + ',' + $(".major").val();
	homeAddress = homeAddress + ',' + $("#streetInput").val() + ',' + $("#streetNumberInput").val();
	var dataJson = {
		"handler": "updateUserinfoHandler",
		"sub": {
			"userId": userId,
			"name": name,
			"sex": sex,
			"nation": nation,
			"politicsStatus": politicsStatus,
			"educationBackground": educationBackground,
			"educationalSystme": educationalSystme,
			"school": school,
			"graduateTime": graduateTime,
			"major": major,
			"difficultyStatus": difficultyStatus,
			"censusRegister": censusRegister,
			"homeAddress": homeAddress,
			"censusType": censusType,
			"studentOfTeacher": studentOfTeacher,
			"archives": archivesCode,
			"mobilePhoneNumber": mobilePhoneNumber,
			"homeNumber": homeNumber,
			"fatherCompany": fatherCompany,
			"motherCompany": motherCompany,
			"integrity": integrity
		}
	};
	var obj = {
		url: graduateInfoUrl,
		data: dataJson,
		success: function(data) {
			var result = data.result;
			if(result.code == "1000") {
				topmobi.native.common.showMsg("基本信息修改成功!", "middle", 1500);
			}
		},
		fail: function(data) {
			topmobi.native.common.showMsg("网络异常！", "middle", 1500);
		}
	}
	rs_networkRequest(obj);
}

/*
 * 就业途径
 */
var options9 = {
	data: ARR_employmentWay,
	title: '请选择就业途径',
	duration: 300
};
$("#employmentWay").parent().on('tap', function() {
	var actionSheet = new topmobi.widget.actionSheetDialog(options9);
	actionSheet.setItemClick(function(index) {
		employmentWay = options9.data[index];
		$("#employmentWay").html(employmentWay);
		actionSheet.remove();
	});
});

/*
 * 验证公司名称companyName
 */
$(".companyName").blur(function(event) {
	company = $("#companyName").val();
	graduateCheckInput50(company,1);
});

/*
 * 就业去向
 */
var options10 = {
	data: ARR_empoymentLocation,
	title: '请选择就业去向',
	duration: 300
};
$("#empoymentLocation").parent().on('tap', function() {
	var actionSheet = new topmobi.widget.actionSheetDialog(options10);
	actionSheet.setItemClick(function(index) {
		empoymentLocation = options10.data[index];
		$("#empoymentLocation").html(empoymentLocation);
		actionSheet.remove();
	});
});

/*
 * 验证单位地址
 */
$(".companyAddress").blur(function(event) {
	companyAddress = $("#companyAddress").val();
	graduateCheckInput50(companyAddress,2);
});

/*
 * 验证公司电话
 */
$(".companyphoneNum").blur(function(event) {
	companyNumber = $("#companyphoneNum").val();
	checkcompanyNumber(companyNumber);
});

/*
 * 点击"保存就业信息"，提交就业信息
 */
$(".job_btn").click(function() {
	getJobItemValue();
	if(checkSelect(employmentWay, "24") &&
		graduateCheckInput50(company, "1") &&
		graduateCheckInput50(companyAddress, "2") &&
		checkcompanyNumber(companyNumber) &&
		checkSelect(empoymentLocation, "25")
	) {
		updateJobInfo();
	}
})

function updateJobInfo() {
	userId = topmobi.native.cache.getSharedValue("user", "userId");
	var dataJson = {
		"handler": "onworkHandler",
		"sub": {
			"userId": userId,
			　　　　　　　"employmentWay": employmentWay,
			　　　　　　　"company": company,
			　　　　　　　"companyAddress": companyAddress,
			　　　　　　　"companyNumber": companyNumber,
			　　　　　　　"empoymentLocation": empoymentLocation
		}
	};
	var obj = {
		url: graduateInfoUrl,
		data: dataJson,
		success: function(data) {
			var result = data.result;
			if(result.code == "1000") {
				topmobi.native.common.showMsg("信息提交成功!", "middle", 1500);
			} else if(result.code == "8002") {
				topmobi.native.common.showMsg("用户id为null!", "middle", 1500);
			}
		},
		fail: function(data) {
			topmobi.native.common.showMsg("网络异常", "middle", 1500);
		}
	}
	rs_networkRequest(obj);
}

/*
 * 就业服务需求
 */
var options13 = {
	data: ARR_employmentIntention,
	title: '请选择就业服务需求',
	duration: 300
};
$("#employmentIntention").parent().on('tap', function() {
	var actionSheet = new topmobi.widget.actionSheetDialog(options13);
	actionSheet.setItemClick(function(index) {
		$("#employmentIntention").html(options13.data[index]);
		actionSheet.remove();
	});
});
/*
 * 就业意向
 */
var options11 = {
	data: ARR_employmentPurpose,
	title: '请选择就业意向',
	duration: 300
};
$("#employmentPurpose").parent().on('tap', function() {
	var actionSheet = new topmobi.widget.actionSheetDialog(options11);
	actionSheet.setItemClick(function(index) {
		$("#employmentPurpose").html(options11.data[index]);
		actionSheet.remove();
	});
});

/*
 * 就业地去向
 */
var options12 = {
	data: ARR_workPlaceIntention,
	title: '请选择就业地去向',
	duration: 300
};
$("#workPlaceIntention").parent().on('tap', function() {
	var actionSheet = new topmobi.widget.actionSheetDialog(options12);
	actionSheet.setItemClick(function(index) {
		$("#workPlaceIntention").html(options12.data[index]);
		actionSheet.remove();
	});
});

/*
 * 点击"保存未就业信息"，提交未就业信息
 */
$(".nojob_btn").click(function() {
	getNoJobItemValue();
	if(checkSelect(employmentIntention, "27") &&
		checkSelect(workPlaceIntention, "25") &&
		checkSelect(employmentPurpose, "26")
	) {
		updateNoJobInfo();
	}
})

function updateNoJobInfo() {
	userId = topmobi.native.cache.getSharedValue("user", "userId");
	var dataJson = {
		"handler": "noworkHandler",
		"sub": {
			"userId": userId,
			　　　　　　"employmentIntention": employmentIntention,
			　　　　　　"workPlaceIntention": workPlaceIntention,
			　　　　　　"employmentPurpose": employmentPurpose
		}
	};
	var obj = {
		url: graduateInfoUrl,
		data: dataJson,
		success: function(data) {
			var result = data.result;
			if(result.code == "1000") {
				topmobi.native.common.showMsg("信息提交成功!", "middle", 1500);
			} else if(result.code == "8002") {
				topmobi.native.common.showMsg("用户id为null!", "middle", 1500);
			}
		},
		fail: function(data) {
			topmobi.native.common.showMsg("网络异常", "middle", 1500);
		}
	}
	rs_networkRequest(obj);
}