$(".back_icon").on("tap", function() {
	topmobi.native.common.closeWindow(0);
})

var dataHtml = "";//热词
var jobHtml="";//职位
var compHtml=""//企业
var arrJobId = new Array(0); // 存储职位id信息
var arrCompId = new Array(0); // 存储企业id信息
var salary="";
var searchWords="";
 // 加载条控件
//获取热词
function  getHotWords(){
 		var dataJson = {
			"handler": "touristHotWordHandler",
		};
		var obj = {
			url: resumeTouristUrl,
			data: dataJson,
			success: function(data) {
				var result = data.result;
				if(result.code=="1000"){
					showHotWords(result.data);
				}else if(result.code=="4000"){
					//topmobi.native.common.showMsg("record is null!", "middle", 1500);
				}
			},
			fail: function(data) {
				topmobi.native.common.showMsg("网络异常", "middle", 1500);
			}
		}
		rs_networkRequest(obj);
}

function showHotWords(data){
	if(data!=null && data.length>0){
		for(var i = 0; i < data.length; i++){
			dataHtml += '<div class="hot-text">'+data[i]+'</div>';
		}
		$('.hot-text-wrap').append(dataHtml);
		//document.getElementById('hot-text-wrap').innerHTML = dataHtml;
		registerHotWordsListener();
	}
}
getHotWords();

//点击推荐热词，搜索框自动赋值
function registerHotWordsListener(){
	$(".hot-text").each(function () {
		$(this).on('tap',function () {
			var text = $(this).text();
			$('.keywords').val(text);
		});
	});
}
//获取推荐职位
function getRecommendJob(){
	var dataJson = {
			"handler": "touristRecmdJobHandler",
		};
		var obj = {
			url: resumeTouristUrl,
			data: dataJson,
			success: function(data) {
				var result = data.result;
				if(result.code=="1000"){
					//显示推荐职位
					showRecommendJob(result);	
					getRecommendCompany();
				}else if(result.code=="4000"){
					topmobi.native.common.showMsg("暂无推荐职位！", "middle", 1500);
				}
			},
			fail: function(data) {
				topmobi.native.common.showMsg("网络异常！", "middle", 1500);
			}
		}
		rs_networkRequest(obj);
	
}

function showRecommendJob(data){
    for(var i = 0; i < data.data.length; i++) {
    	arrJobId.push(data.data[i].id);
    	data.data[i].highSalary = "￥"+data.data[i].lowSalary+"-"+"￥"+data.data[i].highSalary;
    }
    $('.content').append(template('recommendJobs', data));
	registerJobListener();
}
getRecommendJob();


//获取推荐企业
function getRecommendCompany(){
	var dataJson = {
			"handler": "touristRecmdEnterHandler",
		};
		var obj = {
			url: resumeTouristUrl,
			data: dataJson,
			success: function(data) {
				var result = data.result;
				if(result.code=="1000"){
					//显示推荐企业
					showRecommendCompany(result)	
				}else if(result.code=="4000"){
					topmobi.native.common.showMsg("暂无推荐企业！", "middle", 1500);
				}
			},
			fail: function(data) {
				topmobi.native.common.showMsg("网络异常！", "middle", 1500);
			}
		}
		rs_networkRequest(obj);
}

function showRecommendCompany(data){
	var companies = data.data;
    for(var i = 0; i < companies.length; i++) {
    	arrCompId.push(companies[i].id);
    }
	$('.content').append(template('recommendCompanys', data));
	registerCompanyListener();
}


//搜索
$(".find-btn").on("tap", function() {
	searchWords=$(".keywords").val();
	topmobi.native.cache.putSharedValue('jobs', 'keywords', searchWords);
	topmobi.native.cache.putSharedValue('jobs', 'jobType', 1);
	if(searchWords==""){
		topmobi.native.common.showMsg("请输入关键字", "middle", 1500);
	}else{
		gotoSearch();	
	}

})


//高级搜索
$(".nav-btn").on("tap", function() {
	var obj = {
            action: {
                android: 'gov.my.socialsecurity.htmlactivity.talentCenter.JobAdvancedSearchActivity',
                ios: 'CHBaseWebViewController'
            },
            windowType: 0,
            params: {
                'id': '',
                html:"html_talentCenter/jobAdvancedFind.html"
            }
        };
        topmobi.native.common.openWindow(obj);
})


	
//添加职位点击事件	
function registerJobListener(){
	
	//点击跳转到职位详情
	$(".job").each(function () {
		$(this).on('tap',function () {
			var index = $(this).index();
			topmobi.native.cache.putSharedValue('jobFind', 'jobId', arrJobId[index]);
			gotoJobDetail();
		});
	});
	
	//查看所有职位
	$(".more-job").on('tap',function (){
		searchWords="";
		topmobi.native.cache.putSharedValue('jobs', 'keywords', searchWords);
		topmobi.native.cache.putSharedValue('jobs', 'jobType', 1);
		gotoSearch();
	});
}
//添加企业点击事件	
function registerCompanyListener(){
	//点击跳转到企业详情
   $(".company").each(function () {
		$(this).on('tap',function () {
			var index = $(this).index();
			topmobi.native.cache.putSharedValue('jobFind', 'jobId', arrCompId[index]);
			gotoCompanyDetail(arrCompId[index]);
		});
	});
	//查看所有企业
	$(".more-company").on('tap',function (){
			var obj = {
            action: {
                android: 'gov.my.socialsecurity.htmlactivity.talentCenter.CompanyListActivity',
                ios: 'CHBaseWebViewController'
            },
            windowType: 0,
            params: {
                'id': '',
                html:"html_talentCenter/companyList.html"
            }
        };
        topmobi.native.common.openWindow(obj);
	});
}

function gotoSearch(){
	var obj = {
            action: {
                android: 'gov.my.socialsecurity.htmlactivity.talentCenter.JobSearchActivity',
                ios: 'CHBaseWebViewController'
            },
            windowType: 0,
            params: {
                'id': '',
                html:"html_talentCenter/jobList.html"
            }
        };
        topmobi.native.common.openWindow(obj);
}
function gotoJobDetail(){
	var obj = {
            action: {
                android: 'gov.my.socialsecurity.htmlactivity.talentCenter.JobDetailActivity',
                ios: 'CHBaseWebViewController'
            },
            windowType: 0,
            params: {
                'id': '',
                html:"html_talentCenter/jobDetail.html"
            }
        };
        topmobi.native.common.openWindow(obj);
}

function gotoCompanyDetail() {
	var obj = {
            action: {
                android: 'gov.my.socialsecurity.htmlactivity.talentCenter.CompanyDetailActivity',
                ios: 'CHBaseWebViewController'
            },
            windowType: 0,
            params: {
                'id': '',
                html:"html_talentCenter/companyDetail.html"
            }
        };
        topmobi.native.common.openWindow(obj);
}
