/*
 * 本文件是搜索结果 、企业职位(企业详情页面中的“更多职位”)和高级搜索结果三个接口 共用
 */
var NUM_FIRST_REQ = 10; // 第一次请求的数量
var NUM_REQ = 10; // 上拉加载请求依次的数量
var TIMEOUT_REQ = 4000; // 请求延迟时间

var arrJobId = new Array(0); // 存储id信息
var reqCount = 0; // 记录请求次数
var area="",highSalary="",lowSalary="",jobName="",className="";

// 标题
var $title = $('.title');

//获取高级搜索参数
area = topmobi.native.cache.getSharedValue('jobs', 'jobArea');
highSalary = topmobi.native.cache.getSharedValue('jobs', 'highSalary');
lowSalary = topmobi.native.cache.getSharedValue('jobs', 'lowSalary');
className = topmobi.native.cache.getSharedValue('jobs', 'className');

 // 通过判断消息的类型，设置页面的标题。 1代表搜索职位结果列表，2代表公司职位列表  3代表高级搜索结果列表
var jobsTypeShared = topmobi.native.cache.getSharedValue('jobs', 'jobType');
var idOrkeyWords = topmobi.native.cache.getSharedValue('jobs', 'keywords');//公司id或者是搜索关键词
    
function noData(){
	$(".noData").css("display", "block");
}
$('.noData').on('tap', function() {
	window.location.reload();
}); 

// 列表控件
var listView;
var dataHtml = "";
var option = {
	'pullUpState': true,
	'pullDownState': true
};
//上拉加载 下拉刷新控件
var pullRefresh = new chui.widget.pullRefresh("#pRefresh", option);

//设置上拉加载事件
pullRefresh.pullUp(function() {
	requestMore();
});
//设置下拉刷新事件
pullRefresh.pullDown(function() {
	reqCount = 0;
    requestRefresh();
});

//请求数据
var dataJson;
var dataSearch={
	"handler": "touristSearchJobHander",
	"sub": {
		"keyWord":idOrkeyWords,
　　　	"start":0,
　　　	"offset":NUM_FIRST_REQ
	}
};
var dataAdvancedSearch={
	"handler": "touristAdvanceSearchHandler",
	"sub": {
		"keyWord":idOrkeyWords,
		"area":area,
		"highSalary":highSalary,
		"lowSalary":lowSalary,
		"className":className,
　　　	"start":0,
　　　	"offset":NUM_FIRST_REQ
	}
};
var dataCompany={
	"handler": "touristJobsByEnterIdHandler",
　　	"sub": { 
　　　	"enterpriseId":idOrkeyWords, 
　　　	"start":0,
　　　	"offset":NUM_FIRST_REQ
　　　}
};
//首次请求
function firstGetJobs(){	
	topmobi.native.common.broadcast("searchHistoryRefresh","1");
	if(jobsTypeShared=="1"){
		//搜索
		dataJson = dataSearch;
	}else if(jobsTypeShared=="2"){
		//公司职位
		dataJson = dataCompany;
	}else{
		//高级搜索
		dataJson = dataAdvancedSearch;
	}
	
	var obj = {
		url: resumeTouristUrl,
		data: dataJson,
		success: function(data) {
			var result = data.result;
			if(result.code=="1000"){
				var arrData = new Array(0);
    			for(var i = 0; i < result.data.length; i++) {
       			// 数据处理
       				arrJobId.push(result.data[i].id); 
       				var item = {
       					id:result.data[i].id,
       					area:result.data[i].area,
						jobName: result.data[i].jobName,
       					enterpriseName: result.data[i].enterpriseName,
        					highSalary:result.data[i].highSalary,
        					lowSalary:result.data[i].lowSalary,
        					salary:"￥"+result.data[i].lowSalary+"-"+result.data[i].highSalary
        				};
        				arrData.push(item);
    				}
    				dataHtml = '<div id="listView" class="ch_ui_list list_wrapper">';
    				dataHtml += '<ul class="list"></ul>';
    				dataHtml += '</div>';
    				pullRefresh.addContent(dataHtml);
    				// 列表控件
    				listView = new ch.widget.CListView("#listView", arrData, "list-item", {pullToRefresh: true}, "ch_ui_list");
    				pullRefresh.refresh();
    				registerListener();
    				reqCount ++;

				}else if(result.code=="4000"){
					topmobi.native.common.showMsg("暂无结果!", "middle", 1500);
					noData();
				}
			},
			fail: function(data) {
				noData();
				topmobi.native.common.showMsg("网络异常！", "middle", 1500);
			}
		}
		rs_networkRequest(obj);
}
firstGetJobs();

//上拉加载更多
function requestMore(){
	var dataRequest;
	if(jobsTypeShared=="1"){
		//搜索结果
		dataRequest = {
			"handler": "touristSearchJobHander",
			"sub": {
				"keyWord":idOrkeyWords,
　　　　　			"start": NUM_FIRST_REQ + NUM_REQ * (reqCount - 1),
            	"offset": NUM_REQ
			}
		};
	}else if(jobsTypeShared=="2"){
		//公司职位
		dataRequest = {
			"handler": "touristJobsByEnterIdHandler",
　　			"sub": { 
　　　　　			"enterpriseId":idOrkeyWords, 
　　　　　			"start": NUM_FIRST_REQ + NUM_REQ * (reqCount - 1),
            	"offset": NUM_REQ
　　　　　		}
		};
	}else{
		//高级搜索
		dataRequest={
			"handler": "touristAdvanceSearchHandler",
			"sub": {
				"keyWord":idOrkeyWords,
				"area":area,
				"highSalary":highSalary,
				"lowSalary":lowSalary,
				"className":className,
　　　			"start": NUM_FIRST_REQ + NUM_REQ * (reqCount - 1),
            	"offset": NUM_REQ
		   }
	};
  }
    var obj = {
        url: resumeTouristUrl,
        data: dataRequest,
        success: function(data) {
            // 获取返回的结果
            var result = data.result;
            switch (result.code) {
                case '1000':
                    var arrData = result.data;
                    // 数据优化处理
                    for (var i = 0; i < arrData.length; i ++) {
                        arrJobId.push(arrData[i].id);
                        var item = {
                            id:result.data[i].id,
        					area:result.data[i].area,
							jobName: result.data[i].jobName,
        					enterpriseName: result.data[i].enterpriseName,
        					highSalary:result.data[i].highSalary,
        					lowSalary:result.data[i].lowSalary,
        					salary:"￥"+result.data[i].lowSalary+"-"+result.data[i].highSalary
                        };
                        listView.addItem(item);
                    }
                    reqCount ++;
                    registerListener();
                    break;
                case '4000':
                    topmobi.native.common.showMsg('无更多数据', 'bottom', 1500);
                    break;
            }
            pullRefresh.refresh();
        },
        fail: function() {
            topmobi.native.common.showMsg('网络异常', 'middle', 1500);
            pullRefresh.refresh();
        }
    };
    rs_networkRequest(obj);
}

//下拉刷新
function requestRefresh(){
	if(jobsTypeShared=="1"){
		dataJson = dataSearch;
	}else if(jobsTypeShared=="2"){
		dataJson = dataCompany;
	}else{
		dataJson = dataAdvancedSearch;
	}
    var obj = {
        url: resumeTouristUrl,
        data: dataJson,
        success: function(success) {
            // 获取返回的结果
            var result = success.result;
            switch (result.code) {
                case '1000':
                    var arrData = result.data;
                    var arrDataOptimized = new Array(0);
                    // 清空新闻id数据
                    arrJobId = [];
                    // 数据优化处理
                    for (var i = 0; i < arrData.length; i ++) {
                        arrJobId.push(arrData[i].id);
                        var item = {
                            id:result.data[i].id,
        					area:result.data[i].area,
							jobName: result.data[i].jobName,
        					enterpriseName: result.data[i].enterpriseName,
        					highSalary:result.data[i].highSalary,
        					lowSalary:result.data[i].lowSalary,
        					salary:"￥"+result.data[i].lowSalary+"-"+result.data[i].highSalary
                        };
                        arrDataOptimized.push(item);
                    }
                    listView.setData(arrDataOptimized);
                    listView.update();
                    reqCount ++;
                    registerListener();
                    break;
                case '4000':
                    noData();
                    break;
            }
            pullRefresh.refresh();
        },
        fail: function() {
            topmobi.native.common.showMsg('网络异常', 'middle', 1500);
            pullRefresh.refresh();
        }
    };
    rs_networkRequest(obj);
}

/*
 * 给列表添加点击事件
 */
function registerListener() {
    listView.onItemClick(function(index) {
    	topmobi.native.cache.putSharedValue('jobFind', 'jobId', arrJobId[index]);
		gotoJobDetail();
    });
}
//跳转到职位详情页面
function gotoJobDetail(){
	var obj = {
            action: {
                android: 'gov.my.socialsecurity.htmlactivity.talentCenter.JobDetailActivity',
                ios: 'CHBaseWebViewController'
            },
            windowType: 0,
            params: {
            	html:"html_talentCenter/jobDetail.html"
            }
    };
    topmobi.native.common.openWindow(obj);
}

//返回
$(".back_icon").on("tap", function() {
	topmobi.native.common.closeWindow(0);
})          