var language="",masteringDegree="",listenAbility="",readAbility="";
// 返回
$('.back_icon').on('tap', function() {
	topmobi.native.common.unregisterBroadcast("languageRefresh");
    topmobi.native.common.closeWindow(0);
});

 // 列表控件
var listView;
var arrLanguageId = new Array(0); // 存储id信息
var option = {
	'pullUpState': false,
	'pullDownState': false
};
var pullRefresh = new chui.widget.pullRefresh("#pRefresh", option);
//设置上拉加载更多事件
pullRefresh.pullUp(function() {
setTimeout(function(){
	pullRefresh.refresh();
},1000)
});
pullRefresh.pullDown(function() {
setTimeout(function(){
	pullRefresh.refresh();
},1000)
});

function noData(){
	$(".noData").css("display", "block");
}
$('.noData').on('tap', function() {
	window.location.reload();
});


//获取“语言能力”信息
 function getLanguageAbility(){
 	userId = topmobi.native.cache.getSharedValue("user", "userId");
	var dataJson = {
		"handler": "getLanguageHandler",
		"sub": {
			"userId":userId
		}
	};
	var obj = {
		url: resumeEncryUrl,
		data: dataJson,
		isEncrypt:true,
		success: function(data) {
			var result = data.result;
			if(result.code=="1000"){
			    showLanguageInfo(result.data);
			}else if(result.code == "2000"){
				topmobi.native.common.showMsg("获取信息失败!", "middle", 1500);
			}else if(result.code == "4000"){
				topmobi.native.common.showMsg("暂无信息!", "middle", 1500);
				listView.setData([]);
                listView.update();
				pullRefresh.refresh();
			}
		},
		fail: function(data) {
			topmobi.native.common.showMsg("网络异常", "middle", 1500);

			noData();
		}
	}
	rs_networkRequest(obj);
 }
 
 /*
 * 将查询到的信息显示
 */
function showLanguageInfo(data){
	var dataHtml = "";
	var arrData = new Array(0);
	arrLanguageId=[];
    for(var i = 0; i < data.length; i++) {
    	arrLanguageId.push(data[i].id);
        // 数据处理
        var item = {
			language: data[i].language,
        	mastery: data[i].mastery,
        	id:data[i].id
        };
        arrData.push(item);
    }
    
    dataHtml = '<div id="listView" class="ch_ui_list list_wrapper">';
    dataHtml += '<ul class="list"></ul>';
    dataHtml += '</div>';
    pullRefresh.addContent(dataHtml);
    // 列表控件
    listView = new ch.widget.CListView("#listView", arrData, "list-item", {pullToRefresh: false}, "ch_ui_list");
    registerListener();
}
 getLanguageAbility(); 

/**
 * 给列表添加点击事件
 */
function registerListener() {
    listView.onItemClick(function(index) {
    	id = arrLanguageId[index];
    	topmobi.native.cache.putSharedValue('resume', 'experienceId', id);
    	topmobi.native.cache.putSharedValue('resume', 'isNew', 'false');
    	gotoAddLanguage(id);        
    });
}

//添加
$(".addIcon").on("tap",function(){
	id = "";
	topmobi.native.cache.putSharedValue('resume', 'experienceId', id);
	topmobi.native.cache.putSharedValue('resume', 'isNew', 'true');
	gotoAddLanguage(id);
})

function gotoAddLanguage(id){
	var obj = {
            action: {
                android: 'gov.my.socialsecurity.htmlactivity.talentCenter.AddLanguageAbilityActivity',
                ios: 'CHBaseWebViewController'
            },
            windowType: 0,
            params: {
                'id': '',
                html:"html_talentCenter/addLanguageAbility.html"
            }
        };
        topmobi.native.common.openWindow(obj);
}
//注册广播刷新页面
topmobi.native.common.registerBroadcast("languageRefresh", function(msg) {
		if(msg == "1") {
			getLanguageAbility();
		} 
});