// 返回
$('.back_icon').on('tap', function() {
    topmobi.native.common.closeWindow(0);
});

var videoUrl="";//视频简历的url
var hasVideoResume = false;
var userId = topmobi.native.cache.getSharedValue("user", "userId");
var headIcon = topmobi.native.cache.getSharedValue("user", "head_icon");
var picUrl = topmobi.native.cache.getSharedValue("user", "picUrl");
if(picUrl != "" && headIcon != "") {
	$(".headIcon").attr("src", headIcon + randomString);
}else if(picUrl !="" && headIcon == ""){
		$(".headIcon").attr("src", picUrl);
	}

//查询是否有视频简历
function  getResumeVideo(){
	var dataJson = {
		"handler": "getResumeVideoHandler",
		"sub": {
			"userId":userId
		}
	};
	var obj = {
			url: resumeEncryUrl,
			data: dataJson,
			isEncrypt:true,
			success: function(data) {
			    var result = data.result;
				if(result.code=="1000"){
					videoUrl = result.data.videoUrl;
					hasVideoResume = true;
					//改变视频简历的icon
					document.getElementById("videoIcon").src="../img/hasVideoResume.png";
				}else if(result.code=="4000"){
					//暂无视频简历
					document.getElementById("videoIcon").src="../img/noVideoResume.png";
					videoUrl="";
					hasVideoResume = false;
				}
				topmobi.native.cache.putSharedValue('jobs', 'videoUrl', videoUrl);
			},
			fail: function(data) {
				topmobi.native.common.showMsg("网络异常", "bottom", 1500);
			}
	}
	rs_networkRequest(obj);
}
 
  /*简历预览 */
$(".previewIcon").on("tap",function(){
		var obj = {
            action: {
                android: 'gov.my.socialsecurity.htmlactivity.talentCenter.ResumePreviewActivity',
                ios: 'CHBaseWebViewController'
            },
            windowType: 0,
            params: {
                'id': '',
                html:"html_talentCenter/resumePreview.html"
            }
        };
        topmobi.native.common.openWindow(obj);
})
  /*视频简历 */
$(".resumeVideo").on("tap",function(){
	if(isAndroid){
		if(hasVideoResume){
			var obj = {
            	action: {
                android: 'gov.my.socialsecurity.htmlactivity.talentCenter.VideoResumePlayActivity',
                ios: ''
              },
           	  windowType: 0,
              param: {
            	 videoUrl: videoUrl
             }
        	};
	    }else{
			var obj = {
            	action: {
                android: 'gov.my.socialsecurity.htmlactivity.talentCenter.VideoResumeActivity',
                ios: ''
            },
            windowType: 0,
            params: {
               	videoUrl: ""
            }
          };
		}
		 topmobi.native.common.openWindow(obj);	
	}else{
		myJsInterface.pushVideoResumeVC(videoUrl);
	}
   
})
/*个人信息 */
$("#personInfo").on("tap",function(){
		var obj = {
            action: {
                android: 'gov.my.socialsecurity.htmlactivity.talentCenter.ResumePersonInfoActivity',
                ios: 'CHBaseWebViewController'
            },
            windowType: 0,
            params: {
                'id': '',
                html:"html_talentCenter/resumePersonInfo.html"
            }
        };
        topmobi.native.common.openWindow(obj);
})

/*教育经历 */
$("#educationExperience").on("tap",function(){
	//location.href="educationExperience.html";
	var obj = {
            action: {
                android: 'gov.my.socialsecurity.htmlactivity.talentCenter.EducationExperienceActivity',
                ios: 'CHBaseWebViewController'
            },
            windowType: 0,
            params: {
                'id': '',
                html:"html_talentCenter/educationExperience.html"
            }
        };
        topmobi.native.common.openWindow(obj);
})

/*工作经验 */
$("#workExperience").on("tap",function(){
	var obj = {
            action: {
                android: 'gov.my.socialsecurity.htmlactivity.talentCenter.WorkExperienceActivity',
                ios: 'CHBaseWebViewController'
            },
            windowType: 0,
            params: {
                'id': '',
                html:"html_talentCenter/workExperience.html"
            }
        };
        topmobi.native.common.openWindow(obj);
})

/*自我评价 */
$("#selfEvaluation").on("tap",function(){
	var obj = {
            action: {
                android: 'gov.my.socialsecurity.htmlactivity.talentCenter.SelfEvaluationActivity',
                ios: 'CHBaseWebViewController'
            },
            windowType: 0,
            params: {
                'id': '',
                html:"html_talentCenter/selfEvaluation.html"
            }
        };
        topmobi.native.common.openWindow(obj);
})

/*求职意向 */
$("#jobIntention").on("tap",function(){
	var obj = {
            action: {
                android: 'gov.my.socialsecurity.htmlactivity.talentCenter.JobIntentionActivity',
                ios: 'CHBaseWebViewController'
            },
            windowType: 0,
            params: {
                'id': '',
                html:"html_talentCenter/jobIntention.html"
            }
        };
        topmobi.native.common.openWindow(obj);
})

/*项目经验 */
$("#projectExperience").on("tap",function(){
		var obj = {
            action: {
                android: 'gov.my.socialsecurity.htmlactivity.talentCenter.ProjectExperienceActivity',
                ios: 'CHBaseWebViewController'
            },
            windowType: 0,
            params: {
                'id': '',
                html:"html_talentCenter/projectExperience.html"
            }
        };
        topmobi.native.common.openWindow(obj);
})

/*培训经历*/
$("#trainingExperience").on("tap",function(){
	//location.href="trainingExperience.html";
		var obj = {
            action: {
                android: 'gov.my.socialsecurity.htmlactivity.talentCenter.TrainingExperienceActivity',
                ios: 'CHBaseWebViewController'
            },
            windowType: 0,
            params: {
                'id': '',
                html:"html_talentCenter/trainingExperience.html"
            }
        };
        topmobi.native.common.openWindow(obj);
})

/*语言能力 */
$("#languageAbility").on("tap",function(){
	var obj = {
            action: {
                android: 'gov.my.socialsecurity.htmlactivity.talentCenter.LanguageAbilityActivity',
                ios: 'CHBaseWebViewController'
            },
            windowType: 0,
            params: {
                'id': '',
                html:"html_talentCenter/languageAbility.html"
            }
        };
        topmobi.native.common.openWindow(obj);
})

function onPageResume() {
	 getResumeVideo();
}