var id="";
// 返回
$('.back_icon').on('tap', function() {
  	topmobi.native.common.unregisterBroadcast("projectRefresh");
    topmobi.native.common.closeWindow(0);
});
// 列表控件
var listView;
var arrProjectId = new Array(0); // 存储项目经历id信息
var option = {
	'pullUpState': false,
	'pullDownState': false
};
var pullRefresh = new chui.widget.pullRefresh("#pRefresh", option);
//设置上拉加载更多事件
pullRefresh.pullUp(function() {
setTimeout(function(){
	pullRefresh.refresh();
},1000)
});
pullRefresh.pullDown(function() {
setTimeout(function(){
	pullRefresh.refresh();
},1000)
});

function noData(){
	$(".noData").css("display", "block");
}
$('.noData').on('tap', function() {
	window.location.reload();
});

//去平台查询项目经历信息
function  getProjectInfo(){
	userId = topmobi.native.cache.getSharedValue("user", "userId");
	var dataJson = {
		"handler": "getProjectExperHandler",
		"sub": {
			"userId":userId
		}
	};
	var obj = {
		url: resumeEncryUrl,
		data: dataJson,
		isEncrypt:true,
		success: function(data) {
			var result = data.result;
			if(result.code=="1000"){
			    showProjectInfo(result.data);
			}else if(result.code == "2000"){
				topmobi.native.common.showMsg("获取信息失败!", "middle", 1500);
			}else if(result.code == "4000"){
				topmobi.native.common.showMsg("暂无信息!", "middle", 1500);
				listView.setData([]);
                listView.update();
				pullRefresh.refresh();
			}
		},
		fail: function(data) {
			topmobi.native.common.showMsg("网络异常", "middle", 1500);
			noData();
		}
	}
	rs_networkRequest(obj);
}
/*
 * 将查询到的信息显示
 */
function showProjectInfo(data){
	var dataHtml = "";
	var arrData = new Array(0);
	arrProjectId=[];
    for(var i = 0; i < data.length; i++) {
    	arrProjectId.push(data[i].id);
        // 数据处理
        var item = {
			time: data[i].beginTime+" - "+data[i].endTime,
        	projectName: data[i].projectName,
        	id:data[i].id
        };
        arrData.push(item);
    }
    
    dataHtml = '<div id="listView" class="ch_ui_list list_wrapper">';
    dataHtml += '<ul class="list"></ul>';
    dataHtml += '</div>';
    pullRefresh.addContent(dataHtml);
    // 列表控件
    listView = new ch.widget.CListView("#listView", arrData, "list-item", {pullToRefresh: false}, "ch_ui_list");
    registerListener();
}
getProjectInfo();

/**
 * 给列表添加点击事件
 */
function registerListener() {
    listView.onItemClick(function(index) {
    	id = arrProjectId[index];
    	topmobi.native.cache.putSharedValue('resume', 'experienceId', id);
    	topmobi.native.cache.putSharedValue('resume', 'isNew', 'false');
    	gotoAddProject(id);  
        
    });
}

//添加经历
$(".addIcon").on("tap",function(){
	//location.href="addProjectExperience.html";
	id = "";
	topmobi.native.cache.putSharedValue('resume', 'experienceId', id);
	topmobi.native.cache.putSharedValue('resume', 'isNew', 'true');
	gotoAddProject(id);
})

function gotoAddProject(id){
	var obj = {
            action: {
                android: 'gov.my.socialsecurity.htmlactivity.talentCenter.AddProjectExperienceActivity',
                ios: 'CHBaseWebViewController'
            },
            windowType: 0,
            params: {
                'id': '',
                html:"html_talentCenter/addProjectExperience.html"
            }
        };
        topmobi.native.common.openWindow(obj);
}
//注册广播刷新页面
topmobi.native.common.registerBroadcast("projectRefresh", function(msg) {
		if(msg == "1") {
			getProjectInfo();
		} 
});