// 返回
$('.back_icon').on('tap', function() {
     topmobi.native.common.closeWindow(0);
});

function noData(){
	$(".selfEvaluation-Content").css("display", "none");
	$(".noData").css("display", "block");
}
$('.noData').on('tap', function() {
	window.location.reload();
});
var userId = topmobi.native.cache.getSharedValue("user", "userId");

//查看评价信息
function getEvaluation(){

	var dataJson = {
		"handler": "getSelfEvalutionHandler",
		"sub": {
			"userId":userId
		}
	};
	var obj = {
		url: resumeEncryUrl,
		data: dataJson,
		isEncrypt:true,
		success: function(data) {
			var result = data.result;
			if(result.code=="1000"){
			    document.getElementById("textaArea").value = result.data.selfEvalution;
			}else if(result.code == "2000"){
				topmobi.native.common.showMsg("获取信息失败!", "middle", 1500);
			}else if(result.code == "4000"){
				topmobi.native.common.showMsg("暂无信息!", "middle", 1500);
			}
		},
		fail: function(data) {
			topmobi.native.common.showMsg("网络异常", "middle", 1500);
			noData();
		}
	}
	rs_networkRequest(obj);
}

getEvaluation();


//提交自我评价
	function commitEvaluation() {
		var text = document.getElementById("textaArea").value;
		if ( text == "" ) {
		    topmobi.native.common.showMsg("内容不能为空", "middle", 1500);
			return;
		} else if ( text.length < 50 ) {		
		    topmobi.native.common.showMsg("字数不能少于50个字", "middle", 1500);
		    return;
		} else if ( text.length > 200 ) {		
		    topmobi.native.common.showMsg("字数不能超过200个字，已超出"+(text.length-200)+"个字", "middle", 1500);
		    return;
		}
		var dataJson = {
			"handler": "updateSelfEvalutionHandler",
			"sub": {
				"userId":userId,
　　　　　			"selfEvalution":text　
			}
		};
		var obj = {
		    url:resumeEncryUrl,
			data: dataJson,
			isEncrypt:true,
			success: function(data) {
				try {
					var result = data.result;
					switch (result.code) {
						case "1000":
							topmobi.native.common.showMsg("信息提交成功", "middle", 1500);
							topmobi.native.common.closeWindow(0);
							break;
						case "2000":
							topmobi.native.common.showMsg("信息提交失败", "middle", 1500);
							break;
					}
				} catch (e) {
					topmobi.native.common.log("wyy", "错误：" + e.message);
				}
			},
			fail: function(data) {
				topmobi.native.common.showMsg("请求失败!", "middle", 1500);
			}
		}
		rs_networkRequest(obj);
	}

	$(".save").on("tap", function() {
		commitEvaluation();
	});
	
//删除记录
function delSelfEvaluation(){
	var dataJson = {
			"handler": "deleteSelfEvalutionHandler",
			"sub": {
				"userId":userId
			}
	};
	var obj = {
		url: resumeEncryUrl,
		data: dataJson,
		isEncrypt:true,
		success: function(data) {
			var result = data.result;
			if(result.code=="1000"){
				document.getElementById("textaArea").value = "";
				topmobi.native.common.showMsg("删除成功!", "middle", 1500);
				topmobi.native.common.closeWindow(0);
			}else if(result.code=="4000"){
				topmobi.native.common.showMsg("记录为空!", "middle", 1500);
			}
		},
		fail: function(data) {
			topmobi.native.common.showMsg("网络异常", "middle", 1500);
		}
	}
	rs_networkRequest(obj);
	
}

$('.del-icon').on('tap',function(){
		var options = {
					title: '提示',
					content: '确定删除评价信息?<br>',
					btns: ['取消','确定']
		};
		var myAlert = new topmobi.widget.alert(options);
		myAlert.setWidth("60%");
		myAlert.click(function(i) {
				myAlert.hide();
				if(i==1){
					delSelfEvaluation();
				}
		});
});