var id="";
// 返回
$('.back_icon').on('tap', function() {
	topmobi.native.common.unregisterBroadcast("trainingRefresh");
    topmobi.native.common.closeWindow(0);
});
// 列表控件
var listView;
var arrTrainingId = new Array(0); // 存储培训经历id信息
var option = {
	'pullUpState': false,
	'pullDownState': false
};
var pullRefresh = new chui.widget.pullRefresh("#pRefresh", option);
//设置上拉加载更多事件
pullRefresh.pullUp(function() {
setTimeout(function(){
	pullRefresh.refresh();
},1000)
});
pullRefresh.pullDown(function() {
setTimeout(function(){
	pullRefresh.refresh();
},1000)
});

function noData(){
	$(".noData").css("display", "block");
}
$('.noData').on('tap', function() {
	window.location.reload();
});

//去平台查询培训经历信息
function  getTrainingInfo(){
	userId = topmobi.native.cache.getSharedValue("user", "userId");
	var dataJson = {
		"handler": "getTrainExperHandler",
		"sub": {
			"userId":userId
		}
	};
	var obj = {
		url: resumeEncryUrl,
		data: dataJson,
		isEncrypt:true,
		success: function(data) {
			var result = data.result;
			if(result.code=="1000"){	
			    showTrainingInfo(result.data);
			}else if(result.code == "2000"){
				topmobi.native.common.showMsg("获取信息失败!", "middle", 1500);
			}else if(result.code == "4000"){
				topmobi.native.common.showMsg("暂无信息!", "middle", 1500);
				listView.setData([]);
                listView.update();
				pullRefresh.refresh();
			}
		},
		fail: function(data) {
			topmobi.native.common.showMsg("网络异常", "middle", 1500);
			noData();
		}
	}
	rs_networkRequest(obj);
}
/*
 * 将查询到的信息显示
 */
function showTrainingInfo(data){
	var dataHtml = "";
	var arrData = new Array(0);
	arrTrainingId=[];
    for(var i = 0; i < data.length; i++) {
    	arrTrainingId.push(data[i].id);
        // 数据处理
        var item = {
			time: data[i].beginTime+" - "+data[i].endTime,
        	trainingCourse: data[i].trainingCourse,
        	trainingInstitution:data[i].trainingInstitution,
        	id:data[i].id
        };
        arrData.push(item);
    }
    
    dataHtml = '<div id="listView" class="ch_ui_list list_wrapper">';
    dataHtml += '<ul class="list"></ul>';
    dataHtml += '</div>';
    pullRefresh.addContent(dataHtml);
    // 列表控件
    listView = new ch.widget.CListView("#listView", arrData, "list-item", {pullToRefresh: false}, "ch_ui_list");
    registerListener();
}
getTrainingInfo();

/**
 * 给列表添加点击事件
 */
function registerListener() {
    listView.onItemClick(function(index) {
    	id = arrTrainingId[index];
    	topmobi.native.cache.putSharedValue('resume', 'experienceId', id);
    	topmobi.native.cache.putSharedValue('resume', 'isNew', 'false');
        gotoAddtraining(id);
    });
}

//添加经历
$(".addIcon").on("tap",function(){
	id="";
	topmobi.native.cache.putSharedValue('resume', 'experienceId', id);
	topmobi.native.cache.putSharedValue('resume', 'isNew', 'true');
	gotoAddtraining(id);
})

function gotoAddtraining(id){
	var obj = {
            action: {
                android: 'gov.my.socialsecurity.htmlactivity.talentCenter.AddTrainingExperienceActivity',
                ios: 'CHBaseWebViewController'
            },
            windowType: 0,
            params: {
                id: '',
                html:'html_talentCenter/addTrainingExperience.html'
            }
        };
        topmobi.native.common.openWindow(obj);
}
//注册广播刷新页面
topmobi.native.common.registerBroadcast("trainingRefresh", function(msg) {
		if(msg == "1") {
			getTrainingInfo();
		} 
});