setTimeout(function() {
	$(".confirm_btn").css("top", $(".confirm_btn").position().top);
}, 150)
var diagnosisItemData = topmobi.native.cache.getSharedValue("village", "diagnosisItemData");
diagnosisItemData = JSON.parse(diagnosisItemData);
var selectNumber = 1;
var price = 0;
var amount = 0;
$number = $(".number");
$price = $(".price");
$amount = $(".amount")
$number.html(selectNumber);
$(".diagnosis_name").html(diagnosisItemData.aka091);
$(".unit").html(diagnosisItemData.yka043 || "--");

function clearNoNum(obj) {
	obj.value = obj.value.replace(/[^\d.]/g, "");
	obj.value = obj.value.replace(/^\./g, "");
	obj.value = obj.value.replace(/\.{2,}/g, ".");
	obj.value = obj.value
		.replace(".", "$#$")
		.replace(/\./g, "")
		.replace("$#$", ".");
	obj.value = obj.value.replace(/^(-)*(\d+)\.(\d\d).*$/, "$1$2.$3");
	if(obj.value.substr(0, 1) === "0" && obj.value.length === 2 && obj.value.substr(1, 2) !== ".") {
		obj.value = obj.value.substr(1, obj.value.length);
	}
	updateAmount();
}
$(".minus_btn").on("tap", function() {
	if(selectNumber == 1) {
		topmobi.native.common.showMsg("药品数量不能再少了", "middle", 1500);
	} else {
		selectNumber--;
		updateAmount();
	}
})
$(".add_btn").on("tap", function() {
	selectNumber++;
	updateAmount();
})

function updateAmount() {
	$number.html(selectNumber);
	price = $price.val();
	if(!price) {
		price = 0;
	}
	amount = (selectNumber * parseFloat(price)).toFixed(2);
	$amount.html(amount);
}
$(".confirm_btn").on("tap", function() {
	price = $price.val()
	if(isNull(price)) {
		topmobi.native.common.showMsg("请输入诊疗单价", "middle", 1500);
		return;
	}
	var dataJson = {
		ykc120: parseInt(new Date().getTime() / 1000), //序号
		aka060: diagnosisItemData.ake001, //编码
		aka079: diagnosisItemData.aka079, //所在医院编码
		aka061: diagnosisItemData.aka091, //名称
		aka067: diagnosisItemData.yka043, //单位
		yka200: price, //单价
		yka201: $number.html(), //数量
		yak202: $amount.html(), //总金额
		ake003: diagnosisItemData.yka071 //项目类别
	}
	var datasetzl = topmobi.native.cache.getSharedValue("village", "datasetzl");
	if(isNull(datasetzl)) {
		datasetzl = [];
	} else {
		datasetzl = JSON.parse(datasetzl);
	}
	datasetzl.push(dataJson);
	topmobi.native.cache.putSharedValue("village", "datasetzl", JSON.stringify(datasetzl));
	topmobi.native.common.closeWindow(0);
})