setTimeout(function() {
	$(".confirm_btn").css("top", $(".confirm_btn").position().top);
}, 150)
var drugItemData = topmobi.native.cache.getSharedValue("village", "drugItemData");
drugItemData = JSON.parse(drugItemData);
var selectNumber = 1;
var price = 0;
var amount = 0;
$number = $(".number");
$price = $(".price");
$amount = $(".amount");
$number.html(selectNumber);
$(".drug_name").html(drugItemData.aka091);
$(".unit").html(drugItemData.yka043 || "--");
$(".spec").html(drugItemData.yka042 || "--");
$(".type").html(drugItemData.yka045 || "--");
$(".product").html(drugItemData.ake004 || "--");

function clearNoNum(obj) {
	obj.value = obj.value.replace(/[^\d.]/g, "");
	obj.value = obj.value.replace(/^\./g, "");
	obj.value = obj.value.replace(/\.{2,}/g, ".");
	obj.value = obj.value
		.replace(".", "$#$")
		.replace(/\./g, "")
		.replace("$#$", ".");
	obj.value = obj.value.replace(/^(-)*(\d+)\.(\d\d).*$/, "$1$2.$3");
	if(obj.value.substr(0, 1) === "0" && obj.value.length === 2 && obj.value.substr(1, 2) !== ".") {
		obj.value = obj.value.substr(1, obj.value.length);
	}
	updateAmount();
}
$(".minus_btn").on("tap", function() {
	if(selectNumber == 1) {
		topmobi.native.common.showMsg("药品数量不能再少了", "middle", 1500);
	} else {
		selectNumber--;
		updateAmount();
	}
})
$(".add_btn").on("tap", function() {
	selectNumber++;
	updateAmount();
})

function updateAmount() {
	$number.html(selectNumber);
	price = $price.val();
	if(!price) {
		price = 0;
	}
	amount = (selectNumber * parseFloat(price)).toFixed(2);
	$amount.html(amount);
}
$(".confirm_btn").on("tap", function() {
	price = $price.val()
	if(isNull(price)) {
		topmobi.native.common.showMsg("请输入药品单价", "middle", 1500);
		return;
	}
	var dataJson = {
		ykc120: parseInt(new Date().getTime() / 1000), //序号
		aka060: drugItemData.ake001, //药品编码
		aka079: drugItemData.aka079, //所在医院编码
		aka061: drugItemData.aka091, //药品名称
		aka067: drugItemData.yka043, //单位
		aka073: drugItemData.yka042, //规格
		yka200: price, //单价
		yka201: $number.html(), //数量
		yak202: $amount.html(), //总金额
		aka070_yn: drugItemData.yka045, //项目剂型
		ake003: drugItemData.yka071 //项目类别
	}
	var datasetyp = topmobi.native.cache.getSharedValue("village", "datasetyp");
	if(isNull(datasetyp)) {
		datasetyp = [];
	} else {
		datasetyp = JSON.parse(datasetyp);
	}
	datasetyp.push(dataJson);
	topmobi.native.cache.putSharedValue("village", "datasetyp", JSON.stringify(datasetyp));
	topmobi.native.common.closeWindow(0);
})