$(function() {
	$(".back_icon").off("tap");
	$('.back_icon').on('tap', function() {
		history.back();
	});
	setTimeout(function() {
		$(".next_btn").css("top", $(".next_btn").position().top);
	}, 150)
	var $searchInput = $(".search_input");
	var nowType = 0;
	var keyowrds = "";
	var searchData = [];
	var drugData = [];
	var diagnosisData = [];
	var serviceData = [];
	topmobi.native.cache.removeSharedValue("village", "datasetyp");
	topmobi.native.cache.removeSharedValue("village", "datasetzl");
	topmobi.native.cache.removeSharedValue("village", "datasetcw");
	getDrugs();
	$(".next_btn").on("tap", function() {
		var obj = {
			action: {
				android: "gov.my.socialsecurity.htmlactivity.villageDoctor.ConfirmNumberActivity",
				ios: "CHBaseWebViewController"
			},
			windowType: 0,
			params: {
				info: "",
				html: "html_villageDoctor/settlementConfirmOrder.html"
			}
		}
		topmobi.native.common.openWindow(obj);
	})
	$(".nav_wrap").on("tap", ".nav_item", function() {
		keyowrds = "";
		$searchInput.val("");
		nowType = $(this).index();
		$(this).addClass("active").siblings().removeClass("active");
		getDrugs();
	})

	$(".search_btn").on("tap", function() {
		keyowrds = $searchInput.val();
		initSearch();
	})
	$(".list_wrap").on("tap", ".drug_item", function() {
		var drugItemData = searchData[$(this).index()];
		topmobi.native.cache.putSharedValue("village", "drugItemData", JSON.stringify(drugItemData));
		var obj = {
			action: {
				android: "gov.my.socialsecurity.htmlactivity.villageDoctor.ConfirmNumberActivity",
				ios: "CHBaseWebViewController"
			},
			windowType: 0,
			params: {
				info: "",
				html: "html_villageDoctor/selectDrug.html"
			}
		}
		topmobi.native.common.openWindow(obj);
	})
	$(".list_wrap").on("tap", ".diagnosis_item", function() {
		var diagnosisItemData = searchData[$(this).index()];
		topmobi.native.cache.putSharedValue("village", "diagnosisItemData", JSON.stringify(diagnosisItemData));
		var obj = {
			action: {
				android: "gov.my.socialsecurity.htmlactivity.villageDoctor.ConfirmNumberActivity",
				ios: "CHBaseWebViewController"
			},
			windowType: 0,
			params: {
				info: "",
				html: "html_villageDoctor/selectDiagnosis.html"
			}
		}
		topmobi.native.common.openWindow(obj);
	})
	$(".list_wrap").on("tap", ".service_item", function() {
		var serviceItemData = searchData[$(this).index()];
		topmobi.native.cache.putSharedValue("village", "serviceItemData", JSON.stringify(serviceItemData));
		var obj = {
			action: {
				android: "gov.my.socialsecurity.htmlactivity.villageDoctor.ConfirmNumberActivity",
				ios: "CHBaseWebViewController"
			},
			windowType: 0,
			params: {
				info: "",
				html: "html_villageDoctor/selectService.html"
			}
		}
		topmobi.native.common.openWindow(obj);
	})

	function getDrugs() {
		var dataType = nowType + 1;
		var obj = {
			url: renshe2ApiCyt + 'cyt/drugs?yka071=' + dataType,
			method: "get",
			success: function(data) {
				var result = data.result.result;
				if(nowType == 0) {
					drugData = JSON.parse(result).druglist[0].row;
				} else if(nowType == 1) {
					diagnosisData = JSON.parse(result).druglist[0].row;
				} else {
					serviceData = JSON.parse(result).druglist[0].row;
				}
				initSearch();
			},
			fail: function(data) {
				if(!!data.result && !!data.result.message) {
					//平台出错将错误信息写入data.result.message
					topmobi.native.common.showMsg(data.result.message, "middle", 1500);
				} else if(!!data.msg) {
					topmobi.native.common.showMsg(data.msg, "middle", 1500);
				} else {
					topmobi.native.common.showMsg("网络异常", "middle", 1500);
				}

			}
		}
		rs_networkRequest(obj);
	}

	function initSearch() {
		var tplName = "";
		searchData = filterData();
		if(nowType == 0) {
			tplName = "drug_item";
		} else if(nowType == 1) {
			tplName = "diagnosis_item";
		} else {
			tplName = "service_item";
		}
		if(searchData.length==0){
			topmobi.native.common.showMsg("暂无相关记录", "middle", 1500);
			$(".list_wrap").html("");
			return;
		}
		$(".list_wrap").html(template(tplName, searchData));
	}

	function filterData() {
		var tempData = [];
		var resultData = [];
		if(nowType == 0) {
			tempData = drugData;
		} else if(nowType == 1) {
			tempData = diagnosisData;
		} else {
			tempData = serviceData;
		}
		for(var i = 0; i < tempData.length; i++) {
			if(tempData[i].aka091.indexOf(keyowrds) >= 0) {
				resultData.push(tempData[i]);
			}
		}
		return resultData;
	}
})