var Namespace = new Object();     
Namespace.register = function(path){     
    var arr = path.split(".");     
    var ns = "";     
    for(var i=0;i<arr.length;i++){     
        if(i>0) ns += ".";     
        ns += arr[i];     
        eval("if(typeof(" + ns + ") == 'undefined') " + ns + " = new Object();");     
    }     
}
Namespace.register("chui.widget");
chui.widget.navigatorBar = function() {
	this.selector = $(selector);

	//选择项发生切换时的回调//袁发洋添加
	var selectCallback = null;

	var _this = this; //对象指针_this，避免与其他内部类指针this冲突                    //
	var selector; //选择器
	var data; //数据集
	var dataLen;
	var events = null; //事件集
	var onItemClickCallback = null; //onItemClick回调
	var childCallback = new Array(); //子元素事件 
	var style = "ch_ui_navigatorbar";
	var isScrollEnabled = true; //是否支持滚动
	var isSwitchEnabled = true; //是否支持切换index
	var currentIndex = 0; //当前选中的索引号

	var ulHeight = "38px";
	var textHeight = "14px";
	var bottomLineHeight = "1px";
	var itemWidth = "33%";
	var displayNum = "3";
	var liPaddingV = "10px";
	var hasVline;//导航元素之间是否有竖线分隔
	
	//	传入的options的options的定义 和初始化设置。
	var defaultOpt = {
		width: '',
		height: '',
		displayNum: 3,
		isScroll: true,
		selectedIndex: 0,
		hasVline:false
	};

	var parmOpt;


	function initHeightParm() {
		ulHeight = $(selector).height() + "px";
		textHeight = $(selector).find("li").css("font-size");
		bottomLineHeight = $(selector).find("li.select").css("border-bottom-width");
		liPaddingV = (parseInt(ulHeight) - 2) + "px";
	};

	function initWidthParm() {
		itemWidth = ($(selector).width() / (displayNum)) + "px";
	};

	this.show = function() {
		//显示列表
		$(selector).show();
	};

	//隐藏列表
	this.hide = function() {
		$(selector).hide();
	};

	//判断是否隐藏
	this.isShow = function() {
		return $(selector).css("display") == "block";
	};

	//获取导航栏宽度
	this.getWidth = function() {
		return $(selector).width();
	};
	//设置导航栏宽度
	this.setWidth = function(w) {
		//		$(selector).width(w);
		$(selector).css("width", w);
		initWidthParm();
		$(selector).find(".ch_ui_navigatorbar_wrap").css("width", (parseFloat(itemWidth) * dataLen) + "px");
		$(selector).find("li").css("width", itemWidth);

	};
	//获取导航栏高度
	this.getHeight = function() {
		return $(selector).height();
	};


	//设置导航栏高度
	this.setHeight = function(h) {
		//		$(selector).height(h);
		$(selector).css("height", h);
		initHeightParm();
		$(selector).find(".ch_ui_navigatorbar_wrap").css("height", h);
		$(selector).find("li").css({
			"line-height": liPaddingV,
			"padding": 0
		})


	};

	//获取当前选中的index
	this.getSelectedIndex = function() {
		return $(selector).find("li.select").index();
	};

	//设置当前选中的index
	this.setSelectedIndex = function(selected) {
		if (!isSwitchEnabled) return;

		$(selector).find("li.select").removeClass("select");
		$(selector).find("li").eq(selected).addClass("select");
	};

	//获取是否支持切换选中item
	this.isSwitchEnabled = function() {
		return isSwitchEnabled;
	};

	//设置是否支持切换选中item
	this.setSwitchEnabled = function(enabled) {
		isSwitchEnabled = enabled;
	};

	//获取是否支持切换选中item
	this.isScrollEnabled = function() {
		return isScrollEnabled;
	};

	//设置是否支持切换选中item
	this.setScrollEnabled = function(enabled) {

		if (enabled) {
			$(selector).css("overflow", "auto");
		} else {
			$(selector).css("overflow", "hidden");
		}
		isScrollEnabled = enabled;

	};

	//绑定事件集合
	this.select = function(events) {
		//events();

		selectCallback = events;
	};

	//绑定列表项点击事件
	/*this.onItemClick = function*/
	/**
	 * 导航条item被被点击是的处理行数
	 */
	function onItemClick() {
		//_this.onItemClickCallback = callback;
		//绑定所有Item的click事件
		$(selector).find(".ch_ui_navigatorbar_wrap" + " > li").off("tap");
		$(selector).find(".ch_ui_navigatorbar_wrap" + " > li").on("tap", function() {
			if (isSwitchEnabled == false) return; //判断当前状态是否支持切换。
			$(this).addClass("select");
			$(this).siblings().removeClass("select");
			//_this.onItemClickCallback($(this).index());

			//add by wyy 2015.6.24
			currentIndex = $(this).index();
			//袁发洋添加
			if (selectCallback) selectCallback.call(this, $(this).index());
		});
	};



	//在据传入的option结合css定义更新UI
	this.updateOptParm = function() {
		ulHeight = parmOpt.height;
		isScrollEnabled = parmOpt.isScroll;
		if (parmOpt.displayNum != displayNum || parmOpt.width != (this.getWidth() + "px")) {
			displayNum = parmOpt.displayNum;
			this.setWidth(parmOpt.width);
		}
		if (ulHeight != (this.getHeight() + "px")) {
			this.setHeight(ulHeight);
		}
		this.setScrollEnabled(isScrollEnabled);
		if (parmOpt.selectedIndex != 0) {
			this.setSelectedIndex(parmOpt.selectedIndex);
		}

	}

	//构造函数；
	var len = arguments.length;
	switch (len) {
		case 4: //传入4个参数：selection，dataList， options（可为空{}), style
			style = arguments[3];
			parmOpt = $.extend(defaultOpt, arguments[2]);
			selector = arguments[0];
			this.selector = $(selector);
			data = arguments[1];
			dataLen = data.length;
			//构建html dom,根据传入data[]构造ul和li
			$(selector).addClass(style);
			var html = "<ul class='ch_ui_navigatorbar_wrap'>";
			for (var i = 0; i < data.length; i++) {
				if (i == 0) {
					if(parmOpt.hasVline == true){
						html = html + "<li class='select'>" +"<span>"+ data[i] + "</span></li>";
					}else{
						html = html + "<li class='select'>" + data[i] + "</li>";
					}
				} else {
					if(parmOpt.hasVline == true){
						html = html + "<li >" + "<span>"+data[i] + "</span></li>";
					}else{
						html = html + "<li >" + data[i] + "</li>";
					}
				}
			}
			html = html + "</ul>";
			$(selector).html(html);
			//根据css初始化defaultOpt和控件UI
			defaultOpt.width = this.getWidth() + "px";
			defaultOpt.height = this.getHeight() + "px";
			this.setWidth($(selector).width() + "px");
			this.setHeight($(selector).height() + "px");
			parmOpt = $.extend(defaultOpt, arguments[2]);
			this.updateOptParm();


			onItemClick();
			break;


		case 3: //传入4个参数：selection， options（可为空{}), style
			selector = arguments[0];
			style = arguments[2];
			this.selector = $(selector);
			this.selector.addClass(style);
			this.selector.children().addClass("ch_ui_navigatorbar_wrap");
			this.selector.children().children().addClass("ch_ui_navigatorbar.li");
			this.selector.children().children().eq(0).addClass("select");
			dataLen = this.selector.children().children().length;
			defaultOpt.width = this.getWidth() + "px";
			defaultOpt.height = this.getHeight() + "px";
			this.setWidth($(selector).width() + "px");
			this.setHeight($(selector).height() + "px");
			parmOpt = $.extend(defaultOpt, arguments[1]);
			onItemClick();
			this.updateOptParm();

			break;

	}

	//滑动到指定索引项，使索引项可见  add by wyy 2015.6.24
	this.scrollToIndex = function(nowIndex, distIndex) {
		var distPage = $(selector).children(".ch_ui_navigatorbar_wrap").children().eq(distIndex);

		var distPage_left = distPage.offset().left;
		var distPage_left1 = distPage.offset().left + parseFloat(itemWidth);

		//左滑
		if (distPage_left >= displayNum * parseFloat(itemWidth) - 10 && distIndex > nowIndex) {
			var distance = parseFloat(itemWidth) * (distIndex - displayNum + 1) + "px";
			$(selector).children(".ch_ui_navigatorbar_wrap").css("left", "-" + distance);
		}
		//右滑
		else if (distPage_left1 <= 10 && distIndex < nowIndex) {

			var left1 = parseFloat($(selector).children(".ch_ui_navigatorbar_wrap").css("left"));
			var left2 = (left1 + parseFloat(itemWidth)) + "px";
			$(selector).children(".ch_ui_navigatorbar_wrap").css("left", left2);
		}


	};



}