var Namespace = new Object();     
Namespace.register = function(path){     
    var arr = path.split(".");     
    var ns = "";     
    for(var i=0;i<arr.length;i++){     
        if(i>0) ns += ".";     
        ns += arr[i];     
        eval("if(typeof(" + ns + ") == 'undefined') " + ns + " = new Object();");     
    }     
}
Namespace.register("topmobi.widget");

topmobi.widget.alert = function (options) {
    // 默认参数
    var defaults = {
        iconType: '',
        title   : '',
        content : '警告框内容',
        btns    : ["我知道了"],
        width   : '',
        height  : ''
    };
    var style = "ch_ui_alert";
    var mask;
    var selector;
    var option = options;
    this.clickCallback = null;

    //初始化dom树
    var dom = "<div class=\"ch_ui_mask\">";
    dom = dom + "<div class='" + style + "'>"; //这个style可以是标准样式ch_ui_alert，可以是用户自定义样式
    dom = dom + "<div class='alert-wrap'>";
    dom = dom + "<div class='alert-bg'>";
    dom = dom + "<div class='alert-title'><span class='alert-title-icon'></span>" + "<span class='alert-title-text'></span></div>";
    dom = dom + "<div class='alert-content'></div>";
    dom = dom + "</div>";
    dom = dom + "<div class='alert-btn-group'>";
    dom = dom + "<div class='alert-btn' data-role='button'></div>";
    dom = dom + "</div>";
    dom = dom + "</div>";
    dom = dom + "</div>";
    dom = dom + "</div>";
    $("body").append(dom);

    this.selector = $("." + style + "");
    this.mask = $(".ch_ui_mask");
    this.selector.addClass(style); //添加默认样式
    defaults.height = this.selector.css('height'); //读取css类中的height和width，存入可选参数默认值中
    defaults.width = this.selector.css('width');

    //合并用户输入的可选参数值与默认参数值
    option = $.extend(defaults, option);

    //根据初始化参数来初始化警告框
    this.options = option;

    this.setButtons(option.btns);
    //	初始化title 部分，带图标和不带图标
    if (option.title) {
        this.setTitle(option.title);
        if (!option.iconType) {
            this.selector.find(".alert-title-icon").remove();
        } else {
            var icon = "";

            if ('1' == option.iconType) {
                icon = "url(../img/remind-360.png)"; //"img/complete-360.png";
                this.selector.find(".alert-title-icon")
                    .addClass("remind");
            } else if ('2' == option.iconType) {
                icon = "url(../img/complete-360.png)"; // "img/close-360.png";
                this.selector.find(".alert-title-icon")
                    .addClass("complete");
            } else {
                icon = "url(../img/close-360.png)"; //"img/remind-360.png";
                this.selector.find(".alert-title-icon")
                    .addClass("close");
            }
        }
    } else { //不带title部分，待优化处理。
        this.selector.find(".alert-title-icon").remove();
        this.selector.find(".alert-title-text").remove();
        this.selector.find(".alert-content").css("margin-top", "0px");
    }

    this.setWidth(option.width);
    this.setHeight(option.height);
    this.setContent(option.content);
    //默认情况下点击按钮hide（）警告框；
//  this.click(function (i) {
//      this.hide();
//  });
};

/*************************警告框方法集*********************************/
topmobi.widget.alert.prototype = {

    //警告框底部按钮点击回调
    click: function (callback) {
    	var _this = this;
        this.clickCallback = callback;
        for (var i = 0; i < this.selector.find(".alert-btn").length; i++) {
            this.selector.find(".alert-btn").eq(i).tap(function () {
                var idx = $(this).index();
                //返回当前button索引
                _this.clickCallback(idx);

            });
        }
    },

    //显示警告框
    show: function () {
        $("body").append(this.mask);
        $("body").append(this.selector);
    },

    //隐藏警告框
    hide: function () {
        this.selector.remove();
        this.mask.remove();
    },

    //设置警告框宽度
    setWidth: function (width) {

        this.selector.width(width);
        //相应的改变margin-left属性，使其随宽度变化水平居中
        var halfWidth = this.selector.width() / 2;
        this.selector.css("margin-left", -halfWidth);
    },

    //设置警告框高度
    setHeight: function (height) {
        this.selector.height(height);
        //相应的改变margin-top属性，使其随宽度变化水平居中
        var halfHeight = this.selector.height() / 2;
        this.selector.css("margin-top", -halfHeight);
    },

    //设置警告框标题
    setTitle: function (string) {
        this.selector.find(".alert-title-text").html(string);
    },

    //设置警告框内容
    setContent: function () {
        var string = arguments[0];
        this.selector.find("div.alert-content").html(string);
        //设置新的内容过后，高度如果超过了警告框的高度，就动态改变警告框的高度值
        var h1 = this.selector.find("div.alert-content").height();
        var h2 = this.selector.find("div.alert-title").height();
        var h3 = this.selector.find("div .alert-btn-group").height();
        var total = h1 + h2 + h3 + 30;

        var hb = this.selector.find('div.alert-btn-group').height();
        var hm = parseInt(this.selector.css('min-height'));

        var realAlertHeight = '';
        if (total > hm) {
            realAlertHeight = total;
        } else {
            realAlertHeight = hm;
        }

        this.selector.height(realAlertHeight + 'px');

        var hp = parseInt(this.selector.css('padding-top'));
        this.selector.find('div.alert-bg').css("height", this.selector.height() - hb - hp);

        var halfHeight = (realAlertHeight + hp) / 2;
        this.selector.css("margin-top", -halfHeight);
    },

    //为警告框设置按钮
    setButtons: function (button) {

        var i, j;
        //先删除现有button
        var numBtn = $('div>.alert-btn').length; //现有button的数目
        for (i = 0; i < numBtn; i++) {
            $('div .alert-btn').remove();
        }

        //根据参数button的长度来增加.alert-btn
        for (j = 0; j < button.length; j++) {
            $('div .alert-btn-group').append("<div class=\"alert-btn\"></div>");
        }

        //button 赋值
        for (i = 0; i < button.length; i++) {
            this.selector.find("div.alert-btn").eq(i).html(button[i]);
            if( 0 < i && i <= button.length - 1){
                //去除button的左边框
                this.selector.find("div.alert-btn").eq(i).css("border-left", "0px #c8c7cc solid");
            }
            if (i == button.length - 1) {
                //去除最后一个button的右边框
                this.selector.find("div.alert-btn").eq(i).css("border-right", "0px #c8c7cc solid");
            }
        }
    }
};