/**
 * @author Youtiao, 2016/5/26
 */
/**
 * 设置滚动区域的top
 */
(function() {
    var scrollTop = $('.navigatorBar').height() + $('.headWrap').height();
    $('.pull_wrapper, .tip-container').css('top', scrollTop);
})();


var loginToken = topmobi.native.cache.getSharedValue("user", "loginToken");
var personNumber = topmobi.native.cache.getSharedValue("user", "personNumber");
var userName = topmobi.native.cache.getSharedValue("user", "username");
$(".info-name").html(userName);
$(".personalNum").html(personNumber);
var headIcon = topmobi.native.cache.getSharedValue("user", "head_icon");
var picUrl = topmobi.native.cache.getSharedValue("user", "picUrl");
if(picUrl != "" && headIcon != "") {
	$(".portrait").attr("src", headIcon + randomString);
}else if(picUrl !="" && headIcon == ""){
		$(".portrait").attr("src", picUrl);
	}

var NUM_FIRST_REQ = 10; // 第一次请求的数量
var NUM_REQ = 10; // 上拉加载请求一次的数量
var TIME_NORMAL = 1500; // Toast时间
var reqCount = 0;
// 下拉刷新，上拉加载控件
var prf = new chui.widget.pullRefresh("#pRefresh", {
	'pullUpState': true,
	'pullDownState': true
});
// 第一次数据请求
requestFirst();
// 上拉加载
prf.pullUp(function() {
	requestMore();
});
// 下拉刷新
prf.pullDown(function() {
	reqCount = 0;
	requestRefresh();
});

/**
 * 第一次请求数据
 */
function requestFirst() {
	var data = {
		"handler": "findEndowmentBillHandler",
		"token": loginToken,
		"sub": {
			"start": 1,
			"offset": NUM_FIRST_REQ
		}
	};
	var obj = {
		url: insuranceUrl,
		data: data,
		isEncrypt:true,
		success: function(data) {
			var result = data.result;
			switch(result.code) {
				case '1000':
					var arrData = result.data;
					var arrDataOptimized = new Array(0);
					// 数据优化处理
					for(var i = 0; i < arrData.length; i++) {
						var item = {
							year: arrData[i].year,
							mouthNum: arrData[i].mouthNum,
							sumBaseNum: arrData[i].sumBaseNum
						};
						arrDataOptimized.push(item);
					}

					var DOMPrf = '<div id="listView" class="ch_ui_list list_wrapper">';
					DOMPrf += '<ul class="list"></ul>';
					DOMPrf += '</div>';
					prf.addContent(DOMPrf);
					// 列表控件
					listView = new ch.widget.CListView("#listView", arrDataOptimized, "list-item", {
						pullToRefresh: false
					}, "ch_ui_list");

					reqCount++;
					break;
				case '4000':
					showNoData();
					break;
				default:
					topmobi.native.common.showMsg("查询错误！", "middle", 1500);
					break;
			}
			prf.refresh();
		},
		fail: function() {
			showNoNet();
			prf.refresh();
		}
	};
	rs_networkRequest(obj);
}

function requestMore() {
	var data = {
		"handler": "findEndowmentBillHandler",
		"token": loginToken,
		"sub": {
			"start": 1 + NUM_FIRST_REQ + NUM_REQ * (reqCount - 1),
			"offset": NUM_REQ,
			"personalNum": personNumber,
			"type": "110"
		}
	};
	var obj = {
		url: insuranceUrl,
		data: data,
		isEncrypt:true,
		success: function(data) {
			var result = data.result;
			switch(result.code) {
				case '1000':
					var arrData = result.data;
					// 数据优化处理
					for(var i = 0; i < arrData.length; i++) {
						var item = {
							year: arrData[i].year,
							mouthNum: arrData[i].mouthNum,
							sumBaseNum: arrData[i].sumBaseNum
						};
						listView.addItem(item);
					}

					reqCount++;
					break;
				case '4000':
					topmobi.native.common.showMsg('无更多数据', 'middle', TIME_NORMAL);
					break;
			}
			prf.refresh();
		},
		fail: function() {
			topmobi.native.common.showMsg('网络异常', 'middle', TIME_NORMAL);
			prf.refresh();
		}
	};
	rs_networkRequest(obj);
}

/**
 * 下拉刷新
 */
function requestRefresh() {
	var data = {
		"handler": "findEndowmentBillHandler",
		"token": loginToken,
		"sub": {
			"start": 1,
			"offset": NUM_FIRST_REQ,
			"personalNum": personNumber,
			"type": "110"
		}
	};
	var obj = {
		url: insuranceUrl,
		data: data,
		isEncrypt:true,
		success: function(data) {
			var result = data.result;
			switch(result.code) {
				case '1000':
					var arrData = result.data;
					var arrDataOptimized = new Array(0);
					// 数据优化处理
					for(var i = 0; i < arrData.length; i++) {
						var item = {
							year: arrData[i].year,
							mouthNum: arrData[i].mouthNum,
							sumBaseNum: arrData[i].sumBaseNum
						};
						arrDataOptimized.push(item);
					}
					listView.setData(arrDataOptimized);
					listView.update();

					reqCount++;
					break;
				case '4000':
					showNoData();
					break;
			}
			prf.refresh();
		},
		fail: function() {
			topmobi.native.common.showMsg('网络异常', 'middle', TIME_NORMAL);
			prf.refresh();
		}
	};
	rs_networkRequest(obj);
}

/**
 * 无数据提示
 */
function showNoData() {
	var DOM = '<div class="tip-container">';
	DOM += '<img class="container-img" src="../img/noData.png"/>';
	DOM += '<div>';
	$('body').append(DOM);
}

/**
 * 无网络提示
 */
function showNoNet() {
	var DOM = '<div class="tip-container">';
	DOM += '<img class="container-img reload" src="../img/noNet.png"/>';
	DOM += '</div>';
	$('body').append(DOM);
	if(isAndroid) {
		$('.tip-container').css('top', '7.8rem');
	} else {
		$('.tip-container').css('top', '8.8rem');
	}
	$('.reload').on('tap', function() {
		window.location.reload();
	});
}