$(".back_icon").off("tap");
$('.back_icon').on('tap', function () {
	history.back();
});
var jmylbxCard = topmobi.native.cache.getSharedValue("user", "jmylbxCard");
var startTime = topmobi.native.cache.getSharedValue("institution", "startTime");
var endTime = topmobi.native.cache.getSharedValue("institution", "endTime");
var personalCode = topmobi.native.cache.getSharedValue("institution", "personalCode");
var loginToken = topmobi.native.cache.getSharedValue("user", "loginToken");
var personalName = topmobi.native.cache.getSharedValue("institution", "name");
var unsrName = topmobi.native.cache.getSharedValue("user", "username");
var personNumber = topmobi.native.cache.getSharedValue("user", "personNumber");
$(".headText").html(personalName);
$(".personNumber span").html(personNumber);
var headIcon = topmobi.native.cache.getSharedValue("user", "head_icon");
var picUrl = topmobi.native.cache.getSharedValue("user", "picUrl");
if (picUrl != "" && headIcon != "") {
	$(".headIcon").attr("src", headIcon + randomString);
} else if (picUrl != "" && headIcon == "") {
	$(".headIcon").attr("src", picUrl);
}
var startrow = 1;
var size = 99;
var endrow = startrow + size;
mui.init({
	pullRefresh: {
		container: '#list_wrap',
		down: {
			callback: getList,
			auto: false
		},
		up: {
			contentrefresh: "正在加载...",
			callback: loadMoreList
		}
	}
});
function noData() {
	$(".noData").css("display", "block");
	pullRefresh.hide();
}
$('.noData').on('tap', function () {
	window.location.reload();
});
getList();

function getList() {
	startrow = 1;
	var dataJson = {
		"handler": "jiguanPayAmountHandler",
		"token": loginToken,
		"sub": {
			"personalCode": personalCode,
			"securityCode": "180"
		}
	};
	var obj = {
		url: residentUrl,
		timeout: 20000,
		data: dataJson,
		isEncrypt: true,
		success: function (data) {
			try {
				var result = data.result;
				if (result.code == 1000) {
					if (result.data.length > 0) {
						result.data.forEach(function (item) {
							item.grjfje = Number(item.grjfje);
							item.dwjfje = Number(item.dwjfje);
						})
						$(".pay_list").html(template("pay_item", result.data));
						mui('#list_wrap').pullRefresh().endPulldownToRefresh();
						mui('#list_wrap').pullRefresh().refresh(true);
						mui('#list_wrap').pullRefresh().endPullupToRefresh(true);
					} else {
						$(".pay_list").html(template("noData", {}));
						mui('#list_wrap').pullRefresh().endPulldownToRefresh();
						mui('#list_wrap').pullRefresh().refresh(true);
						mui('#list_wrap').pullRefresh().endPullupToRefresh(true);
						$(".mui-pull-caption-nomore").html("");
					}
				} else if (result.code == 5000) {
          topmobi.native.common.showMsg(result.message,"middle", 1500);
          noData();
				} else {
					topmobi.native.common.showMsg(result.message || "查询出错", "middle", 1500);
				}
			} catch (e) {
				noData();
				topmobi.native.common.log("lj", "错误：" + e.message);
			}
		},
		fail: function (data) {
			if (!!data.msg) {
				topmobi.native.common.showMsg(data.msg, "middle", 1500);
			} else {
				topmobi.native.common.showMsg("网络异常，请检查网络", "middle", 1500);
			}
		}
	}
	rs_networkRequest(obj);
}

function loadMoreList() {
	startrow = endrow;
	endrow = startrow + size;
	var dataJson = {
		"handler": "g44Handler",
		"sub": {
			"aac002": jmylbxCard,
			"startrow": startrow,
			"endrow": endrow
		}
	};
	var obj = {
		url: residentUrl,
		data: dataJson,
		isEncrypt: true,
		success: function (data) {
			try {
				var result = data.result;
				if (result.code == 1) {
					if (result.recordCount != 0) {
						$(".pay_list").append(template("pay_item", result.result));
						mui('#list_wrap').pullRefresh().endPullupToRefresh(false);
					} else {
						topmobi.native.common.showMsg("无更多数据", "middle", 1500);
						mui('#list_wrap').pullRefresh().endPullupToRefresh(true);
						$(".mui-pull-caption-nomore").html("");
					}
				} else {
					topmobi.native.common.showMsg(result.message || "查询出错", "middle", 1500);
				}
			} catch (e) {
				topmobi.native.common.log("lj", "错误：" + e.message);
			}
		},
		fail: function (data) {
			if (!!data.msg) {
				topmobi.native.common.showMsg(data.msg, "middle", 1500);
			} else {
				topmobi.native.common.showMsg("网络异常，请检查网络", "middle", 1500);
			}
		}
	}
	rs_networkRequest(obj);
}