var entrance;
var loginType = 0; // 0-账号密码登录；1-电子社保卡登录；
var $login_btn = $('.login_btn');
setTimeout(function() {
  //解决部分手机找回密码注册按钮显示不出来bug
  var offsetTop = $('.forgetPassword').position().top;
  $('.forgetPassword').css('top', offsetTop);
  $('.register').css('top', offsetTop);
}, 150);
var options = { type: '0', scale: 'normal' };
var imgCodeFlag = false;
$login_btn.on('tap', function() {
  if (loginType == 0) {
    // 账号密码登录
    var personalNum = $('.accountInputText').val();
    var password = $('.passwordInputText').val();
    var imgCode = $('.imgCodeInput').val();
    if (!personalNum) {
      topmobi.native.common.showMsg('账号不能为空!', 'middle', 1500);
    } else if (!password) {
      topmobi.native.common.showMsg('账号不能为空!', 'middle', 1500);
    } else if (imgCodeFlag && !imgCode) {
      topmobi.native.common.showMsg('图片验证码不能为空!', 'middle', 1500);
    } else {
      login(personalNum, password, imgCode);
    }
  } else {
    // 电子社保卡登录
    var name = $('.nameInputText').val();
    var idcard = $('.idcardInputText').val();
    if (!name) {
      topmobi.native.common.showMsg('姓名不能为空!', 'middle', 1500);
    } else if (!idcard) {
      topmobi.native.common.showMsg('身份证号不能为空!', 'middle', 1500);
    } else {
      querySignNo(idcard, function(signNo) {
        // call native essc face auth
        try {
          myJsInterface.esscFaceAuth(name, idcard, signNo, false, 'esscFaceAuthSuccess', 'esscFaceAuthFail');
        } catch (e) {
          console.error(e);
        }
      });
    }
  }
});
$('.login-form-tab_left').on('tap', function() {
  if ($('.login-form-tab_left').hasClass('selected')) {
    return;
  }
  loginType = 0;
  $('.login-form-tab_left').addClass('selected');
  $('.login-form-tab_right').removeClass('selected');
  // 切换到账号密码登录
  $('#essc-wrap').hide();
  $('#account-password-wrap').show();
});
$('.login-form-tab_right').on('tap', function() {
  if ($('.login-form-tab_right').hasClass('selected')) {
    return;
  }
  loginType = 1;
  $('.login-form-tab_left').removeClass('selected');
  $('.login-form-tab_right').addClass('selected');
  // 切换到账号密码登录
  $('#essc-wrap').show();
  $('#account-password-wrap').hide();
});
//var macAddress = topmobi.native.cache.getSharedValue('user', 'macAddress');
var macAddress = Math.round(Math.random() * 100000000);
//if (macAddress == '') {
//  var macObj = {
//    success: function(data) {
//      macAddress = data.result.deviceId;
//      topmobi.native.cache.putSharedValue('user', 'macAddress', macAddress);
//    },
//    fail: function(data) {},
//  };
//  topmobi.native.common.getDeviceInfo(macObj);
//}
var el_imgCode = $('.imgCode');

function getImgCode() {
  el_imgCode.attr('src', touristImgCodeUrl + macAddress);
  el_imgCode.on('tap', function() {
    macAddress = Math.round(Math.random() * 100000000);
    el_imgCode.attr('src', touristImgCodeUrl + macAddress );
  });
  el_imgCode.error(function() {
    macAddress = Math.round(Math.random() * 100000000);
    el_imgCode.attr('src', touristImgCodeUrl + macAddress );
  });
}

function showImgCode() {
  $('.passwordInput').css('border-radius', '0');
  var el_imgCode = $('.imgCode-wrap');
  el_imgCode.css('display', '-webkit-box');
  el_imgCode.css('display', '-webkit-flex');
  el_imgCode.css('display', 'flex');
}
var headIcon = topmobi.native.cache.getSharedValue('user', 'head_icon');
var lastPicUrl = topmobi.native.cache.getSharedValue('user', 'picUrl');
var accountNumber = topmobi.native.cache.getSharedValue('user', 'lastAccountNumber');
$('.passwordInputText').on('focus', function() {
  if ($('.accountInputText').val() == accountNumber && lastPicUrl != '') {
    if (headIcon != '') {
      $('.headIcon').attr('src', headIcon);
    }
  } else {
    $('.headIcon').attr('src', '../img/default_head.png');
  }
});
$('.register').on('tap', function() {
  var obj = {
    action: {
      android: 'gov.my.socialsecurity.htmlactivity.home.RegisterActivity',
      ios: 'CHBaseWebViewController',
    },
    windowType: 0,
    params: {
      info: '',
      html: '/app/register.html',
    },
  };
  topmobi.native.common.openWindow(obj);
});
$('.forgetPassword').click(function() {
  var obj = {
    action: {
      android: 'gov.my.socialsecurity.htmlactivity.home.ForgetPasswordActivity',
      ios: 'CHBaseWebViewController',
    },
    windowType: 0,
    params: {
      info: '',
      html: '/app/reset-password.html',
    },
  };
  topmobi.native.common.openWindow(obj);
});
$('.back_icon').on('tap', function() {
  topmobi.native.common.closeWindow(0);
});

function login(personalNum, password, imgCode) {
  $('input').blur();
  entrance = myJsInterface.getEntrance();
  password = topmobi.extends.encrypt.doEncrypt(4, password, '');
  var dataJson = {
    handler: 'loginHandler',
    sub: {
      account: personalNum,
      password: password,
      macId: macAddress,
      imageCode: imgCode,
    },
  };
  doLogin(dataJson, function() {
    topmobi.native.cache.putSharedValue('user', 'loginType', 'password');
    topmobi.native.cache.putSharedValue('user', 'accountNumber', personalNum);
    topmobi.native.cache.putSharedValue('user', 'accountPassword', password);
    topmobi.native.cache.putSharedValue('user', 'lastAccountNumber', personalNum);
    topmobi.native.cache.putSharedValue('user', 'lastAccountPassword', password);
    // topmobi.native.cache.putSharedValue('user', 'rememberPassword', 'true');
    // topmobi.native.cache.putSharedValue('user', 'autoLogin', 'true');
  });
}
function esscLogin(name, idcard) {
  var dataJson = {
    handler: 'loginHandler',
    sub: {
      identityNum: idcard,
      nickName: name,
      macId: macAddress,
      imageCode: '',
    },
  };
  entrance = myJsInterface.getEntrance();
  doLogin(dataJson, function() {
    topmobi.native.cache.putSharedValue('user', 'loginType', 'essc');
    topmobi.native.cache.putSharedValue('user', 'accountName', name);
    topmobi.native.cache.putSharedValue('user', 'accountIdcard', idcard);
  });
}
function doLogin(params, successCallback) {
  var obj = {
    url: orignalUrl,
    data: params,
    isEncrypt: true,
    success: function(data) {
      try {
        result = data.result;
        switch (result.code) {
          case '1000':
            //getUserInfo();//登录之后获取用户社保信息
            topmobi.native.cache.putSharedValue('user', 'hasGetUserSocialInfo', '0'); //标志位清除
            if (typeof successCallback == 'function') {
              successCallback();
            }
            topmobi.native.cache.putSharedValue('user', 'personNumber', result.data.personalNum);
            topmobi.native.cache.putSharedValue('user', 'phoneNumber', result.data.phoneNum);
            topmobi.native.cache.putSharedValue('user', 'idCardNumber', result.data.identityNum);
            topmobi.native.cache.putSharedValue('user', 'picUrl', result.data.picUrl);
            topmobi.native.cache.putSharedValue('user', 'loginToken', result.data.token);
            topmobi.native.cache.putSharedValue('user', 'username', result.data.nickName);
            topmobi.native.cache.putSharedValue('user', 'isOfficial', result.data.isOfficial);
            topmobi.native.cache.putSharedValue('user', 'userId', result.data.id);
            topmobi.native.cache.putSharedValue('user', 'nickName', result.data.realName); // 无星号姓名
            topmobi.native.cache.putSharedValue('user', 'identityNum', result.data.realIdNum); // 无星号身份证
            topmobi.native.cache.putSharedValue('user', 'signNo', result.data.appSignNo || ''); // 电子社保卡签发号
            topmobi.native.cache.putSharedValue('user', 'payPassword', result.data.payPassword); // 电子社保卡签发号

            // topmobi.native.cache.putSharedValue;
            //flagAgent为“1”表示是机关事业单位人员，有权限经办工资业务，但是尚未绑定工资经办业务账号；为“2”表示已绑定工资经办业务账号
            //flagAgent为“2”时，登录信息要多返回两个字段：companyName、companyNum
            var flagAgent = result.data.flagAgent;
            topmobi.native.cache.putSharedValue('user', 'flagAgent', flagAgent);
            if (flagAgent == '2') {
              topmobi.native.cache.putSharedValue('user', 'companyName', result.data.companyName);
              topmobi.native.cache.putSharedValue('user', 'companyNum', result.data.companyNum);
              topmobi.native.cache.putSharedValue('user', 'hasCompetentDepartment', result.data.sfyzgbm);
            }
            //trainFlag为“1”表示已绑定视频学习业务；为“0”表示未绑定视频学习业务
            topmobi.native.cache.putSharedValue('user', 'trainFlag', result.data.trainFlag);

            //payPassword字段表示是否绑定医保支付，值为“0”表示未绑定，其他表示已绑定。
            //------modified by wyy 2018.3.22
            var medicalBindFlag = result.data.payPassword;
            if (medicalBindFlag == '0') {
              topmobi.native.cache.putSharedValue('user', 'medicalBindFlag', '0');
            } else {
              topmobi.native.cache.putSharedValue('user', 'medicalBindFlag', '1');
            }
            //地址信息
            if (result.data.addr) {
              topmobi.native.cache.putSharedValue('user', 'hasAddress', '1');
              topmobi.native.cache.putSharedValue('user', 'address', result.data.addr);
            } else {
              topmobi.native.cache.putSharedValue('user', 'hasAddress', '0');
            }

            //----------------------
            // 省接口没有 最近缴纳年月
//            var toAccountDate = result.data.toAccountDate;
//            toAccountDate = toAccountDate.slice(0, 4) + '/' + toAccountDate.slice(4, 6);
//            topmobi.native.cache.putSharedValue('user', 'toAccountDate', toAccountDate);
            topmobi.native.cache.putSharedValue('user', 'medicalAccountBalance', result.data.medicalAccount);
            topmobi.native.cache.putSharedValue('user', 'bindState', 'true');
            topmobi.native.cache.putSharedValue('user', 'loginState', 'true');

            //modified by wyy 2016.4.25
            myJsInterface.registerXinGe();
            // modified by nick. 2019.12.24
            var closeWindowCallback = function() {
              var temp = topmobi.native.cache.getSharedValue('user', 'isCloseWindow');
              if (temp == '1') {
                topmobi.native.cache.removeSharedValue('user', 'isCloseWindow');
                topmobi.native.common.closeWindow(0);
              } else if (temp == '2') {
                topmobi.native.common.closeWindow(0);
              } else {
                topmobi.native.common.showMsg('登录成功!', 'middle', 1500);
                myJsInterface.goToHome(entrance);
              }
            };
            // 设置iOS快捷菜单
            myJsInterface.setupQuickActions();
            closeWindowCallback();
            break;
          case '3002':
            //未绑定社保的用户登录
            if (typeof successCallback == 'function') {
              successCallback();
            }
            topmobi.native.cache.putSharedValue('user', 'username', result.data.nickName);
            topmobi.native.cache.putSharedValue('user', 'phoneNumber', result.data.phoneNum);
            topmobi.native.cache.putSharedValue('user', 'picUrl', result.data.picUrl);
            topmobi.native.cache.putSharedValue('user', 'userId', result.data.id);
            topmobi.native.cache.putSharedValue('user', 'bindState', 'false');
            topmobi.native.cache.putSharedValue('user', 'loginState', 'true');
            // 没绑定社保的用户登录，拿到的 identityNum 和 nickName 是没有星号的
            topmobi.native.cache.putSharedValue('user', 'nickName', result.data.nickName); // 无星号姓名
            topmobi.native.cache.putSharedValue('user', 'identityNum', result.data.identityNum); // 无星号身份证
            topmobi.native.cache.putSharedValue('user', 'signNo', result.data.appSignNo); // 电子社保卡签发号

            // \"identityNum\":\"510722199107270017\",\"nickName\":\"林建\"
            topmobi.native.common.showMsg('登录成功!', 'middle', 1500);
            //modified by wyy 2016.4.25
            myJsInterface.goToHome(entrance);
            break;
          case '3000':
            topmobi.native.common.showMsg(result.msg, 'middle', 1500);
            break;
          case '3001':
            topmobi.native.common.showMsg(result.msg, 'middle', 1500);
            break;
          // case '3011':
          //   topmobi.native.common.showMsg('账号错误!', 'middle', 1500);
          //   showImgCode();
          //   imgCodeFlag = true;
          //   getImgCode();
          //   break;
          case '3014':
            topmobi.native.common.showMsg(result.msg, 'middle', 1500);
            // showImgCode();
            // imgCodeFlag = true;
            // getImgCode();
            break;
          case '3016':
            topmobi.native.common.showMsg(result.msg, 'middle', 1500);
            showImgCode();
            imgCodeFlag = true;
            getImgCode();
            break;
        }
      } catch (e) {
        topmobi.native.common.log('lj', '错误:' + e.message);
      }
    },
    fail: function(data) {
      if (!!data.msg) {
        topmobi.native.common.showMsg(data.msg, 'middle', 1500);
      } else {
        topmobi.native.common.showMsg('网络异常', 'middle', 1500);
      }
    },
  };
  rs_networkRequest(obj);
}

var esscParams = {};
function querySignNo(idcard, callback) {
  $('input').blur();
  var body = {
    handler: 'getSignNoHandler',
    sub: {
      identityNum: idcard,
      type: 1
    },
  };
  rs_networkRequest({
    url: orignalUrl,
    data: body,
    isEncrypt: true,
    success: function(data) {
      if (!data || !data.result) {
        topmobi.native.common.showMsg('网络异常', 'middle', 1500);
        return;
      }
      var result = data.result;
      if (result.code == '2004') {
        // 用户不存在
        showAlert('您要登录的用户不存在或未绑定社保，请使用<b>账号密码</b>登录。', ['知道了'], function() {
          $('.login-form-tab_left').trigger('tap');
        });
      } else if (result.code == '1000') {
        if (!result.data || !result.data.signNo) {
          // 无签发号
          var msg =
            '您登录的账号还未申领电子社保卡，是否要现在申领？您也可以使用 <b>账号密码</b> 登录后，在“首页”-“电子社保卡”自行申领。<br>';
          var btns = ['现在申领', '账号登录'];
          showAlert(msg, btns, function(index) {
            if (index == 0) {
              var name = $('.nameInputText').val();
              var idcard = $('.idcardInputText').val();
              esscParams = result.data;
              myJsInterface.esscApply(name, idcard, result.data.phoneNum, 'true', 'esscApplySuccess', 'esscApplyFail');
            } else {
              $('.login-form-tab_left').trigger('tap');
            }
          });
        } else if (typeof callback == 'function') {
          callback(result.data.signNo);
        }
      } else if (result.msg) {
        topmobi.native.common.showMsg(result.msg, 'middle', 1500);
      } else {
        topmobi.native.common.showMsg('网络异常', 'middle', 1500);
      }
    },
    fail: function(data) {
      if (!!data.msg) {
        topmobi.native.common.showMsg(data.msg, 'middle', 1500);
      } else {
        topmobi.native.common.showMsg('网络异常', 'middle', 1500);
      }
    },
  });
}

function showAlert(message, btns, callback) {
  var options = {
    title: '提示',
    content: message,
    btns: btns,
  };
  var myAlert = new topmobi.widget.alert(options);
  myAlert.setWidth('85%');
  myAlert.click(function(i) {
    myAlert.hide();
    if (typeof callback == 'function') {
      callback(i);
    }
    // if (i == 1) {
    //   myJsInterface.updateSoft(updatePath);
    // }
  });
}

function esscFaceAuthSuccess() {
  // 电子社保卡成功回调，人脸认证成功
  var name = $('.nameInputText').val();
  var idcard = $('.idcardInputText').val();
  esscLogin(name, idcard);
}
function esscFaceAuthFail() {}
function esscApplySuccess(applyType, signNo) {
  if (applyType == '006') {
    var name = $('.nameInputText').val();
    var idcard = $('.idcardInputText').val();
    myJsInterface.esscFaceAuth(name, idcard, signNo, false, 'esscFaceAuthSuccess', 'esscFaceAuthFail');
  } else {
    esscFaceAuthSuccess();
  }
}
function esscApplyFail(message) {}
