var $confirm_btn = $('.confirm_btn');
var phoneNumber = topmobi.native.cache.getSharedValue('forgetPassword', 'phoneNumber');
var smsCode = topmobi.native.cache.getSharedValue('user', 'smsCode');
var loginPassword = '';
$confirm_btn.on('tap', function() {
  loginPassword = $('#inputPassword').val();
  var loginPasswordAgain = $('#inputPasswordAgain').val();
  if (!checkPassword(loginPassword)) {
    topmobi.native.common.showMsg('密码不合法!', 'middle', 1500);
  } else if (loginPasswordAgain != loginPassword) {
    topmobi.native.common.showMsg('两次输入的密码不一致，请重新输入!', 'middle', 1500);
  } else {
    resetPassword();
  }
});
$('.passwordImg').click(function() {
  var inputSelector = $(this)
    .parent()
    .children('input');
  if (inputSelector.attr('type') == 'password') {
    inputSelector.attr('type', 'text');
    $(this).css('background-image', 'url(../img/visible.png)');
  } else {
    inputSelector.attr('type', 'password');
    $(this).css('background-image', 'url(../img/invisible.png)');
  }
});
$('.back_icon').on('tap', function() {
  topmobi.native.common.closeWindow(0);
});
function resetPassword() {
  loginPassword = topmobi.extends.encrypt.doEncrypt(4, loginPassword, '');
  var dataJson = {
    handler: 'forgotPasswordHander',
    sub: {
      phoneNum: phoneNumber,
      verifyCode: smsCode,
      password: loginPassword,
    },
  };

  var obj = {
    url: orignalUrl,
    data: dataJson,
    isEncrypt: true,
    success: function(data) {
      try {
        var result = data.result;
        switch (result.code) {
          case '1000':
            myShowMessage('重置密码成功');
            var obj = {
              action: {
                android: 'gov.my.socialsecurity.htmlactivity.home.LoginActivity',
                ios: 'CHBaseWebViewController',
              },
              windowType: 0,
              params: {
                entrance: '0',
                html: 'html_home/login.html',
              },
            };
            setTimeout(function() {
              topmobi.native.common.openWindow(obj);
            }, 1500);
            break;
          case '3004':
            topmobi.native.common.showMsg('短信验证码错误!', 'middle', 1500);
            break;
          case '3000':
            topmobi.native.common.showMsg('用户未注册!', 'middle', 1500);
            break;
          case '2000':
            topmobi.native.common.showMsg('修改失败!', 'middle', 1500);
            break;
        }
      } catch (e) {
        topmobi.native.common.log('lj', '错误：' + e.message);
      }
    },
    fail: function(data) {
      topmobi.native.common.showMsg('网络异常', 'middle', 1500);
    },
  };
  rs_networkRequest(obj);
}
