$(function() {
  $('.back_icon').off('tap');
  $('.back_icon').on('tap', function() {
    history.back();
  });
  $('.insuredInfo').on('tap', function() {
    window.location.href = './residentInsuranceInformation.html';
  });
  $('.payDetails').on('tap', function() {
    window.location.href = './residentInsurancePayDetails.html';
  });
  $('.payRecord').on('tap', function() {
    window.location.href = './residentInsuranceRecord.html';
  });
  $('.personInfo').on('tap', function() {
    window.location.href = './residentInsurancePersonInfo.html';
  });
  var jmylbxCard = topmobi.native.cache.getSharedValue('user', 'jmylbxCard');
  var jmylbxInfoStr = topmobi.native.cache.getSharedValue('temp', 'jmylbxInfo');
  if (jmylbxInfoStr) {
    try {
      var jmylbxInfo = JSON.parse(jmylbxInfoStr)[0];
      if (jmylbxInfo.aac002 == jmylbxCard) {
        return;
      }
    } catch (e) {}
  }
  getInfo();

  function getInfo() {
    // 先把之前的清掉
    topmobi.native.cache.removeSharedValue('temp', 'jmylbxInfo');
    var dataJson = {
      handler: 'g43Handler',
      sub: {
        aac002: jmylbxCard,
        startrow: 1,
        endrow: 10,
      },
    };
    var obj = {
      url: residentUrl,
      timeout: 20000,
      data: dataJson,
      isEncrypt: true,
      success: function(data) {
        try {
          var result = data.result;
          if (result.code == 1) {
            if (result.recordCount != 0) {
              result.result.forEach(function(item) {
                item.aac002 = jmylbxCard;
              });
              topmobi.native.cache.putSharedValue('temp', 'jmylbxInfo', JSON.stringify(result.result));
            } else {
              $('.person_list').html(template('noData', {}));
            }
          } else {
            topmobi.native.common.showMsg(result.message || '查询出错', 'middle', 1500);
          }
        } catch (e) {
          topmobi.native.common.log('lj', '错误：' + e.message);
        }
      },
      fail: function(data) {
        if (!!data.msg) {
          topmobi.native.common.showMsg(data.msg, 'middle', 1500);
        } else {
          topmobi.native.common.showMsg('网络异常，请检查网络', 'middle', 1500);
        }
      },
    };
    rs_networkRequest(obj);
  }
});
