$('.back_icon').off('tap');
$('.back_icon').on('tap', function() {
  history.back();
});
var jmylbxCard = topmobi.native.cache.getSharedValue('user', 'jmylbxCard');
//var loginToken = topmobi.native.cache.getSharedValue("user", "loginToken");
var jmylbxInfoStr = topmobi.native.cache.getSharedValue('temp', 'jmylbxInfo');
if (jmylbxInfoStr) {
  var jmylbxInfo = JSON.parse(jmylbxInfoStr)[0];
  var startDate = jmylbxInfo.aac030.substr(0, 4);
  var endDate = new Date().getFullYear();
  mui.init({
    pullRefresh: {
      container: '#list_wrap',
      down: {
        callback: function() {
          getList(startDate, endDate)
        },
        auto: false,
      },
      // up: {
      //   contentrefresh: '正在加载...',
      //   callback: loadMoreList,
      // },
    },
  });
  getList(startDate, endDate);
} else {
  $('.pay_list').html(template('noData', {}));
}
var startrow = 1;
var size = 99;
var endrow = startrow + size;

function getList(startDate, endDate) {
  startrow = 1;
  var dataJson = {
    handler: 'g44Handler',
    sub: {
      aac002: jmylbxCard,
      startrow: 1,
      endrow: 100,
      /**
       * 开始时间，年
       */
      aae041: startDate,
      /**
       * 结束时间，年
       */
      aae042: endDate,
    },
  };
  var obj = {
    url: residentUrl,
    timeout: 20000,
    data: dataJson,
    isEncrypt: true,
    success: function(data) {
      try {
        var result = data.result;
        if (result.code == 1) {
          if (result.recordCount != 0) {
            $('.pay_list').html(template('pay_item', result.result));
            mui('#list_wrap')
              .pullRefresh()
              .endPulldownToRefresh();
            mui('#list_wrap')
              .pullRefresh()
              .refresh(true);
            mui('#list_wrap')
              .pullRefresh()
              .endPullupToRefresh(false);
          } else {
            $('.pay_list').html(template('noData', {}));
            mui('#list_wrap')
              .pullRefresh()
              .endPulldownToRefresh();
            mui('#list_wrap')
              .pullRefresh()
              .refresh(true);
            mui('#list_wrap')
              .pullRefresh()
              .endPullupToRefresh(true);
            $('.mui-pull-caption-nomore').html('');
          }
        } else {
          topmobi.native.common.showMsg(result.message || '查询出错', 'middle', 1500);
        }
      } catch (e) {
        topmobi.native.common.log('lj', '错误：' + e.message);
      }
    },
    fail: function(data) {
      if (!!data.msg) {
        topmobi.native.common.showMsg(data.msg, 'middle', 1500);
      } else {
        topmobi.native.common.showMsg('网络异常，请检查网络', 'middle', 1500);
      }
    },
  };
  rs_networkRequest(obj);
}

function loadMoreList() {
  startrow = endrow;
  endrow = startrow + size;
  var dataJson = {
    handler: 'g44Handler',
    sub: {
      aac002: jmylbxCard,
      startrow: startrow,
      endrow: endrow,
    },
  };
  var obj = {
    url: residentUrl,
    data: dataJson,
    isEncrypt: true,
    success: function(data) {
      try {
        var result = data.result;
        if (result.code == 1) {
          if (result.recordCount != 0) {
            $('.pay_list').append(template('pay_item', result.result));
            mui('#list_wrap')
              .pullRefresh()
              .endPullupToRefresh(false);
          } else {
            topmobi.native.common.showMsg('无更多数据', 'middle', 1500);
            mui('#list_wrap')
              .pullRefresh()
              .endPullupToRefresh(true);
            $('.mui-pull-caption-nomore').html('');
          }
        } else {
          topmobi.native.common.showMsg(result.message || '查询出错', 'middle', 1500);
        }
      } catch (e) {
        topmobi.native.common.log('lj', '错误：' + e.message);
      }
    },
    fail: function(data) {
      if (!!data.msg) {
        topmobi.native.common.showMsg(data.msg, 'middle', 1500);
      } else {
        topmobi.native.common.showMsg('网络异常，请检查网络', 'middle', 1500);
      }
    },
  };
  rs_networkRequest(obj);
}
