// 返回
$('.back_icon').on('tap', function() {
	topmobi.native.common.closeWindow(0);
});
var $loss_btn = $(".loss_btn");
var password = "";
var loginToken = topmobi.native.cache.getSharedValue("user", "loginToken");
$loss_btn.on("tap",function() {
	password = $(".password-inputText").val();
	if (!isNull(password)) {
		showAlert({
			content:"挂失后将不可取消挂失,是否继续挂失?",
			callback:cardLoss
		})
	} else {
		topmobi.native.common.showMsg("账户登录密码不能为空", "middle", 1500);
	}
})

function cardLoss() {
	password = topmobi.extends.encrypt.doEncrypt(4, password, "");
	var dataJson = {
		"handler": "reportMedicalCardLoseHandler",
		"sub": {
			"token": loginToken,
			"password": password
		}
	};
	var obj = {
		url: orignalUrl,
		data: dataJson,
		isEncrypt:true,
		success: function(data) {
			try {
				var result = data.result;
				switch (result.code) {
					case "1000":
						topmobi.native.common.showMsg("挂失成功", "middle", 1500);
						myJsInterface.goToHome("0");
						break;
					case "3000":
						topmobi.native.common.showMsg("账号错误", "middle", 1500);
						break;
					case "3001":
						topmobi.native.common.showMsg("密码错误", "middle", 1500);
						break;
					case "3013":
						topmobi.native.common.showMsg("您的医保卡处于发卡中或已挂失注销", "middle", 1500);
						break;
					case "4000":
						topmobi.native.common.showMsg("您当前没有医保卡可挂失", "middle", 1500);
						break;
				}
			} catch (e) {
				topmobi.native.common.log("lj", "错误：" + e.message);
			}
		},
		fail: function(data) {
			topmobi.native.common.showMsg("网络异常", "middle", 1500);
		}
	}
	rs_networkRequest(obj);
}

function showAlert(options) {
	options = $.extend({
		title: "提示",
		content: "",
		btns: ['取消', '确认'],
		callback: function() {},
	}, options);
	var alertHtml = "<div class='myrs-alert-mask'>";
	alertHtml += "<div class='myrs-alert-mask-wrap flex_box_h flex_box_center'>";
	alertHtml += "<div class='myrs-alert'>";
	alertHtml += "<div class='myrs-alert-title'>" + options.title + "</div>";
	alertHtml += "<div class='myrs-alert-content'>" + options.content + "</div>";
	alertHtml += "<div class='myrs-alert-btn-wrap flex_box_h flex_box_v_center'>";
	alertHtml += "<div class='myrs-alert-cancel-btn flex_box_grow'>" + options.btns[0] + "</div>";
	for(var i = 1; i < options.btns.length; i++) {
		alertHtml += "<div class='myrs-alert-confirm-btn flex_box_grow'>" + options.btns[i] + "</div>";
	}
	alertHtml += "</div></div></div></div>"
	$("body").append(alertHtml);
	$(".myrs-alert-cancel-btn").on("tap",function() {
		hideAlertAnimated($(".myrs-alert-mask"), $(".myrs-alert"))
	})
	$(".myrs-alert-confirm-btn").on("tap", function(e) {
		options.callback(e);
		hideAlertAnimated($(".myrs-alert-mask"), $(".myrs-alert"))
	})

	showAlertAnimated($(".myrs-alert-mask"), $(".myrs-alert"))
}
/* alert 动画显示 */
function showAlertAnimated($mask, $contentView) {
	$mask.show();
	$mask.css("opacity", 0);
	$contentView.css("transform", "scale(1.2, 1.2)");
	$mask.animate({
		opacity: 1
	}, 200, "ease-in-out");
	$contentView.animate({
		transform: "none"
	}, 200, "ease-in-out");
}
function hideAlertAnimated($mask, $contentView) {
	$mask.animate({
		opacity: 0
	}, 200, "ease-in-out", function() {
		$mask.remove();
	});
	$contentView.animate({
		transform: "scale(1.2, 1.2)"
	}, 200, "ease-in-out");
}