var $resgiter_btn = $(".resgiter_btn");
var protoclCbox = new chui.widget.checkBox('.protoclCbox', {
	checked: false,
}, 'ch_ui_checkbox');
var phoneNumber = topmobi.native.cache.getSharedValue("register", "phoneNumber");
var smsCode = topmobi.native.cache.getSharedValue("user", "smsCode");
var macAddress = topmobi.native.cache.getSharedValue("user", "macAddress");
if (macAddress == '') {
  var macObj = {
    success: function(data) {
      macAddress = data.result.deviceId;
      topmobi.native.cache.putSharedValue('user', 'macAddress', macAddress);
    },
    fail: function(data) {},
  };
  topmobi.native.common.getDeviceInfo(macObj);
}
var loginPassword = "";
var loginPasswordTwo="";
var LoginName="";
var LoginCard="";
var esscStr="";
$resgiter_btn.on('tap', function() {
  loginPassword = $('.passwordInputText').val();
  loginPasswordTwo = $('.passwordInputTextTwo').val();
  LoginName = $('.passwordInputTextName').val();
  LoginCard = $('.passwordInputTextCard').val();
  if (!checkPassword(loginPassword) || !checkPassword(loginPasswordTwo)) {
    topmobi.native.common.showMsg('密码不合法!', 'middle', 1500);
  } else if (loginPassword != loginPasswordTwo) {
    topmobi.native.common.showMsg('两次输入的密码不一致!', 'middle', 1500);
  } else {
    if (protoclCbox.isChecked().toString() == 'true') {
      if (!LoginName) {
        return topmobi.native.common.showMsg('请输入姓名', 'middle', 1500);
      } else if (!checkName(LoginName)) {
        return topmobi.native.common.showMsg('姓名输入有误', 'middle', 1500);
      } else if (!LoginCard) {
        return topmobi.native.common.showMsg('请输入身份证', 'middle', 1500);
      } else if (!isIdCardNo(LoginCard)) {
        return topmobi.native.common.showMsg('身份证输入有误', 'middle', 1500);
      }
    }
    rigster();
  }
});

protoclCbox.change(function() {
	if (protoclCbox.isChecked().toString() == "true") {
    $('#more-info').show();
	} else {
    $('#more-info').hide();
	}
})

function rigster() {
  loginPassword = topmobi.extends.encrypt.doEncrypt(4, loginPassword, '');
  var dataJson = {
    handler: 'registerHandler',
    sub: {
      phoneNum: phoneNumber,
      verifyCode: smsCode,
      password: loginPassword,
    },
  };
  var obj = {
    url: orignalUrl,
    data: dataJson,
    isEncrypt: true,
    success: function(data) {
      try {
        var result = data.result;
        switch (result.code) {
          case '1000':
            if (protoclCbox.isChecked().toString() == 'true') {
              myJsInterface.esscApply(LoginName, LoginCard, phoneNumber, 'esscApplySuccess', 'esscApplyFail')
            } else {
              myShowMessage('注册成功');
              var originPassword = $('.passwordInputText').val();
              login(phoneNumber, originPassword);
            }

            break;
          case '3004':
            topmobi.native.common.showMsg('短信验证码错误!', 'middle', 1500);
            break;
          case '2005':
            topmobi.native.common.showMsg('用户已存在!', 'middle', 1500);
            break;
          case '2005':
            topmobi.native.common.showMsg('注册失败!', 'middle', 1500);
            break;
        }
      } catch (e) {
        topmobi.native.common.log('lj', '错误：' + e.message);
      }
    },
    fail: function(data) {
      topmobi.native.common.showMsg('网络异常', 'middle', 1500);
    },
  };
  rs_networkRequest(obj);
}
$(".passwordImg").click(function() {
	var inputSelector = $(this).parent().children("input");
	if (inputSelector.attr("type") == "password") {
		inputSelector.attr("type", "text");
		$(this).css("background-image", "url(../img/visible.png)");
	} else {
		inputSelector.attr("type", "password");
		$(this).css("background-image", "url(../img/invisible.png)");
	}
})
$(".back_icon").on("tap", function() {
	topmobi.native.common.closeWindow(0);
})

function esscApplySuccess(applyType, signNo) {
  var body = {
    handler: 'updateNameIdNumInfoHandler',
    sub: {
      identityNum: LoginCard,
      phoneNum: phoneNumber,
      nickName: LoginName,
      appSignNo: signNo,
    },
  };
  rs_networkRequest({
    url: orignalUrl,
    data: body,
    isEncrypt: true,
    success: function(data) {
      var result = data && data.result ? data.result : {};
      if (result.code == '1000') {
        showBindAlert();
      } else {
        showBindAlert('信息保存失败！');
      }
    },
    fail: function(data) {
      showBindAlert('信息保存失败！');
    },
  });
}

function esscApplyFail(message) {
  // 申领失败
  var alertMessage = '您未能完成电子社保卡申领，您可以登录后再‘首页’-‘电子社保卡’功能模块再次申领。';
  showAlert('', alertMessage, ['知道了'], function(i) {
    var originPassword = $('.passwordInputText').val();
    login(phoneNumber, originPassword);
  });
}

function showBindAlert(msg) {
  var message = (msg || '电子社保卡申领成功！') + '为了让您有更好用户体验，建议您现在绑定您的社保信息。';
  showAlert('', message, ['以后再说', '现在绑定'], function(i) {
    if (i == 0) {
      var originPassword = $('.passwordInputText').val();
      login(phoneNumber, originPassword);
    } else {
      topmobi.native.cache.putSharedValue('user', 'phoneNumber', phoneNumber);
      topmobi.native.cache.putSharedValue('user', 'accountPassword', loginPassword);
      topmobi.native.cache.putSharedValue('bindSecurity', 'idNumber', LoginCard);
      topmobi.native.cache.putSharedValue('bindSecurity', 'nickName', LoginName);
      var obj = {
        action: {
          android: 'gov.my.socialsecurity.htmlactivity.my.BindSecurityActivity',
          ios: 'CHBaseWebViewController',
        },
        windowType: 0,
        params: {
          info: '',
          html: 'html_my/bindSecurity.html',
        },
      };
      topmobi.native.common.openWindow(obj);
    }
  });
}
function showAlert(title, message, btns, callback) {
  var options = {
    title: title,
    content: message,
    btns: btns,
  };
  var myAlert = new topmobi.widget.alert(options);
  myAlert.setWidth('85%');
  myAlert.click(function(i) {
    myAlert.hide();
    if (typeof callback == 'function') {
      callback(i);
    }
  });
}