$(function() {
	$(".back_icon").off("tap");
	$('.back_icon').on('tap', function() {
		history.back();
	});
	var phoneNumber = topmobi.native.cache.getSharedValue("user", "phoneNumber");
	var friendData = [];
	getFriend();
	$(".friend-list").addCellLeftSlide(".friend-item-wrap", function(e) {
		var index = $(e.currentTarget).parents(".friend-item").index();
		topmobi.native.cache.putSharedValue("temp", "friendInfo",JSON.stringify(friendData[index]));
		window.location.href = "./socialSecurityPay_confirmPayAccount.html";
	})
	$(".friend-list").on("tap", ".item_delete", function(e) {
		var index = $(this).parents(".friend-item").index();
		deleteFriend(index,$(this));
	})
	$(".add_btn").on("tap", function() {	
		topmobi.native.cache.putSharedValue("temp", "friendList",JSON.stringify(friendData));
		window.location.href = "../payments/add-user.html";		
	})
	function getFriend() {
		var obj = {
			url: renshe2ApiUrl + "payment/relative/query/"+phoneNumber,
			method: "get",
			isEncrypt: true,
			success: function(data) {
				try {
					var result = data.result;
					if(!!result.statusCode && result.statusCode == 200) {
						if(!result.result || result.result=="null"){
							$(".friend-list").html(template("noData", {}));
							$(".tip").hide();
//							topmobi.native.common.showMsg("暂无亲友数据", "middle", 1500);
							return;
						}
						friendData = JSON.parse(result.result);
						if(friendData.length == 0){
							$(".friend-list").html(template("noData", {}));
							$(".tip").hide();
//							topmobi.native.common.showMsg("暂无亲友数据", "middle", 1500);
							return;
						}
						$(".friend-list").html(template("friend-item", friendData));
					}
				} catch(e) {
				}
			},
			fail: function(data) {
				if(!!data.result && !!data.result.message) {
					//平台出错将错误信息写入data.result.message
					topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSocialSecurityPay);
				} else if(!!data.msg) {
					topmobi.native.common.showMsg(data.msg, "middle", toastTimeForSocialSecurityPay);
				} else {
					topmobi.native.common.showMsg("网络异常，请检查网络", "middle", 1500);
				}
			}
		}
		rs_networkRequest(obj);
	}
	function  deleteFriend(delIndex,$this){
		var dataJson = {
			phoneNum:phoneNumber,
			name: friendData[delIndex].name,
			idCard: friendData[delIndex].idCard
		}
		var obj = {
			url: renshe2ApiUrl + "payment/relative/del",
			method: "post",
			data: dataJson,
			isEncrypt: true,
			success: function(data) {
				try {
					var result = data.result;
					if(!!result.statusCode && (result.statusCode == 201 || (result.statusCode == 200 && result.message == "请求成功"))) {
						friendData.splice(delIndex, 1);
						$this.siblings(".friend-item-wrap").removeClass("active");
						$this.parents(".friend-item").remove();
						topmobi.native.common.showMsg("删除成功", "middle", 1500);
					}else{
						topmobi.native.common.showMsg(result.message||"删除失败", "middle", toastTimeForSocialSecurityPay);
					}
				} catch(e) {}
			},
			fail: function(data) {
				if(!!data.result && !!data.result.message) {
					//平台出错将错误信息写入data.result.message
					topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSocialSecurityPay);
				} else if(!!data.msg) {
					topmobi.native.common.showMsg(data.msg, "middle", toastTimeForSocialSecurityPay);
				} else {
					topmobi.native.common.showMsg("网络异常，请检查网络", "middle", 1500);
				}
			}
		}
		rs_networkRequest(obj);
	}
})
