	$(".back_icon").off("tap");
	$('.back_icon').on('tap', function() {
		history.back();
	});
	var friendList = topmobi.native.cache.getSharedValue("temp", "friendList");
	friendList = JSON.parse(friendList);
	var phoneNumber = topmobi.native.cache.getSharedValue("user", "phoneNumber");
	var idNum = "";
	var name = "";
	var $idCard = $(".idCard-inputText");
	var $name = $(".name-inputText");
	$(".query_btn").on("tap", function() {
		idNum = $idCard.val();
		name = $name.val();
		if(!isIdCardNo(idNum)) {
			topmobi.native.common.showMsg("请输入正确的身份证号", "middle", 1500);
			return;
		}
		if(isNull(name)) {
			topmobi.native.common.showMsg("请输入姓名", "middle", 1500);
			return;
		}
		for(var i=0;i<friendList.length;i++){
			if(idNum==friendList[i].idCard){
				topmobi.native.common.showMsg("亲友已存在，不能重复添加", "middle", 1500);
				return;
			}
		}
		addFriend();
	})

	function choosePicture(photograph, isClipping) {
		var callbacks = {
			success: function(data) {
				var path = data.result.photoName;
				path = path.replace("file://", "");
				$(".pictureFront").attr("src", path);
				showLoading();
				myJsInterface.verifyIdCard(path);
				return false;
			},
			fail: function(data) {
				if(!!data.msg) {
					topmobi.native.common.showMsg(data.msg, "middle", 1500);
				}
			}
		};
		topmobi.native.media.choosePicture(photograph, isClipping, callbacks);
	}

	$(".pictureWrap").on("tap", function() {
		var photoHtml = "<div class='mask'></div>";
		photoHtml += "<div class='popupWindow_head'>";
		photoHtml += "<div class='takePhoto'>拍照</div>";
		photoHtml += "<div class='albumSelect'>从相册里选择</div>";
		photoHtml += "<div class='cancel'>取消</div>";
		photoHtml += "</div>";
		$("body").append(photoHtml);
		$(".takePhoto").on("click", function() {
			choosePicture(true, false);
			$(".mask").remove();
			$(".popupWindow_head").remove();
		});
		$(".albumSelect").on("click", function() {
			choosePicture(false, false);
			$(".mask").remove();
			$(".popupWindow_head").remove();
		});
		$(".cancel").on("click", function() {
			$(".mask").remove();
			$(".popupWindow_head").remove();
		});
	})

	function getRecgResult(result) {
		hideLoading();
		var json = result;
		if(result == "") {
			topmobi.native.common.showMsg("识别失败,请重新识别", "middle", 1500);
		}
		if(isAndroid && typeof(result) == "string") {
			json = JSON.parse(result);
		}
		if(json.code == "0") { //识别成功
			topmobi.native.common.showMsg("识别成功", "middle", 1500);
			$idCard.val(json.idnumber);
			$name.val(json.name);
		} else { //识别失败
			topmobi.native.common.showMsg("识别失败,请重新识别", "middle", 1500);
		}
	}

	function addFriend() {
		var dataJson = {
			phoneNum:phoneNumber,
			name: name,
			idCard: idNum
		}
		var obj = {
			url: renshe2ApiUrl + "payment/relative/add",
			method: "post",
			data: dataJson,
			isEncrypt: true,
			success: function(data) {
				try {
					var result = data.result;
					if(!!result.statusCode && (result.statusCode == 201 || (result.statusCode == 200 && result.message == "请求成功"))) {
						topmobi.native.common.showMsg("添加成功", "middle", 1500);
						history.back();
					}else{
						topmobi.native.common.showMsg(result.message||"添加失败", "middle", toastTimeForSocialSecurityPay);
					}
				} catch(e) {}
			},
			fail: function(data) {
				if(!!data.result && !!data.result.message) {
					//平台出错将错误信息写入data.result.message
					topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSocialSecurityPay);
				} else if(!!data.msg) {
					topmobi.native.common.showMsg(data.msg, "middle", toastTimeForSocialSecurityPay);
				} else {
					topmobi.native.common.showMsg("网络异常，请检查网络", "middle", 1500);
				}
			}
		}
		rs_networkRequest(obj);
	}