$(function() {
	// 城镇职工养老保险缴费
	topmobi.native.cache.putSharedValue("temp", "paySourceType", "0"); //0：医保缴费 1：课程缴费
	$('.endowmentInsurance_pay').on('tap', function() {
    topmobi.native.cache.putSharedValue('temp', 'payInsuranceType', '110');
    goSecurityPayList();
  });
	// 城镇职工医疗保险缴费
//	$('.medicalInsurance_pay_worker').on('tap', function() {
//  topmobi.native.cache.putSharedValue('temp', 'payInsuranceType', '310');
//  goSecurityPayList();
//});
	// 城镇居民医疗保险缴费
//	$('.medicalInsurance_pay_resident').on('tap', function() {
//  topmobi.native.cache.putSharedValue('temp', 'payInsuranceType', '390');
//  goSecurityPayList();
//});
  function goSecurityPayList() {
    var obj = {
      action: {
        android: 'gov.my.socialsecurity.htmlactivity.home.SocialSecurityPayListActivity',
        ios: 'CHBaseWebViewController',
      },
      windowType: 0,
      params: {
        id: '',
        html: 'html_home/socialSecurityPayList.html',
      },
    };
    topmobi.native.common.openWindow(obj);
  }
	getSupportAreas();
	getTime();
	//获取最近缴费时间
	function getTime() {
		var phoneNumber = topmobi.native.cache.getSharedValue("user", "phoneNumber");
		var obj = {
			url: renshe2ApiUrl + "payment/neartime/query/" + phoneNumber,
			method: "get",
			isEncrypt: true,
			success: function(data) {
				try {
					var result = data.result;
					if(!!result.result && !!result.statusCode && result.statusCode == 200) {
						result = JSON.parse(result.result);
						if(!!result.zgyl) {
							$(".endowmentInsurance_pay").find(".tips").html("您最近缴纳至" + result.zgyl)
						} else {
							$(".endowmentInsurance_pay").find(".tips").html("您从未缴纳过该险种");
						}
						if(!!result.zgyb) {
							$(".medicalInsurance_pay_worker").find(".tips").html("您最近缴纳至" + result.zgyb)
						} else {
							$(".medicalInsurance_pay_worker").find(".tips").html("您从未缴纳过该险种");
						}
						if(!!result.jmyb) {
							$(".medicalInsurance_pay_resident").find(".tips").html("您最近缴纳至" + result.jmyb)
						} else {
							$(".medicalInsurance_pay_resident").find(".tips").html("您从未缴纳过该险种");
						}
					} else {
						topmobi.native.common.showMsg(result.message || "数据异常", "middle", toastTimeForSocialSecurityPay);
					}

				} catch(e) {}
			},
			fail: function(data) {
				if(!!data.result && !!data.result.message) {
					//平台出错将错误信息写入data.result.message
					topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSocialSecurityPay);
				} else if(!!data.msg) {
					topmobi.native.common.showMsg(data.msg, "middle", toastTimeForSocialSecurityPay);
				} else {
					topmobi.native.common.showMsg("网络异常，请检查网络", "middle", 1500);
				}
			}
		}
		rs_networkRequest(obj);
	}
	
	//获取支持的缴费区域
	function getSupportAreas() {
		var obj = {
			url: renshe2ApiUrl + "payment/county/query",
			method: "get",
			success: function(data) {
				$(".support_areas").show();
				try {
					var result = data.result;
					if(!!result.statusCode && result.statusCode == 200) {
						if(!!result.result){
							$(".support_areas").html("*目前支持的缴费区域：" + result.result);
						}
					} 
					else {
						topmobi.native.common.showMsg(result.message || "数据异常", "middle", toastTimeForSocialSecurityPay);
					}

				} catch(e) {}
			},
			fail: function(data) {
				$(".support_areas").show();
				if(!!data.result && !!data.result.message) {
					//平台出错将错误信息写入data.result.message
					topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSocialSecurityPay);
				} else if(!!data.msg) {
					topmobi.native.common.showMsg(data.msg, "middle", toastTimeForSocialSecurityPay);
				} else {
					topmobi.native.common.showMsg("网络异常，请检查网络", "middle", 1500);
				}
			}
		}
		rs_networkRequest(obj);
	}
})