$(function() {
	$(".back_icon").off("tap");
	$('.back_icon').on('tap', function() {
		topmobi.native.common.closeWindow(0);
	});
	var shareId = 0;
	$(".nav-btn").on("tap", function() {
		if(shareId!=0){
			window.myNativeInterface.showShare(shareId+"");
		}else{
			topmobi.native.common.showMsg("数据加载异常,不能进行分享", "middle", 1500);
		}
	})
	var timeLineData = {};
	setTimeout(function() {
		$(".swiper-container").css("height", $(".content-scroll").height() + "px");
		$(".swiper-wrapper").on("click", ".insuranceQuery", function() {
			var obj = {
				action: {
					android: "gov.my.socialsecurity.htmlactivity.home.EndowmentInsurancePersonalStatementActivity",
					ios: "CHBaseWebViewController"
				},
				windowType: 0,
				params: {
					info: "",
					html: "html_home/endowmentInsurancePersonalStatement.html"
				}
			}
			topmobi.native.common.openWindow(obj);
		})
		getTimeLineData();
	}, 150);

	function getTimeLineData() {
		var loginToken = topmobi.native.cache.getSharedValue("user", "loginToken");
		var dataJson = {
			"token": loginToken,
		};
		var obj = {
			url: timeLineUrl,
			timeout: 10000,
			data: dataJson,
			isEncrypt:true,
			success: function(data) {
				try {
					var result = data.result.data;
					// result = JSON.parse(result);
					timeLineData = result;
					shareId = result.shareId;

					if(!result.firstRegisterDate){
					    timeLineData.firstRegisterDate = ["-","-","-","-","-","-","-","-"];
					}else{
					    timeLineData.firstRegisterDate = result.firstRegisterDate.split("");
					}
					if(!result.firstSocialSecurityDate){
						timeLineData.firstSocialSecurityDate = ["-","-","-","-","-","-","-","-"];
					}else{
						timeLineData.firstSocialSecurityDate = result.firstSocialSecurityDate.split("");
					}
					if(!result.firstHealthcareDate){
						timeLineData.firstHealthcareDate = ["-","-","-","-","-","-","-","-"];
					}else{
						timeLineData.firstHealthcareDate = result.firstHealthcareDate.split("");
					}
					$(".swiper-slide").eq(0).html(template("pageContent-0", timeLineData));
					var swiper = new Swiper(".swiper-container", {
						pagination: '.swiper-pagination',
						autoplayDisableOnInteraction: false,
						autoplay: false,
						onSlideChangeEnd: function(swiper) {
							$(".swiper-slide").eq(swiper.activeIndex).html(template("pageContent-" + swiper.activeIndex, timeLineData));
							$(".swiper-slide").eq(swiper.activeIndex).find(".slider-img").attr("src", "../img/timeline_" + swiper.activeIndex + ".gif?" + Math.random());
						}
					});
				} catch(e) {
					topmobi.native.common.log("lj", "错误：" + e.message);
				}
			},
			fail: function(data) {
				topmobi.native.common.showMsg("网络异常", "middle", 1500);
			}
		}
		rs_networkRequest(obj);
	}
})