var sexSelect = "";
var personNum;
var name;
var cardId;
var adminNum;
var maleRadio;
var femaleRadio;
var countyNum;
var phoneText = "";
var nameText = "";
var idText = "";
var jigouText = "";
$(".nav-btn").on("tap", function () {
    phoneText = $(".phoneText").val();
    nameText = $(".nameText").val();
    idText = $(".idText").val();
    jigouText = $(".jigouText").val();
    if (isNull(phoneText)) {
        topmobi.native.common.showMsg("手机号不能为空", "middle", 1500);
    } else if (!checkPhone(phoneText)) {
        topmobi.native.common.showMsg("手机号格式错误", "middle", 1500);
    } else if (isNull(nameText)) {
        topmobi.native.common.showMsg("姓名不能为空", "middle", 1500);
    } else if (isNull(idText)) {
        topmobi.native.common.showMsg("身份证号不能为空", "middle", 1500);
    } else if (isNull(sexSelect)) {
        topmobi.native.common.showMsg("性别不能为空", "middle", 1500);
    }else if (!isIdCardNo(idText)) {
        topmobi.native.common.showMsg("身份证格式不对", "middle", 1500);
    }else if (isNull(jigouText)) {
        topmobi.native.common.showMsg("经办机构不能为空", "middle", 1500);
    }else {
        submitPersonData();
    }

})

function requestPersonData() {
    var loginToken = topmobi.native.cache.getSharedValue("user", "loginToken");
    var dataJson = {
        "handler": "findUserInfoHandler",
        "token": loginToken,
        "sub": {}
    };
    var obj = {
        url: insuranceUrl,
        data: dataJson,
        isEncrypt: true,
        success: function (data) {
            var result = data.result;
            switch (result.code) {
                case "1000":
                    //数据请求成功
                    $(".nameText").val(result.data.username);
                    $(".idText").val(result.data.identityNum);
                    $(".jigouText").val(result.data.adminName);
                    personNum = result.data.personalNum;
                    name = result.data.username;
                    cardId = result.data.identityNum;
                    adminNum = result.data.adminName;
                    countyNum = result.data.countyNum;
                    switch (parseInt(result.data.sex)) {
                        case 0:
                            maleRadio.setChecked(true);
                            sexSelect = "1";
                            break;
                        case 1:
                            femaleRadio.setChecked(true);
                            sexSelect = "2";
                            break;
                        default:
                            break;
                    }
                    break;
                case "4000":
                    //数据请求成功，但数据库记录为空
                    topmobi.native.common.showMsg(result.msg, "middle", 1500);
                    break;
                case "2001":
                    //token过期跳转到登录页面
                    topmobi.native.common.showMsg(result.msg, "middle", 1500);
                    break;
                default:
                    topmobi.native.common.showMsg(result.msg, "middle", 1500);
                    break;
            }
        },
        fail: function (data) {
            topmobi.native.common.showMsg("网络异常", "middle", 1500);
        }
    }
    rs_networkRequest(obj);
}

function submitPersonData() {
    if (maleRadio.isChecked()) {
        //sexSelect = $(".sex_male").html();
        sexSelect = "1";
    } else if (femaleRadio.isChecked()) {
        //sexSelect = $(".sex_female").html();
        sexSelect = "2";
    }
    var loginToken = topmobi.native.cache.getSharedValue("user", "loginToken");
    var dataJson = {
        "handler": "reportUserInfoHandler",
        "token": loginToken,
        "sub": {
            "personalNum": personNum,
            "name": name,
            "idCard": cardId,
            "sex": sexSelect,
            "insuredBranchCenter": countyNum,
            "phoneNum":phoneText
        }
    };
    var obj = {
        url: orignalUrl,
        data: dataJson,
        isEncrypt: true,
        success: function (data) {
            var result = data.result;
            switch (result.code) {
                case "1000":
                    //数据请求成功
                    var obj = {
                        action: {
                            android: "gov.my.socialsecurity.htmlactivity.home.UnemploymentInsuranceSubsidySkillCertifiActivity",
                            ios: "CHBaseWebViewController"
                        },
                        windowType: 0,
                        params: {
                            info: "",
                            html: "html_home/subsidyApplySkillCertificate.html"
                        }
                    }
                    topmobi.native.cache.removeSharedValue("certificateProfession", "certificatePicture");
                    topmobi.native.cache.removeSharedValue("certificateProfession", "certificateRemarkPicture");
                    topmobi.native.cache.removeSharedValue("certificateProfession", "certificateSaveRemarkPicture");
                    topmobi.native.cache.removeSharedValue("certificateProfession", "certificateSavePicture");
                    topmobi.native.cache.putSharedValue("unEmployApply", "id", result.data);
                    topmobi.native.common.openWindow(obj);
                    //window.location.href = "subsidyApplySkillCertificate.html";
                    //TopMobiUtil.openWindow("html_home/subsidyApplySkillCertificate.html");
                    break;
                case "2001":
                    //token过期跳转到登录页面
                    topmobi.native.common.showMsg(result.msg, "middle", 1500);
                    window.location.href = "login.html";
                    break;
                case "2004":
                    topmobi.native.common.showMsg("有必传参数为空！", "middle", 1500);
                    break;
                case "4000":
                    //数据请求成功，但数据库记录为空
                    topmobi.native.common.showMsg("无记录！", "middle", 1500);
                    break;
                default:
                    topmobi.native.common.showMsg(data.result.msg, "middle", 1500);
                    break;
            }
        },
        fail: function (data) {
            //noData();
            topmobi.native.common.showMsg("网络异常", "middle", 1500);
        }
    }
    rs_networkRequest(obj);
}

//$().ready(function() {
initWidget();
requestPersonData();
//});

function initWidget() {
    maleRadio = new topmobi.widget.radio(".sex_male_icon", {
        name: "radio2"
    }, "ch-ui-radio");
    femaleRadio = new topmobi.widget.radio(".sex_female_icon", {
        name: "radio2"
    }, "ch-ui-radio");
}