$().ready(function() {
    try {
        var value = JSON.parse(getQuery("value"));
        console.log('接收信息', value);
        document.getElementById("number").innerHTML = value.id;
        document.getElementById("serveItem").innerHTML = value.serve;
        document.getElementById("payStatus").innerHTML = value.status;
        document.getElementById("time").innerHTML = value.time;
        document.getElementById("reason").innerHTML = value.reason;
    } catch(err) {
        topmobi.native.common.showMsg("传递数据失败，请返回重试", 'middle', 1500);
    }

    var getProgressInfo = function () {
        if (!value || !value.id) {
            topmobi.native.common.showMsg("传递数据失败，请返回重试", 'middle', 1500);
            return;
        }
        var dataJson = {
            "input":{
            		"channelNumber": "04",
                "businessId": value.id
            }
        };
        var obj = {
            url: getBusinessPlan,
            method: "post",
            data: dataJson,
            formatString: false,
            contentType: "application/json",
            success: function (data) {
                console.log('data', data);
                var result = data.result;
                if (result.code === 200) {
                    var benefitLength = result.data.outputInfoLists.length;
                    if (benefitLength > 0) {
                        $('.progress').removeClass("no-content");
                        $('.progress').html(template('list-item', {data: result.data.outputInfoLists}));
                    } else {
                        $('.progress')[0].innerHTML = "暂无补贴数据";
                        $('.progress').addClass("no-content");
                    }
                }
            },
            fail: function (data) {
                console.log('data', data);
                topmobi.native.common.showMsg(data.result.message, 'middle', 1500);
            }
        };
        rs_networkRequest(obj);
    }
    getProgressInfo();
})