$(function() {
	$(".back_icon").off("tap");
	$('.back_icon').on('tap', function() {
		topmobi.native.common.closeWindow(0);
	});

	var personId = "";//社保个人ID
	var cardNum = "";//社保卡号
	var password = "";
	var token = topmobi.native.cache.getSharedValue("user", "loginToken");
	$(".personIdInputText").val(topmobi.native.cache.getSharedValue("user", "medicalSocailCardId"));
	$(".cardNumInputText").val(topmobi.native.cache.getSharedValue("user", "medicalSocailCardNum"));
	var $bind_btn = $(".bind_btn");
	$bind_btn.on("tap", function() {
		$("input").blur();
		personId = $(".personIdInputText").val();
		cardNum = $(".cardNumInputText").val();	
		password = $(".passwordInputText").val();	
		if(personId != "" && cardNum!= "" && password!= "") {
			disBindSocialMedicalCard();
		} else if(personId == "") {
			topmobi.native.common.showMsg("个人ID不能为空!", "middle", toastTimeForMedicalCard);
		}else if (cardNum == "") {
			topmobi.native.common.showMsg("社保卡号不能为空!", "middle", toastTimeForMedicalCard);
		}
	})

	function disBindSocialMedicalCard() {
		password = topmobi.extends.encrypt.doEncrypt(4, password, "");
		var dataJson = {
			"handler":"a002Handler",
			"token": token,
			"sub":{
				"aac001": personId,
				"aaz501":cardNum,
				"password":password
			}			
		};
		var obj = {
			url: medicalUrl,
			method: "post",
			isEncrypt: true,
			data: dataJson,
			success: function(data) {
				var result = data.result;
				if(!!result.code) {
					var result = JSON.parse(data.result.result);
					//解绑成功则更改权限
					topmobi.native.cache.putSharedValue("user", "flagMedical", "0");
					switch(result.code) {
						case "1":
							topmobi.native.common.showMsg("解绑成功！", "middle", toastTimeForMedicalCard);
							break;
						case "0":
							topmobi.native.common.showMsg(result.message, "middle", toastTimeForMedicalCard);							
							break;
						case "-1":
							topmobi.native.common.showMsg(result.message, "middle", toastTimeForMedicalCard);
							break;
					}
				} else {					
					topmobi.native.common.showMsg("解绑失败", "middle", toastTimeForMedicalCard);
				}
			},
			fail: function(data) {
				topmobi.native.common.log("disBindSocialSecurityCard", "错误：" + JSON.stringify(data));
				if(!!data.result && !!data.result.message) {
					//平台出错将错误信息写入data.result.message
					topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForMedicalCard);
				} else if(!!data.msg) {
					topmobi.native.common.showMsg(data.msg, "middle", toastTimeForMedicalCard);
				} else {
					topmobi.native.common.showMsg("网络异常", "middle", toastTimeForMedicalCard);
				}

			}
		}
		rs_networkRequest(obj);
	}
})