	$(function() {
		$(".back_icon").off("tap");
		$('.back_icon').on('tap', function() {
			history.back();
		});
		$(".password_tips").css("visibility", "hidden");
		var token = topmobi.native.cache.getSharedValue("user", "loginToken");
		var $confirm_btn = $(".confirm_btn");
		
		var oldPassword = "";//旧密码
		var newPassword = "";//新密码
		var cardNum = "";//社保卡号
		var cardId = "";//社保编号
        $(".cardNumInputText").val(topmobi.native.cache.getSharedValue("user", "medicalSocailCardNum"));
        $(".cardSerialNumInputText").val(topmobi.native.cache.getSharedValue("user", "medicalSocailCardId"));
        
		$confirm_btn.on("tap", function() {
			$("input").blur();
			oldPassword = $(".oldPasswordInputText").val();
			newPassword = $(".newPasswordInputText").val();
			cardNum = $(".cardNumInputText").val();
			cardId = $(".cardSerialNumInputText").val();			
				if(checkPassword(oldPassword) && checkPassword(newPassword)) {
					modifyPassword();
				} else {
					$(".password_tips").css("visibility", "visible");
					//$(".password_tips").html("密码长度6-16位,且必须包含字母和数字");					
				}	
		})

     //修改密码
     
		function modifyPassword() {
			oldPassword = topmobi.extends.encrypt.doEncrypt(4, oldPassword, "");
			newPassword = topmobi.extends.encrypt.doEncrypt(4, newPassword, "");
			var dataJson = {
				"handler": "updatePasswordHandler",
				"token": token,
				"sub": {
					"aaz501": cardNum,
					"aac001":cardId,
					"payPassword": newPassword,
					"payPasswordOld":oldPassword
				}
			};
			var obj = {
				url: medicalUrl,
				data: dataJson,
				isEncrypt: true,
				success: function(data) {
					try {
						var result = data.result;
						switch(result.code) {
							case "1000":
								myShowMessage("修改密码成功");	
								history.back();
								break;
							case "3011":
							   //尚未设置支付密码
								topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);							
								break;	
							case "3012":
							   //旧支付密码错误
								var count  = 3-parseInt(result.data);
								topmobi.native.common.showMsg(result.msg+",您还有"+count+"次机会！", "middle", toastTimeForMedicalCard);
								break;
							case "2007":
							   //加解密错误
							    topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);	
								break;
							case "4000":
							   //请求参数错误
							    topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);	
								break;
							case "2001":
							   //token验证错误
							    topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);	
								break;
							case "2009":
							   //token为空
							    topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);	
								break;
							case "2004":
							   //参数为空
							    topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);	
								break;
							case "2008":
							   //系统异常
							    topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);	
								break;
							case "5000":
							   //系统异常
							    topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);	
								break;
							
						}
					} catch(e) {
						topmobi.native.common.log("wyy", "错误：" + e.message);
					}
				},
				fail: function(data) {
					topmobi.native.common.showMsg("网络异常", "middle", 1500);
				}
			}
			rs_networkRequest(obj);
		}
	})