$(function() {
	$(".back_icon").off("tap");
	$('.back_icon').on('tap', function() {
		topmobi.native.common.closeWindow(0);
	});
	var hasUserInfoFlag;
	var bindFlag;
	var phoneNum = topmobi.native.cache.getSharedValue("user", "phoneNumber");;
	var token = topmobi.native.cache.getSharedValue("user", "loginToken");

	function init() {
		hasUserInfoFlag = topmobi.native.cache.getSharedValue("user", "hasGetUserSocialInfo");
		if(hasUserInfoFlag == "1") { //已获取过个人信息
			registerEvent();
		} else {
			$(".appointment_type_list").hide();
			asyncGetUserInfo({
				token: token,
				phoneNum: phoneNum,
				success: function(response) {
					if(response.code == "200") {
						// 获取成功							
						$(".appointment_type_list").show();
						registerEvent();
					} else {
						//获取个人参保信息失败
						topmobi.native.common.showMsg("获取个人参保信息失败！", "middle", toastTimeForMedicalCard);
					}
				}
			});
		}
	}

	function registerEvent() {
		//缴费项目
		$("#payItems").on("tap", function() {
			//location.href = "./medical_onlinePayment_Items.html";
			var obj = {
				action: {
					android: "gov.my.socialsecurity.htmlactivity.medicarePayment.OnlinePaymentItemsActivity",
					ios: "CHBaseWebViewController"
				},
				windowType: 0,
				params: {
					info: "",
					html: "html_medicarePayment/medical_onlinePayment_Items.html"
				}
			};
			topmobi.native.common.openWindow(obj);
		})

		//密码设置
		$("#pwdSetting").on("tap", function() {
			location.href = "./medical_payPassword_setting.html";
		})
	}
	init();
})