$(function() {

	// 返回
	$(".back_icon").off("tap");
	$('.back_icon').on('tap', function() {
		topmobi.native.common.closeWindow(0);
	});
	topmobi.native.cache.removeSharedValue("user", "payType");
	/*待缴费列表点击“立即支付”时，先上传明细再下单*/
	var orderData = [];
	var payState = 0; //0：待缴费  1：已缴费	
	var yke014; //下单产生的医保交易流水号
	var yke203; //下单产生的医保交易验证码
	var akc190; //下单产生的医保就诊序号
	var akc264; //门诊费金额
	var payAccount; //医保支付金额合计
	var batchNumber; //待缴费流水号
	var yke016; //订单号，诊间费用下单使用，上传明细接口返回的yke016
	var aae072; //His门诊单据号，上传明细接口返回的ykc101
	var sfph; //收费批号，上传明细接口返回的，传到确认支付页面
	var doctorId = "AA"; //DoctorId=AA查询今天所有的开单信息，否则只查询今天的该医生(DoctorId=0001)的开单信息
	var ybjg = topmobi.native.cache.getSharedValue("user", "medicalInstitute"); //参保经办机构  aab034 
	var cardNum = topmobi.native.cache.getSharedValue("user", "medicalSocailCardNum"); //社保编号
	var cardId = topmobi.native.cache.getSharedValue("user", "medicalSocailCardId"); //社保个人ID
	var token = topmobi.native.cache.getSharedValue("user", "loginToken");
	var patientId = "";
	var patientName = topmobi.native.cache.getSharedValue("user", "nickName"); //姓名 不带  *
	var phoneNum = topmobi.native.cache.getSharedValue("user", "phoneNumber");
	var identityNum = topmobi.native.cache.getSharedValue("user", "identityNum");; //身份证号不带  *
	var dataHtml1 = "",
		dataHtml2 = "";
	/*
	 * 获取就诊卡号信息
	 */
	var getMedicalCardInfo = function() {
		asyncGetPatientId({
			token: token,
			phoneNum: phoneNum,
			success: function(response) {
				if(response.code == "200") {
					// 获取成功
					patientId = response.patientId;
					refreshOrderList();
				} else {
					//提示用户去绑定医疗卡号
					confirmDialog(TEXT_BIND_MEDICAL_CARD, function() {
						location.href = "./medical_hospital_card_bind.html";
					});
				}
			}
		});
	};

	function init() {
		getMedicalCardInfo();
	}
	init();

	$(".tab-wrap").on("tap", ".tab-item", function() {
		$(this).addClass("active").siblings().removeClass("active");
		payState = $(this).data("state");
		refreshOrderList();
	})

	$(".pay_btn").on("touchend", function(e) {
		e.preventDefault();
	})

	function initPayClickEvent() {
		$(".pay_btn").on("tap", function() {
			getHospitalDetail(); //通知医院上传明细
		})
	}

	//通知医院上传明细（预结算）接口
	function getHospitalDetail() {
		var dataJson = {
			"token": token,
			"ybjg": ybjg, //医保机构
			"grbh": cardId, //个人编号
			"cyzdm": '9995', //9995
			"tmh": patientId //医院卡号    patientId         
		}
		var obj = {
			url: hospitalTestUrl + 'sbjfRsapp',
			data: dataJson,
			isEncrypt: true,
			success: function(data) {
				var result = data.result;
				try {
					if(result.code == "1000") {
						//解析参数
						if(result.data.jysc) {
							yke016 = result.data.jysc.yke016;
							aae072 = result.data.jysc.ykc101;
						}
						sfph = result.data.sfph;
						clinicalFeeOrder();
					} else if(result.code == "4000") {
						topmobi.native.common.showMsg(result.msg, "middle", 1500);
					} else if(result.code == "2000") {
						topmobi.native.common.showMsg(result.msg, "middle", 1500);
					} else {
						topmobi.native.common.showMsg("系统异常", "middle", 1500);
					}
				} catch(e) {
					topmobi.native.common.log("wyy", "错误：" + e.message);
				}
			},
			fail: function(data) {
				topmobi.native.common.showMsg("网络异常", "middle", 1500);
			}
		}
		rs_networkRequest(obj);
	}
	//诊间费用下单接口	
	function clinicalFeeOrder() {
		var dataJson = {
			"handler": "c002Handler",
			"token": token,
			"sub": {
				"akb020": "2040", //定点医疗机构编号
				"aac001": cardId, //社保个人ID
				"aaz501": identityNum, //社会保障卡号，目前传身份证号
				"aae072": aae072, //His门诊单据号，对应上传明细接口返回的ykc101
				"yke016": yke016 //订单号,对应上传明细接口返回的yke016
			}
		};

		var obj = {
			url: medicalUrl,
			data: dataJson,
			isEncrypt: true,
			success: function(data) {
				try {
					var result = data.result;
					switch(result.code) {
						case "1":
							//下单成功
							if(result.output) {
								yke014 = result.output.yke014; //交易流水号
								yke203 = result.output.yke203; //医保交易验证码
								akc190 = result.output.akc190; //医保就诊序号    
								akc264 = result.output.akc264; //门诊费金额
								var param = {
									"yke014": yke014,
									"yke203": yke203,
									"akc190": akc190,
									"akc264": akc264,
									"patientId": patientId,
									"sfph": sfph,
									"yke016": yke016,
									"type": "诊疗费"
								};
								topmobi.native.cache.putSharedValue("medical", "medicalOrderInfo", JSON.stringify(param));
								location.href = "./medical_payment_confirm.html?payEntrance=3"; //跳转至支付确认页面
							}
							break;
						case "0":
						case "-1":
						default:
							if(result.msg) {
								topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);
							} else if(result.message) {
								topmobi.native.common.showMsg(result.message, "middle", toastTimeForMedicalCard);
							}
							break;
					}
				} catch(e) {
					topmobi.native.common.log("wyy", "错误：" + e.message);
				}
			},
			fail: function(data) {
				topmobi.native.common.showMsg("网络异常", "middle", 1500);
			}
		}
		rs_networkRequest(obj);
	}

	//调用接口获取已缴费信息
	function getPayedItems() {
		dataHtml2 = "";
		var dataJson = {
			"patientId": patientId,
			//				"pName": patientName,
			//"BatchNumber": "", //批次号 ， 不传表示查询所有已缴费信息
			"token": token
		}
		var obj = {
			url: hospitalTestUrl + 'queryPayConfirmInfoMX.action',
			data: dataJson,
			isEncrypt: true,
			success: function(data) {
				try {
					if(data.result.code == "4000") {
						$(".order-list").html(template("noData", {}));
						topmobi.native.common.showMsg(data.result.msg, "middle", 1500);
					} else if(data.result.code == "4004" && data.result.msg) {
						topmobi.native.common.showMsg(data.result.msg, "middle", 1500);
					} else if((data.result.data) && (data.result.data.NewDataSet)) {
						var result = data.result.data.NewDataSet;
						if(result.length > 0) {
							for(var i = 0; i < result.length; i++) {
								var summary = result[i].summary;
								summary.PatientName = patientName;
								summary.PatientId = patientId;
								$(".order-list").append(template('totalPayedAmountTpl', summary));
								dataHtml2 = "";
								var projects = result[i].project;
								if(projects.length > 0) {
									for(var j = 0; j < projects.length; j++) {
										dataHtml2 += template("payment-item-payed", projects[j]);
									}
								} else {
									dataHtml2 += template("payment-item-payed", projects);
								}
								$(".order-list").append(dataHtml2);
							}
						} else {
							$(".order-list").html(template("noData", {}));
						}
					} else {
						$(".order-list").html(template("noData", {}));
						if(patientId == "") {
							topmobi.native.common.showMsg("请先绑定医疗卡！", "middle", 1500);
						} else {
							topmobi.native.common.showMsg("返回数据错误！", "middle", 1500);
						}
					}
				} catch(e) {
					topmobi.native.common.log("wyy", "错误：" + e.message);
				}
			},
			fail: function(data) {
				topmobi.native.common.showMsg("网络异常", "middle", 1500);
			}
		}
		rs_networkRequest(obj);
	}

	//调用接口获取未缴费信息
	function getUnPayItems() {
		dataHtml1 = "";
		var dataJson = {
			"patientId": patientId,
			"pName": patientName,
			"doctorId": doctorId,
			"token": token
		}
		var obj = {
			url: hospitalTestUrl + 'queryTranInfo',
			data: dataJson,
			isEncrypt: true,
			success: function(response) {
				if(response.result.NewDataSet && response.result.NewDataSet.Table) {
					if(response.result.NewDataSet.Table.ResultCode == "1") {
						$(".order-list").html(template("noData", {}));
						topmobi.native.common.showMsg(response.result.NewDataSet.Table.ErrorMsg, "middle", 1500);
						//支付按钮置灰
						$(".pay_btn").css("background-color", "#6D6D72");
					} else if(response.result.NewDataSet.Table.summary.ResultCode == "0") {
						//获取到未缴费信息
						var summary = response.result.NewDataSet.Table.summary;
						amount = summary.ListAmount;
						batchNumber = summary.BatchNumber;
						summary.PatientName = patientName;
						summary.PatientId = patientId;
						$(".order-list").html(template('totalUnPayAmountTpl', summary));
						var items = response.result.NewDataSet.Table.project;
						dataHtml1 = "";
						if(items.length > 0) {
							for(var i = 0; i < items.length; i++) {
								dataHtml1 += template("payment-item-unpay", items[i]);
							}
						} else {
							dataHtml1 += template("payment-item-unpay", items);
						}
						$(".order-list").append(dataHtml1);
						initPayClickEvent();
					}
				} else {
					$(".order-list").html(template("noData", {}));
					if(patientId == "") {
						topmobi.native.common.showMsg("请先绑定医疗卡！", "middle", 1500);
					} else {
						topmobi.native.common.showMsg("返回数据错误！", "middle", 1500);
					}
					$(".pay_btn").css("background-color", "#6D6D72");
				}
			},
			fail: function(data) {
				topmobi.native.common.showMsg("网络异常", "middle", 1500);
			}
		}
		rs_networkRequest(obj);
	}

	function refreshOrderList() {
		$(".order-list").html("");
		if(payState == 0) {
			//获取待缴费信息
			$(".order-list").html("");
			$(".btn-wrap").show();
			getUnPayItems();
		} else {
			//获取已缴费信息
			$(".order-list").html("");
			$(".btn-wrap").hide();
			getPayedItems();
		}
	}

});