$("#contentWrap").css("top", "44px");
var bindHelp = topmobi.native.cache.getSharedValue("user", "bindHelp");
if(bindHelp == "1") {
	$(".bind-mask,img.bind_help").remove();
}
$(".nav-btn").on("tap", function() {
	if(bindHelp != "1") {
		topmobi.native.cache.putSharedValue("user", "bindHelp", "1");
		$(".bind-mask,img.bind_help").remove();
		bindHelp = 1;
	} else {
		window.location.href = "../html_my/securityHelp.html";
	}
})
var $bind_btn = $(".bind_btn");
var el_error = $(".error-text");
var el_textinfo = $("span.textInfo");
var el_personNum = $("span.personalNum");
var $cardNo6 = $('.cardNo6Password-wrap');
$cardNo6.hide();

var macAddress = topmobi.native.cache.getSharedValue("user", "macAddress");
if(macAddress == "") {
	var macObj = {
		success: function(data) {
			macAddress = data.result.deviceId;
			topmobi.native.cache.putSharedValue("user", "macAddress", macAddress);
		},
		fail: function(data) {}
	};
	topmobi.native.common.getDeviceInfo(macObj);
}
var identityNum = topmobi.native.cache.getSharedValue("bindSecurity", "idNumber");
var nickName = topmobi.native.cache.getSharedValue("bindSecurity", "nickName");
var cardNo6Password = "";
var isInputCardNo6 = false;
var phoneNumber = topmobi.native.cache.getSharedValue("user", "phoneNumber");
var password = topmobi.native.cache.getSharedValue("user", "accountPassword");
var bindSecurityEnter = topmobi.native.cache.getSharedValue("user", "bindSecurityEnter");
var personalNum;

//回填信息自动验证
$(".idCardInput").val(identityNum);
$(".nameInputText").val(nickName);
if(!isNull(identityNum) && !isIdCardNo(identityNum)) {
	topmobi.native.common.showMsg("身份证格式不正确", "middle", 1500);
}
if(isIdCardNo(identityNum) && !isNull(nickName)) {
	checkPersonalStatusHandler();
}

$(".idCardInput,.nameInputText").on("blur", function() {
	identityNum = $(".idCardInput").val();
	nickName = $(".nameInputText").val();

	if(!isNull(identityNum) && !isIdCardNo(identityNum)) {
		topmobi.native.common.showMsg("身份证格式不正确", "middle", 1500);
		return;
	}
	if(isIdCardNo(identityNum) && !isNull(nickName)) {
		checkPersonalStatusHandler();
	}
})

$(".cardNo6PasswordInput").on("input", function() {
	identityNum = $(".idCardInput").val();
	nickName = $(".nameInputText").val();
	cardNo6Password = $(".cardNo6PasswordInput").val();
	if(cardNo6Password.length == 6 && isIdCardNo(identityNum) && nickName != "") {
		checkPersonalStatusHandler();
	}
})
$bind_btn.on('tap', function() {
  if ($bind_btn.hasClass('btnClick')) {
    if (personalNum) {
      return bindSocialSecurity(2);
    }
    var options = {
      data: ['社会保障卡绑定', '电子社保卡绑定', '未领社会保障卡？'],
      title: '请选择绑定方式',
      duration: 300,
    };
    var actionSheet = new topmobi.widget.actionSheetDialog(options);
    actionSheet.setItemClick(function(index) {
      if (index == 0) {
        isInputCardNo6 = true;
        var promptCallback = function(obj) {
          if (obj.index == 1) {
            var value = obj.value;
            if (!value || !/^\d{6}$/.test(value)) {
              topmobi.native.common.showMsg('请输入6位数字', 'top', 1500);
              return false;
            }
            $cardNo6.show();
            $cardNo6.find('input').val(value);

            // 绑定社保
            identityNum = $('.idCardInput').val();
            nickName = $('.nameInputText').val();
            cardNo6Password = value;

            setTimeout(function() {
              bindSocialSecurity(0);
            }, 500);
          }
        }
        mui.prompt('', '请输入社会保障卡后6位', '社会保障卡绑定', ['取消', '确定'], promptCallback, 'div');
      } else if (index == 1) {
        // 电子社保卡
        identityNum = $('.idCardInput').val();
        nickName = $('.nameInputText').val();
        queryEsscSignNo(identityNum, function(result) {
          if (result.code == 1000 || result.code == 2004) {
            var signNo = (result.data && result.data.appSignNo) ? result.data.appSignNo : '';
            myJsInterface.esscFaceAuth(nickName, identityNum, signNo, true, 'esscSuccessCallback', '');
          }
        });
      } else {
        // 未领社会保障卡
        setTimeout(bindSocialSecurity, 300);
      }
      actionSheet.remove();
    });
  }
});
$(".back_icon").on("tap", function() {
	if(bindSecurityEnter != "") {
		myJsInterface.goToHome(bindSecurityEnter);
	} else {
		myJsInterface.goToHome("0");
	}
})

function checkPersonalStatusHandler() {
	var dataJson;
	cardNo6Password = $(".cardNo6PasswordInput").val();
	if(isNull(cardNo6Password) == true) {
		dataJson = {
			"handler": "checkPersonalStatusHandler",
			"sub": {
				"identityNum": identityNum,
				"nickName": nickName,
				"phoneNum": phoneNumber
			}
		};
	} else {
		isInputCardNo6 = true;
		dataJson = {
			"handler": "checkPersonalStatusHandler",
			"sub": {
				"identityNum": identityNum,
				"nickName": nickName,
				"phoneNum": phoneNumber,
				"cardNo6": cardNo6Password
			}
		};
	}

	var obj = {
		url: orignalUrl,
		data: dataJson,
		isEncrypt: true,
		success: function(data) {
			try {
				var result = data.result;
				switch (result.code) {
          case '1000':
            $bind_btn.addClass('btnClick');
            personalNum = result.data.personalNum.replace(/^(\d{4}).+(\d{4})$/, '$1*****$2');
            showTips('您要绑定的社保信息为: ', personalNum, true, true, true);
            break;
          case '4000':
            showTips('用户不存在!', '', false, false, false);
            break;
          case '3000':
            showTips('您输入的信息与该账户信息不符!', '', true, false, false);
            break;
          case '3003':
            showTips('社会保障卡已被绑定!', '', true, true, true);
            break;
          case '3009':
            showTips('社会保障卡后六位不正确!', '', true, true, false);
            break;
          case '3010':
            $bind_btn.addClass('btnClick');
            showTips('注册电话号码与社保大厅预留不匹配!', '', true, true, true);
            break;
          case '3016':
            showTips('未查询到社会保障卡信息，请拨打12333咨询！', '', true, true, false);
            break;
          case '3017':
            showTips('网络繁忙，请稍后再试！', '', true, true, true);
            break;
        }
				result = JSON.stringify(result);
				topmobi.native.common.log("lj", "绑定社保查询:" + result);
			} catch(e) {
				topmobi.native.common.log("lj", "错误：" + e.message);
			}
		},
		
		fail: function(data) {
			topmobi.native.common.showMsg("网络异常", "middle", 1500);
		}
	}
	rs_networkRequest(obj);
}

/**
 * 绑定社保
 * @param {number} bindType 绑定方式，0-社会保障卡后6位；1-电子社保卡；2-未申领社会保障卡
 */
function bindSocialSecurity(bindType) {
  if (!isIdCardNo(identityNum)) {
    topmobi.native.common.showMsg('身份证格式不正确', 'middle', 1500);
    return;
  } else if (nickName == '') {
    topmobi.native.common.showMsg('用户姓名不能为空', 'middle', 1500);
    return;
  }
	var dataJson = {
    handler: 'bindSocialSecurityHandler',
    sub: {
      identityNum: identityNum,
      nickName: nickName,
      phoneNum: phoneNumber,
    },
  };
  switch (bindType) {
    case 1: // 电子社保卡
      dataJson.sub.isVerify = "true";
      break;
    case 2: // 未申领社会保障卡
      dataJson.sub.cardNo6 = 'null';
      break;
    default:
      // 社会保障卡后6位
      dataJson.sub.cardNo6 = cardNo6Password;
      break;
  }

	var obj = {
		url: orignalUrl,
		data: dataJson,
		isEncrypt: true,
		success: function(data) {
			try {
				var result = data.result;
				switch (result.code) {
          case '1000':
            login();
            break;
          case '4000':
            showTips('用户不存在!', '', false, false, false);
            break;
          case '2000':
            topmobi.native.common.showMsg('绑定失败!', 'middle', 1500);
            break;
          case '3000':
            showTips('您输入的信息与该账户信息不符!', '', true, false, false);
            break;
          case '3003':
            showTips('社会保障卡已被绑定!', '', true, true, true);
            break;
          case '2005':
            showTips('手机号已被绑定!', '', true, true, true);
            break;
          case '3009':
            showTips('社会保障卡后六位不正确!', '', true, true, false);
            break;
          case '3010':
            showTips('注册电话号码与社保大厅预留不匹配!', '', true, true, true);
            break;
          case '3017':
            showTips('网络繁忙，请稍后再试！', '', true, true, true);
            break;
        }
				result = JSON.stringify(result);
			} catch(e) {
				topmobi.native.common.log("lj", "错误：" + e.message);
			}
		},
		fail: function(data) {
			topmobi.native.common.showMsg("网络异常", "middle", 1500);
		}
	}
	rs_networkRequest(obj);
}

function login() {
	var dataJson = {
    handler: 'loginHandler',
    sub: {
      macId: macAddress,
      imageCode: '',
    },
  };
  var loginType = topmobi.native.cache.getSharedValue('user', 'loginType')
  if (loginType == 'essc') {
    dataJson.sub.identityNum = identityNum;
    dataJson.sub.nickName = nickName;
  } else {
    dataJson.sub.account = identityNum;
    dataJson.sub.password = password;
  }
	var obj = {
		url: orignalUrl,
		data: dataJson,
		isEncrypt: true,
		success: function(data) {
			try {
				var result = data.result;
				switch(result.code) {
					case "1000":
						topmobi.native.cache.putSharedValue("user", "accountNumber", phoneNumber);
						topmobi.native.cache.putSharedValue("user", "accountPassword", password);
						topmobi.native.cache.putSharedValue("user", "lastAccountNumber", phoneNumber);
						topmobi.native.cache.putSharedValue("user", "lastAccountPassword", password);
						topmobi.native.cache.putSharedValue("user", "personNumber", result.data.personalNum);
						topmobi.native.cache.putSharedValue("user", "phoneNumber", result.data.phoneNum);
						topmobi.native.cache.putSharedValue("user", "idCardNumber", result.data.identityNum);
						topmobi.native.cache.putSharedValue("user", "picUrl", result.data.picUrl);
						topmobi.native.cache.putSharedValue("user", "loginToken", result.data.token);
						topmobi.native.cache.putSharedValue("user", "username", result.data.nickName);
						topmobi.native.cache.putSharedValue("user", "userId", result.data.id);
						topmobi.native.cache.putSharedValue("user", "isOfficial", result.data.isOfficial);
						var toAccountDate = result.data.toAccountDate;
						toAccountDate = toAccountDate.slice(0, 4) + "/" + toAccountDate.slice(4, 6);
						topmobi.native.cache.putSharedValue("user", "toAccountDate", toAccountDate);
						topmobi.native.cache.putSharedValue("user", "medicalAccountBalance", result.data.medicalAccount);
						topmobi.native.cache.putSharedValue("user", "bindState", "true");
            topmobi.native.cache.putSharedValue("user", "loginState", "true");
            
            topmobi.native.cache.putSharedValue('user', 'nickName', result.data.realName); // 无星号姓名
            topmobi.native.cache.putSharedValue('user', 'identityNum', result.data.realIdNum); // 无星号身份证
            topmobi.native.cache.putSharedValue('user', 'signNo', result.data.appSignNo); // 电子社保卡签发号

						//modified by wyy 2016.4.25
						myShowMessage("绑定成功");
						myJsInterface.registerXinGe();
						myJsInterface.goToHome("0");
						break;
					case "3002":
						break;
					case "3000":
						topmobi.native.common.showMsg("账号错误!", "middle", 1500);
						break;
					case "3001":
						topmobi.native.common.showMsg("密码错误!", "middle", 1500);
						break;
				}
			} catch(e) {
				topmobi.native.common.log("lj", "错误:" + e.message);
			}
		},
		fail: function(data) {
			topmobi.native.common.showMsg("网络异常", "middle", 1500);
		}
	}
	rs_networkRequest(obj);
}

function showTips(tips, message, isIdcardPass, isNamePass, isBankNoPass) {
  $('.rightIcon,.error-text').css('visibility', 'visible');
  var passIcon = 'url(../img/pass.png)';
  var errorIcon = 'url(../img/error.png)';
  $('.idCard-wrap .rightIcon').css('background-image', isIdcardPass ? passIcon : errorIcon);
  $('.name-wrap .rightIcon').css('background-image', isNamePass ? passIcon : errorIcon);
  if (isInputCardNo6 == true) {
    $('.cardNo6Password-wrap .rightIcon').css('background-image', isBankNoPass ? passIcon : errorIcon);
  }
  el_textinfo.html(tips);
  el_personNum.html(message);
}

function esscSuccessCallback() {
  setTimeout(function() {
    bindSocialSecurity(1);
  }, 300);
}