$(function() {
	var $newPhoneNumber = $(".newPhoneNumber");
	var $smsCode = $(".smsCodeInput");
	var $imgCode = $(".imgCodeInput");
	var $getImgCode = $(".imgCode");
	var $getSmsCode = $(".getSmsCode");
	var oldPhoneNumber = "";
	var newPhoneNumber = "";
	var imgCode = "";
	var smsCode = "";
	var t = 60;
	var timer;
	var macAddress = topmobi.native.cache.getSharedValue("user", "macAddress");
	var oldPhoneNumber = topmobi.native.cache.getSharedValue("user", "phoneNumber");
	var loginToken = topmobi.native.cache.getSharedValue("user", "loginToken");
	if(macAddress == "") {
		var macObj = {
			success: function(data) {
				macAddress = data.result.deviceId;
				topmobi.native.cache.putSharedValue("user", "macAddress", macAddress);
			},
			fail: function(data) {}
		};
		topmobi.native.common.getDeviceInfo(macObj);
	}

	function showTime() {
		$getSmsCode.html(t + "秒");
		if(t != 0) {
			timer = setTimeout(function() {
				showTime();
			}, 1000)
		} else {
			$getSmsCode.html("重发");
			clearTimeout(timer);
			t = 60;
		}
		t = t - 1;
	}

	function initTime() {
		$getSmsCode.html("获取验证码");
		clearTimeout(timer);
		t = 60;
		// topmobi.native.common.showMsg("图片验证码错误!", "middle", 1500);
		// $getImgCode.attr("src", touristImgCodeUrl + macAddress);
	}
	$(".confirm_btn").on("tap", function() {
		newPhoneNumber = $newPhoneNumber.val();
		smsCode = $smsCode.val();
		if(isNull(newPhoneNumber)) {
			topmobi.native.common.showMsg("新手机号码不能为空!", "middle", 1500);
			return;
		} else if(!checkPhone(newPhoneNumber)) {
			topmobi.native.common.showMsg("新手机号码格式不正确!", "middle", 1500);
			return;
		} else if(newPhoneNumber == oldPhoneNumber) {
			topmobi.native.common.showMsg("新旧手机号码不能相同!", "middle", 1500);
			return;
		} else if(isNull(smsCode)) {
			topmobi.native.common.showMsg("短信验证码不能为空!", "middle", 1500);
			return;
		} else if(!isNum(smsCode)) {
			topmobi.native.common.showMsg("短信验证码只能为数字!", "middle", 1500);
			return;
		}
		var bindState =topmobi.native.cache.getSharedValue('user', 'bindState'); 
		if(bindState =='false')
		{
			changePhone();
		}else{
			
			var strstr=topmobi.native.cache.getSharedValue('megLiveStill','failNum');
			if(strstr)
			{ if(Number(strstr)<3)
			  {
				mLiveStill();
			  }else{
			   
				var date2=new Date();    //结束时间
				var str=topmobi.native.cache.getSharedValue('megLiveStill','dateTime');
				var dateT=Number(str);
				var date3=date2.getTime()-dateT ; //时间差的毫秒数
				var leave1=date3/(3600*1000) ;   //计算小时差
				if(leave1>1)//一小时以后
				{
					mLiveStill();
				}else{
					topmobi.native.common.showMsg("请一小时以后再试，谢谢!", "middle", 1500);
				}
			  }
			}else{
				mLiveStill();
			}
		}
	})

	$getSmsCode.on("tap", function() {
		newPhoneNumber = $newPhoneNumber.val();
		// imgCode = $imgCode.val();
		if(isNull(newPhoneNumber)) {
			topmobi.native.common.showMsg("新手机号码不能为空!", "middle", 1500);
			return;
		} else if(!checkPhone(newPhoneNumber)) {
			topmobi.native.common.showMsg("新手机号码格式不正确!", "middle", 1500);
			return;
		} else if(newPhoneNumber == oldPhoneNumber) {
			topmobi.native.common.showMsg("新旧手机号码不能相同!", "middle", 1500);
			return;
		}
		if($getSmsCode.html() == "重发" || $getSmsCode.html() == "获取验证码") {
			getSms();
		}
	})
    function mLiveStill(){
		var myNickName=topmobi.native.cache.getSharedValue('user', 'nickName'); // 无星号姓名
		    var myIdentity=topmobi.native.cache.getSharedValue('user', 'identityNum'); // 无星号身份证
			myJsInterface.megLiveStill(myNickName,myIdentity,{
				success: function(res) {
				  if (!res.result) {
					var date1=new Date();  //开始时间
					topmobi.native.cache.putSharedValue('megLiveStill','dateTime',date1.getTime().toString());
					var str=topmobi.native.cache.getSharedValue('megLiveStill','failNum');
					if(str)
					{
					  topmobi.native.cache.putSharedValue('megLiveStill','failNum',Number(str)+1);
					}else{
					  topmobi.native.cache.putSharedValue('megLiveStill','failNum',1);
					}
					topmobi.native.common.showMsg('身份识别识别失败', 'middle', 1500);
				  }else{
					topmobi.native.cache.putSharedValue('megLiveStill','dateTime',"");
					topmobi.native.cache.putSharedValue('megLiveStill','failNum',"");
					changePhone();
				  }
				 
				},
				fail: function(error) {
				  if (error.msg) {
					var date1=new Date();  //开始时间
					topmobi.native.cache.putSharedValue('megLiveStill','dateTime',date1.getTime().toString());
					var str=topmobi.native.cache.getSharedValue('megLiveStill','failNum');
					if(str)
					{
					  topmobi.native.cache.putSharedValue('megLiveStill','failNum',Number(str)+1);
					}else{
					  topmobi.native.cache.putSharedValue('megLiveStill','failNum',1);
					}
					topmobi.native.common.showMsg(error.msg, 'middle', 1500);
				  }
				},
			  });
	

	}
	function getSms() {
		showTime();
		var dataJson = {
			"handler": "getVerifyCodeHandler",
			"sub": {
				"phoneNum": newPhoneNumber,
				"msgCode": 3,
				// "imageCode": imgCode
			}
		};
		var obj = {
			url: orignalUrl,
			data: dataJson,
			isEncrypt: true,
			success: function(data) {
				try {
					var result = data.result;
					switch(result.code) {
						case "1000":
							topmobi.native.common.showMsg("发送成功", "middle", 1500);
							break;
						case "3006":
							topmobi.native.common.showMsg("验证码今日次数已达上限,请明日再试", "middle", 1500);
							break;
						case "3012":
							initTime();
							break;
						default:
                            topmobi.native.common.showMsg('短信验证码发送失败！', "middle", 1500);
                            break;
					}
				} catch(e) {
					topmobi.native.common.log("lj", "错误：" + e.message);
				}
			},
			fail: function(data) {
				initTime();
				topmobi.native.common.showMsg("网络异常", "middle", 1500);
			}
		}
		rs_networkRequest(obj);
	}

	function changePhone() {
		var bindState =topmobi.native.cache.getSharedValue('user', 'bindState'); 
		if(bindState =='false')
		{
			loginToken="";
		}else{
			loginToken = topmobi.native.cache.getSharedValue("user", "loginToken");
		}
	
		var dataJson = {
			"handler": "updatePhoneHandler",
			"sub": {
				"phoneNum1": oldPhoneNumber,
				"phoneNum2": newPhoneNumber,
				"verifyCode": smsCode,
				"token": loginToken,
			}
		};
		var obj = {
			url: orignalUrl,
			data: dataJson,
			isEncrypt: true,
			success: function(data) {
				try {
					var result = data.result;
					switch(result.code) {
						case "1000":
							topmobi.native.common.showMsg("修改成功", "middle", 1500);
							topmobi.native.cache.removeSharedValue("user", "accountNumber");
							topmobi.native.cache.removeSharedValue("user", "accountPassword");
							topmobi.native.cache.removeSharedValue("user", "personNumber");
							//topmobi.native.cache.removeSharedValue("user", "phoneNumber");
							topmobi.native.cache.removeSharedValue("user", "userId");
							topmobi.native.cache.removeSharedValue("user", "idCardNumber");
							//topmobi.native.cache.removeSharedValue("user", "picUrl");
							topmobi.native.cache.removeSharedValue("user", "companyName");
							topmobi.native.cache.removeSharedValue("user", "companyNumber");
							topmobi.native.cache.removeSharedValue("user", "username");
							topmobi.native.cache.removeSharedValue("user", "toAccountDate");
							topmobi.native.cache.removeSharedValue("user", "medicalAccountBalance");
							topmobi.native.cache.removeSharedValue("user", "isOfficial");
							//topmobi.native.cache.removeSharedValue("user", "head_icon");
							topmobi.native.cache.removeSharedValue("user", "bindState");
							topmobi.native.cache.removeSharedValue("user", "loginState");
							topmobi.native.cache.removeSharedValue("user", "bindHelp");
							myJsInterface.unregisterXinGe();
							myJsInterface.goToHome("3");
							break;
						case "2000": //失败
							topmobi.native.common.showMsg("修改失败", "middle", 1500);
							break;
						case "2005": //失败
							topmobi.native.common.showMsg("修改失败,新手机号已被注册", "middle", 1500);
							break;
						case "3004": //短信验证码错误
							topmobi.native.common.showMsg("短信验证码错误", "middle", 1500);
							break;
						case "4000": //旧号码不存在
							topmobi.native.common.showMsg("旧号码不存在", "middle", 1500);
							break;
						case "2007": //加解密错误
							topmobi.native.common.showMsg("加解密错误", "middle", 1500);
							break;
						case "2009": //token为空
							topmobi.native.common.showMsg("token为空", "middle", 1500);
							break;
						case "2001": //token不匹配
							topmobi.native.common.showMsg("token错误", "middle", 1500);
							break;
						case "3015":
							topmobi.native.common.showMsg(result.msg, "middle", 1500);
							break;
						case "3017":
						    // 短信验证码错误次数达到6次,账号锁定一小时
                        	topmobi.native.common.showMsg(result.msg, "middle", 1500);
                        case "3018":
                            // 短信验证码过期
                            topmobi.native.common.showMsg(result.msg, "middle", 1500);
                        	break;
					}
				} catch(e) {
					topmobi.native.common.log("lj", "错误：" + e.message);
				}
			},
			fail: function(data) {
				topmobi.native.common.showMsg("网络异常", "middle", 1500);
			}
		}
		rs_networkRequest(obj);
	}
})