$(".back_icon").on("tap", function() {
	topmobi.native.common.closeWindow(0);
})
var $disBind_btn = $(".disBind_btn");
var password ;
var phoneNumber = topmobi.native.cache.getSharedValue("user", "phoneNumber");
var loginToken = topmobi.native.cache.getSharedValue("user", "loginToken");
var macAddress = topmobi.native.cache.getSharedValue("user", "macAddress");
   if (macAddress == "") {
   	var macObj = {
   		success: function(data) {
   			macAddress = data.result.deviceId;
   			topmobi.native.cache.putSharedValue("user", "macAddress", macAddress);
   		},
   		fail: function(data) {}
   	};
   	topmobi.native.common.getDeviceInfo(macObj);
   }
$disBind_btn.on("tap",function() {
	password = $(".passwordInput").val();
	if(password == ""){
		topmobi.native.common.showMsg("账户登录密码不能为空", "middle", 1500);
		return;
	}
	password = topmobi.extends.encrypt.doEncrypt(4,password,"");
	disBindSocialSecurity();
})
function disBindSocialSecurity(){
	loginToken = topmobi.native.cache.getSharedValue("user", "loginToken");
	var dataJson = {
		"handler": "disBindSocialSecurityHandler",
		"sub": {
			"token": loginToken,
			"password": password
		}
	};
	var obj = {
		url: orignalUrl,
		data: dataJson,
		isEncrypt:true,
		success: function(data) {
			try {
				var result = data.result;
				switch (result.code) {
					case "1000":
						clearShare();
						login();
					break;
					case "3001":
					    $(".textInfo").html("账户登录密码错误");
					break;
					case "3002":
						$(".textInfo").html("用户未绑定");
					break;
					case "2000":
						$(".textInfo").html("解绑失败");
					break;
					case "3008":
						$(".textInfo").html("未到解绑时间,不能解除绑定");
					break;
				}
			} catch (e) {
				topmobi.native.common.log("lj", "错误：" + e.message);
			}
		},
		fail: function(data) {
			topmobi.native.common.showMsg("网络异常", "middle", 1500);
		}
	}
	rs_networkRequest(obj);
}
 function clearShare(){
		topmobi.native.cache.removeSharedValue("user", "personNumber");
		topmobi.native.cache.removeSharedValue("user", "idCardNumber");
		topmobi.native.cache.removeSharedValue("user", "toAccountDate");
		topmobi.native.cache.removeSharedValue("user", "medicalAccountBalance");
		topmobi.native.cache.removeSharedValue("user", "isOfficial");
		topmobi.native.cache.removeSharedValue("user", "bindState");
  }
function login() {
		var dataJson = {
			"handler": "loginHandler",
			"sub": {
				"account": phoneNumber,
				"password": password,
				"macId":macAddress,
				"imageCode":""
			}
		};
		var obj = {
			url: orignalUrl,
			data: dataJson,
			isEncrypt:true,
			success: function(data) {
				try {
					var result = data.result;
					switch (result.code) {
						case "1000":
							break;
						case "3002":
							topmobi.native.cache.putSharedValue("user", "accountNumber", phoneNumber);
							topmobi.native.cache.putSharedValue("user", "accountPassword",password);
							topmobi.native.cache.putSharedValue("user", "lastAccountNumber", phoneNumber);
							topmobi.native.cache.putSharedValue("user", "lastAccountPassword", password);
							topmobi.native.cache.putSharedValue("user", "phoneNumber", result.data.phoneNum);
							topmobi.native.cache.putSharedValue("user", "username", result.data.nickName);
							topmobi.native.cache.putSharedValue("user", "picUrl", result.data.picUrl);
							topmobi.native.cache.putSharedValue("user", "bindState", "false");
							topmobi.native.cache.putSharedValue("user", "loginState", "true");
							topmobi.native.cache.putSharedValue("user", "userId", result.data.id);
							//modified by wyy 2016.4.25
							topmobi.native.common.showMsg("解绑成功", "middle", 1500);
							myJsInterface.goToHome("0");
						    break;
						case "3000":
							topmobi.native.common.showMsg("账号错误!", "middle", 1500);
							break;
						case "3001":
							topmobi.native.common.showMsg("密码错误!", "middle", 1500);
							break;
					}
					result = JSON.stringify(result);
				} catch (e) {
					topmobi.native.common.log("lj", "错误:" + e.message);
				}
			},
			fail: function(data) {
				topmobi.native.common.showMsg("网络异常", "middle", 1500);
			}
		}
		rs_networkRequest(obj);
	}