// 用于适应虚拟键盘开关切换时body的高度改变
function reDefineHeight() {
	var heightBody;
	heightBody = $("body").height() - $(".navigatorBar").height() - 48;
	$("#prfBusiness,#prfPolicy").height(heightBody);
	$("#prfBusiness .messageContainer,#prfPolicy .messageContainer").css('min-height', heightBody + 1);
	messageListBusiness.update();
	messageListPolicy.update();
}

// 将控件声明为全局变量
var nav1; // navigatorBar顶部导航栏控件
var viewPager; // viewPager控件
var messageListBusiness; // 业务消息pullRefresh下拉刷新，上拉加载控件
var messageListPolicy; // 业务消息listView列表控件
var personNumber = topmobi.native.cache.getSharedValue("user", "phoneNumber");
var tableName = "security_message_" + personNumber;;
var loginState = topmobi.native.cache.getSharedValue("user", "loginState");
Zepto(function($) {

	// 返回
	$('.back_icon').on('tap', function() {
		topmobi.native.common.unregisterBroadcast("MessageCenterRefreh");
		topmobi.native.common.closeWindow(0);
	});

	// 根据body的高度自适应viewPager的高度
	var listHeight;
	listHeight = $("body").height() - $(".navigatorBar").height() - 48;
	$("#prfBusiness,#prfPolicy").height(listHeight);

	var dataBusiness = []; //业务消息数据
	var dataPolicy = []; //政策消息数据
	var dataBusinessLen;
	var dataPolicyLen;
	var dataBusinessStart = 10;
	var dataPolicyStart = 10;
	var businessFlag = false;
	var policyFlag = false;

	setTimeout(function() {   //解决部分数据头部高度初始化失败
		// navigatorBar顶部导航栏控件
		nav1 = new chui.widget.navigatorBar(".navigator", {
			displayNum: "2",
			isScroll: false,
			selectedIndex: "0"
		}, "ch_ui_navigatorbar");
		$(".top-navigator-wrap").css("visibility","visible");
		// viewPager控件
		viewPager = new chui.widget.viewPager("#viewPager", '', '', '', "roll");

		// 点击顶部导航栏切换view
		nav1.select(function(i) {
			if(viewPager.getItemIndex() != i) {
				viewPager.moveToPage(i);
			}
		});
		// 滑动切花view改变顶部导航栏
		viewPager.change(function() {
			var distIndex = viewPager.getItemIndex();
			nav1.setSelectedIndex(distIndex);
		});
		var option = {
			'pullUpState': true,
			'pullDownState': true,
		};
		messageListBusiness = new topmobi.widget.messageCenter("#prfBusiness", option);
		messageListPolicy = new topmobi.widget.messageCenter("#prfPolicy", option);
		var noDataHtml = "<div class='noData'></div>";
		messageListBusiness.setData(noDataHtml);
		messageListPolicy.setData(noDataHtml);
		messageListBusiness.pullDown(function() {
		setTimeout(function() {
			if(loginState == "true") {
				businessRefresh();
			} else {
				topmobi.native.common.showMsg("请登录后查看业务消息!", "middle", 1500);
				messageListBusiness.update();
			}
		}, 1000)

	})
	messageListPolicy.pullDown(function() {
		setTimeout(function() {
			policyRefresh();
		}, 1000)
	})
	messageListBusiness.pullUp(function() {
		if(loginState == "true") {
			if(businessFlag == true && dataBusinessStart < dataBusinessLen) {
				var businessHtml = "";
				var dataBusinessEnd = dataBusinessStart + 5;
				if(dataBusinessEnd <= dataBusinessLen) {
					for(var i = dataBusinessStart; i < dataBusinessEnd; i++) {
						var mes_type = dataBusiness[i].type;
						var hasReaded = dataBusiness[i].hasReaded;
						if(mes_type == "1") {
							if(hasReaded == "0") {
								businessHtml += template("item-business-expend", dataBusiness[i]);
							} else {
								businessHtml += template("item-business-expend-read", dataBusiness[i]);
							}
						} else if(mes_type == "2") {
							if(hasReaded == "0") {
								businessHtml += template("item-business-income", dataBusiness[i]);
							} else {
								businessHtml += template("item-business-income-read", dataBusiness[i]);
							}
						} else if(mes_type == "3") {
							if(hasReaded == "0") {
								businessHtml += template("item-infoChange", dataBusiness[i]);
							} else {
								businessHtml += template("item-infoChange-read", dataBusiness[i]);
							}
						}
					}
					dataBusinessStart += 5;
					setTimeout(function() { //模拟网络异步请求操作
						messageListBusiness.addFootItem(businessHtml);
						messageListBusiness.update();
					}, 1000);
				} else {
					businessFlag = false;
					for(var i = dataBusinessStart; i < dataBusinessLen; i++) {
						var mes_type = dataBusiness[i].type;
						var hasReaded = dataBusiness[i].hasReaded;
						if(mes_type == "1") {
							if(hasReaded == "0") {
								businessHtml += template("item-business-expend", dataBusiness[i]);
							} else {
								businessHtml += template("item-business-expend-read", dataBusiness[i]);
							}
						} else if(mes_type == "2") {
							if(hasReaded == "0") {
								businessHtml += template("item-business-income", dataBusiness[i]);
							} else {
								businessHtml += template("item-business-income-read", dataBusiness[i]);
							}
						} else if(mes_type == "3") {
							if(hasReaded == "0") {
								businessHtml += template("item-infoChange", dataBusiness[i]);
							} else {
								businessHtml += template("item-infoChange-read", dataBusiness[i]);
							}
						}
					}
					if(dataBusinessStart < dataBusinessLen)
						dataBusinessStart += 5;
					setTimeout(function() { //模拟网络异步请求操作
						messageListBusiness.addFootItem(businessHtml);
						messageListBusiness.update();
					}, 1000);
				}
			} else {
				setTimeout(function() { //模拟网络异步请求操作
					messageListBusiness.update();
					topmobi.native.common.showMsg("无更多数据!", "middle", 1500);
				}, 1000);
			}
		} else {
			setTimeout(function() { //模拟网络异步请求操作
				messageListBusiness.update();
				topmobi.native.common.showMsg("请登录后查看业务消息!", "middle", 1500);
			}, 1000);
		}

	});
	messageListPolicy.pullUp(function() {
		if(policyFlag == true && dataPolicyStart < dataPolicyLen) {
			var policyHtml = "";
			var dataPolicyEnd = dataPolicyStart + 5;
			if(dataPolicyEnd <= dataPolicyLen) {
				for(var i = dataPolicyStart; i < dataPolicyEnd; i++) {
					var hasReaded = dataPolicy[i].hasReaded;
					if(hasReaded == "0") {
						policyHtml += template("item-policy", dataPolicy[i]);
					} else {
						policyHtml += template("item-policy-read", dataPolicy[i]);
					}
				}
				dataPolicyStart += 5;
				setTimeout(function() { //模拟网络异步请求操作
					messageListPolicy.addFootItem(policyHtml);
					messageListPolicy.update();
				}, 1000);
			} else {
				policyFlag = false;
				for(var i = dataPolicyStart; i < dataPolicyLen; i++) {
					var hasReaded = dataPolicy[i].hasReaded;
					if(hasReaded == "0") {
						policyHtml += template("item-policy", dataPolicy[i]);
					} else {
						policyHtml += template("item-policy-read", dataPolicy[i]);
					}
				}
				setTimeout(function() { //模拟网络异步请求操作
					messageListPolicy.addFootItem(policyHtml);
					messageListPolicy.update();
				}, 1000);
				dataPolicyStart += 5;
			}
		} else {
			setTimeout(function() { //模拟网络异步请求操作
				messageListPolicy.update();
				topmobi.native.common.showMsg("无更多数据!", "middle", 1500);
			}, 1000);
		}
	});
	}, 150)

	function updateState(id, table, selector) {
		var sql = "update " + table + " set hasReaded=1 where id=" + id;
		var obj = {
			success: function(data) {
				if(table == "security_message_public") {
					myJsInterface.subtractMsgNum("public");
				} else {
					myJsInterface.subtractMsgNum("private");
				}
				$(selector).addClass("read");
				topmobi.native.db.closeDataBase("security_message.db");
			},
			fail: function(data) {
				//				topmobi.native.common.log("lj", "数据库更新失败");
				topmobi.native.db.closeDataBase("security_message.db");
			}
		};
		topmobi.native.db.openDataBase("security_message.db");
		topmobi.native.db.execSql("security_message.db", sql, obj);
	}

	function queryDataBase() {
		var sqlBusiness = "select * from " + tableName;
		var sqlPolicy = "select * from security_message_public";
		var objBusiness = {
			success: function(data) {
				var result = data.result;
				//				topmobi.native.common.log("lj", "业务信息,查询数据库成功" + JSON.stringify(result));
				for(var i = result.length - 1; i >= 0; i--) {
					switch(result[i].type) {
						case "1":
							dataBusiness.push({
								type: 1,
								hasReaded: result[i].hasReaded,
								title: result[i].title,
								content_consumption: result[i].content_consumption,
								content_consumPlace: result[i].content_consumPlace,
								content_consumTime: result[i].content_consumTime,
								id: result[i].id
							});
							break;
						case "2":
							dataBusiness.push({
								type: 2,
								hasReaded: result[i].hasReaded,
								title: result[i].title,
								content_socialType: result[i].content_socialType,
								content_belongTime: result[i].content_belongTime,
								id: result[i].id
							});
							break;
						case "3":
							dataBusiness.push({
								type: 3,
								hasReaded: result[i].hasReaded,
								title: result[i].title,
								content_changeType: result[i].content_changeType,
								content_changeTime: result[i].content_changeTime,
								id: result[i].id
							});
							break;
					}
				}
				topmobi.native.db.closeDataBase("security_message.db");
				var businessHtml = "";
				dataBusinessLen = dataBusiness.length;
				var dataBusinessEnd;
				if(dataBusinessLen <= 10) {
					dataBusinessEnd = dataBusinessLen;
					businessFlag = false;
				} else {
					dataBusinessEnd = 10;
					businessFlag = true;
				}
				for(var i = 0; i < dataBusinessEnd; i++) {
					var mes_type = dataBusiness[i].type;
					var hasReaded = dataBusiness[i].hasReaded;
					if(mes_type == "1") {
						if(hasReaded == "0") {
							businessHtml += template("item-business-expend", dataBusiness[i]);
						} else {
							businessHtml += template("item-business-expend-read", dataBusiness[i]);
						}

					} else if(mes_type == "2") {
						if(hasReaded == "0") {
							businessHtml += template("item-business-income", dataBusiness[i]);
						} else {
							businessHtml += template("item-business-income-read", dataBusiness[i]);
						}
					} else if(mes_type == "3") {
						if(hasReaded == "0") {
							businessHtml += template("item-infoChange", dataBusiness[i]);
						} else {
							businessHtml += template("item-infoChange-read", dataBusiness[i]);
						}
					}
				}
				if(businessHtml != "")
					messageListBusiness.setData(businessHtml);
				$("#prfBusiness").on("tap", ".item-wrap", function() {
					if(!$(this).hasClass("read")) {
						var total = $("#prfBusiness").find(".item-wrap").length;
						var index = parseInt($(this).data("id"));
						var id = index;
						updateState(id, tableName, this);
					}
				})
			},
			fail: function(data) {
				//				topmobi.native.common.log("lj", "查询数据库失败" + JSON.stringify(data));
				topmobi.native.db.closeDataBase("security_message.db");
			}
		};
		var objPolicy = {
			success: function(data) {
				var result = data.result;
				//				topmobi.native.common.log("lj", "政策信息,查询数据库成功" + JSON.stringify(result));
				for(var i = result.length - 1; i >= 0; i--) {
					dataPolicy.push({
						type: 4,
						hasReaded: result[i].hasReaded,
						title: result[i].title,
						content_newsTitle: result[i].content_newsTitle,
						content_policyTime: result[i].content_policyTime,
						content_newsId: result[i].content_newsId,
						id: result[i].id
					});
				}
				var businessHtml = "";
				dataPolicyLen = dataPolicy.length;
				var dataPolicyEnd;
				if(dataPolicyLen <= 10) {
					dataPolicyEnd = dataPolicyLen;
					policyFlag = false;
				} else {
					dataPolicyEnd = 10;
					policyFlag = true;
				}
				var policyHtml = "";
				for(var i = 0; i < dataPolicyEnd; i++) {
					var hasReaded = dataPolicy[i].hasReaded;
					if(hasReaded == "0") {
						policyHtml += template("item-policy", dataPolicy[i]);
					} else {
						policyHtml += template("item-policy-read", dataPolicy[i]);
					}
				}
				if(policyHtml != "")
					messageListPolicy.setData(policyHtml);

				messageListPolicy.update();
				$("#prfPolicy").on("tap", ".policy-wrap", function() {
					var obj = {
						action: {
							android: "gov.my.socialsecurity.htmlactivity.my.MessageDetailActivity",
							ios: "CHBaseWebViewController"
						},
						windowType: 0,
						params: {
							info: "",
							html: "html_my/messageDetail.html"
						}
					}
					var newsId = dataPolicy[$(this).index()].content_newsId;
					topmobi.native.cache.putSharedValue("user", "policyNewsId", newsId);
					topmobi.native.common.openWindow(obj);
					if(!$(this).hasClass("read")) {
						var total = $("#prfPolicy").find(".policy-wrap").length;
						var index = parseInt($(this).data("id"));
						var id = index;
						updateState(id, "security_message_public", this);
					}
				})
				if(loginState == "true") {
					topmobi.native.db.execSql("security_message.db", sqlBusiness, objBusiness);
				} else {
					topmobi.native.db.closeDataBase("security_message.db");
				}
			},
			fail: function(data) {
				//				topmobi.native.common.log("lj", "政策信息，查询数据库失败" + JSON.stringify(data));
				if(loginState == "true") {
					topmobi.native.db.execSql("security_message.db", sqlBusiness, objBusiness);
				} else {
					topmobi.native.db.closeDataBase("security_message.db");
				}
			}
		}
		topmobi.native.db.openDataBase("security_message.db");
		topmobi.native.db.execSql("security_message.db", sqlPolicy, objPolicy);
	}
	queryDataBase();

	function businessRefresh() {
		var sqlBusiness = "select * from " + tableName;
		var objBusiness = {
			success: function(data) {
				var result = data.result;
				dataBusiness = [];
				for(var i = result.length - 1; i >= 0; i--) {
					switch(result[i].type) {
						case "1":
							dataBusiness.push({
								type: 1,
								hasReaded: result[i].hasReaded,
								title: result[i].title,
								content_consumption: result[i].content_consumption,
								content_consumPlace: result[i].content_consumPlace,
								content_consumTime: result[i].content_consumTime,
								id: result[i].id
							});
							break;
						case "2":
							dataBusiness.push({
								type: 2,
								hasReaded: result[i].hasReaded,
								title: result[i].title,
								content_socialType: result[i].content_socialType,
								content_belongTime: result[i].content_belongTime,
								id: result[i].id
							});
							break;
						case "3":
							dataBusiness.push({
								type: 3,
								hasReaded: result[i].hasReaded,
								title: result[i].title,
								content_changeType: result[i].content_changeType,
								content_changeTime: result[i].content_changeTime,
								id: result[i].id
							});
							break;
					}
				}
				topmobi.native.db.closeDataBase("security_message.db");
				var businessHtml = "";
				dataBusinessLen = dataBusiness.length;
				var dataBusinessEnd;
				if(dataBusinessLen <= 10) {
					dataBusinessEnd = dataBusinessLen;
					businessFlag = false;
				} else {
					dataBusinessEnd = 10;
					businessFlag = true;
				}
				for(var i = 0; i < dataBusinessEnd; i++) {
					var mes_type = dataBusiness[i].type;
					var hasReaded = dataBusiness[i].hasReaded;
					if(mes_type == "1") {
						if(hasReaded == "0") {
							businessHtml += template("item-business-expend", dataBusiness[i]);
						} else {
							businessHtml += template("item-business-expend-read", dataBusiness[i]);
						}
					} else if(mes_type == "2") {
						if(hasReaded == "0") {
							businessHtml += template("item-business-income", dataBusiness[i]);
						} else {
							businessHtml += template("item-business-income-read", dataBusiness[i]);
						}
					} else if(mes_type == "3") {
						if(hasReaded == "0") {
							businessHtml += template("item-infoChange", dataBusiness[i]);
						} else {
							businessHtml += template("item-infoChange-read", dataBusiness[i]);
						}
					}
				}
				if(businessHtml != "")
					messageListBusiness.setData(businessHtml);
				messageListBusiness.update();
				$("#prfBusiness").off("tap", ".item-wrap");
				$("#prfBusiness").on("tap", ".item-wrap", function() {
					if(!$(this).hasClass("read")) {
						var total = $("#prfBusiness").find(".item-wrap").length;
						var index = parseInt($(this).data("id"));
						var id = index;
						updateState(id, tableName, this);
					}
				})
			},
			fail: function(data) {
				//				topmobi.native.common.log("lj", "查询数据库失败" + JSON.stringify(data));
				messageListBusiness.update();
				topmobi.native.db.closeDataBase("security_message.db");
			}
		};
		topmobi.native.db.openDataBase("security_message.db");
		topmobi.native.db.execSql("security_message.db", sqlBusiness, objBusiness);
	}

	function policyRefresh() {
		var sqlPolicy = "select * from security_message_public";
		var objPolicy = {
			success: function(data) {
				var result = data.result;
				dataPolicy = [];
				for(var i = result.length - 1; i >= 0; i--) {
					dataPolicy.push({
						type: 4,
						hasReaded: result[i].hasReaded,
						title: result[i].title,
						content_newsTitle: result[i].content_newsTitle,
						content_policyTime: result[i].content_policyTime,
						content_newsId: result[i].content_newsId,
						id: result[i].id
					});
				}
				dataPolicyLen = dataPolicy.length;
				var dataPolicyEnd;
				if(dataPolicyLen <= 10) {
					dataPolicyEnd = dataPolicyLen;
					policyFlag = false;
				} else {
					dataPolicyEnd = 10;
					policyFlag = true;
				}
				var policyHtml = "";
				for(var i = 0; i < dataPolicyEnd; i++) {
					var hasReaded = dataPolicy[i].hasReaded;
					if(hasReaded == "0") {
						policyHtml += template("item-policy", dataPolicy[i]);
					} else {
						policyHtml += template("item-policy-read", dataPolicy[i]);
					}
				}
				if(policyHtml != "")
					messageListPolicy.setData(policyHtml);
				messageListPolicy.update();
				$("#prfPolicy").off("tap", ".policy-wrap");
				$("#prfPolicy").on("tap", ".policy-wrap", function() {
					var obj = {
						action: {
							android: "gov.my.socialsecurity.htmlactivity.my.MessageDetailActivity",
							ios: "CHBaseWebViewController"
						},
						windowType: 0,
						params: {
							info: "",
							html: "html_my/messageDetail.html"
						}
					}
					var newsId = dataPolicy[$(this).index()].content_newsId;
					topmobi.native.cache.putSharedValue("user", "policyNewsId", newsId);
					topmobi.native.common.openWindow(obj);
					if(!$(this).hasClass("read")) {
						var total = $("#prfPolicy").find(".policy-wrap").length;
						var index = parseInt($(this).data("id"));
						var id = index;
						updateState(id, "security_message_public", this);
					}
				})
				topmobi.native.db.closeDataBase("security_message.db");
			},
			fail: function(data) {
				//				topmobi.native.common.log("lj", "政策信息，查询数据库失败" + JSON.stringify(data));
				messageListPolicy.update();
				topmobi.native.db.closeDataBase("security_message.db");
			}
		}
		topmobi.native.db.openDataBase("security_message.db");
		topmobi.native.db.execSql("security_message.db", sqlPolicy, objPolicy);
	}
	
	topmobi.native.common.registerBroadcast("MessageCenterRefresh", function(msg) {
		topmobi.native.common.showMsg("有新消息啦!", "middle", 1500);
		if(msg == "0") {
			businessRefresh();
		} else {
			policyRefresh();
		}
	});
});