// 返回
$(".back_icon").off("tap");
$('.back_icon').on('tap', function() {
	history.back();
});

$(".default_btn").click(function() {
	var contentID = $(".idCard-inputText").val();
	if(!isNull(contentID)) {
		if(isIdCardNo(contentID)) {
			getDetailInfo(contentID);
		} else {
			topmobi.native.common.showMsg("身份证格式不对", "middle", toastTimeForSalary);
		}

	} else {
		topmobi.native.common.showMsg("输入不能为空", "middle", toastTimeForSalary);
	}
})

function getDetailInfo(contentID) {
	var url = basicSalaryUrl + 'grxx/' + contentID;
	var obj = {
		url: url,
		method: "get",
		isEncrypt: true,
		success: function(data) {
			try {
				if(data.result && !!data.result.statusCode && data.result.statusCode == 200) {
					var result = JSON.parse(data.result.result);
					if(!!result && typeof(result) == "object") {
						topmobi.native.cache.putSharedValue("temp", "personalInfo", JSON.stringify(result));
						location.href = "basic_information_inquiry_result_show.html";
						return;
					}
				} else {
					topmobi.native.common.showMsg("请求失败", "middle", toastTimeForSalary);
				}
			} catch(e) {
				if(!!data.result.message) {
					//未查找到符合条件的数据也返回200，走这个分支，并将错误信息写入data.result.message
					topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSalary);
					return;
				}
				topmobi.native.common.log("getDetailInfo", "数据异常：" + e.message);
				topmobi.native.common.showMsg("数据异常", "middle", toastTimeForSalary);
			}
		},
		fail: function(data) {
			topmobi.native.common.log("getDetailInfo", "错误：" + JSON.stringify(data));
			if(!!data.result && !!data.result.message) {
				//平台出错将错误信息写入data.result.message
				topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSalary);
			} else if(!!data.msg) {
				topmobi.native.common.showMsg(data.msg, "middle", toastTimeForSalary);
			} else {
				topmobi.native.common.showMsg("网络异常", "middle", toastTimeForSalary);
			}
		}
	};
	rs_networkRequest(obj);
}