var hasCompetentDepartment = topmobi.native.cache.getSharedValue("user", "hasCompetentDepartment"); //是否有主管部门
var lastPersonInfo = topmobi.native.cache.getSharedValue("temp", "salaryPersonalInfo");
var ARR_treatmentLevelSelected = []; //人员身份返回后，对应的享受待遇级别数组
var arrDepartmentJson = {};
var personInfo = {};
var hasGetRelatedInfo = false; //是否根据身份证号获取过人员基本信息
var setDefaultForIsleaderFlag = false; //是否将“是否领导职务”设置为否 是则不可编辑 否则可编辑
if(lastPersonInfo != "") {
	lastPersonInfo = JSON.parse(lastPersonInfo);
	$("#idCardNumber").val(lastPersonInfo.aac002);
	searchPersonInfo(lastPersonInfo.aac002);
}
//查政策
$('.operationBar_policy').on('tap', function() {
	var obj = {
		action: {
			android: "gov.my.socialsecurity.htmlactivity.home.PolicyMenusActivity",
			ios: "CHBaseWebViewController"
		},
		windowType: 0,
		params: {
			info: "",
			html: "html_salary/policyMenus.html"
		}
	}
	topmobi.native.cache.putSharedValue("temp", "policyType", "rsbd");
	topmobi.native.common.openWindow(obj);
});
//操作指南
$('.operationBar_guide').on('tap', function() {
	var obj = {
		action: {
			android: "gov.my.socialsecurity.htmlactivity.home.OperationGuidListActivity",
			ios: "CHBaseWebViewController"
		},
		windowType: 0,
		params: {
			info: "",
			html: "html_salary/operationGuidList.html"
		}
	}
	topmobi.native.cache.putSharedValue("temp", "guideType", "rsbd");
	topmobi.native.common.openWindow(obj);
});

//看流程
$('.operationBar_process').on('tap', function() {
	var obj = {
		action: {
			android: "gov.my.socialsecurity.htmlactivity.home.BasicSalaryChangeProcessingActivity",
			ios: "CHBaseWebViewController"
		},
		windowType: 0,
		params: {
			info: "",
			html: "html_salary/basic_salary_change_processing.html"
		}
	}
	var checkProcess = getCheckProcess(hasCompetentDepartment);
	var data = {
		"checkProcess": checkProcess,
		"stepType": 1,
		"processType": "zwgwbd",
		"checkStatus": 1
	}
	topmobi.native.cache.putSharedValue("temp", "checkProcessData", JSON.stringify(data));
	topmobi.native.common.openWindow(obj);
});

$(".search-btn").on("tap", function() {
	var idNum = $("#idCardNumber").val();
	if(!isIdCardNo(idNum)) {
		topmobi.native.common.showMsg("请输入正确的身份证号", "middle", toastTimeForSalary);
		return;
	}
	$("input").blur();
	searchPersonInfo(idNum);
})

function searchPersonInfo(idNum) {
	clearInfo();
	var obj = {
		url: basicSalaryUrl + "zwgzbd/rsbdxxlr/" + idNum,
		method: "get",
		isEncrypt: true,
		success: function(data) {
			try {
				var result = data.result;
				personInfo = JSON.parse(result.result);
				if(result.statusCode == 200 && !!result.result) {
					hasGetRelatedInfo = true;
					parseData(personInfo);
				} else {
					topmobi.native.common.showMsg("获取人员基本信息失败", "middle", toastTimeForSalary);
				}
			} catch(e) {
				if(!!data.result.message) {
					//未查找到符合条件的数据也返回200，走这个分支，并将错误信息写入data.result.message
					topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSalary);
					return;
				}
				topmobi.native.common.log("searchPersonInfo", "数据异常：" + e.message);
				topmobi.native.common.showMsg("人员基本信息数据异常", "middle", toastTimeForSalary);
			}
		},
		fail: function(data) {
			topmobi.native.common.log("searchPersonInfo", "错误：" + JSON.stringify(data));
			if(!!data.result && !!data.result.message) {
				//平台出错将错误信息写入data.result.message
				topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSalary);
			} else if(!!data.msg) {
				topmobi.native.common.showMsg(data.msg, "middle", toastTimeForSalary);
			} else {
				topmobi.native.common.showMsg("网络异常，请检查网络", "middle", toastTimeForSalary);
			}
		}
	}
	rs_networkRequest(obj);
}

function parseData(result) {
	var ARR_department = [];
	arrDepartmentJson = {};
	if(!!result.bm) {
		for(var i = 0; i < result.bm.length; i++) {
			var tempBm = result.bm[i];
			ARR_department.push(tempBm.aab044);
			arrDepartmentJson[tempBm.aaz004] = tempBm.aab044;
		}
	}

	//平台返回的所在部门列表为空 则隐藏所在部门项
	if(!!ARR_department && ARR_department.length > 0) {
		$("#department").parent().show();
		// 所在部门
		var options_department = {
			data: ARR_department,
			title: '请选择',
			duration: 300
		};
		$("#department").parent().off('tap');
		$("#department").parent().on('tap', function() {
			var actionSheet = new topmobi.widget.actionSheetDialog(options_department);
			actionSheet.setItemClick(function(index) {
				$("#department").html(options_department.data[index]);
				actionSheet.remove();
			});
		});

		if(!!result.yab001_1) {
			var tempDepartment = arrDepartmentJson[result.yab001_1];
			if(!!tempDepartment) {
				$("#department").html(tempDepartment);
			} else {
				$("#department").html(result.yab001_1);
			}
		}
	} else {
		$("#department").parent().hide();
	}

	$("#name").html(result.aac003);
	$("#sex").html(getKeyWithValue("AAC004", result.aac004));
	$("#birthTime").html(getShowTimeFormat(result.aac006));
	$("#startWorkTime").html(getShowTimeFormat(result.aac007));

	$("#person_resouce").html(getKeyWithValue("YAC001", result.yac001));
	var personIdentify = getKeyWithValue("YAC002", result.yac002);
	$("#person_id").html(personIdentify);
	if(!!personIdentify) {
		ARR_treatmentLevelSelected = ARR_personIdentifyRelated[personIdentify];
	}
	$("#person_duty_level").html(getKeyWithValue("YAC013", result.aad007));
	$("#duty_name").val(result.aad010);
	$("#data_source").html(getKeyWithValue("YAD054", result.yad054));
	$("#file_id").html(getKeyWithValue("YAD055", result.yad055));
	$("#termTime").html(getShowTimeFormat(result.yac092));
	$("#unitTime").html(getShowTimeFormat(result.aad008));
	$("#isLeader").html(getKeyWithValue("AAE100", result.aad009));
	$("#probation_id").html(getKeyWithValue("YAC082", result.yac082));
	setDefaultForIsleaderFlag = setDefaultForIsleader(result.yac002, result.aad007, $("#isLeader"));
}

function checkHasGetRelatedInfo(isInput) {
	if(!hasGetRelatedInfo) {
		topmobi.native.common.showMsg("请先填写身份证号获取回填信息", "middle", toastTimeForSalary);
		$("input").blur();
		return false;
	}
	if(!isInput) {
		$("input").blur();
	}
	return true;
}

$("#department").parent().on('tap', function() {
	if(!checkHasGetRelatedInfo(false)) {
		return;
	}
});

// 人源来源
var options1 = {
	data: ARR_personSource,
	title: '请选择',
	duration: 300
};
$("#person_resouce").parent().on('tap', function() {
	if(!checkHasGetRelatedInfo(false)) {
		return;
	}
	var actionSheet = new topmobi.widget.actionSheetDialog(options1);
	actionSheet.setItemClick(function(index) {
		$("#person_resouce").html(options1.data[index]);
		actionSheet.remove();
	});
});

/**
 * 人员身份
 */
var options2 = {
	data: ARR_personIdentify,
	title: '请选择',
	duration: 300
};
$("#person_id").parent().on('tap', function() {
	if(!checkHasGetRelatedInfo(false)) {
		return;
	}
	var actionSheet = new topmobi.widget.actionSheetDialog(options2);
	actionSheet.setItemClick(function(index) {
		$("#person_id").html(options2.data[index]);
		actionSheet.remove();
		ARR_treatmentLevelSelected = ARR_personIdentifyRelated[options2.data[index]];
		var personDutyLevel = $("#person_duty_level").html();
		setDefaultForIsleaderFlag = setDefaultForIsleader(CODE.YAC002[options2.data[index]], CODE.YAC013[personDutyLevel], $("#isLeader"));
	});
});

/**
 * 现任职务等级
 */
$("#person_duty_level").parent().on('tap', function() {
	if(!checkHasGetRelatedInfo(false)) {
		return;
	}
	var options3 = {
		data: ARR_treatmentLevelSelected,
		title: '请选择',
		duration: 300
	};
	if(ARR_treatmentLevelSelected != undefined) {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}
		var actionSheet = new topmobi.widget.actionSheetDialog(options3);
		actionSheet.setItemClick(function(index) {
			$("#person_duty_level").html(options3.data[index]);
			actionSheet.remove();
			var personIdentifyValue = $("#person_id").html();
			setDefaultForIsleaderFlag = setDefaultForIsleader(CODE.YAC002[personIdentifyValue], CODE.YAC013[options3.data[index]], $("#isLeader"));
		});
	} else {
		topmobi.native.common.showMsg("请先选择人员身份", "middle", toastTimeForSalary);
	}
});

/*
 * 现任职务名称
 */
$("#duty_name").on("input", function() {
	if(!checkHasGetRelatedInfo(true)) {
		$(this).val("");
		return;
	}
})

/**
 * 来源类型
 */
var options4 = {
	data: ARR_sourceType,
	title: '请选择',
	duration: 300
};
$("#data_source").parent().on('tap', function() {
	if(!checkHasGetRelatedInfo(false)) {
		return;
	}
	var actionSheet = new topmobi.widget.actionSheetDialog(options4);
	actionSheet.setItemClick(function(index) {
		$("#data_source").html(options4.data[index]);
		actionSheet.remove();
	});
});

/**
 * 档案身份
 */
var options5 = {
	data: ARR_filesIdentity,
	title: '请选择',
	duration: 300
};
$("#file_id").parent().on('tap', function() {
	if(!checkHasGetRelatedInfo(false)) {
		return;
	}
	var actionSheet = new topmobi.widget.actionSheetDialog(options5);
	actionSheet.setItemClick(function(index) {
		$("#file_id").html(options5.data[index]);
		actionSheet.remove();
	});
});

/**
 * 是否领导
 */
var options6 = {
	data: ARR_isOneChild,
	title: '请选择',
	duration: 300
};
$("#isLeader").parent().on('tap', function() {
	if(!checkHasGetRelatedInfo(false)) {
		return;
	}
	if(setDefaultForIsleaderFlag) {
		return;
	}
	var actionSheet = new topmobi.widget.actionSheetDialog(options6);
	actionSheet.setItemClick(function(index) {
		$("#isLeader").html(options6.data[index]);
		actionSheet.remove();
	});
});

/**
 * 试用标志
 */
var options7 = {
	data: ['学徒期', '熟练期', '试用期', '否'],
	title: '请选择',
	duration: 300
};
$("#probation_id").parent().on('tap', function() {
	if(!checkHasGetRelatedInfo(false)) {
		return;
	}
	var actionSheet = new topmobi.widget.actionSheetDialog(options7);
	actionSheet.setItemClick(function(index) {
		$("#probation_id").html(options7.data[index]);
		actionSheet.remove();
	});
});

/**
 * 进入单位时间
 */
$("#unitTime_item").on("tap", function() {
	if(!checkHasGetRelatedInfo(false)) {
		return;
	}
	showMonthTimePicker($("#unitTime"), "month");
})

/**
 * 任职时间
 */
$("#termTime_item").on("tap", function() {
	if(!checkHasGetRelatedInfo(false)) {
		return;
	}
	showMonthTimePicker($("#termTime"), "month");
})

$("#save_btn").on("tap", function() {
	if(!checkHasGetRelatedInfo(false)) {
		return;
	}
	uploadPersonInfos();
})

/**
 * 保存人事信息变动信息
 */
function uploadPersonInfos() {
	var personResouce = $("#person_resouce").html();
	if(personResouce == "--请选择--" || personResouce == "") {
		topmobi.native.common.showMsg("人员来源信息不能为空！", "middle", toastTimeForSalary);
		return;
	}
	var personId = $("#person_id").text();
	if(personId == "--请选择--" || personId == "") {
		topmobi.native.common.showMsg("人员身份信息不能为空！", "middle", toastTimeForSalary);
		return;
	}
	var personDutyLevel = $("#person_duty_level").text();
	if(personDutyLevel == "--请选择--" || personDutyLevel == "") {
		topmobi.native.common.showMsg("现任职务等级信息不能为空！", "middle", toastTimeForSalary);
		return;
	}

	if(!ARR_treatmentLevelSelected) {
		topmobi.native.common.showMsg("请选择正确的人员身份", "middle", toastTimeForSalary);
		return;
	}
	var index = ARR_treatmentLevelSelected.indexOf(personDutyLevel);
	if(index < 0) {
		topmobi.native.common.showMsg("请重选人员身份对应的现任职务等级", "middle", toastTimeForSalary);
		return;
	}

	var dataSource = $("#data_source").text();
	if(dataSource == "--请选择--" || dataSource == "") {
		topmobi.native.common.showMsg("来源类型信息不能为空！", "middle", toastTimeForSalary);
		return;
	}
	var fileId = $("#file_id").text();
	if(fileId == "--请选择--" || fileId == "") {
		topmobi.native.common.showMsg("档案身份信息不能为空！", "middle", toastTimeForSalary);
		return;
	}
	var termTime = $("#termTime").text()
	if(termTime == "--请选择--" || termTime == "") {
		topmobi.native.common.showMsg("任职时间信息不能为空！", "middle", toastTimeForSalary);
		return;
	}
	var isLeader = $("#isLeader").text()
	if(isLeader == "--请选择--" || isLeader == "") {
		topmobi.native.common.showMsg("是否领导职务信息不能为空！", "middle", toastTimeForSalary);
		return;
	}

	var unitTimeValue = $("#unitTime").html();
//	if(!!unitTimeValue && unitTimeValue != "--请选择--" && compareTime(unitTimeValue, termTime) > 0) {
//		topmobi.native.common.showMsg("任职时间需大于或等于进入单位时间", "middle", toastTimeForSalary);
//		return;
//	}
	var current = new Date().getTime();
	var currentTime = formatTimeStamp(current);
	if(compareTime(termTime, currentTime) >= 0) {
		topmobi.native.common.showMsg("任职时间不能大于当前日期", "middle", toastTimeForSalary);
		return;
	}

	var dataJson = {
		"aac001": personInfo.aac001,
		"aac008": personInfo.aac008,
		"aac002": personInfo.aac002,
		"aac003": personInfo.aac003,
		"yac001": CODE.YAC001[personResouce],
		"yac002": CODE.YAC002[personId],
		"aad007": CODE.YAC013[personDutyLevel],
		"aad010": $("#duty_name").val() || "",
		"yad054": CODE.YAD054[dataSource],
		"yad055": CODE.YAD055[fileId],
		"yac092": getUploadTimeFormat(termTime),
		"aad008": getUploadTimeFormat(unitTimeValue),
		"aad009": CODE.AAE100[isLeader],
	}
	//所在部门
	if(!!arrDepartmentJson) {
		var departmentValue = $("#department").html();
		if(!!departmentValue && departmentValue != "--请选择--") {
			for(var key in arrDepartmentJson) {
				if(arrDepartmentJson[key] == departmentValue) {
					departmentValue = key;
					break;
				}
			}
			dataJson.yab001_1 = departmentValue;
		}
	}

	//试用标志
	var probationValue = $("#probation_id").html();
	if(!!probationValue && probationValue != "--请选择--") {
		if(probationValue == "否") {
			dataJson.yac082 = "";
		} else {
			dataJson.yac082 = CODE.YAC082[probationValue];
		}
	}
	//进入单位时间
	if(!!unitTimeValue && unitTimeValue != "--请选择--") {
		dataJson.aad008 = getUploadTimeFormat(unitTimeValue);
	}
	var obj = {
		url: basicSalaryUrl + "zwgzbd/postPersonnel",
		data: dataJson,
		method: "post",
		isEncrypt: true,
		success: function(data) {
			var result = data.result;
			if(!!result.statusCode && result.statusCode == 201) {
				topmobi.native.cache.putSharedValue("temp", "lastSalaryPersonalInfo", JSON.stringify(personInfo));
				topmobi.native.cache.putSharedValue("temp", "salaryPersonalInfo", JSON.stringify(dataJson));
				window.location.href = "./basic_salary_salary_change.html";
			} else {
				if(!!result.statusCode && result.statusCode == 200 && !!data.result.message) {
					//保存失败，走这个分支，并将错误信息写入data.result.message
					topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSalary);
					return;
				}
				topmobi.native.common.showMsg("保存失败", "middle", toastTimeForSalary);
			}
		},
		fail: function(data) {
			topmobi.native.common.log("uploadPersonInfos", "错误：" + JSON.stringify(data));
			if(!!data.result && !!data.result.message) {
				//平台出错将错误信息写入data.result.message
				topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSalary);
			} else if(!!data.msg) {
				topmobi.native.common.showMsg(data.msg, "middle", toastTimeForSalary);
			} else {
				topmobi.native.common.showMsg("网络异常，请检查网络", "middle", toastTimeForSalary);
			}
		}
	}
	rs_networkRequest(obj);
}

function clearInfo() {
	$("#name").html("");
	$("#sex").html("");
	$("#birthTime").html("");
	$("#startWorkTime").html("");
	$("#department").html("--请选择--");
	$("#person_resouce").html("--请选择--");
	$("#person_id").html("--请选择--");
	$("#person_duty_level").html("--请选择--");
	$("#duty_name").val("");
	$("#data_source").html("--请选择--");
	$("#file_id").html("--请选择--");
	$("#termTime").html("--请选择--");
	$("#unitTime").html("--请选择--");
	$("#isLeader").html("--请选择--");
	$("#probation_id").html("--请选择--");
	hasGetRelatedInfo = false;
	arrDepartmentJson = {};
	ARR_treatmentLevelSelected = [];
	personInfo = {};
}