// 返回
$(".back_icon").off("tap");
$('.back_icon').on('tap', function() {
	history.back();
});
var setDefaultForIsleaderFlag = false; //是否将“是否领导职务”设置为否 是则不可编辑 否则可编辑
var salaryPersonalInfo = JSON.parse(topmobi.native.cache.getSharedValue("temp", "salaryPersonalInfo")); //人事信息页面传过来的数据
var hasCompetentDepartment = topmobi.native.cache.getSharedValue("user", "hasCompetentDepartment"); //是否有主管部门
var ARR_treatmentLevelSelected; //根据上个页面传过来的人员身份获取对应的享受待遇级别数组
var lastSalaryPersonalInfo = JSON.parse(topmobi.native.cache.getSharedValue("temp", "lastSalaryPersonalInfo"));
initInfo();

//根据上个页面的信息回填本页面
function initInfo() {
	$("#name").html(salaryPersonalInfo.aac003);
	$("#idNumber").html(salaryPersonalInfo.aac002);
	$("#personalStatus").html(getKeyWithValue("AAC008", salaryPersonalInfo.aac008));
	$("#positionTime").html(getShowTimeFormat(salaryPersonalInfo.yac092));
	$("#unitTime").find(".itemRightText").html(getShowTimeFormat(salaryPersonalInfo.aad008));
	var temp = getKeyWithValue("YAC002", salaryPersonalInfo.yac002);
	$("#personalIdentify").html(temp);
	ARR_treatmentLevelSelected = ARR_personIdentifyRelated[temp];
	setSalaryGradeAndLevelAppear();
	setSalaryInfoAppearWithJobGrades(salaryPersonalInfo.aad007);
	if(!!lastSalaryPersonalInfo.yac013) {
		$("#positionLevel").html(getKeyWithValue("YAC013", lastSalaryPersonalInfo.yac013));
	}
	if(!!lastSalaryPersonalInfo.yac081) {
		$("#isLeaderTreatment").html(getKeyWithValue("AAE100", lastSalaryPersonalInfo.yac081));
	}
	if(!!lastSalaryPersonalInfo.yac005) {
		$("#salaryGrade").val(lastSalaryPersonalInfo.yac005);
	}
	if(!!lastSalaryPersonalInfo.yac080) {
		$("#salaryLevel").val(lastSalaryPersonalInfo.yac080);
	}
	if(!!lastSalaryPersonalInfo.yac006) {
		$("#teacherOrNurse").html(getKeyWithValue("AAE100", lastSalaryPersonalInfo.yac006));
	}
	if(!!lastSalaryPersonalInfo.yac091) {
		$("#salaryBeginTime").find(".itemRightText").html(getShowTimeFormat(lastSalaryPersonalInfo.yac091));
	}
	setDefaultForIsleaderFlag = setDefaultForIsleader(salaryPersonalInfo.yac002, lastSalaryPersonalInfo.yac013, $("#isLeaderTreatment"));
}

//根据人员身份设置工资等级和工资档次的可见性
function setSalaryGradeAndLevelAppear() {
	if(salaryPersonalInfo.yac002 == "09") {
		$("#salaryGradeParent").addClass("noDisplay");
	}
	if(salaryPersonalInfo.yac002 == "04" || salaryPersonalInfo.yac002 == "06" || salaryPersonalInfo.yac002 == "07" || salaryPersonalInfo.yac002 == "08") {
		$("#salaryLevelParent").addClass("noDisplay");
	}
}

//现任职务等级是：试用期、机关技术工熟练期、机关技术工学徒期、管理见习期、专技见习期、事业技术工熟练期、事业技术工学徒期时 隐藏工资级别和工资档次 
function setSalaryInfoAppearWithJobGrades(jobGrades) {
	if(jobGrades == "13" || jobGrades == "20" || jobGrades == "21" || jobGrades == "32" || jobGrades == "46" || jobGrades == "53" || jobGrades == "54") {
		$("#salaryGradeParent").addClass("noDisplay");
		$("#salaryLevelParent").addClass("noDisplay");
	}
}

//查政策
$('.operationBar_policy').on('tap', function() {
	var obj = {
		action: {
			android: "gov.my.socialsecurity.htmlactivity.home.PolicyMenusActivity",
			ios: "CHBaseWebViewController"
		},
		windowType: 0,
		params: {
			info: "",
			html: "html_salary/policyMenus.html"
		}
	}
	topmobi.native.cache.putSharedValue("temp", "policyType", "zwgzbd");
	topmobi.native.common.openWindow(obj);
});

//操作指南
$('.operationBar_guide').on('tap', function() {
	var obj = {
		action: {
			android: "gov.my.socialsecurity.htmlactivity.home.OperationGuidListActivity",
			ios: "CHBaseWebViewController"
		},
		windowType: 0,
		params: {
			info: "",
			html: "html_salary/operationGuidList.html"
		}
	}
	topmobi.native.cache.putSharedValue("temp", "guideType", "zwgzbd");
	topmobi.native.common.openWindow(obj);
});

//看流程
$('.operationBar_process').on('tap', function() {
	var obj = {
		action: {
			android: "gov.my.socialsecurity.htmlactivity.home.BasicSalaryChangeProcessingActivity",
			ios: "CHBaseWebViewController"
		},
		windowType: 0,
		params: {
			info: "",
			html: "html_salary/basic_salary_change_processing.html"
		}
	}
	var checkProcess = getCheckProcess(hasCompetentDepartment);
	var data = {
		"checkProcess": checkProcess,
		"stepType": 2,
		"processType": "zwgwbd",
		"checkStatus": 1
	}
	topmobi.native.cache.putSharedValue("temp", "checkProcessData", JSON.stringify(data));
	topmobi.native.common.openWindow(obj);
});

/*
 * 享受待遇的职务等级
 */
var options1 = {
	data: ARR_treatmentLevelSelected,
	title: '请选择',
	duration: 300
};
$("#positionLevel").parent().on('tap', function() {
	var actionSheet = new topmobi.widget.actionSheetDialog(options1);
	actionSheet.setItemClick(function(index) {
		$("#positionLevel").html(options1.data[index]);
		setDefaultForIsleaderFlag = setDefaultForIsleader(salaryPersonalInfo.yac002, CODE.YAC013[options1.data[index]], $("#isLeaderTreatment"));
		actionSheet.remove();
	});
});

//是否领导职务
var options2 = {
	data: ARR_eitherOr,
	title: '请选择',
	duration: 300
};
$("#isLeaderTreatment").parent().on('tap', function() {
	if(setDefaultForIsleaderFlag) {
		return;
	}
	var actionSheet = new topmobi.widget.actionSheetDialog(options2);
	actionSheet.setItemClick(function(index) {
		$("#isLeaderTreatment").html(options2.data[index]);
		actionSheet.remove();
	});
});

/*
 * 工资等级
 */
$("#salaryGrade").on("blur", function() {
	var positionLevelValue = $("#positionLevel").html();
	if(!checkChooseItem(positionLevelValue, "请先选择享受待遇的职务等级")) {
		return;
	}
	var item = checkSalaryLevel(CODE.YAC013[positionLevelValue]);
	var salaryGradeValue = this.value;
	if(parseFloat(salaryGradeValue) > item[1]) {
		topmobi.native.common.showMsg("工资等级不能大于" + item[1], "middle", toastTimeForSalary);
		$(this).val(item[1] + "");
		return;
	}
	if(parseFloat(salaryGradeValue) < item[0]) {
		topmobi.native.common.showMsg("工资等级不能小于" + item[0], "middle", toastTimeForSalary);
		$(this).val(item[0] + "");
		return;
	}
})

/*
 * 工资档次
 */
$("#salaryLevel").on("input", function() {
	var salaryLevelValue = this.value;
	if(parseFloat(salaryLevelValue) > 14) {
		topmobi.native.common.showMsg("工资档次不能大于14", "middle", toastTimeForSalary);
		$(this).val("14");
		return;
	}
	if(parseFloat(salaryLevelValue) < 1) {
		topmobi.native.common.showMsg("工资档次不能小于1", "middle", toastTimeForSalary);
		$(this).val("1");
		return;
	}
})

/*
 * 教师护士标识
 */
var options3 = {
	data: ARR_teacherOrNurseLabel,
	title: '请选择',
	duration: 300
};
$("#teacherOrNurse").parent().on('tap', function() {
	var actionSheet = new topmobi.widget.actionSheetDialog(options3);
	actionSheet.setItemClick(function(index) {
		educationBackgroundText = options3.data[index];
		$("#teacherOrNurse").html(educationBackgroundText);
		actionSheet.remove();
	});
});

/*
 * 工资开始年月
 */
$("#salaryBeginTime").on("tap", function() {
	var endTime = getEndTime();
	showMonthTimePicker($(this).find(".itemRightText"), "month", endTime.endYear, endTime.endMonth);
})

/**
 * 进入单位时间
 */
$("#unitTime").on("tap", function() {
	showMonthTimePicker($(this).find(".itemRightText"), "month");
})

function checkChooseItem(itemText, message) {
	if(itemText == "" || itemText == "--请选择--") {
		topmobi.native.common.showMsg(message, "middle", toastTimeForSalary);
		return false;
	}
	return true;
}

$(".save_btn").on("tap", function() {
	//必填信息校验
	var positionLevelValue = $("#positionLevel").html();
	if(!checkChooseItem(positionLevelValue, "请选择享受待遇的职务等级")) {
		return;
	}
	var index = ARR_treatmentLevelSelected.indexOf(positionLevelValue);
	if(index < 0) {
		topmobi.native.common.showMsg("请重选人员身份对应的享受待遇的职务等级", "middle", toastTimeForSalary);
		return;
	}

	var isLeaderTreatmentValue = $("#isLeaderTreatment").html();
	if(!checkChooseItem(isLeaderTreatmentValue, "请选择是否享受领导的职务待遇")) {
		return;
	}

	var salaryGradeValue = $("#salaryGrade").val();
	if(!$("#salaryGradeParent").hasClass("noDisplay")) {
		if(!checkChooseItem(salaryGradeValue, "请填写工资等级")) {
			return;
		}
		var item = checkSalaryLevel(CODE.YAC013[positionLevelValue]);
		if(salaryGradeValue < item[0] || salaryGradeValue > item[1]) {
			topmobi.native.common.showMsg("工资级别须在" + item[0] + "-" + item[1] + "范围内!", "middle", toastTimeForSalary);
			return;
		}
	}

	var salaryLevelValue = $("#salaryLevel").val();
	if(!$("#salaryLevelParent").hasClass("noDisplay")) {
		if(!checkChooseItem(salaryLevelValue, "请填写工资档次")) {
			return;
		}
		if(parseFloat(salaryLevelValue) > 14) {
			topmobi.native.common.showMsg("工资档次不能大于14", "middle", toastTimeForSalary);
			return;
		}
		if(parseFloat(salaryLevelValue) < 1) {
			topmobi.native.common.showMsg("工资档次不能小于1", "middle", toastTimeForSalary);
			return;
		}
	}

	var teacherOrNurseValue = $("#teacherOrNurse").html();
	if(!checkChooseItem(teacherOrNurseValue, "请选择教师护士标识")) {
		return;
	}

	var salaryBeginTimeValue = $("#salaryBeginTime").find(".itemRightText").html();
	if(!checkChooseItem(salaryBeginTimeValue, "请选择工资开始年月")) {
		return;
	}

	var unitTimeValue = $("#unitTime").find(".itemRightText").html();
	if(!checkChooseItem(unitTimeValue, "请选择进入单位时间")) {
		return;
	}

	var termTime = getShowTimeFormat(salaryPersonalInfo.yac092);
//	if(compareTime(unitTimeValue, termTime) > 0) {
//		topmobi.native.common.showMsg("任职时间需大于或等于进入单位时间", "middle", toastTimeForSalary);
//		return;
//	}

	var current = new Date().getTime();
	var currentTime = formatTimeStamp(current);
	if(compareTime(termTime, currentTime) >= 0) {
		topmobi.native.common.showMsg("任职时间不能大于当前日期", "middle", toastTimeForSalary);
		return;
	}

//	if(compareTime(salaryBeginTimeValue, currentTime) >= 0) {
//		topmobi.native.common.showMsg("工资开始年月不能大于当前日期", "middle", toastTimeForSalary);
//		return;
//	}
	var dataJson = {
		"aac001": salaryPersonalInfo.aac001, //个人编号 不能为空
		"aac002": salaryPersonalInfo.aac002, //身份证号 不能为空
		"aac008": salaryPersonalInfo.aac008, //人员状态 不能为空
		"yac002": salaryPersonalInfo.yac002, //人员身份 不能为空
		"yac005": salaryGradeValue || "0", //工资等级 
		"yac006": CODE.AAE100[teacherOrNurseValue], //教师护士标识 不能为空
		"yac013": CODE.YAC013[positionLevelValue], //享受待遇级别 不能为空
		"yac080": salaryLevelValue || "0", //工资档次 
		"yac081": CODE.AAE100[isLeaderTreatmentValue], //是否享受领导待遇 不能为空
		"yac091": getUploadTimeFormat(salaryBeginTimeValue), //工资开始年月 不能为空
		"yac092": salaryPersonalInfo.yac092, //任职时间 不能为空
		"aad008": getUploadTimeFormat(unitTimeValue), //进入单位时间 不能为空
	}
	if(!!salaryPersonalInfo.yac001) //人员来源
	{
		dataJson.yac001 = salaryPersonalInfo.yac001;
	}
	if(!!salaryPersonalInfo.yab001_1) //所在部门
	{
		dataJson.yab001_1 = salaryPersonalInfo.yab001_1;
	}
	savePostDuties(dataJson);
})

function savePostDuties(dataJson) {
	var obj = {
		url: basicSalaryUrl + 'zwgzbd/postDuties',
		data: dataJson,
		method: "post",
		isEncrypt: true,
		success: function(data) {
			var result = data.result;
			if(!!result.statusCode && result.statusCode == 201) {
				var result = JSON.parse(result.result);
				postDutiesChangeInfo(dataJson, result.aaz002);
			} else {
				if(!!result.statusCode && result.statusCode == 200 && !!data.result.message) {
					//保存失败，走这个分支，并将错误信息写入data.result.message
					topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSalary);
					return;
				}
				topmobi.native.common.showMsg("保存失败", "middle", toastTimeForSalary);
			}
		},
		fail: function(data) {
			topmobi.native.common.log("savePostDuties", "错误：" + JSON.stringify(data));
			if(!!data.result && !!data.result.message) {
				//平台出错将错误信息写入data.result.message
				topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSalary);
			} else if(!!data.msg) {
				topmobi.native.common.showMsg(data.msg, "middle", toastTimeForSalary);
			} else {
				topmobi.native.common.showMsg("网络异常，请检查网络", "middle", toastTimeForSalary);
			}
		}
	}
	rs_networkRequest(obj);
}

function postDutiesChangeInfo(dataJson, logNumber) {
	var dutiesChangeInfo = [];
	if(lastSalaryPersonalInfo.yac013 != dataJson.yac013) //享受待遇级别已改变
	{
		var temp = {
			"aae122": "yac013", //变更项
			"aae123": lastSalaryPersonalInfo.yac013, //变更前信息
			"aae124": dataJson.yac013, //变更后信息
			"aae155": "享受待遇的职务等级" //变更项名称
		}
		dutiesChangeInfo.push(temp);
	}
	if(lastSalaryPersonalInfo.yac081 != dataJson.yac081) //是否享受领导待遇已改变
	{
		var temp = {
			"aae122": "yac081", //变更项
			"aae123": lastSalaryPersonalInfo.yac081, //变更前信息
			"aae124": dataJson.yac081, //变更后信息
			"aae155": "是否享受领导职务待遇" //变更项名称
		}
		dutiesChangeInfo.push(temp);
	}
	if(!$("#salaryGradeParent").hasClass("noDisplay")) //工资等级已改变
	{
		if(lastSalaryPersonalInfo.yac005 != dataJson.yac005) {
			var temp = {
				"aae122": "yac005", //变更项
				"aae123": lastSalaryPersonalInfo.yac005, //变更前信息
				"aae124": dataJson.yac005, //变更后信息
				"aae155": "工资等级" //变更项名称
			}
			dutiesChangeInfo.push(temp);
		}
	}
	if(!$("#salaryLevelParent").hasClass("noDisplay")) //工资档次已改变
	{
		if(lastSalaryPersonalInfo.yac080 != dataJson.yac080) {
			var temp = {
				"aae122": "yac080", //变更项
				"aae123": lastSalaryPersonalInfo.yac080, //变更前信息
				"aae124": dataJson.yac080, //变更后信息
				"aae155": "工资档次" //变更项名称
			}
			dutiesChangeInfo.push(temp);
		}
	}
	if(lastSalaryPersonalInfo.yac006 != dataJson.yac006) //教师护士标识已改变
	{
		var temp = {
			"aae122": "yac006", //变更项
			"aae123": lastSalaryPersonalInfo.yac006, //变更前信息
			"aae124": dataJson.yac006, //变更后信息
			"aae155": "教师护士标识" //变更项名称
		}
		dutiesChangeInfo.push(temp);
	}
	if(lastSalaryPersonalInfo.yac091 != dataJson.yac091) //工资开始年月已改变
	{
		var temp = {
			"aae122": "yac091", //变更项
			"aae123": lastSalaryPersonalInfo.yac091, //变更前信息
			"aae124": dataJson.yac091, //变更后信息
			"aae155": "工资开始年月" //变更项名称
		}
		dutiesChangeInfo.push(temp);
	}
	if(salaryPersonalInfo.aad008 != dataJson.aad008) //进入单位时间已改变
	{
		var temp = {
			"aae122": "aad008", //变更项
			"aae123": salaryPersonalInfo.aad008, //变更前信息
			"aae124": dataJson.aad008, //变更后信息
			"aae155": "进入单位时间" //变更项名称
		}
		dutiesChangeInfo.push(temp);
	}
	if(dutiesChangeInfo.length > 0) {
		dutiesChangeInfo = JSON.stringify(dutiesChangeInfo);
	} else {
		topmobi.native.common.closeWindow(0);
		return;
	}
	var dutiesChangeInfoJson = {
		"aac001": salaryPersonalInfo.aac001, //个人编号 不能为空
		"aaz002": logNumber, //日志编号 不能为空
		"bgxm": dutiesChangeInfo //变更项目，数组的json字符串，每项包含 aae122 aae123 aae124 aae155四个元素，且aae122和aae155不能为空
	}
	var obj = {
		url: basicSalaryUrl + 'zwgzbd/postDutiesChangeInfo',
		data: dutiesChangeInfoJson,
		method: "post",
		isEncrypt: true,
		success: function(data) {
			var result = data.result;
			if(!!result.statusCode && result.statusCode == 201) {
				topmobi.native.common.showMsg(result.message, "middle", toastTimeForSalary);
				topmobi.native.common.closeWindow(0);
			} else {
				if(!!result.statusCode && result.statusCode == 200 && !!data.result.message) {
					//保存失败，走这个分支，并将错误信息写入data.result.message
					topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSalary);
					return;
				}
				topmobi.native.common.showMsg("保存失败", "middle", toastTimeForSalary);
			}
		},
		fail: function(data) {
			topmobi.native.common.log("savePostDuties", "错误：" + JSON.stringify(data));
			if(!!data.result && !!data.result.message) {
				//平台出错将错误信息写入data.result.message
				topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSalary);
			} else if(!!data.msg) {
				topmobi.native.common.showMsg(data.msg, "middle", toastTimeForSalary);
			} else {
				topmobi.native.common.showMsg("网络异常，请检查网络", "middle", toastTimeForSalary);
			}
		}
	}
	rs_networkRequest(obj);
}