$().ready(function() {
	var idCardNumber;
	var hadGetRelatedInfo = false; //是否根据身份证号获取过人员信息
    var listData = [];
    $(".already_salary_info").hide();
	var result;
	// 返回
	$(".back_icon").off("tap");
	$('.back_icon').on('tap', function() {
		history.back();
	});
	var hasCompetentDepartment = topmobi.native.cache.getSharedValue("user", "hasCompetentDepartment"); //是否有主管部门

	//查政策
	$('.operationBar_policy').on('tap', function() {
		var obj = {
			action: {
				android: "gov.my.socialsecurity.htmlactivity.home.PolicyMenusActivity",
				ios: "CHBaseWebViewController"
			},
			windowType: 0,
			params: {
				info: "",
				html: "html_salary/policyMenus.html"
			}
		}
		topmobi.native.cache.putSharedValue("temp", "policyType", "gddgz");
		topmobi.native.common.openWindow(obj);
	});

	//操作指南
	$('.operationBar_guide').on('tap', function() {
		var obj = {
			action: {
				android: "gov.my.socialsecurity.htmlactivity.home.OperationGuidListActivity",
				ios: "CHBaseWebViewController"
			},
			windowType: 0,
			params: {
				info: "",
				html: "html_salary/operationGuidList.html"
			}
		}
		topmobi.native.cache.putSharedValue("temp", "guideType", "gddgz");
		topmobi.native.common.openWindow(obj);
	});
	//看流程
	$('.operationBar_process').on('tap', function() {
		var obj = {
			action: {
				android: "gov.my.socialsecurity.htmlactivity.home.SalaryChangeProcessingActivity",
				ios: "CHBaseWebViewController"
			},
			windowType: 0,
			params: {
				info: "",
				html: "html_salary/salary_change_processing.html"
			}
		}
		var checkProcess = getCheckProcess(hasCompetentDepartment);
		var data = {
			"checkProcess": checkProcess,
			"stepType": 1,
			"processType": "gddgz",
			"checkStatus": 1
		}
		topmobi.native.cache.putSharedValue("temp", "checkProcessData", JSON.stringify(data));
		topmobi.native.common.openWindow(obj);
	});

	/*
	 * 人员基本信息
	 */
	//点击搜索按钮，根据身份证号码查询信息
	$('.search-btn').on('tap', function() {
		//$("#idCardNumber").val("65310019700513371X");
		//验证身份证
		idCardNumber = $("#idCardNumber").val();
		if(!isNull(idCardNumber)) {
			if(isIdCardNo(idCardNumber)) {
				$("#idCardNumber").blur();
				getRelatedInfo();
			} else {
				topmobi.native.common.showMsg("身份证号格式不对", "middle", toastTimeForSalary);
			}
		} else {
			topmobi.native.common.showMsg("身份证号不能为空", "middle", toastTimeForSalary);
		}
	});

	/*
	 * 根据身份证号码获取人员基本信息
	 */
	function getRelatedInfo() {
		listData = [];
		removeRecordItemView();
		var obj = {
			url: basicSalaryUrl + "gddgz/xxlr/" + idCardNumber,
			method: "get",
			isEncrypt: true,
			success: function(data) {
				topmobi.native.common.log("requestList+++success+++=" + JSON.stringify(data));
				paraseRespData(data);
			},
			fail: function(data) {
				showExistListView();
				showError();
			}
		};
		rs_networkRequest(obj);
	}

	/**
	 *  response解析
	 *  @param {Object} data
	 */
	function paraseRespData(data) {
		try {
			if(data.result && !!data.result.statusCode && data.result.statusCode == 200) {
				result = JSON.parse(data.result.result);
				// 人员姓名
				$("#name").html(result.aac003);
				// 人员身份
				$("#personIdentify").html(getKeyWithValue("YAC002", result.yac002));
				// 享受待遇级别
				$("#shareTreatmentLevel").html(getKeyWithValue("YAC013", result.yac013));
				// 工资级别
				$("#treatmentLevel").html(result.yac005);
				//工资档次
				$("#salaryLevel").html(result.yac080);
				listData = result.gddlb;
				showExistListView();
			}
		} catch(e) {
			//TODO handle the exception
			try {
				topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSalary);
			} catch(e) {
				//TODO handle the exception
			}
			showExistListView();
		}
	}

	/**
	 * 显示已存在高低定列表信息
	 */
	function showExistListView(){
		if(listData == undefined) listData = [];
		$(".performanceAllowance_existing_info").html("");
		$(".performanceAllowance_existing_info").show();
		for(var i = 0; i < listData.length; i++) {
			var orderItem = listData[i];
			orderItem.newSalaryLevel = getKeyWithValue("YAC013",orderItem.ya2606);
			orderItem.newSalaryJobLevel = getKeyWithValue("YAC013",orderItem.ya2607);
			orderItem.newSalaryChangeMode = getKeyWithValue("YA2603",orderItem.ya2603);
			orderItem.newRewardsPunishmentType = getKeyWithValue("A2605",orderItem.a2605);
			orderItem.executionFlag = getKeyWithValue("AAE100",orderItem.yac111);
		}
		$(".performanceAllowance_existing_info").append(template("template_performanceAllowance_existing_list", listData));
		$(".performanceAllowance_existing_info").show();
		// 若查询的数据为空  则屏蔽已存在信息显示
		if(listData.length == 0){
			$(".performanceAllowance_existing_info").hide();
		}
	}

	function removeRecordItemView() {
		$("#name").html("");
		// 人员身份
		$("#personIdentify").html("");
		// 享受待遇级别
		$("#shareTreatmentLevel").html("");
		// 工资级别
		$("#treatmentLevel").html("");
		//工资档次
		$("#salaryLevel").html("");
		
		$("#newHighLowReason").val("");
		$("#newSalaryChangeMode").html("--请选择--");
		$("#newRewardsPunishmentType").html("--请选择--");
		$("#newChangeNum").val("");
		$("#newFileOrder").val("");
		$("#newStartTime").find(".itemRightText").html("--请选择--");
		$("#newEndTime").find(".itemRightText").html("--请选择--");
		$("#newSalaryJobLevel").html("--请选择--");
		$("#newSalaryLevel").html("--请选择--")
	}

	/*
	 * 开始时间
	 */
	$("#newStartTime").on("tap", function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}
		showMonthTimePicker($(this).find(".itemRightText"), "date", 2050);
	})

	/*
	 * 停止时间
	 */
	$("#newEndTime").on("tap", function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}
		showMonthTimePicker($(this).find(".itemRightText"), "date", 2050);
	})

	/*
	 * 工资联动方式
	 */
	var options1 = {
		data: ARR_salaryChangeMode,
		title: '请选择',
		duration: 300
	};
	$("#newSalaryChangeMode").parent().on('tap', function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}
		var actionSheet = new topmobi.widget.actionSheetDialog(options1);
		actionSheet.setItemClick(function(index) {
			$("#newSalaryChangeMode").html(options1.data[index]);
			actionSheet.remove();
		});
	});

	/*
	 * 奖惩类别
	 */
	var options2 = {
		data: ARR_rewardsPunishmentType,
		title: '请选择',
		duration: 300
	};
	$("#newRewardsPunishmentType").parent().on('tap', function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}
		var actionSheet = new topmobi.widget.actionSheetDialog(options2);
		actionSheet.setItemClick(function(index) {
			$("#newRewardsPunishmentType").html(options2.data[index]);
			actionSheet.remove();
		});
	});

	/*
	 * 撤职(降聘)后工资职务层级
	 */
	var options3 = {
		data: ARR_jobGrades,
		title: '请选择',
		duration: 300
	};
	$("#newSalaryJobLevel").parent().on('tap', function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}
		
		var actionSheet = new topmobi.widget.actionSheetDialog(options3);
		actionSheet.setItemClick(function(index) {
			$("#newSalaryJobLevel").html(options3.data[index]);
			actionSheet.remove();
		});
	});

	/*
	 * 撤职(降聘)后工资层级
	 */
	var options4 = {
		data: ARR_jobGrades,
		title: '请选择',
		duration: 300
	};
	$("#newSalaryLevel").parent().on('tap', function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}

		var actionSheet = new topmobi.widget.actionSheetDialog(options4);
		actionSheet.setItemClick(function(index) {
			$("#newSalaryLevel").html(options4.data[index]);
			actionSheet.remove();
		});
	});

	function checkHasGetRelatedInfo(isInput) {
		idCardNumber = $("#idCardNumber").val();
		if(isNull(idCardNumber) || !isIdCardNo(idCardNumber)) {
			topmobi.native.common.showMsg("请先填写身份证号获取回填信息", "middle", toastTimeForSalary);
			$("input").blur();
			return false;
		}
		if(!isInput) {
			$("input").blur();
		}
		return true;
	}

	/*
	 * 检查信息
	 */
	function checkChooseItem(itemText, message) {
		if(itemText == "" || itemText == "--请选择--") {
			topmobi.native.common.showMsg(message, "middle", toastTimeForSalary);
			return false;
		}
		return true;
	}



	$(".save_btn").on("tap", function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}
		
		// 人员身份检查  同步pc端
		var personId = $("#personIdentify").html();
		if(personId != undefined && personId != "" && isContains(personId,"检察官")){
			topmobi.native.common.showMsg("该人员身份不能进行高低定", "middle", toastTimeForSalary);
			return;
		}
		
		//必填信息校验
		var name = $("#name").val();
		if(!checkChooseItem(name, "个人姓名不能为空")) {
			return;
		}

		var newHighLowReason = $("#newHighLowReason").val();
		if(!checkChooseItem(newHighLowReason, "请输入高低定原因")) {
			return;
		}

		var newSalaryChangeMode = $("#newSalaryChangeMode").html();
		if(!checkChooseItem(newSalaryChangeMode, "请选择工资联动方式")) {
			return;
		}

		var newRewardsPunishmentType = $("#newRewardsPunishmentType").html();
		if(!checkChooseItem(newRewardsPunishmentType, "请选择奖惩类别")) {
			return;
		}

		var newChangeNum = $("#newChangeNum").val();
		if(!checkChooseItem(newChangeNum, "请输入变动数值")) {
			return;
		}

		var newStartTime = $("#newStartTime").find(".itemRightText").html();
		if(!checkChooseItem(newStartTime, "请选择开始时间")) {
			return;
		}

		var newFileOrder = $("#newFileOrder").val();
		var newEndTime = $("#newEndTime").find(".itemRightText").html();
		if(newEndTime == "--请选择--"){
			newEndTime = "";
		}
		var newSalaryJobLevel = $("#newSalaryJobLevel").html();
		if(newSalaryJobLevel != "") {
			newSalaryJobLevel = CODE.YAC013[newSalaryJobLevel];
		}

		var newSalaryLevel = $("#newSalaryLevel").html();
		if(newSalaryLevel != "") {
			newSalaryLevel = CODE.YAC013[newSalaryLevel];
		}	
		if(newEndTime != "" && newEndTime != "--请选择--" && compareTime(newEndTime,newStartTime) <= 0){
			topmobi.native.common.showMsg("开始时间需早于结束日期", "middle", toastTimeForSalary);
			return;
		}

		var dataJson = {
			"aac002": idCardNumber,
			"aac001": result.aac001,
			"aac008": result.aac008,
			"aae030": newStartTime,
			"yac042": newChangeNum,
			"yac016": newFileOrder,
			"aae031": newEndTime,
			"yac043": newHighLowReason,
			"ya2603": CODE.YA2603[newSalaryChangeMode],
			"a2605": CODE.A2605[newRewardsPunishmentType],
			"ya2607": newSalaryJobLevel,
			"ya2606": newSalaryLevel,
		};

		topmobi.native.common.log("dataJson+++++", JSON.stringify(dataJson));
		//保存高低定信息
		saveHighLowSalaryInfo(dataJson);
	})

	function saveHighLowSalaryInfo(dataJson) {
		var obj = {
			url: basicSalaryUrl + 'gddgz',
			data: dataJson,
			method: "post",
			isEncrypt: true,
			success: function(data) {
				var result = data.result;
				if(result.statusCode == 201) {
					topmobi.native.common.showMsg(result.message, "middle", toastTimeForSalary);
					history.go(-1);
				} else if(result.statusCode == 201) {
					topmobi.native.common.showMsg(result.message, "middle", toastTimeForSalary);
				} else {
					topmobi.native.common.showMsg("保存失败", "middle", toastTimeForSalary);
				}
			},
			fail: function(data) {
				topmobi.native.common.log("fail+", data.msg);
				topmobi.native.common.showMsg("网络异常", "middle", toastTimeForSalary);
			}
		}
		rs_networkRequest(obj);
	}
})