var guideType = topmobi.native.cache.getSharedValue("temp", "guideType");
getTitleWithGuideType();
getOperationGuideList();

function getOperationGuideList(callback) {
	var url = basicSalaryUrl + guideType + "/czznlb";
	var obj = {
		url: url,
		method: "get",
		isEncrypt: true,
		success: function(data) {
			try {
				var result = data.result;
				if(result && !!result.statusCode && result.statusCode == 200) {
					var errMessage = "该业务没任何操作指南";
					if(!!result.result) {
						var result = JSON.parse(result.result);
						if(result.length <= 0) {
							topmobi.native.common.showMsg(errMessage, "middle", toastTimeForSalary);
						} else {
							for(var i = 0; i < result.length; i++) {
								var temp = result[i];
								temp.guideName = temp.aad002;
								temp.serialNumber = temp.aad001;
							}
							$(".content_scroll").html(template("template_operation_guide_list", result));
						}
					} else {
						topmobi.native.common.showMsg(errMessage, "middle", toastTimeForSalary);
					}
				} else {
					topmobi.native.common.showMsg("获取操作指南列表失败，请重试", "middle", toastTimeForSalary);
				}
			} catch(e) {
				topmobi.native.common.showMsg("操作指南列表数据异常", "middle", toastTimeForSalary);
			}
		},
		fail: function(data) {
			topmobi.native.common.log("requestList+++fail+++=" + JSON.stringify(data));
			if(!!data.msg) {
				topmobi.native.common.showMsg(data.msg, "middle", toastTimeForSalary);
			} else {
				topmobi.native.common.showMsg("网络异常，请检查网络", "middle", toastTimeForSalary);
			}
		}
	};
	rs_networkRequest(obj);
}

$(".content_scroll").on("tap", ".listItem", function() {
	var serialNumber = $(this).data("serialnumber");
	if(!serialNumber) {
		topmobi.native.common.showMsg("该操作指南没返回流水号", "middle", toastTimeForSalary);
		return;
	}
	location.href = "operationGuidDetail.html?serialNumber=" + serialNumber + "&guideType=" + guideType;
})