$(".back_icon").off("tap");
$('.back_icon').on('tap', function() {
	history.back();
});

var ARR_treatmentLevelSelected; //人员身份选定后，对应的享受待遇级别数组
var editPositioninfoIndex = -1;//编辑职位简历的序列号
var setDefaultForIsleaderFlag = false;//是否将“是否领导职务”设置为否 是则不可编辑 否则可编辑

initInfo();

function initInfo() {
	var tempPositionInfo = topmobi.native.cache.getSharedValue("temp", "tempPositioninfo");
	if(!!tempPositionInfo) {
		tempPositionInfo = JSON.parse(tempPositionInfo);
	} else {
		return;
	}
	var temp = topmobi.native.cache.getSharedValue("temp", "editPositioninfoIndex");
	if(!!temp){
		editPositioninfoIndex = parseInt(temp);
	}
	$("#jobStartTime").find(".itemRightText").html(getShowTimeFormat(tempPositionInfo.yac011));
	var temp = getKeyWithValue("YAC002", tempPositionInfo.yac002);
	$("#personIdentify").html(temp);
	ARR_treatmentLevelSelected = ARR_personIdentifyRelated[temp];
	$("#jobGrades").html(getKeyWithValue("YAC013", tempPositionInfo.yac013_1));
	$("#isLeader").html(getKeyWithValue("AAE100", tempPositionInfo.yac014));
	
	if(!!tempPositionInfo.yac012)
	{
		$("#unit").val(tempPositionInfo.yac012);
	}
	if(!!tempPositionInfo.yac015)
	{
		$("#positionName").val(tempPositionInfo.yac015);
	}
	if(!!tempPositionInfo.yac016)
	{
		$("#fileAccording").val(tempPositionInfo.yac016);
	}
}

/*
 * 任职时间
 */
$("#jobStartTime").on("tap", function() {
	showMonthTimePicker($(this).find(".itemRightText"));
})

/*
 * 人员身份
 */
$("#personIdentify").parent().on('tap', function() {
	var options1 = {
		data: ARR_personIdentify,
		title: '请选择',
		duration: 300
	};
	var actionSheet = new topmobi.widget.actionSheetDialog(options1);
	actionSheet.setItemClick(function(index) {
		$("#personIdentify").html(options1.data[index]);
		ARR_treatmentLevelSelected = ARR_treatmentLevel[index];
		actionSheet.remove();
	});
});

//是否领导职务	
$("#isLeader").parent().on('tap', function() {
	if(setDefaultForIsleaderFlag){
		return;
	}
	var options3 = {
		data: ARR_eitherOr,
		title: '请选择',
		duration: 300
	};
	var actionSheet = new topmobi.widget.actionSheetDialog(options3);
	actionSheet.setItemClick(function(index) {
		$("#isLeader").html(options3.data[index]);
		actionSheet.remove();
	});
});

/*
 * 职务(岗位)级别
 */
$("#jobGrades").parent().on('tap', function() {
	var options2 = {
		data: ARR_treatmentLevelSelected,
		title: '请选择',
		duration: 300
	};
	if(ARR_treatmentLevelSelected != undefined) {
		var actionSheet = new topmobi.widget.actionSheetDialog(options2);
		actionSheet.setItemClick(function(index) {
			$("#jobGrades").html(options2.data[index]);
			actionSheet.remove();
			var personIdentifyValue = $("#personIdentify").html();
			setDefaultForIsleaderFlag = setDefaultForIsleader(CODE.YAC002[personIdentifyValue], CODE.YAC013[options2.data[index]], $("#isLeader"));
		});
	} else {
		topmobi.native.common.showMsg("请先选择人员身份", "middle", toastTimeForSalary);
	}
});

/*
 * 检查信息
 */
function checkChooseItem(itemText, message) {
	if(itemText == "" || itemText == "--请选择--") {
		topmobi.native.common.showMsg(message, "middle", toastTimeForSalary);
		return false;
	}
	return true;
}

var personIdentifyValueCopy = "";
var startTimeCopy = "";
//保存任职简历
$(".save_btn").on("tap", function() {

	//必填信息校验
	var startTime = $("#jobStartTime").find(".itemRightText").html();
	if(!checkChooseItem(startTime, "请选择任职开始时间")) {
		return;
	} else {
		startTimeCopy = startTime;
	}
	var personIdentifyValue = $("#personIdentify").html();
	if(!checkChooseItem(personIdentifyValue, "请选择人员身份")) {
		return;
	} else {
		personIdentifyValueCopy = personIdentifyValue;
	}
	var positionLevelValue = $("#jobGrades").html();
	if(!checkChooseItem(positionLevelValue, "请选择职务等级")) {
		return;
	} else {
		var index = ARR_treatmentLevelSelected.indexOf(positionLevelValue);
		if(index < 0) {
			topmobi.native.common.showMsg("请重选人员身份对应的现职务等级", "middle", toastTimeForSalary);
			return;
		}
	}

	var isLeaderValue = $("#isLeader").html();
	if(!checkChooseItem(isLeaderValue, "请选择是否领导职务")) {
		return;
	}
	var current = new Date().getTime();
	var currentTime = formatTimeStamp(current);
	if(compareTime(startTime, currentTime) >= 0) {
		topmobi.native.common.showMsg("参加工作时间不能大于当前日期", "middle", toastTimeForSalary);
		return;
	}

	var saveData = topmobi.native.cache.getSharedValue("person", "personinfo");
	if(!!saveData) {
		saveData = JSON.parse(saveData);
	} else {
		return;
	}

	var idfNumberCopy = saveData.aac002; //人员身份证
	var personidfy = saveData.yac002; //人员身份
	var dataJson = {
		"aac002": idfNumberCopy, //身份证
		"yac011": startTime,
		"yac002": CODE.YAC002[personIdentifyValue],
		"yac013_1": CODE.YAC013[positionLevelValue],
		"yac014": CODE.A0194[isLeaderValue],
	};

	var unit = $("#unit").val();
	if(!!unit) {
		dataJson.yac012 = unit; //任职单位
	}
	var positionName = $("#positionName").val();
	if(!!positionName) {
		dataJson.yac015 = positionName; //岗位名称
	}
	var fileAccording = $("#fileAccording").val();
	if(!!fileAccording) {
		dataJson.yac016 = fileAccording; //文件依据
	}

	topmobi.native.common.log("dataJson+++++", JSON.stringify(dataJson));
	//将简历所有信息保存到本地
	var listPositionData = [];
	var getAllPositionData = topmobi.native.cache.getSharedValue("person", "allpositioninfo");
	if(!!getAllPositionData) {
		listPositionData = JSON.parse(getAllPositionData);
	}
	if(editPositioninfoIndex != -1){
		listPositionData[editPositioninfoIndex] = dataJson;
	}else{
		listPositionData.push(dataJson);
	}
	
	topmobi.native.cache.putSharedValue("person", "allpositioninfo", JSON.stringify(listPositionData));
	//将部分简历保存到本地
	var listData = [];
	var getData = topmobi.native.cache.getSharedValue("person", "position");
	if(!!getData) {
		listData = JSON.parse(getData);
	}
	var saveData = {
		"personIdentify": personIdentifyValueCopy,
		"startTime": startTimeCopy,

	}
	if(editPositioninfoIndex != -1){
		listData[editPositioninfoIndex] = saveData;
	}else{
		listData.push(saveData);
	}
	topmobi.native.cache.putSharedValue("person", "position", JSON.stringify(listData));
	history.go(-1);
})

