$().ready(function() {
	// 返回
	$(".back_icon").off("tap");
	$('.back_icon').on('tap', function() {
		history.back();
	});
	var listData = [];
	listData = topmobi.native.cache.getSharedValue("person", "study");
	if(!!listData) {
		listData = JSON.parse(listData);
	}
	initList();

	function initList() {
		$(".list_view").html("");
		for(var i = 0; i < listData.length; i++) {
			var orderItem = listData[i];

			var orderItemDom = template("template_list_item", orderItem);
			$(".list_view").append(orderItemDom);
		}
	}

	$(".list_view").addCellLeftSlide(".list_item_detail", function(e) {
		var studyInfo = topmobi.native.cache.getSharedValue("person", "allstudyinfo"); //人员工作简历缓存
		if(!!studyInfo) {
			studyInfo = JSON.parse(studyInfo);
		} else {
			return;
		}
		// 点击某一条件item 进入条件编辑界面
		var index = $(e.currentTarget).parents(".listItem").index();
		var tempStudyInfo = studyInfo[index];
		topmobi.native.cache.putSharedValue("temp", "tempStudyInfo", JSON.stringify(tempStudyInfo));
		topmobi.native.cache.putSharedValue("temp", "editStudyinfoIndex", index + "");
		location.href = "personal_increase_studyResume.html";
	})

	//点击某一工作简历的删除按钮 
	$(".list_view").on("tap", ".item_delete", function(e) {
		var index = $(this).parents(".listItem").index();
		$(this).siblings(".list_item_detail").removeClass("active");
		$(this).parents(".listItem").remove();
		listData.splice(index, 1);
		topmobi.native.cache.putSharedValue("person", "study", JSON.stringify(listData));
		
		var studyInfo = topmobi.native.cache.getSharedValue("person", "allstudyinfo"); //人员工作简历缓存
		if(!!studyInfo) {
			studyInfo = JSON.parse(studyInfo);
			studyInfo.splice(index, 1);
			topmobi.native.cache.putSharedValue("person", "allstudyinfo", JSON.stringify(studyInfo)); 
		}
	})

	$(".addIcon").on("touchend", function(e) {
		e.preventDefault();
	})

	$(".addIcon").on("tap", function() {
		topmobi.native.cache.removeSharedValue("temp", "tempStudyInfo");
		topmobi.native.cache.removeSharedValue("temp", "editStudyinfoIndex");
		location.href = "personal_increase_studyResume.html";
	})

	$(".save_btn").on("touchend", function(e) {
		e.preventDefault();
	})

	$(".save_btn").on("tap", function() {
		if(!!listData) {
			location.href = "personal_increase_position_resume_list.html";
		} else {
			topmobi.native.common.showMsg("请最少添加一条学习简历！", "middle", toastTimeForSalary);
		}
	})
})