$().ready(function() {
	//重写退出按钮事件
	$(".back_icon").off("tap");
	$(".back_icon").on("tap", function() {
		history.go(-1);
	})
	$(".itemRightResultText").html("");
	var idCardNumber = getQuery("idCardNumber");

	getDetailInfo();
	function getDetailInfo() {
		var obj = {
			url: basicSalaryUrl + 'swdy/xxlr/' + idCardNumber,
			method: "get",
			isEncrypt: false,
			success: function(data) {
				try {
					if(data.result && !!data.result.statusCode && data.result.statusCode == 200) {
						var result = JSON.parse(data.result.result);
						topmobi.native.common.log("getDetailInfo+++result+++=" + JSON.stringify(result));
						//人员基本信息
						$("#idCardNumber").html(result.aac002);
						$("#name").html(result.aac003);
						$("#sex").html(getKeyWithValue("AAC004", result.aac004));
						$("#birthTime").html(getShowTimeFormat(result.aac006));
						var companyName = topmobi.native.cache.getSharedValue("user", "companyName");
						$("#unit").html(companyName || "");

						//人事信息
						$("#personIdentify").html(getKeyWithValue("YAC002", result.yac002));
						$("#positionLevel").html(getKeyWithValue("YAC013", result.yac013));
						$("#salaryGrade").html(result.yac005);
						$("#salaryLevel").html(result.yac080);
						$("#isLeader").html(getKeyWithValue("AAE100", result.yac081));
						$("#teacherOrNurse").html(getKeyWithValue("AAE100", result.yac006));
						$("#teacherOfMiddleAndPrimarySchool").html(getKeyWithValue("AAE100", result.tac009));
						$("#isAcademicLeader").html(getKeyWithValue("AAE100", result.tac010));
						$("#policeRankAllowance").html(result.aac065);
						$("#increaseRatio").html(result.tac005);
						//工资信息
						$("#retiredType").html(getKeyWithValue("TAC001", result.tac001));
						$("#retiredTime").html(getShowTimeFormat(result.tac002));
						$("#advancedTetiredMark").html(getKeyWithValue("AAE100", result.tac003));
						$("#jobTime").html(getShowTimeFormat(result.aac007));
						$("#discontinuousMonths").html(result.yac035);
						$("#offerRatio").html(result.jfbl);
						$("#retiredFeeExecuteTime").html(getShowTimeFormat(result.tac011));
						$("#according").html(getKeyWithValue("AAC063", result.aac063));
					} else {
						topmobi.native.common.showMsg("请求失败", "middle", toastTimeForSalary);
					}
				} catch(e) {
					topmobi.native.common.log("getDetailInfo", "错误：" + e.message);
					topmobi.native.common.showMsg("数据异常", "middle", toastTimeForSalary);
				}
			},
			fail: function(data) {
				topmobi.native.common.log("getDetailInfo+++fail+++=" + JSON.stringify(data));
				topmobi.native.common.showMsg("网络异常", "middle", toastTimeForSalary);
			}
		};
		rs_networkRequest(obj);
	}
})