	var titleSuffix = "政策目录";
	var menus = [];
	var policyType = topmobi.native.cache.getSharedValue("temp", "policyType");
	getTitleWithPolicyType();
	getPolicyMenus();

	function getPolicyMenus() {
		var url = basicSalaryUrl + policyType + '/zccx/menus';
		var obj = {
			url: url,
			method: "get",
			isEncrypt: true,
			success: function(data) {
				try {
					if(data.result && !!data.result.statusCode && data.result.statusCode == 200) {
						var result = JSON.parse(data.result.result);
						if(result.length <= 0) {
							topmobi.native.common.showMsg("没有获取到任何政策目录", "middle", toastTimeForSalary);
						} else {
							menus = result;
							var listHtml = template("template_policy_menu_list", menus);
							$(".content_scroll").append(listHtml);
						}
					} else {
						topmobi.native.common.showMsg("获取政策目录失败", "middle", toastTimeForSalary);
					}
				} catch(e) {
					if(!!data.result.message) {
						topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSalary);
						return;
					}
					topmobi.native.common.log("getRelatedInfo", "错误：" + e.message);
					topmobi.native.common.showMsg("政策目录数据异常", "middle", toastTimeForSalary);
				}
			},
			fail: function(data) {
				topmobi.native.common.log("getPolicyMenus+++fail+++=" + JSON.stringify(data));
				if(!!data.msg) {
					topmobi.native.common.showMsg(data.msg, "middle", toastTimeForSalary);
				} else {
					topmobi.native.common.showMsg("网络异常，请检查网络", "middle", toastTimeForSalary);
				}
			}
		};
		rs_networkRequest(obj);
	}

	$(".content_scroll").on("tap", ".listItem", function() {
		var muid = $(this).data("id");
		if(!muid) {
			topmobi.native.common.showMsg("该类政策没返回id号", "middle", toastTimeForSalary);
			return;
		}
		location.href = "policies.html?muid=" + muid + "&policyType=" + policyType;
	})
