/*
 * 本文件用于存放“工资管理”公共的方法或变量
 */
//"是"、"否"选项统一用这个数组
var ARR_eitherOr = ['是','否'];

// 现任职务等级
var ARR_jobGrades = ['国家级正职', '国家级副职', '省部级正职', '省部级副职', '正厅', '副厅', '正县', '副县', '正科', '副科', '科员', '办事员', '试用期',
	'一级警长', '二级警长', '三级警长', '四级警长', '一级警员', '二级警员', '三级警员',
	'高级技师', '技师', '高级工', '中级工', '初级工', '普通工', '机关技术工熟练期', '机关技术工学徒期',
	'管理1级', '管理2级', '管理3级', '管理4级', '管理5级', '管理6级', '管理7级', '管理8级', '管理9级', '管理10级', '管理见习期', 
	'专技1级', '专技2级', '专技3级', '专技4级', '专技5级', '专技6级', '专技7级', '专技8级', '技9级', '专技10级', '专技11级', '专技12级', '专技13级', '专技见习期',
	'技术工1级', '技术工2级', '技术工3级', '技术工4级', '技术工5级', '事业工勤普通工', '事业技术工熟练期', '事业技术工学徒期',
    '一级高级法官、检察官', '二级高级法官、检察官', '三级高级法官、检察官', '四级高级法官、检察官',
	'一级法官、检察官', '二级法官、检察官', '三级法官、检察官', '四级法官、检察官', '五级法官、检察官',
];

/*
 * 人员身份和享受待遇级别是级联关系
 */
var ARR_personIdentifyRelated = {"综合管理类公务员":['国家级正职', '国家级副职', '省部级正职', '省部级副职', '正厅', '副厅', '正县', '副县', '正科', '副科', '科员', '办事员', '试用期','一级警长', '二级警长', '三级警长', '四级警长', '一级警员', '二级警员', '三级警员'],
								"专业技术类公务员":['国家级正职', '国家级副职', '省部级正职', '省部级副职', '正厅', '副厅', '正县', '副县', '正科', '副科', '科员', '办事员', '试用期','一级警长', '二级警长', '三级警长', '四级警长', '一级警员', '二级警员', '三级警员'],
								"行政执法类公务员":['国家级正职', '国家级副职', '省部级正职', '省部级副职', '正厅', '副厅', '正县', '副县', '正科', '副科', '科员', '办事员', '试用期','一级警长', '二级警长', '三级警长', '四级警长', '一级警员', '二级警员', '三级警员'],
								"参公人员":['国家级正职', '国家级副职', '省部级正职', '省部级副职', '正厅', '副厅', '正县', '副县', '正科', '副科', '科员', '办事员', '试用期','一级警长', '二级警长', '三级警长', '四级警长', '一级警员', '二级警员', '三级警员'],
								"机关工勤人员":['高级技师', '技师', '高级工', '中级工', '初级工', '普通工', '机关技术工熟练期', '机关技术工学徒期'],
								"事业单位管理人员":['管理1级', '管理2级', '管理3级', '管理4级', '管理5级', '管理6级', '管理7级', '管理8级', '管理9级', '管理10级','管理见习期'],
								"事业单位专技人员":['专技1级', '专技2级', '专技3级', '专技4级', '专技5级', '专技6级', '专技7级', '专技8级', '专技9级', '专技10级', '专技11级', '专技12级', '专技13级', '专技见习期'],
								"事业单位工勤人员":['技术工1级', '技术工2级', '技术工3级', '技术工4级', '技术工5级', '事业工勤普通工', '事业技术工熟练期', '事业技术工学徒期'],
								"员额内法官、检察官":['一级高级法官、检察官', '二级高级法官、检察官', '三级高级法官、检察官', '四级高级法官、检察官','一级法官、检察官', '二级法官、检察官', '三级法官、检察官', '四级法官、检察官', '五级法官、检察官']};
/**
 * 职务岗位级别 与 待遇级别有差异
 */
var ARR_personIdentifyRelated2 = {"综合管理类公务员":['国家级正职', '国家级副职', '省部级正职', '省部级副职', '正厅', '副厅', '正县', '副县', '正科', '副科', '科员','科员-正股级','科员-副股级', '办事员', '试用期','一级警长', '二级警长', '三级警长', '四级警长', '一级警员', '二级警员', '三级警员'],
								"专业技术类公务员":['国家级正职', '国家级副职', '省部级正职', '省部级副职', '正厅', '副厅', '正县', '副县', '正科', '副科', '科员','科员-正股级','科员-副股级', '办事员', '试用期','一级警长', '二级警长', '三级警长', '四级警长', '一级警员', '二级警员', '三级警员'],
								"行政执法类公务员":['国家级正职', '国家级副职', '省部级正职', '省部级副职', '正厅', '副厅', '正县', '副县', '正科', '副科', '科员','科员-正股级','科员-副股级', '办事员', '试用期','一级警长', '二级警长', '三级警长', '四级警长', '一级警员', '二级警员', '三级警员'],
								"参公人员":['国家级正职', '国家级副职', '省部级正职', '省部级副职', '正厅', '副厅', '正县', '副县', '正科', '副科', '科员', '科员-正股级','科员-副股级','办事员', '试用期','一级警长', '二级警长', '三级警长', '四级警长', '一级警员', '二级警员', '三级警员'],
								"机关工勤人员":['高级技师', '技师', '高级工', '中级工', '初级工', '普通工', '机关技术工熟练期', '机关技术工学徒期'],
								"事业单位管理人员":['管理1级', '管理2级', '管理3级', '管理4级', '管理5级', '管理6级', '管理7级', '管理8级', '管理9级', '管理10级','管理见习期'],
								"事业单位专技人员":['专技1级', '专技2级', '专技3级', '专技4级', '专技5级', '专技6级', '专技7级', '专技8级', '专技9级', '专技10级', '专技11级', '专技12级', '专技13级', '专技见习期'],
								"事业单位工勤人员":['技术工1级', '技术工2级', '技术工3级', '技术工4级', '技术工5级', '事业工勤普通工', '事业技术工熟练期', '事业技术工学徒期'],
								"员额内法官、检察官":['一级高级法官、检察官', '二级高级法官、检察官', '三级高级法官、检察官', '四级高级法官、检察官','一级法官、检察官', '二级法官、检察官', '三级法官、检察官', '四级法官、检察官', '五级法官、检察官']};								
var ARR_allowanceProject = ["地质勘查职工野外工作补贴","广播电视播音员津贴","护龄津贴","审计人员工作补贴","纪检监察办案人员工作补贴","广播电视天线工作岗位","医疗卫生津贴","密码人员岗位津贴","安全生产监管监察岗位津贴","信访人员岗位津补贴","环境保护监测津贴","殡葬特殊行业津贴","卫生防疫津贴","畜牧兽医医疗卫生津贴",
"农业事业单位工作人员有毒有害保健津贴","城市下水道工人岗位津贴","特殊教育津贴","警衍津贴","法官审判津贴","检察官检察津贴","人民检察院办案人员岗位津贴","人民警察值勤岗位津贴","人民法院办案人员岗位津贴",
"司法助理员岗位津贴","教龄津贴","特级教师津贴","人民警察法定工作日之外加班补贴","法院、检察院工作人员工作日之外加班补贴","城市社会福利事业单位岗位津贴","林业系统从事有毒有害工作人员岗位津贴","回族职工伙食补贴","环境卫生津贴",
"救助管理站工作人员岗位津贴","法医毒物化验人员保健津贴","乡镇工作补贴","火炸药仓库和油料仓库职工作业津贴","艰苦气象台站津贴","艰苦岛屿作业津贴","艰苦地震台站津贴","艰苦广播电视台站津贴","政府特殊津贴"];//津补贴项目
var ARR_personIdentify = [];//人员身份
var ARR_treatmentLevel = [];//享受待遇级别
var ARR_treatmentLevel2 = []; // 职务岗位级别
(function() {
	 for(var item in ARR_personIdentifyRelated){
		ARR_personIdentify.push(item);
		ARR_treatmentLevel.push(ARR_personIdentifyRelated[item]);
		ARR_treatmentLevel2.push(ARR_personIdentifyRelated2[item]);
	 }    
})();

//退休待遇中的提高比例
var ARR_archives=[];
var ARR_archives_CODE = [];
(function() {
    var str = ''
 		+ '绵阳市人才服务中心-001001,'
		+ '三台县人社局-0010010002,'
 		+ '平武县人社局-0010010003,'
 		+ '安县人社局-0010010004,'
 		+ '北川县人社局-0010010005,'
 		+ '梓潼县人社局-0010010006,'
 		+ '盐亭县人社局-0010010007,'
 		+ '江油市人社局-0010010008,'
 		+ '涪城区人社局-0010010009,'
 		+ '游仙区人社局-0010010010,'
 		+ '经开区党群部-0010010011,'
 		+ '高新区人力资源开发中心-0010010012,'
 		+ '仙海区党群部-0010010142,'
 		+ '科学城劳人局-0010010143,'
 		+ '科创区党群部-0010010144,'
 		+ '工作单位自行管理-0010010140';
    var arr = str.split(',');
    for (var i = 0; i < arr.length; i++) {
        var arrItem = arr[i].split('-');
        ARR_archives.push(arrItem[0]);
        ARR_archives_CODE.push(arrItem[1]);
    }
})();

/*
 * 死亡原因
 */
     
var FUN_prosecutorGrades = ['因病','烈士','因公牺牲','其他'];
	
//检察官等级
var ARR_prosecutorGrades = ['首席大检察官', '1级大检察官', '2级大检察官', '1级高级检察官', '2级高级检察官', '3级高级检察官', '4级高级检察官', '1级检察官', '2级检察官', '3级检察官', '4级检察官', '5级检察官', '取消检察官等级'];

//法官等级
var ARR_judgeGrades = ['首席大法官', '1级大法官', '2级大法官', '1级高级法官', '2级高级法官', '3级高级法官', '4级高级法官', '1级法官', '2级法官', '3级法官', '4级法官', '5级法官', '取消法官等级'];

//警衔等级
var ARR_policeRank = ['总警监', '副总警监', '1级警监', '2级警监', '3级警监', '1级警司', '2级警司', '3级警司', '1级警员', '2级警员', '取消警衔等级'];

//工资级别(薪级)
var ARR_salaryLevel = ['1', '2', '3', '4', '5', '6', '7', '8', '9', '10', '11', '12', '13', '14', '15', '16', '17', '18', '19', '20', '21', '22', '23', '24', '25', '26', '27', '28'];

//工资档次
var ARR_salaryRank = ['1', '2', '3', '4', '5', '6', '7', '8', '9', '10', '11', '12', '13', '14'];

//职务工资
//var ARR_jobWage=['中共党员','共青团员','其他'];

//级别工资
//var ARR_wageLevel=['中共党员','共青团员','其他'];

//教师护士标识
var ARR_teacherOrNurseLabel = ['是', '否'];

//教师护士提高10%
//var ARR_10Raise=['是','否'];

//--------------------------人员新增部分 start---------------------------
//独生子女标志
var ARR_isOneChild = ['是', '否'];
//转业时对应职务(同现任职务等级)ARR_jobGrades
var ARR_transferPos;
// 学历                                                                                                                                                                                                                  
var ARR_education = ['小学', '初中', '技工学校', '职业高中', '普通高中', '中等专业学校', '大学专科', '大学本科', '双学位本科及六年以上学制本科、研究生班毕业', '硕士研究生', '博士研究生'];
// 学位
var ARR_degree = ['无', '学士学位', '双学士学位', '硕士学位', '博士学位'];
//毕业类型
var ARR_graduatetype = ['毕业', '结业', '肄业'];
//教育类别
var ARR_educationType = ['全日制教育', '在职教育', '网络教育', '成人教育'];
//健康状况
var ARR_health = ['健康', '一般', '较弱'];
//特殊专业人才类型
var ARR_specialTalent = ['中国科学院和中国工程院院士', '有突出贡献的中青年科学、技术、管理专家', '享受国务院政府特殊津贴人员', '新世纪百千万人才工程国家级人选', '国家科技奖项负责人', '全国宣传文化系统“四个一批”人才'];
//人员来源
var ARR_personSource = ['事业单位公开考核招聘', '事业单位公开考试招聘', '公务员招录', '任命', '调入', '军转干部安置', '复退军人安置', '其他'];
//来源类型
var ARR_sourceType = ['应届毕业生', '基层项目人员', '在职人员', '其他人员'];
//档案身份
var ARR_filesIdentity = ['干部', '工人'];
//津补贴类别
var ARR_pensionType = ['特殊岗位津贴', '其他国家统一津贴', '边远艰苦地区津贴'];

//特殊岗位津贴
var ARR_specialPosPension = ['审计人员工作补贴', '纪检监察办案人员工作补贴', '广播电视天线工岗位津贴', '地质勘查职工野外工作津贴', '广播电视播音员津贴', '人民法院办案人员岗位津贴', '特级教师津贴', '教龄津贴', '人民警察值勤岗位津贴',
	'司法助理员岗位津贴', '人民检察院办案人员岗位津贴', '护龄津贴', '密码人员岗位津贴', '畜牧兽医医疗卫生津贴', '信访人员岗位津补贴', '安全生产监管监察岗位津贴', '农业事业单位工作人员有毒有害保健津贴', '卫生防疫津贴',
	'医疗卫生津贴', '殡葬特殊行业津贴', '城市下水道工人岗位津贴', '环境保护监测津贴', '法医毒物化验人员保健津贴', '救助管理站工作人员岗位津贴', '乡镇工作补贴', '艰苦气象台站津贴',
	'火炸药仓库和油料仓库职工作业津贴', '环境卫生津贴', '法院、检察院工作人员法定工作日之外加班补贴', '人民警察法定工作日之外加班补贴', '城市社会福利事业单位岗位津贴', '回族职工伙食补贴', '林业系统从事有毒有害工作人员岗位津贴',
	'艰苦岛屿作业津贴', '特殊教育津贴', '警衔津贴', '检察官检察津贴', '法官审判津贴', '艰苦广播电视台站津贴', "艰苦地震台站津贴", "政府特殊津贴", "法委机关工作津贴"
];

var ARR_otherStatePension = ["车改补贴", "独生子女费", "老粮贴", "乡村教师补贴"];

//其他国家统一津贴
var ARR_countryOtherPension = ['独生子女费', '老粮贴', '住房补贴', '车改补贴', '乡村教师补贴'];

//边远艰苦地区津贴
var ARR_difficultAreaPension = ['艰边津贴'];

//绩效工资
var ARR_performancePension = ['基础性绩效工资', '奖励性绩效工资', '机关工勤标准绩效'];

//性别
var ARR_gender = ['男', '女'];
//试用标志
var ARR_probationFlag = ['学徒期', '熟练期','试用期'];

// 民族
var ARR_nation = ['汉族', '蒙古族','回族', '藏族','维吾尔族', '苗族', '彝族','壮族','布依族', '朝鲜族','满族', '侗族', '瑶族','白族','土家族', '哈尼族','哈萨克族',
                   '傣族','黎族','僳僳族','佤族','畲族','高山族','拉祜族','水族','东乡族','纳西族','景颇族','柯尔克孜族', '土族','达斡尔族','仫佬族',
                   '羌族','布朗族','撒拉族','毛南族','仡佬族','锡伯族','阿昌族','普米族','塔吉克族','怒族','乌孜别克族','俄罗斯族','鄂温克族','德昂族','保安族',
                   '裕固族','京族','塔塔尔族','独龙族', '鄂伦春族','赫哲族', '门巴族','珞巴族','基诺族','其他'               
                 ];

// 政治面貌
var ARR_politicsStatus = ['中共党员', '中共预备党员','共青团员','民革会员','民盟会员','民建会员','民进会员','农工党党员','致公党党员','九三学社社员', '台盟盟员', '无党派民主人士', '群众', '其他'];

//艰苦边远地区类别
var ARR_subsidiesType = ['一类地区','二类地区','三类地区','四类地区','五类地区','六类地区'];

//--------------------------人员调入调出部分 start--------------------------------------------------

var ARR_personOutReason = ['辞退', '辞职', '开除', '除名', '调出', '退休', '解除合同', '终止合同', '其他'];

// 求职状态
var ARR_jobState = ['正在找工作', '考虑换工作', '暂不工作'];
// 婚姻状况
var ARR_marriageState = ['未婚', '已婚', '离异', '丧偶'];
// 证件类型
var ARR_certificate = ['身份证', '居住证', '户口本', '军人证', '港澳通行证'];

var ARR_certificateCode = [1,2,1,1,1];

//var ARR_certificateCode =getCode({
//	type:"A3290",
//	key:ARR_certificate,
//});

//--------------------------人员调入调出部分 end---------------------------


//--------------------------高低定工资 start---------------------------
//工资联动方式
var ARR_salaryChangeMode = ['级别高定','档次(薪级)高定','级别低定','档次(薪级)低定'];
//奖惩类别
var ARR_rewardsPunishmentType = ['公务员奖励','公务员嘉奖','记三等功','记二等功','记一等功','公务员国家级劳模（先进工作者）','公务员省部级劳模（先进工作者）',
								'事业单位人员奖励','事业单位嘉奖','记功','记大功','事业单位国家级劳模（先进工作者）','事业单位省部级劳模（先进工作者）',
								'公务员纪律处分','公务员警告','公务员记过','记大过','降级','公务员降聘（撤职）','开除留用','公务员开除',
								'事业单位人员处分','事业单位警告','事业单位记过','事业单位降聘（撤职）','事业单位开除',
								'党纪处分','警告','严重警告','撤销党内职务','留党察看一年','留党察看二年','开除党籍',
								'强制措施','取保候审','监视居住','刑事拘留','逮捕',
								'行政处罚','收容教育','强制戒毒','行政拘留','劳动教养','其他'];

//--------------------------高低定工资 end---------------------------

//--------------------------退休待遇 start---------------------------
//退休类别
var ARR_retiredType = ['离休', '退休', '退职'];
//提前退休标识
var ARR_advancedTetiredMark = ['是', '否'];

//提高项目
var ARR_enhanceProject = ['独生子女父母', '高海拔地区累计工作满10年不满15年', '高海拔地区累计工作满15年', '省部级劳模（先进工作者）', '全国劳模（先进工作者）', '中央军委（战斗英雄）', '军级（战斗英雄）（一等功）', '二级以上军级（战斗英雄）（一等功）', '国家特等一等二等或发明奖科学', '国家三等四等科学或发明奖科学', '省部级特等一等科学进步奖', '省部级二等三等科学进步奖', '因公（工）致残5%', '因公（工）致残10%', '农林水一线科技推广人员'];

//提高计发比例的依据
var ARR_enhanceAccording = ['独生子女', '劳模','高海拔', '获奖专家','其他'];

//退休待遇中的提高比例
var ARR_increaseRatio = [{'name':'独生子女父母-0.05','id':'0.05'},{'name':'高海拔地区累计工作满10年不满15年-0.05','id':'0.05'},{'name':'高海拔地区累计工作满15年-0.1','id':'0.1'},{'name':'省部级劳模（先进工作者）-0','id':'0'},
						{'name':'全国劳模（先进工作者）-0','id':'0'},{'name':'中央军委（战斗英雄）-0.15','id':'0.15'},{'name':'军级（战斗英雄）（一等功）-0.05','id':'0.05'},{'name':'二次以上军级（战斗英雄）（一等功）-0.1','id':'0.1'},
						{'name':'国家特等一等二等或发明奖科学-0','id':'0'},{'name':'国家三等四等科学或发明奖-0','id':'0'},{'name':'省部级特等一等科学进步奖-0','id':'0'},
						{'name':'省部级二等三等科学进步奖-0','id':'0'},{'name':'因公（工）致残5%-0.05','id':'0.05'},{'name':'因公（工）致残10%-0.1','id':'0.1'},{'name':'农林水一线科技推广人员-0.1','id':'0.1'}];
//var ARR_increaseRatioItem=[];
//var ARR_increaseRatio_value = [];
//(function() {
//  var str = ''
// 		+ '独生子女父母-0.05,'
//		+ '高海拔地区累计工作满10年不满15年-0.05,'
// 		+ '高海拔地区累计工作满15年-0.1,'
// 		+ '省部级劳模（先进工作者）-0,'
// 		+ '全国劳模（先进工作者）-0,'
// 		+ '中央军委（战斗英雄）-0.15,'
// 		+ '军级（战斗英雄）（一等功）-0.05,'
// 		+ '二次以上军级（战斗英雄）（一等功）-0.1,'
// 		+ '国家特等一等二等或发明奖科学-0,'
// 		+ '国家三等四等科学或发明奖-0,'
// 		+ '省部级特等一等科学进步奖-0,'
// 		+ '省部级二等三等科学进步奖-0,'
// 		+ '因公（工）致残5%-0.05,'
// 		+ '因公（工）致残10%-0.1,'
// 		+ '农林水一线科技推广人员-0.1,';
//  var arr = str.split(',');
//  for (var i = 0; i < arr.length; i++) {
//      var arrItem = arr[i].split('-');
//      ARR_increaseRatioItem.push(arrItem[0]);
//      ARR_increaseRatio_value.push(arrItem[1]);
//  }
//})();

//--------------------------退休待遇 end---------------------------




