// 返回
$(".back_icon").off("tap");
$('.back_icon').on('tap', function() {
	history.back();
});

var salaryChangeSrocessingHtml = "salary_change_processing.html";
var salaryChangeSrocessingActivity = "SalaryChangeProcessingActivity";

//通过返回的复核标志aae016_1和aae016获取处理状态
function getProcessingState(stateLevel, itemvalue) {
	if(isContains(stateLevel, "主管部门审核")) {
		return 2;
	} else if(isContains(stateLevel, "事管科审核")) {
		return 3;
	} else if(isContains(stateLevel, "工资科审核")) {
		return 4;
	} else if(isContains(stateLevel, "工资科复核")) {
		return 5;
	} else if(isContains(stateLevel, "审核完成") || stateLevel == "已审核") {
		return 6;
	} else if(stateLevel.indexOf("未通过") > 0) {
		if(itemvalue == "1") return 2;
		else if(itemvalue == "2") return 3;
		else if(itemvalue == "3") return 4;
		else if(itemvalue == "4") return 5;
		else return 5;
	}
	return 1;
}

//通过返回的复核标志aae016_1和aae016获取职务工资的处理流程
function getBasicSalaryProcessingState(stateLevel, itemvalue) {
	if(isContains(stateLevel, "主管部门审核")) {
		return 3;
	} else if(isContains(stateLevel, "工资科审核")) {
		return 4;
	} else if(isContains(stateLevel, "工资科复核")) {
		return 5;
	} else if(isContains(stateLevel, "审核完成") || stateLevel == "已审核") {
		return 6;
	} else if(stateLevel.indexOf("未通过") > 0) {
		if(itemvalue == "1") return 3;
		else if(itemvalue == "2") return 4;
		else if(itemvalue == "3") return 5;
		else return 5;
	}
	return 1;
}


//通过审核状态和复核标志获取显示的审核状态
function getCheckStatusText(stepType, stateLevel) {
	var checkStatus = getCheckStatus(stateLevel);
	if(checkStatus) {
		return stateLevel;
	}
//	switch(stepType) {
//		case 2:
//			return "主管部门审核未通过";
//		case 3:
//			return "事管科审核未通过";
//		case 4:
//			return "工资科审核未通过";
//		case 5:
//			return "工资科复核未通过";
//		default:
//			break;
//	}
	return "审核未通过";
}

//通过复核标志获取是否审核通过
function getCheckStatus(stateLevel) {
	var checkStatus = 1;
	if(stateLevel.indexOf("未通过") > 0) {
		checkStatus = 0;
	}
	return checkStatus;
}

//通过复核标志获取审核流程显示的审核状态类
function getCheckStatusClass(stateLevel) {
	var checkStatus = getCheckStatus(stateLevel);
	if(!checkStatus) {
		return "no_pass_check";
	}
	return "checking";
}

$(".add_new").on("touchend", function(e) {
	e.preventDefault();
})

$(".add_new").on("tap", function() {
	location.href = addNewHtml;
})

$(".list_view").on("touchend", ".listItem", function(e) {
	e.preventDefault();
})

$(".list_view").on("tap", ".listItem", function() {
	if(processType == "jxgzbd"){
		return;//绩效工资没有流程
	}
	var index = $(this).index();
	var data = listData[index];
	if(processType == "tgjtbd" && data.yac002 == "04"){
		topmobi.native.common.showMsg("机关工勤人员的特岗津贴没有审核流程", "middle", toastTimeForSalary);
		return;//机关工勤人员的特岗津贴没有审核流程
	}
	
	var checkStatus = getCheckStatus($(this).find(".process_state").html());
	if(!checkStatus){
		topmobi.native.common.showMsg("审核未通过，请重新办理业务", "middle", toastTimeForSalary);
		return;
	}
	var stepType = $(this).data("steptype");
	var checkProcess = getCheckProcess(data.sfyzgbm, data.yac002);
	var obj = {
		action: {
			android: "gov.my.socialsecurity.htmlactivity.home." + salaryChangeSrocessingActivity,
			ios: "CHBaseWebViewController"
		},
		windowType: 0,
		params: {
			info: "",
			html: "html_salary/" + salaryChangeSrocessingHtml
		}
	}
	var data = {
		"checkProcess": checkProcess,
		"stepType": stepType,
		"processType": processType,
		"checkStatus": checkStatus
	}
	topmobi.native.cache.putSharedValue("temp", "checkProcessData", JSON.stringify(data));
	topmobi.native.common.openWindow(obj);
})

//从查看流程页面回到列表页面界面需要刷新
function onPageResume() {
	refreshList();
}