$().ready(function() {
	var idCardNumber;
	var personIdentifyValueGlobal = ""; //人员身份
	var hasCompetentDepartment = topmobi.native.cache.getSharedValue("user", "hasCompetentDepartment"); //是否有主管部门
	var setDefaultForIsleaderFlag = false;//是否将“是否领导职务”设置为否 是则不可编辑 否则可编辑
	var setDefaultForIsLeaderTreatmentFlag = false;//是否将“是否享受领导职务待遇”设置为否 是则不可编辑 否则可编辑

	var ARR_treatmentLevelSelected; //人员身份选定后，对应的享受待遇级别数组
	var ARR_treatmentLevelSelected2; // 职务岗位级别信息
	var hasGetRelatedInfo = false; //是否根据身份证号获取过人员基本信息
	var increaseRatioSelectedIndex = [];
	var result;

	var highestEducationList = [];
	
	var shareSalaryShowFlag = false;//显示工资等级标志
	var salaryLevelShowFlag = false;//显示工资档次标志
	// 返回
	$(".back_icon").off("tap");
	$('.back_icon').on('tap', function() {
		history.go(-1);
	});

	//查政策
	$('.operationBar_policy').on('tap', function() {
		var obj = {
			action: {
				android: "gov.my.socialsecurity.htmlactivity.home.PolicyMenusActivity",
				ios: "CHBaseWebViewController"
			},
			windowType: 0,
			params: {
				info: "",
				html: "html_salary/policyMenus.html"
			}
		}
		topmobi.native.cache.putSharedValue("temp", "policyType", "rydr");
		topmobi.native.common.openWindow(obj);
	});

	//操作指南
	$('.operationBar_guide').on('tap', function() {
		var obj = {
			action: {
				android: "gov.my.socialsecurity.htmlactivity.home.OperationGuidListActivity",
				ios: "CHBaseWebViewController"
			},
			windowType: 0,
			params: {
				info: "",
				html: "html_salary/operationGuidList.html"
			}
		}
		topmobi.native.cache.putSharedValue("temp", "guideType", "rydr");
		topmobi.native.common.openWindow(obj);
	});

	//通过是否有主管部门和人员身份获取审批流程
	function getCheckProcess(hasCompetentDepartment, personIdentify) {
		var isOfficial = getIsOfficial(personIdentify);
		hasCompetentDepartment = parseInt(hasCompetentDepartment);
		if(hasCompetentDepartment) {
			return ["zgbm", "gzksh", "gzkfh"];
		} else {
			return ["gzksh", "gzkfh"];
		}
	}

	//看流程
	$('.operationBar_process').on('tap', function() {

		var obj = {
			action: {
				android: "gov.my.socialsecurity.htmlactivity.home.SalaryChangeProcessingActivity",
				ios: "CHBaseWebViewController"
			},
			windowType: 0,
			params: {
				info: "",
				html: "html_salary/salary_change_processing.html"
			}
		}
		var checkProcess = getCheckProcess(hasCompetentDepartment, personIdentifyValueGlobal);
		var data = {
			"checkProcess": checkProcess,
			"stepType": 1,
			"processType": "rydr",
			"checkStatus": 1
		}
		topmobi.native.cache.putSharedValue("temp", "checkProcessData", JSON.stringify(data));
		topmobi.native.common.openWindow(obj);
	});

	/*
	 * 人员基本信息
	 */

	//点击搜索按钮，根据身份证号码查询信息
	$('.search-btn').on('tap', function() {
		//$("#idCardNumber").val("510702197110030212");
		//验证身份证
		idCardNumber = $("#idCardNumber").val();
		if(!isNull(idCardNumber)) {
			if(isIdCardNo(idCardNumber)) {
				$("#idCardNumber").blur();
				getRelatedInfo();
			} else {
				topmobi.native.common.showMsg("身份证号格式不对", "middle", toastTimeForSalary);
			}
		} else {
			topmobi.native.common.showMsg("身份证号不能为空", "middle", toastTimeForSalary);
		}
	});

	/*
	 * 根据身份证号码获取人员基本信息
	 */
	function getRelatedInfo() {
		cleanInfos();
		var obj = {
			url: basicSalaryUrl + "drdc/rydr/getByIdNumber/" + idCardNumber,
			method: "get",
			isEncrypt: true,
			success: function(data) {
				try {
					topmobi.native.common.log("getRelatedInfo+++result+++=" + JSON.stringify(data));
					if(data.result && !!data.result.statusCode && data.result.statusCode == 200) {
						result = JSON.parse(data.result.result);
						//信息回填
						$("#name").html(result.aac003);
						$("#personNumber").html(result.aac001);
						// $("#unitNumber").html(topmobi.native.cache.getKeyWithValue(""));
						$("#sourceType").html(getKeyWithValue("YAD054", result.yad054));
						$("#archivesIdentify").html(getKeyWithValue("YAD055", result.yad055));
						var personIdentifyValue = getKeyWithValue("YAC002", result.yac002);
						$("#personIdentify").html(personIdentifyValue);
						$("#jobGrades").html(getKeyWithValue("YAC013", result.aad007));
						$("#treatmentLevel").html(getKeyWithValue("YAC013", result.yac013));
						$("#isLeader").html(getKeyWithValue("AAE100", result.aad009));
						$("#isTemporary").html(getKeyWithValue("YAC082", result.yac082));
						$("#workTime").find(".itemRightText").html(getShowTimeFormat(result.yac092));
						$("#intoUnitTime").find(".itemRightText").html(getShowTimeFormat(result.aad008));
						$("#outUnit").html(result.aae044t);
						$("#highestEducation").html(getKeyWithValue("AAC011", result.aac011));
						$("#teacherOrNurse").html(getKeyWithValue("A7650", result.yac006));
						$("#districtType").html(getKeyWithValue("AAB007", result.aab007));
						$("#isLeaderTreatment").html(getKeyWithValue("A0194", result.yac081));
						$("#shareSalaryLevel").val(result.yac005);
						$("#salaryLevel").val(result.yac080);
						$("#workStartTime").find(".itemRightText").html(getShowTimeFormat(result.yac091));
						$("#JinJiYear").find(".itemRightText").html(result.yac062);
						$("#JinDangYear").find(".itemRightText").html(result.yac063);
						// 单位名称 与单位编号从本地数据读取
						var companyName = topmobi.native.cache.getSharedValue("user", "companyName");
						$("#unit").html(companyName);
						var companyId = topmobi.native.cache.getSharedValue("user", "companyNum");
						$("#unitNumber").html(companyId);
						if(!!personIdentifyValue) {
							ARR_treatmentLevelSelected = ARR_personIdentifyRelated[personIdentifyValue];
							ARR_treatmentLevelSelected2 = ARR_personIdentifyRelated2[personIdentifyValue];
						}
						updateStateInfo(result.yac002);
						hasGetRelatedInfo = true;
						personIdentifyValueGlobal = result.yac002;
						setDefaultForIsleaderFlag = setDefaultForIsleader(personIdentifyValueGlobal, result.aad007, $("#isLeader"));
						setDefaultForIsLeaderTreatmentFlag = setDefaultForIsleader(personIdentifyValueGlobal, result.yac013, $("#isLeaderTreatment"));
						setSalaryInfoAppearWithJobGrades(result.aad007);
						getEducationInfo();
					} else {
						topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSalary);
					}
				} catch(e) {			
					topmobi.native.common.log("getRelatedInfo", "错误：" + e.message);
					topmobi.native.common.showMsg("未查询到符合条件的数据", "middle", toastTimeForSalary);
				}
			},
			fail: function(data) {
				topmobi.native.common.log("getRelatedInfo+++fail+++=" + JSON.stringify(data));
				if(!!data.msg) {
					topmobi.native.common.showMsg(data.msg, "middle", toastTimeForSalary);
				} else {
					topmobi.native.common.showMsg("网络异常，请检查网络", "middle", toastTimeForSalary);
				}
			}
		};
		rs_networkRequest(obj);
	}

	function cleanInfos() {
		$("#name").html("");
		$("#personNumber").html("");
		// $("#unitNumber").html(topmobi.native.cache.getKeyWithValue(""));
		$("#sourceType").html("--请选择--");
		$("#archivesIdentify").html("--请选择--");
		$("#personIdentify").html("--请选择--");
		$("#jobGrades").html("--请选择--");
		$("#treatmentLevel").html("--请选择--");
		$("#isLeader").html("--请选择--");
		$("#isTemporary").html("--请选择--");
		$("#workTime").find(".itemRightText").html("--请选择--");
		$("#intoUnitTime").find(".itemRightText").html("--请选择--");
		$("#outUnit").html("");
		$("#highestEducation").html("--请选择--");
		$("#teacherOrNurse").html("--请选择--");
//		$("#districtType").html("--请选择--");
		$("#isLeaderTreatment").html("--请选择--");
		$("#shareSalaryLevel").val("");
		$("#salaryLevel").val("");
		$("#workStartTime").find(".itemRightText").html("--请选择--");
		$("#JinJiYear").find(".itemRightText").html("--请选择--");
		$("#JinDangYear").find(".itemRightText").html("--请选择--");
		$("#unit").html("");
		$("#unitNumber").html("");
	}

	function checkHasGetRelatedInfo(isInput) {
		if(!hasGetRelatedInfo) {
			topmobi.native.common.showMsg("请先填写身份证号获取回填信息", "middle", toastTimeForSalary);
			$("input").blur();
			return false;
		}
		if(!isInput) {
			$("input").blur();
		}
		return true;
	}

	/**
	 * 获取相关的学历信息
	 */
	function getEducationInfo() {
		var obj = {
			url: basicSalaryUrl + "ggjk/jlcx/1/100/" + idCardNumber + "/02",
			method: "get",
			isEncrypt: true,
			success: function(data) {
				try {
					topmobi.native.common.log("getRelatedInfo+++result+++=" + JSON.stringify(data));
					if(data.result && !!data.result.statusCode && data.result.statusCode == 200) {
						var result = JSON.parse(data.result.result);
						//信息回填
						if(result.length > 0) {
							for(var i = 0; i < result.length; i++) {
								highestEducationList[i] = getKeyWithValue("AAC011", result[i].aac011);
							}
						}
					} else {
						topmobi.native.common.showMsg("获取人员基本信息失败", "middle", toastTimeForSalary);
					}
				} catch(e) {
					topmobi.native.common.log("getRelatedInfo", "错误：" + e.message);
					topmobi.native.common.showMsg("未查询到符合条件的数据", "middle", toastTimeForSalary);
				}
			},
			fail: function(data) {
				topmobi.native.common.log("getRelatedInfo+++fail+++=" + JSON.stringify(data));
				if(!!data.msg) {
					topmobi.native.common.showMsg(data.msg, "middle", toastTimeForSalary);
				} else {
					topmobi.native.common.showMsg("网络异常，请检查网络", "middle", toastTimeForSalary);
				}
			}
		};
		rs_networkRequest(obj);
	}

	/*
	 * 人员来源
	 */
	$("#personSource").parent().on('tap', function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}
		var arrayPersonSource = new Array();
		arrayPersonSource = arrayPersonSource.concat(ARR_personSource);
		arrayPersonSource.push("原单位人员");
		var optionPersonSource = {
			data: arrayPersonSource,
			title: '请选择',
			duration: 300
		};
		var actionSheet = new topmobi.widget.actionSheetDialog(optionPersonSource);
		actionSheet.setItemClick(function(index) {
			$("#personSource").html(optionPersonSource.data[index]);
			actionSheet.remove();
		});
	});

	/*
	 * 来源类型
	 */

	$("#sourceType").parent().on('tap', function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}

		var optionSourceType = {
			data: ARR_sourceType,
			title: '请选择',
			duration: 300
		};

		if(ARR_sourceType != undefined) {
			var actionSheet = new topmobi.widget.actionSheetDialog(optionSourceType);
			actionSheet.setItemClick(function(index) {
				$("#sourceType").html(optionSourceType.data[index]);
				actionSheet.remove();
			});
		} else {
			topmobi.native.common.showMsg("请选择来源类型", "middle", toastTimeForSalary);
		}
	});

	/*
	 * 档案身份
	 */
	$("#archivesIdentify").parent().on('tap', function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}

		var optionFileIdentity = {
			data: ARR_filesIdentity,
			title: '请选择',
			duration: 300
		};
		if(ARR_filesIdentity != undefined) {
			var actionSheet = new topmobi.widget.actionSheetDialog(optionFileIdentity);
			actionSheet.setItemClick(function(index) {
				$("#archivesIdentify").html(optionFileIdentity.data[index]);
				actionSheet.remove();
			});
		} else {
			topmobi.native.common.showMsg("请选择档案身份", "middle", toastTimeForSalary);
		}
	});

	/*
	 * 人员身份
	 */
	$("#personIdentify").parent().on('tap', function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}

		var optionPersonIdentity = {
			data: ARR_personIdentify,
			title: '请选择',
			duration: 300
		};

		var actionSheet = new topmobi.widget.actionSheetDialog(optionPersonIdentity);
		actionSheet.setItemClick(function(index) {
			$("#personIdentify").html(optionPersonIdentity.data[index]);
			personIdentifyValueGlobal = CODE.YAC002[optionPersonIdentity.data[index]];
			ARR_treatmentLevelSelected = ARR_treatmentLevel[index];
			ARR_treatmentLevelSelected2 = ARR_treatmentLevel2[index];
			// 根据选择人员身份  ui显示差异
			//getKeyWithValue("YAC002", optionPersonIdentity.data[index]))
			var itemvalue = CODE["YAC002"][optionPersonIdentity.data[index]];
			updateStateInfo(itemvalue);
			actionSheet.remove();
		});
	});

	function updateStateInfo(aac002) {
		var state = parseInt(aac002);
		setSalveInfomation(state);
	}

	/**
	 * 根据选择的人员身份进行ui显示更改
	 * @param {Object} index
	 */
	function setSalveInfomation(index) {
		switch(index) {
			case 1:
			case 2:
			case 3:
			case 5:
				$("#JinJiYear").show();
				$("#JinDangYear").show();
				$("#shareSalaryid").show();
				$("#salaryLevelid").show();
				shareSalaryShowFlag = true;
				salaryLevelShowFlag = true;
				break;
			case 4:
				$("#JinJiYear").hide();
				$("#JinDangYear").show();
				$("#shareSalaryid").show();
				$("#salaryLevelid").hide();
				shareSalaryShowFlag = true;
				salaryLevelShowFlag = false;
				break;
			case 6:
			case 7:
			case 8:
				$("#JinJiYear").show();
				$("#JinDangYear").hide();
				$("#shareSalaryid").show();
				$("#salaryLevelid").hide();
				shareSalaryShowFlag = true;
				salaryLevelShowFlag = false;
				break;
			case 9:
				$("#JinJiYear").hide();
				$("#JinDangYear").show();
				$("#shareSalaryid").hide();
				$("#salaryLevelid").show();
				shareSalaryShowFlag = false;
				salaryLevelShowFlag = true;
				break;
			default:
				break;
		}
	}

	//现任职务等级是：试用期、机关技术工熟练期、机关技术工学徒期、管理见习期、专技见习期、事业技术工熟练期、事业技术工学徒期时 隐藏工资级别和工资档次 
	function setSalaryInfoAppearWithJobGrades(jobGrades) {
		if(isShowSalaryInfoWithJobGrades(jobGrades)) {
			if(shareSalaryShowFlag){
				$("#shareSalaryid").show();
			}
			else
			{
				$("#shareSalaryid").hide();
			}
			
			if(salaryLevelShowFlag){
				$("#salaryLevelid").show();
			}
			else{
				$("#salaryLevelid").hide();
			}
		} else {
			$("#shareSalaryid").hide();
			$("#salaryLevelid").hide();
		}
	}
	
	//现任职务等级是：试用期、机关技术工熟练期、机关技术工学徒期、管理见习期、专技见习期、事业技术工熟练期、事业技术工学徒期时 隐藏工资级别和工资档次 
	function isShowSalaryInfoWithJobGrades(jobGrades){
		if(jobGrades == "13" || jobGrades == "20" || jobGrades == "21" || jobGrades == "32" || jobGrades == "46" || jobGrades == "53" || jobGrades == "54") {
			return false;
		} else {
			return true;
		}
	}

	/*
	 * 职务等级
	 */
	$("#jobGrades").parent().on('tap', function() {
				if(!checkHasGetRelatedInfo(false)) {
			return;
		}

		var optionJobGrades = {
			data: ARR_treatmentLevelSelected2,
			title: '请选择',
			duration: 300
		};
		if(ARR_treatmentLevelSelected2 != undefined) {
			var actionSheet = new topmobi.widget.actionSheetDialog(optionJobGrades);
			actionSheet.setItemClick(function(index) {
				var jobGradesStr = optionJobGrades.data[index];
				$("#jobGrades").html(jobGradesStr);
				actionSheet.remove();
				setSalaryInfoAppearWithJobGrades(CODE.YAC013[jobGradesStr]);
				setDefaultForIsleaderFlag = setDefaultForIsleader(personIdentifyValueGlobal, CODE.YAC013[jobGradesStr], $("#isLeader"));
			});
		} else {
			topmobi.native.common.showMsg("请选择职务级别", "middle", toastTimeForSalary);
		}
	});

	/*
	 * 是否领导职务
	 */
	$("#isLeader").parent().on('tap', function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}
		if(setDefaultForIsleaderFlag){
			return;
		}
		var optionIsLeader = {
			data: ARR_eitherOr,
			title: '请选择',
			duration: 300
		};
		if(ARR_eitherOr != undefined) {
			var actionSheet = new topmobi.widget.actionSheetDialog(optionIsLeader);
			actionSheet.setItemClick(function(index) {
				$("#isLeader").html(optionIsLeader.data[index]);
				actionSheet.remove();
			});
		} else {
			topmobi.native.common.showMsg("请选择是否领导职务", "middle", toastTimeForSalary);
		}
	});

	/*
	 * 试用标示
	 */
	$("#isTemporary").parent().on('tap', function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}

		var optionIsTemporary = {
			data: ARR_probationFlag,
			title: '请选择',
			duration: 300
		};

		var actionSheet = new topmobi.widget.actionSheetDialog(optionIsTemporary);
		actionSheet.setItemClick(function(index) {
			$("#isTemporary").html(optionIsTemporary.data[index]);
			actionSheet.remove();
		});
	});

	/*
	 * 任职日期
	 */
	$("#workTime").on("tap", function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}
		showMonthTimePicker($(this).find(".itemRightText"), "month");
	})

	/*
	 * 进入单位时间
	 */
	$("#intoUnitTime").on("tap", function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}
		showMonthTimePicker($(this).find(".itemRightText"), "month");
	})

	/*
	 * 教师护士标识
	 */
	$("#teacherOrNurse").parent().on('tap', function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}
		var optionTeacherOrNurse = {
			data: ARR_eitherOr,
			title: '请选择',
			duration: 300
		};

		var actionSheet = new topmobi.widget.actionSheetDialog(optionTeacherOrNurse);
		actionSheet.setItemClick(function(index) {
			$("#teacherOrNurse").html(optionTeacherOrNurse.data[index]);
			actionSheet.remove();
		});
	});

	/*
	 * 享受待遇职务级别
	 */
	$("#treatmentLevel").parent().on('tap', function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}
		var optionTreatmentLevel = {
			data: ARR_treatmentLevelSelected,
			title: '请选择',
			duration: 300
		};
		if(ARR_treatmentLevelSelected != undefined) {
			var actionSheet = new topmobi.widget.actionSheetDialog(optionTreatmentLevel);
			actionSheet.setItemClick(function(index) {
				$("#treatmentLevel").html(optionTreatmentLevel.data[index]);
				actionSheet.remove();
				setDefaultForIsLeaderTreatmentFlag = setDefaultForIsleader(personIdentifyValueGlobal, CODE.YAC013[optionTreatmentLevel.data[index]], $("#isLeaderTreatment"));
			});
		} else {
			topmobi.native.common.showMsg("请选择享受待遇职务级别", "middle", toastTimeForSalary);
		}
	});

	/*
	 * 是否享受领导职务待遇
	 */
	$("#isLeaderTreatment").parent().on('tap', function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}
		if(setDefaultForIsLeaderTreatmentFlag){
			return;
		}
		var optionIsLeaderTreatment = {
			data: ARR_eitherOr,
			title: '请选择',
			duration: 300
		};
		if(ARR_eitherOr != undefined) {
			var actionSheet = new topmobi.widget.actionSheetDialog(optionIsLeaderTreatment);
			actionSheet.setItemClick(function(index) {
				$("#isLeaderTreatment").html(optionIsLeaderTreatment.data[index]);
				actionSheet.remove();
			});
		} else {
			topmobi.native.common.showMsg("请选择是否享受领导职务待遇", "middle", toastTimeForSalary);
		}
	});

	$("#highestEducation").parent().on('tap', function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}
		var optionIsLeaderTreatment = {
			data: highestEducationList,
			title: '请选择',
			duration: 300
		};
		if(ARR_eitherOr != undefined) {
			var actionSheet = new topmobi.widget.actionSheetDialog(optionIsLeaderTreatment);
			actionSheet.setItemClick(function(index) {
				$("#highestEducation").html(optionIsLeaderTreatment.data[index]);
				actionSheet.remove();
			});
		} else {
			topmobi.native.common.showMsg("请选择是否享受领导职务待遇", "middle", toastTimeForSalary);
		}
	});

	/*
	 * 工资开始年月
	 */
	$("#workStartTime").on("tap", function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}
		var endTime = getEndTime();
		showMonthTimePicker($(this).find(".itemRightText"), "month", endTime.endYear, endTime.endMonth);
	})

	/*
	 * 晋级起算年度
	 */
	$("#JinJiYear").on("tap", function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}
		showMonthTimePicker($(this).find(".itemRightText"), "year");
	})

	/*
	 * 晋档起算年度
	 */
	$("#JinDangYear").on("tap", function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}
		showMonthTimePicker($(this).find(".itemRightText"), "year");
	})

	/*
	 * 检查信息
	 */
	function checkChooseItem(itemText, message) {
		if(itemText == "" || itemText == "--请选择--") {
			topmobi.native.common.showMsg(message, "middle", toastTimeForSalary);
			return false;
		}
		return true;
	}

	$(".save_btn").on("tap", function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}
		//必填信息校验
		var sourceType = $("#sourceType").html();
		if(!checkChooseItem(sourceType, "请选择来源类型")) {
			return;
		}

		var archivesIdentify = $("#archivesIdentify").html();
		if(!checkChooseItem(archivesIdentify, "请选择档案身份")) {
			return;
		}

		var personIdentifyValue = $("#personIdentify").html();
		if(!checkChooseItem(personIdentifyValue, "请选择人员身份")) {
			return;
		}

		var jobGrades = $("#jobGrades").html();
		if(!checkChooseItem(jobGrades, "请选择职务(岗位)级别")) {
			return;
		}
		if(!ARR_treatmentLevelSelected) {
			topmobi.native.common.showMsg("请选择正确的人员身份", "middle", toastTimeForSalary);
			return;
		}
		var index = ARR_treatmentLevelSelected2.indexOf(jobGrades);
		if(index < 0) {
			topmobi.native.common.showMsg("请重选人员身份对应的职务(岗位)级别", "middle", toastTimeForSalary);
			return;
		}

		var isLeader = $("#isLeader").html();
		if(!checkChooseItem(isLeader, "请选择是否领导职务")) {
			return;
		}

		workTime = $("#workTime").find(".itemRightText").html();
		if(!checkChooseItem(workTime, "请选择任职时间")) {
			return;
		}

		intoUnitTime = $("#intoUnitTime").find(".itemRightText").html();
		if(!checkChooseItem(workTime, "请选择进入单位时间")) {
			return;
		}

		var highestEducation = $("#highestEducation").html();
		if(!checkChooseItem(highestEducation, "请选择最高学历")) {
			return;
		}

		var teacherOrNurse = $("#teacherOrNurse").html();
		if(!checkChooseItem(teacherOrNurse, "请选择教师护士标识")) {
			return;
		}

		var positionLevelValue = $("#treatmentLevel").html();
		if(!checkChooseItem(positionLevelValue, "请选择享受待遇级别")) {
			return;
		}
		var index = ARR_treatmentLevelSelected.indexOf(positionLevelValue);
		if(index < 0) {
			topmobi.native.common.showMsg("请重选人员身份对应的享受待遇级别", "middle", toastTimeForSalary);
			return;
		}

		var isLeaderTreatment = $("#isLeaderTreatment").html();
		if(!checkChooseItem(isLeaderTreatment, "请选择是否享受领导职务待遇")) {
			return;
		}

		var shareSalaryLevel = result.yac005;
		var isShowSalaryInfo = isShowSalaryInfoWithJobGrades(jobGrades);
		if(isShowSalaryInfo && shareSalaryShowFlag){
			if(!$("#shareSalaryLevel").is(":hidden")) {
				var shareSalaryLevel = $("#shareSalaryLevel").val();
				if(!checkChooseItem(shareSalaryLevel, "请填写工资等级")) {
					return;
				} else {
					var item = checkSalaryLevel(CODE.YAC013[positionLevelValue]);
					if(shareSalaryLevel < item[0] || shareSalaryLevel > item[1]) {
						topmobi.native.common.showMsg("工资等级为" + item[0] + "-" + item[1] + "范围内!", "middle", toastTimeForSalary);
						return;
					}
				}
			}
		}
		else
		{
			shareSalaryLevel = "0";
		}
		

		workStartTime = $("#workStartTime").find(".itemRightText").html();
		if(!checkChooseItem(workStartTime, "请选择工资开始时间")) {
			return;
		}

		JinJiYear = $("#JinJiYear").find(".itemRightText").html();
		if(!$("#JinJiYear").is(":hidden") && !checkChooseItem(JinJiYear, "请选择晋级起算年度")) {
			return;
		}

		JinDangYear = $("#JinDangYear").find(".itemRightText").html();
		if(!$("#JinDangYear").is(":hidden") && !checkChooseItem(JinDangYear, "请选择晋档起算年度")) {
			return;
		}

		var salaryLevel = $("#salaryLevel").val();
		if(isShowSalaryInfo && salaryLevelShowFlag){
			var personIdentifyCode = CODE.YAC002[personIdentifyValue];
			if(personIdentifyCode == 1 || personIdentifyCode == 2 || personIdentifyCode == 3 || personIdentifyCode == 5) {
				if(!checkChooseItem(salaryLevel, "公务员和参公人员需填写工资档次")) {
					return;
				} else if(salaryLevel > 14 || salaryLevel < 1) {
					topmobi.native.common.showMsg("工资档次应在1到14范围内", "middle", toastTimeForSalary);
					return;
				}
	
			} else if(personIdentifyCode == 9) {
				if(!checkChooseItem(salaryLevel, "法官和检察官需填写工资档次")) {
					return;
				} else if(salaryLevel > 14 || salaryLevel < 1) {
					topmobi.native.common.showMsg("工资档次应在1到14范围内", "middle", toastTimeForSalary);
					return;
				}
			}
		}else {
			salaryLevel = "0";
		}
		

		//		if(compareTime(birthday, jobTimeValue) >= 0) {
		//			topmobi.native.common.showMsg("参加工作时间需大于出生日期", "middle", toastTimeForSalary);
		//			return;
		//		}
		//		if(compareTime(jobTimeValue, retiredTimeValue) >= 0) {
		//			topmobi.native.common.showMsg("退休时间需大于参加工作时间", "middle", toastTimeForSalary);
		//			return;
		//		}
		//		if(compareTime(retiredTimeValue, retiredFeeExecuteTimeValue) > 0) {
		//			topmobi.native.common.showMsg("退休待遇执行时间需大于或等于退休时间", "middle", toastTimeForSalary);
		//			return;
		//		}
		var personSource = $("#personSource").html();
		var isTemporary = $("#isTemporary").html();
		var districtType = $("#districtType").html();
		var dataJson = {
			"aac001": result.aac001,
			"aac002": idCardNumber,
			"yac001": CODE.YAC001[personSource],
			"yac002": CODE.YAC002[personIdentifyValue],
			"aac011": CODE.AAC011[highestEducation],
			"yac005": shareSalaryLevel || "0",
			"yac006": CODE.AAE100[teacherOrNurse],
			"yac013": CODE.YAC013[positionLevelValue],
			"yac080": salaryLevel || "0",
			"yac081": CODE.AAE100[isLeaderTreatment],
			"yac082": CODE.YAC082[isTemporary],
			"yac091": getUploadTimeFormat(workStartTime),
			"yac092": getUploadTimeFormat(workTime),
			"aad007": CODE.YAC013[jobGrades],
			"aad008": getUploadTimeFormat(intoUnitTime),
			"aad010": result.aad010,
			"aad009": CODE.AAE100[isLeader],
			"yad054": CODE.YAD054[sourceType],
			"yad055": CODE.YAD055[archivesIdentify],
			"yac062": JinJiYear,
			"yac063": JinDangYear
			//			"aab007": CODE.AAB007[districtType],
			//			"yac013xs": CODE.YAC013[positionLevelValue],

		};

		topmobi.native.common.log("dataJson+++++", JSON.stringify(dataJson));
		//保存人员调入信息
		saveTransferedInInfo(dataJson);
	})

	function saveTransferedInInfo(dataJson) {
		var obj = {
			url: basicSalaryUrl + "drdc/rydr",
			data: dataJson,
			method: "post",
			isEncrypt: true,
			success: function(data) {
				var result = data.result;
				if(result.statusCode == 201) {
					topmobi.native.common.showMsg(result.message, "middle", toastTimeForSalary);
					history.go(-1);
				} else {
					topmobi.native.common.showMsg("保存失败", "middle", toastTimeForSalary);
				}
			},
			fail: function(data) {
				try {
					topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSalary);
				} catch(e) {
					//TODO handle the exception
					topmobi.native.common.showMsg("网络异常", "middle", toastTimeForSalary);
				}
			}
		}
		rs_networkRequest(obj);
	}

})