var idCardNumber;
// 返回
$(".back_icon").off("tap");
$('.back_icon').on('tap', function() {
	history.back();
});

$().ready(function() {
	loadTranslateData();
	loadQueryData();
})

function loadTranslateData() {
	if(getParams("idCardNumber") != undefined && getParams("idCardNumber") != "") {
		idCardNumber = getParams("idCardNumber");
	}
}


/**
 * 根据身份证号码查询数据
 */
function loadQueryData() {
	if(idCardNumber == "" || undefined == idCardNumber) {
		topmobi.native.common.showMsg("身份证号码有误，请重试!", "middle", toastTimeForSalary);
	} else {
		var obj = {
			url: basicSalaryUrl + "ryjs/xxlr/" + idCardNumber,
			method: "get",
			isEncrypt: false,
			success: function(data) {
				topmobi.native.common.log("requestList+++success+++=" + JSON.stringify(data));
				paraseRespData(data);
			},
			fail: function(data) {
				showError();
			}
		};
		rs_networkRequest(obj);
	}
}

/**
 *  response解析
 *  @param {Object} data
 */
function paraseRespData(data) {
	try{
		if(data.result && !!data.result.statusCode && data.result.statusCode == 200) {
		  var result = JSON.parse(data.result.result);
		  // 人员姓名
		  $("#name").val(result.aac003);
		  $("#sex_input").val(getKeyWithValue("AAC004",result.aac004));
		   // 出生日期
		  $("#birthData").val(result.aac006);
		  // 汉族
		  $("#unit").val(getKeyWithValue("AAC005",result.aac005));
		  
		  // 单位名称
		  $("#companyName").val(result.aae044);
		  // 人员身份
		  $("#personState").val(getKeyWithValue("YAC002",result.yac002));  
		  // 职务级别
		  $("#jobLevel").val(getKeyWithValue("YAC013",result.yac013));
		  $("#isLeader").val(getKeyWithValue("YESORNO",result.yac081));
		  $("#isVerify").val(getKeyWithValue("YESORNO",result.aad007));
	    }
	}catch(e){
		//TODO handle the exception
	}	
	
}

/**
 * 
 */
function showError() {
	//topmobi.native.common.showMsg("网络异常，请检查网络", "middle", toastTimeForSalary);
}