$().ready(function() {
	//重写退出按钮事件
	$(".back_icon").off("tap");
	$(".back_icon").on("tap", function() {
		history.go(-1);
	})
	$(".itemRightResultText").html("");
	var idCardNumber = getQuery("idCardNumber");

	getDetailInfo();

	function getDetailInfo() {
		var obj = {
			url: basicSalaryUrl + 'txdy/txryxq/' + idCardNumber,
			method: "get",
			isEncrypt: true,
			success: function(data) {
				try {
					if(data.result && !!data.result.statusCode && data.result.statusCode == 200) {
						var result = JSON.parse(data.result.result);
						//人员基本信息
						$("#idCardNumber").html(result.aac002 || "");
						$("#name").html(result.aac003 || "");
						$("#sex").html(getKeyWithValue("AAC004", result.aac004));
						$("#nationality").html(getKeyWithValue("AAC005", result.aac005));
//						$("#birthTime").html(getShowTimeFormat(result.aac006));
//						$("#personStatus").html(getKeyWithValue("AAC008", result.aac008));
						var companyName = topmobi.native.cache.getSharedValue("user", "companyName");
						$("#unit").html(companyName || "");

						//老标准工资情况
						setPublicFunctionary(result.yac002);
						$("#personIdentify").html(getKeyWithValue("YAC002", result.yac002));
						$("#positionLevel").html(getKeyWithValue("YAC013", result.yac013));
						$("#salaryGrade").html(result.yac005 || "");
						$("#salaryLevel").html(result.yac080 || "");
						$("#isLeader").html(getKeyWithValue("AAE100", result.yac081));
//						$("#teacherOrNurse").html(getKeyWithValue("AAE100", result.yac006));
//						$("#teacherOfMiddleAndPrimarySchool").html(getKeyWithValue("AAE100", result.tac009));
//						$("#isAcademicLeader").html(getKeyWithValue("AAE100", result.tac010));
//						$("#policeRankAllowance").html(result.aac065 || "");
						$("#increaseRatio").html(result.tac005 || "");
						//退休待遇信息
						$("#retiredType").html(getKeyWithValue("TAC001", result.tac001));
						$("#retiredTime").html(getShowTimeFormat(result.tac002));
						$("#advancedTetiredMark").html(getKeyWithValue("AAE100", result.tac003));
						$("#advancedTetiredYears").html(result.tac008 || "");
						$("#workYears").html(result.aac055 || "");
						
//						$("#jobTime").html(getShowTimeFormat(result.aac007));
//						$("#discontinuousMonths").html(result.yac035 || "");
						$("#offerRatio").html(result.tac004 || "");//??0.9
//						$("#offerEnhanceRatio").html(result.tac005 || "");
						$("#retainSubsidy").html(result.aac057 || "");
						$("#oldSubsidy").html(result.aac058 || "");
						$("#lifeSubsidy").html(result.aac059 || "");
						$("#baseFee").html(result.tac007 || "");
						$("#fileAddFee").html(result.aac060 || "");
						$("#totalFee").html(result.aac062 || "");
						
						$("#retiredFeeExecuteTime").html(getShowTimeFormat(result.aae002));
//						$("#according").html(getKeyWithValue("AAC063", result.aac063));
					} else {
						topmobi.native.common.showMsg("请求失败", "middle", toastTimeForSalary);
					}
				} catch(e) {
					topmobi.native.common.log("getDetailInfo", "数据异常：" + e.message);
					if(!!data.result.message) {
						topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSalary);
					} else {
						topmobi.native.common.showMsg("数据异常", "middle", toastTimeForSalary);
					}
				}
			},
			fail: function(data) {
				topmobi.native.common.log("getDetailInfo", "错误：" + JSON.stringify(data));
				if(!!data.result && !!data.result.message) {
					//平台出错将错误信息写入data.result.message
					topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSalary);
				} else if(!!data.msg) {
					topmobi.native.common.showMsg(data.msg, "middle", toastTimeForSalary);
				} else {
					topmobi.native.common.showMsg("网络异常，请检查网络", "middle", toastTimeForSalary);
				}
			}
		};
		rs_networkRequest(obj);
	}
	
	/*
	 * 根据人员身份判断是否是公务员 是公务人员显示工资档次 否则不显示
	 */
	function setPublicFunctionary(personIdentify) {
		if(!!personIdentify && personIdentify != "04" && personIdentify != "06" && personIdentify != "07" && personIdentify != "08") {
			$("#salaryLevelParent").show();
			return;
		}
		$("#salaryLevelParent").hide();
	}
})