$().ready(function() {
	var idCardNumber;
	var setDefaultForIsleaderFlag = false;//是否将“是否领导职务”设置为否 是则不可编辑 否则可编辑

	var ARR_treatmentLevelSelected; //人员身份选定后，对应的享受待遇级别数组
	var hasGetRelatedInfo = false; //是否根据身份证号获取过人员基本信息
	clearParams();
	//	var hasGetincreaseRatio = false; //是否选择提高比例
	var increaseRatioSelected = ""; //提高比例选择的增发项目 码表值_码表值_
	var increaseRatioSelectedIndex = []; //记录上次选中的提高比例序号
	var personInfo; //根据身份证号查询到的个人基本信息

	//重写退出按钮事件
	$(".back_icon").off("tap");
	$(".back_icon").on("tap", function() {
		history.go(-1);
	});

	//查政策
	$('.operationBar_policy').on('tap', function() {
		var obj = {
			action: {
				android: "gov.my.socialsecurity.htmlactivity.home.PolicyMenusActivity",
				ios: "CHBaseWebViewController"
			},
			windowType: 0,
			params: {
				info: "",
				html: "html_salary/policyMenus.html"
			}
		}
		topmobi.native.cache.putSharedValue("temp", "policyType", "txdy");
		topmobi.native.common.openWindow(obj);
	});
	
	//操作指南
	$('.operationBar_guide').on('tap', function() {
		var obj = {
			action: {
				android: "gov.my.socialsecurity.htmlactivity.home.OperationGuidListActivity",
				ios: "CHBaseWebViewController"
			},
			windowType: 0,
			params: {
				info: "",
				html: "html_salary/operationGuidList.html"
			}
		}
		topmobi.native.cache.putSharedValue("temp", "guideType", "txdy");
		topmobi.native.common.openWindow(obj);
	});

	/*
	 * 人员基本信息
	 */
	//点击搜索按钮，根据身份证号码查询信息
	$('.search-btn').on('tap', function() {
		//验证身份证
		idCardNumber = $("#idCardNumber").val();
		if(!isNull(idCardNumber)) {
			if(isIdCardNo(idCardNumber)) {
				$("#idCardNumber").blur();
				getRelatedInfo();
			} else {
				topmobi.native.common.showMsg("身份证号格式不对", "middle", toastTimeForSalary);
			}
		} else {
			topmobi.native.common.showMsg("身份证号不能为空", "middle", toastTimeForSalary);
		}
	});

	/*
	 * 根据身份证号码获取人员基本信息
	 */
	function getRelatedInfo() {
		clearParams(); //先清空参数
		personInfo = {};
		var obj = {
			url: basicSalaryUrl + 'txdy/cxkblry/' + idCardNumber,
			method: "get",
			isEncrypt: true,
			success: function(data) {
				try {
					if(!!data.result && !!data.result.statusCode && data.result.statusCode == 200) {
						var result = JSON.parse(data.result.result);
						//信息回填
						personInfo = result;
						$("#name").html(result.aac003 || "");
						$("#sex").html(getKeyWithValue("AAC004", result.aac004));
						$("#birthTime").find(".itemRightText").html(getShowTimeFormat(result.aac006));
						var companyName = topmobi.native.cache.getSharedValue("user", "companyName");
						$("#unit").html(companyName || "");
						setPublicFunctionary(result.yac002);
						var personIdentifyValue = getKeyWithValue("YAC002", result.yac002);
						$("#personIdentify").html(personIdentifyValue);
						$("#positionLevel").html(getKeyWithValue("YAC013", result.yac013));
						$("#salaryGrade").val(result.yac005 || "");
						$("#salaryLevel").val(result.yac080 || "");
						$("#isLeader").html(getKeyWithValue("AAE100", result.yac081));
						$("#teacherOrNurse").html(getKeyWithValue("AAE100", result.yac006));
						$("#teacherOfMiddleAndPrimarySchool").html(getKeyWithValue("AAE100", result.tac009));
						$("#isAcademicLeader").html(getKeyWithValue("AAE100", result.tac010));
						$("#jobTime").find(".itemRightText").html(getShowTimeFormat(result.aac007));
						$("#discontinuousMonths").html(result.yac035 || "");
						if(!!personIdentifyValue) {
							ARR_treatmentLevelSelected = ARR_personIdentifyRelated[personIdentifyValue];
						}
						//人员基本信息没返回警衔津贴则再调用获取津贴接口再次获取
						$("#policeRankAllowance").val(result.aac065 || "");
						setDefaultForIsleaderFlag = setDefaultForIsleader(result.yac002, result.yac013, $("#isLeader"));
						hasGetRelatedInfo = true;
					} else {
						topmobi.native.common.showMsg("获取人员基本信息失败", "middle", toastTimeForSalary);
					}
				} catch(e) {
					if(!!data.result.message) {
						//未查找到符合条件的数据也返回200，走这个分支，并将错误信息写入data.result.message
						topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSalary);
						return;
					}
					topmobi.native.common.log("getRelatedInfo", "数据异常：" + e.message);
					topmobi.native.common.showMsg("人员基本信息数据异常", "middle", toastTimeForSalary);
				}
			},
			fail: function(data) {
				topmobi.native.common.log("getRelatedInfo", "错误：" + JSON.stringify(data));
				if(!!data.result && !!data.result.message) {
					//平台出错将错误信息写入data.result.message
					topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSalary);
				} else if(!!data.msg) {
					topmobi.native.common.showMsg(data.msg, "middle", toastTimeForSalary);
				} else {
					topmobi.native.common.showMsg("网络异常，请检查网络", "middle", toastTimeForSalary);
				}
			}
		};
		rs_networkRequest(obj);
	}

	/*
	 * 根据人员身份判断是否是公务员 是公务人员显示工资档次 否则不显示
	 */
	function setPublicFunctionary(personIdentify) {
		if(isPublicFunctionaryFuc(personIdentify)) {
			$("#salaryLevelParent").show();
			return;
		}
		$("#salaryLevelParent").hide();
	}

	//判断是否是公务人员
	function isPublicFunctionaryFuc(personIdentify) {
		if(!!personIdentify && personIdentify != "04" && personIdentify != "06" && personIdentify != "07" && personIdentify != "08") {
			return true;
		}
		return false;
	}

	function clearParams() {
		hasGetRelatedInfo = false;
		increaseRatioSelectedIndex = [];
		$("#name").html("");
		$("#sex").html("");
		$("#birthTime").find(".itemRightText").html("--请选择--");
		$("#unit").html("");

		$("#personIdentify").html("--请选择--");
		$("#positionLevel").html("--请选择--");
		$("#salaryGrade").val("");
		$("#salaryLevel").val("");
		$("#isLeader").html("--请选择--");
		$("#teacherOrNurse").html("--请选择--");
		$("#teacherOfMiddleAndPrimarySchool").html("--请选择--");
		$("#isAcademicLeader").html("--请选择--");
		$("#policeRankAllowance").val("");
		$("#increaseRatio").html("--请选择--");

		$("#retiredType").html("--请选择--");
		$("#retiredTime").find(".itemRightText").html("--请选择--");
		$("#advancedTetiredMark").html("--请选择--");
		$("#jobTime").find(".itemRightText").html("--请选择--");
		$("#discontinuousMonths").html("");
		$("#retiredFeeExecuteTime").find(".itemRightText").html("--请选择--");
		$("#according").html("--请选择--");
	}

	function checkHasGetRelatedInfo(isInput) {
		if(!hasGetRelatedInfo) {
			topmobi.native.common.showMsg("请先填写身份证号获取回填信息", "middle", toastTimeForSalary);
			$("input").blur();
			return false;
		}
		if(!isInput) {
			$("input").blur();
		}
		return true;
	}

	/*
	 * 出生日期
	 */
	$("#birthTime").on("tap", function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}
		showMonthTimePicker($(this).find(".itemRightText"));
	})

	/*
	 * 老标准工资情况
	 */
	/*
	 * 人员身份
	 */
	var options1 = {
		data: ARR_personIdentify,
		title: '请选择',
		duration: 300
	};
	$("#personIdentify").parent().on('tap', function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}
		var actionSheet = new topmobi.widget.actionSheetDialog(options1);
		actionSheet.setItemClick(function(index) {
			$("#personIdentify").html(options1.data[index]);
			ARR_treatmentLevelSelected = ARR_treatmentLevel[index];
			actionSheet.remove();
			setPublicFunctionary(CODE.YAC002[options1.data[index]]);
		});
	});

	/*
	 * 享受待遇级别
	 */
	$("#positionLevel").parent().on('tap', function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}
		var options2 = {
			data: ARR_treatmentLevelSelected,
			title: '请选择',
			duration: 300
		};
		if(ARR_treatmentLevelSelected != undefined) {
			var actionSheet = new topmobi.widget.actionSheetDialog(options2);
			actionSheet.setItemClick(function(index) {
				$("#positionLevel").html(options2.data[index]);
				actionSheet.remove();
				var personIdentifyValue = $("#personIdentify").html();
				setDefaultForIsleaderFlag = setDefaultForIsleader(CODE.YAC002[personIdentifyValue], CODE.YAC013[options2.data[index]], $("#isLeader"));
			});
		} else {
			topmobi.native.common.showMsg("请先选择人员身份", "middle", toastTimeForSalary);
		}
	});

	/*
	 * 工资等级
	 */
	$("#salaryGrade").on("blur", function() {
		if(!checkHasGetRelatedInfo(true)) {
			$(this).val("");
			return;
		}
		var positionLevelValue = $("#positionLevel").html();
		if(positionLevelValue == "" || positionLevelValue == "--请选择--") {
			positionLevelValue = personInfo.yac013;
		}
		var item = checkSalaryLevel(CODE.YAC013[positionLevelValue]);
		var salaryGradeValue = this.value;
		if(parseFloat(salaryGradeValue) > item[1]) {
			topmobi.native.common.showMsg("工资等级不能大于" + item[1], "middle", toastTimeForSalary);
			$(this).val(item[1] + "");
			return;
		}
		if(parseFloat(salaryGradeValue) < item[0]) {
			topmobi.native.common.showMsg("工资等级不能小于" + item[0], "middle", toastTimeForSalary);
			$(this).val(item[0] + "");
			return;
		}
	})

	/*
	 * 工资档次
	 */
	$("#salaryLevel").on("input", function() {
		if(!checkHasGetRelatedInfo(true)) {
			$(this).val("");
			return;
		}
		var salaryLevelValue = this.value;
		if(parseFloat(salaryLevelValue) > 14) {
			topmobi.native.common.showMsg("工资档次不能大于14", "middle", toastTimeForSalary);
			$(this).val("14");
			return;
		}
		if(parseFloat(salaryLevelValue) < 1) {
			topmobi.native.common.showMsg("工资档次不能小于1", "middle", toastTimeForSalary);
			$(this).val("1");
			return;
		}
	})

	/*
	 * 是否领导职务
	 */
	var options3 = {
		data: ARR_eitherOr,
		title: '请选择',
		duration: 300
	};
	$("#isLeader").parent().on('tap', function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}
		if(setDefaultForIsleaderFlag){
			return;
		}
		var actionSheet = new topmobi.widget.actionSheetDialog(options3);
		actionSheet.setItemClick(function(index) {
			$("#isLeader").html(options3.data[index]);
			actionSheet.remove();
		});
	});

	/*
	 * 教师护士标识
	 */
	$("#teacherOrNurse").parent().on('tap', function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}
		var actionSheet = new topmobi.widget.actionSheetDialog(options3);
		actionSheet.setItemClick(function(index) {
			$("#teacherOrNurse").html(options3.data[index]);
			actionSheet.remove();
		});
	});

	/*
	 * 中小学教师（或教龄30年）
	 */
	$("#teacherOfMiddleAndPrimarySchool").parent().on('tap', function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}
		var actionSheet = new topmobi.widget.actionSheetDialog(options3);
		actionSheet.setItemClick(function(index) {
			$("#teacherOfMiddleAndPrimarySchool").html(options3.data[index]);
			actionSheet.remove();
		});
	});

	/*
	 * 管理期内省内学术带头人
	 */
	$("#isAcademicLeader").parent().on('tap', function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}
		var actionSheet = new topmobi.widget.actionSheetDialog(options3);
		actionSheet.setItemClick(function(index) {
			$("#isAcademicLeader").html(options3.data[index]);
			actionSheet.remove();
		});
	});

	/*
	 * 警衔津贴
	 */
	$("#policeRankAllowance").on("input", function() {
		if(!checkHasGetRelatedInfo(true)) {
			$(this).val("");
			return;
		}
		var policeRankAllowanceValue = $("#policeRankAllowance").val();
		if(parseFloat(policeRankAllowanceValue) <= 0) {
			topmobi.native.common.showMsg("请输入大于0的警衔津贴", "middle", toastTimeForSalary);
			$(this).val("");
			return;
		}
		if(parseFloat(policeRankAllowanceValue) > 100000) {
			topmobi.native.common.showMsg("警衔津贴不能大于100000", "middle", toastTimeForSalary);
			$(this).val("100000");
			return;
		}
	})

	/*
	 * 提高比例
	 */
	$("#increaseRatio").parent().on('tap', function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}
		showCheckboxDialog({
			"data": ARR_increaseRatio,
			"selectIndex": increaseRatioSelectedIndex,
			callback: function() {
				var ratio = 0;
				increaseRatioSelected = "";
				increaseRatioSelectedIndex = [];
				for(var i = 0; i < $(".dialog-checkBox-content").find(".check-item").length; i++) {
					var node = $(".dialog-checkBox-content").find(".check-item").eq(i);
					if(node.hasClass("active")) {
						ratio = ratio + node.data("id");
						var index = i + 1;
						var indexStr = index + "";
						if(indexStr.length < 2) {
							indexStr = "0" + indexStr;
						}
						increaseRatioSelected = increaseRatioSelected + indexStr + "_";
						increaseRatioSelectedIndex.push(i);
					}
				}
				if(!!increaseRatioSelected) {
					//					hasGetincreaseRatio = true;
					$("#increaseRatio").html(ratio.toFixed(2));
				} else {
					topmobi.native.common.showMsg("请至少选择一个选项", "middle", toastTimeForSalary);
					return false;
				}
				return true;
			}
		})
	});

	/*
	 * 退休待遇信息
	 */
	/*
	 * 退休类别
	 */
	var options4 = {
		data: ARR_retiredType,
		title: '请选择',
		duration: 300
	};
	$("#retiredType").parent().on('tap', function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}
		var actionSheet = new topmobi.widget.actionSheetDialog(options4);
		actionSheet.setItemClick(function(index) {
			$("#retiredType").html(options4.data[index]);
			actionSheet.remove();
		});
	});

	/*
	 * 退休时间
	 */
	$("#retiredTime").on("tap", function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}
		showMonthTimePicker($(this).find(".itemRightText"), "date", 2050);
	})

	/*
	 * 提前退休标识
	 */
	$("#advancedTetiredMark").parent().on('tap', function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}
		var actionSheet = new topmobi.widget.actionSheetDialog(options3);
		actionSheet.setItemClick(function(index) {
			$("#advancedTetiredMark").html(options3.data[index]);
			actionSheet.remove();
		});
	});

	/*
	 * 参加工作时间
	 */
	$("#jobTime").on("tap", function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}
		showMonthTimePicker($(this).find(".itemRightText"));
	})

	/*
	 * 退休待遇执行时间
	 */
	$("#retiredFeeExecuteTime").on("tap", function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}
		showMonthTimePicker($(this).find(".itemRightText"), "month", 2050);
	})

	/*
	 * 提高计发比例的依据
	 */
	var options5 = {
		data: ARR_enhanceAccording,
		title: '请选择',
		duration: 300
	};
	$("#according").parent().on('tap', function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}
		var actionSheet = new topmobi.widget.actionSheetDialog(options5);
		actionSheet.setItemClick(function(index) {
			$("#according").html(options5.data[index]);
			actionSheet.remove();
		});
	});

	/*
	 * 保存信息
	 */
	function checkChooseItem(itemText, message) {
		if(itemText == "" || itemText == "--请选择--") {
			topmobi.native.common.showMsg(message, "middle", toastTimeForSalary);
			return false;
		}
		return true;
	}

	$(".save_btn").on("tap", function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}
		//必填信息校验
		var birthday = $("#birthTime").find(".itemRightText").html();
		if(!checkChooseItem(birthday, "请选择出生日期")) {
			return;
		}
		var personIdentifyValue = $("#personIdentify").html();
		if(!checkChooseItem(personIdentifyValue, "请选择人员身份")) {
			return;
		}
		var positionLevelValue = $("#positionLevel").html();
		if(!checkChooseItem(positionLevelValue, "请选择享受待遇级别")) {
			return;
		}
		if(!ARR_treatmentLevelSelected) {
			topmobi.native.common.showMsg("请选择正确的人员身份", "middle", toastTimeForSalary);
			return;
		}
		var index = ARR_treatmentLevelSelected.indexOf(positionLevelValue);
		if(index < 0) {
			topmobi.native.common.showMsg("请重选人员身份对应的享受待遇级别", "middle", toastTimeForSalary);
			return;
		}
		var salaryGradeValue = $("#salaryGrade").val();
		if(!checkChooseItem(salaryGradeValue, "请填写工资等级")) {
			return;
		}
		var item = checkSalaryLevel(CODE.YAC013[positionLevelValue]);
		if(salaryGradeValue < item[0] || salaryGradeValue > item[1]) {
			topmobi.native.common.showMsg("工资等级须在" + item[0] + "-" + item[1] + "范围内!", "middle", toastTimeForSalary);
			return;
		}
		var salaryLevelValue = $("#salaryLevel").val();
		var personIdentifyCode = CODE.YAC002[personIdentifyValue];
		var isPublicFunctionary = isPublicFunctionaryFuc(personInfo.yac002) //是否是公务员 true 是 false 不是
		if(isPublicFunctionary) {
			if(!checkChooseItem(salaryLevelValue, "公务员需填写工资档次")) {
				return;
			}
		}
		var isLeaderValue = $("#isLeader").html();
		if(!checkChooseItem(isLeaderValue, "请选择是否领导职务")) {
			return;
		}
		var teacherOrNurseValue = $("#teacherOrNurse").html();
		if(!checkChooseItem(teacherOrNurseValue, "请选择教师护士标识")) {
			return;
		}
		var teacherOfMiddleAndPrimarySchoolValue = $("#teacherOfMiddleAndPrimarySchool").html();
		if(teacherOfMiddleAndPrimarySchoolValue == "--请选择--") {
			teacherOfMiddleAndPrimarySchoolValue = "";
		}
		var isAcademicLeaderValue = $("#isAcademicLeader").html();
		if(isAcademicLeaderValue == "--请选择--") {
			isAcademicLeaderValue = "";
		}
		var policeRankAllowanceValue = $("#policeRankAllowance").val();
		//		if(!hasGetincreaseRatio) {
		//			topmobi.native.common.showMsg("请选择提高比例", "middle", toastTimeForSalary);
		//			return;
		//		}
		var increaseRatioValue = $("#increaseRatio").html();
		retiredTypeValue = $("#retiredType").html();
		if(!checkChooseItem(retiredTypeValue, "请选择退休类别")) {
			return;
		}
		retiredTimeValue = $("#retiredTime").find(".itemRightText").html();
		if(!checkChooseItem(retiredTimeValue, "请选择退休时间")) {
			return;
		}
		advancedTetiredMarkValue = $("#advancedTetiredMark").html();
		if(!checkChooseItem(advancedTetiredMarkValue, "请选择提前退休标识")) {
			return;
		}
		jobTimeValue = $("#jobTime").find(".itemRightText").html();
		if(!checkChooseItem(jobTimeValue, "请选择参加工作时间")) {
			return;
		}
		retiredFeeExecuteTimeValue = $("#retiredFeeExecuteTime").find(".itemRightText").html();
		if(!checkChooseItem(retiredFeeExecuteTimeValue, "请选择退休待遇执行时间")) {
			return;
		}

		retiredAccordingValue = $("#according").html();
		if(!checkChooseItem(retiredAccordingValue, "请选择提高计发比例依据")) {
			return;
		}
		if(compareTime(birthday, jobTimeValue) >= 0) {
			topmobi.native.common.showMsg("参加工作时间需大于出生日期", "middle", toastTimeForSalary);
			return;
		}
		if(compareTime(jobTimeValue, retiredTimeValue) >= 0) {
			topmobi.native.common.showMsg("退休时间需大于参加工作时间", "middle", toastTimeForSalary);
			return;
		}
		if(compareTime(retiredTimeValue, retiredFeeExecuteTimeValue) > 0) {
			topmobi.native.common.showMsg("退休待遇执行时间需大于或等于退休时间", "middle", toastTimeForSalary);
			return;
		}
		var personNo = personInfo.aac001 || "";
		if(!checkChooseItem(personNo, "个人信息未返回人员编号")) {
			return;
		}
		var discontinuousMonthsValue = $("#discontinuousMonths").html();
		var dataJson = {
			"aac001": personNo || "", //个人编号 不能为空
			"aac002": idCardNumber || "", //身份证号 不能为空
			"aac006": birthday, //出生日期 不能为空
			"aac007": jobTimeValue, //参加工作时间 不能为空
			"aac063": CODE.AAC063[retiredAccordingValue], //提高计发比例依据 不能为空
			"yac002": CODE.YAC002[personIdentifyValue], //人员身份 不能为空
			"yac013": CODE.YAC013[positionLevelValue], //享受待遇级别 不能为空
			"yac005": salaryGradeValue || "", //工资等级 不能为空
			"yac080": salaryLevelValue || "", //工资档次 公务员不能为空
			"yac081": CODE.AAE100[isLeaderValue], //是否领导职务 不能为空
			"yac006": CODE.AAE100[teacherOrNurseValue], //教师护士标识 不能为空
			"tac001": CODE.TAC001[retiredTypeValue], //退休类别 不能为空
			"tac002": retiredTimeValue, //退休时间 不能为空
			"tac003": CODE.AAE100[advancedTetiredMarkValue], //提前退休标识 不能为空
			"yac035": discontinuousMonthsValue || "", //间断月数 可以为空
			"tac011": getUploadTimeFormat(retiredFeeExecuteTimeValue), //退休待遇执行时间 不能为空
			"aac065": policeRankAllowanceValue || "" //警衔津贴 可以为空
		};
		if(!!teacherOfMiddleAndPrimarySchoolValue && teacherOfMiddleAndPrimarySchoolValue != "--请选择--"){
			dataJson.tac009 = CODE.AAE100[teacherOfMiddleAndPrimarySchoolValue];
		}
		if(!!isAcademicLeaderValue && isAcademicLeaderValue != "--请选择--"){
			dataJson.tac010 = CODE.AAE100[isAcademicLeaderValue];
		}
		if(!!increaseRatioValue && increaseRatioValue != "--请选择--"){
			dataJson.tac005 = increaseRatioValue;
			dataJson.tac012 = increaseRatioSelected;
		}
		//保存退休待遇信息
		saveRetiredInfo(dataJson);
	})

	function saveRetiredInfo(dataJson) {
		var obj = {
			url: basicSalaryUrl + 'txdy/bctxxx',
			data: dataJson,
			method: "post",
			isEncrypt: true,
			success: function(data) {
				var result = data.result;
				if(!!result.statusCode && result.statusCode == 201) {
					topmobi.native.common.showMsg(result.message, "middle", toastTimeForSalary);
					history.go(-1);
				} else {
					if(!!result.statusCode && result.statusCode == 200 && !!data.result.message) {
						//保存失败，走这个分支，并将错误信息写入data.result.message
						topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSalary);
						return;
					}
					topmobi.native.common.showMsg("保存失败", "middle", toastTimeForSalary);
				}
			},
			fail: function(data) {
				topmobi.native.common.log("saveRetiredInfo", "错误：" + JSON.stringify(data));
				if(!!data.result && !!data.result.message) {
					//平台出错将错误信息写入data.result.message
					topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSalary);
				} else if(!!data.msg) {
					topmobi.native.common.showMsg(data.msg, "middle", toastTimeForSalary);
				} else {
					topmobi.native.common.showMsg("网络异常，请检查网络", "middle", toastTimeForSalary);
				}
			}
		}
		rs_networkRequest(obj);
	}
})