$().ready(function() {
	// 返回
	$(".back_icon").off("tap");
	$('.back_icon').on('tap', function() {
		history.back();
	});

	$("#name").on("blur", function(){
		var name = $("#name").val();
		if(!checkStudyName(name)){
			$("#name").val("");
		}
	})
	
	$("#idfyNumber").on("blur", function(){
		var idNumber = $("#idfyNumber").val();
		checkId(idNumber);
	})
	
	/*
	 * 人员类型
	 */
	$("#personType").parent().on('tap', function() {
		var options1 = {
			data: ARR_personType,
			title: '请选择',
			duration: 300
		};
		var actionSheet = new topmobi.widget.actionSheetDialog(options1);
		actionSheet.setItemClick(function(index) {
			$("#personType").html(options1.data[index]);
			actionSheet.remove();
		});
	});

	/*
	 * 单位性质
	 */
	$("#unitProperty").parent().on('tap', function() {
		var options2 = {
			data: ARR_unitProperty,
			title: '请选择',
			duration: 300
		};
		var actionSheet = new topmobi.widget.actionSheetDialog(options2);
		actionSheet.setItemClick(function(index) {
			$("#unitProperty").html(options2.data[index]);
			actionSheet.remove();
		});
	});
	/*
	 * 单位所属管辖地区
	 */
	$("#unitArea").parent().on('tap', function() {
		var options3 = {
			data: ARR_unitArea,
			title: '请选择',
			duration: 300
		};
		var actionSheet = new topmobi.widget.actionSheetDialog(options3);
		actionSheet.setItemClick(function(index) {
			$("#unitArea").html(options3.data[index]);
			actionSheet.remove();
		});
	});

	/*
	 * 职称级别
	 */
	$("#positionLevel").parent().on('tap', function() {
		var options4 = {
			data: ARR_jobGrades,
			title: '请选择',
			duration: 300
		};
		var actionSheet = new topmobi.widget.actionSheetDialog(options4);
		actionSheet.setItemClick(function(index) {
			$("#positionLevel").html(options4.data[index]);
			actionSheet.remove();
		});
	});

	/*
	 * 性别
	 */
	$("#gender").parent().on('tap', function() {
		var options5 = {
			data: ARR_gender,
			title: '请选择',
			duration: 300
		};

		var actionSheet = new topmobi.widget.actionSheetDialog(options5);
		actionSheet.setItemClick(function(index) {
			$("#gender").html(options5.data[index]);
			actionSheet.remove();
		});
	});

	/*
	 * 民族
	 */
	$("#nation").parent().on('tap', function() {
		var options6 = {
			data: ARR_nation,
			title: '请选择',
			duration: 300
		};
		var actionSheet = new topmobi.widget.actionSheetDialog(options6);
		actionSheet.setItemClick(function(index) {
			$("#nation").html(options6.data[index]);
			actionSheet.remove();
		});
	});

	/*
	 * 文化程度
	 */
	$("#educationLevel").parent().on('tap', function() {
		var options7 = {
			data: ARR_educationLevel,
			title: '请选择',
			duration: 300
		};
		var actionSheet = new topmobi.widget.actionSheetDialog(options7);
		actionSheet.setItemClick(function(index) {
			$("#educationLevel").html(options7.data[index]);
			actionSheet.remove();
		});
	});

	/*
	 * 检查信息
	 */
	function checkChooseItem(itemText, message) {
		if(itemText == "" || itemText == "--请选择--") {
			topmobi.native.common.showMsg(message, "middle", 1500);
			return false;
		}
		return true;
	}
	
	//提交信息
	$(".save_btn").on("tap", function() {
		$("input").blur();
		//必填信息校验
		var name = $("#name").val();
		if(!checkStudyName(name)){
			return;
		}
		
		var idNumber = $("#idfyNumber").val();
		if(!checkId(idNumber)) {
			return;
		}

		var personType = $("#personType").html();
		if(!checkChooseItem(personType, "请选择人员类型")) {
			return;
		}
		if(personType=='专业技术人员')
		{
			personType='zyjs';
		}else
		{
			personType='sydw';
		}
		var unit = $("#unit").val();
		if(!checkChooseItem(unit, "请填写工作单位")) {
			return;
		}

		var unitProperty = $("#unitProperty").html();
		if(!checkChooseItem(unitProperty, "请选择单位性质")) {
			return;
		}
		var unitArea = $("#unitArea").html();
		if(!checkChooseItem(unitArea, "请选择单位所属管辖地区")) {
			return;
		}

		var jobGradesName = $("#jobGradesName").val();
		if(!checkChooseItem(jobGradesName, "请填写职称名称")) {
			return;
		}

		var positionLevel = $("#positionLevel").html();
		if(!checkChooseItem(positionLevel, "请选择职称级别")) {
			return;
		}
		var gender = $("#gender").html();
		if(!checkChooseItem(gender, "请选择性别")) {
			return;
		}
		var indexOfPersonType = ARR_personType.indexOf(personType) + 1;
		indexOfPersonType = indexOfPersonType + "";
		var indexOfUnitProperty = ARR_unitProperty.indexOf(unitProperty) + 1;
		indexOfUnitProperty = indexOfUnitProperty + "";
		var indexOfUnitArea = ARR_unitArea.indexOf(unitArea) + 1;
		indexOfUnitArea = indexOfUnitArea.toString(16).toUpperCase();
		var indexOfPositionLevel = ARR_jobGrades.indexOf(positionLevel) + 1;
		indexOfPositionLevel = indexOfPositionLevel + "";
		var indexOfGender = ARR_gender.indexOf(gender) + 1;
		indexOfGender = indexOfGender + "";
		
		//民族
		var nation = $("#nation").html();
		if(!checkChooseItem(nation, "请选择民族")) {
			return;
		}

		//文化程度
		var educationLevel = $("#educationLevel").html();
		if(!checkChooseItem(educationLevel, "请选择文化程度")) {
			return;
		}else{
			var indexOfEducationLevel = ARR_educationLevel.indexOf(educationLevel) + 1;
			indexOfEducationLevel = indexOfEducationLevel + "";
		}
		
		//联系电话
		var telephoneNumber = $("#phoneNum").val();
		if(!checkChooseItem(telephoneNumber, "请填写电话号码")) {
			return;
		}
		
		//详细地址
		var address = $("#address").val();
		if(!checkChooseItem(address, "请填写详细地址")) {
			return;
		}
		
		//邮政编码
		var mailCode = $("#mailCode").val();
		if(!checkChooseItem(mailCode, "请填写邮政编码")) {
			return;
		}

		var dataJson = {
			"username": name, //姓名不能为空
			"idcard": idNumber, //身份证号 不能为空
			"usertype": personType, //人员类型
			"danwei": unit, //工作单位
			"dwxz": unitProperty, //单位性质
			"area": unitArea, //单位所属管辖地区
			"zhicheng": jobGradesName, //职称名称
			"zhichengjb": positionLevel, //职称级别
			"sex": gender, //性别
			"minzu": nation,//民族
			"wenhua": educationLevel,//文化程度
			"membertel": telephoneNumber,//电话号码
			"address": address,//详细地址
			"postcode": mailCode//邮政编码
		};
		//提交注册信息
		saveRegisterInfo(dataJson);
	})

	function saveRegisterInfo(dataJson) {
		var obj = {
			url: studyUrl + "education/register",
			data: dataJson,
			method: "post",
			isEncrypt: true,
			success: function(data) {
				var result = data.result;
				if(!!result.code && result.code == 1) {
					topmobi.native.common.showMsg("注册成功", "middle", 1500);
					topmobi.native.cache.putSharedValue("temp", "userName", $("#name").val());
					topmobi.native.cache.putSharedValue("temp", "idfyNumber", $("#idfyNumber").val());
					//返回登录页面自动登录
					history.go(-2);
				} else {
					if(!!result.msg) {
						//未查找到符合条件的数据也返回200，走这个分支，并将错误信息写入data.result.message
						topmobi.native.common.showMsg(result.msg, "middle", toastTimeForSalary);
						return;
					}
					topmobi.native.common.showMsg("注册失败", "middle", 1500);
				}
			},
			fail: function(data) {
				topmobi.native.common.log("studyLogin", "错误：" + JSON.stringify(data));
				if(!!data.result && !!data.result.message) {
					//平台出错将错误信息写入data.result.message
					topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSalary);
				} else if(!!data.msg) {
					topmobi.native.common.showMsg(data.msg, "middle", toastTimeForSalary);
				} else {
					topmobi.native.common.showMsg("网络异常", "middle", 1500);
				}
			}
		}
		rs_networkRequest(obj);
	}
})