var startTime="",endTime="",institution="",course="";
var id = topmobi.native.cache.getSharedValue('resume', 'experienceId');//获取id
var flag = topmobi.native.cache.getSharedValue('resume', 'isNew');//判断是新增还是修改
$html = $('html');

if(flag=='true'){
	//新增，不需要显示删除按钮
	$('.del-icon').remove();
}else{
	// 加载条控件
}
// 返回
$('.back_icon').on('tap', function() {
   // location.href="trainingExperience.html";
   topmobi.native.common.closeWindow(0);
});

/*
 * 根据id判断是显示教育经历详情还是新增教育经历
 * id没有值表示新增教育经历
 * id有值表示显示教育经历详情，并可修改教育经历
 */

 function getInfoById(){
 	if(id!=null && id!=undefined && id!=""){
 		var dataJson = {
			"handler": "detailTrainExperHandler",
			"sub": {
				"id":id
			}
		};
		var obj = {
			url: resumeEncryUrl,
			data: dataJson,
			isEncrypt:true,
			success: function(data) {
			    var result = data.result;
				if(result.code=="1000"){
					showTrainingDetail(result.data);
				}else if(result.code=="2000"){
					topmobi.native.common.showMsg("获取信息失败!", "middle", 1500);
				}else if(result.code=="4000"){
					topmobi.native.common.showMsg("暂无信息!", "middle", 1500);
				}
			},
			fail: function(data) {
				topmobi.native.common.showMsg("网络异常！", "middle", 1500);
			}
		}
		rs_networkRequest(obj);
 	}
 }
 function showTrainingDetail(data){
 	if(data!=undefined && data != null){
 		$("#startTime").html(data.beginTime);
 		$("#endTime").html(data.endTime);
 		$("#trainningIns").val(data.trainingInstitution);
 		$("#trainningCourse").val(data.trainingCourse);
 	}
 }
 getInfoById(); 
   
/*
 * 开始时间
 */
$("#startTime").on("tap", function() {
	showMonthTimePicker($(this).find(".itemRightText"));
})
  
/*
 * 结束时间
 */
$("#endTime").on("tap", function() {
	showMonthTimePicker($(this).find(".itemRightText"));
})

function getTrainingItemValue(){
	startTime = $("#startTime").html();
	endTime = $("#endTime").html();
	institution = $("#trainningIns").val();
	course = $("#trainningCourse").val();
}
	
/*
 * 点击"保存"，提交信息
 */
$(".save_btn").click(function(){
	getTrainingItemValue();
	if( checkSelect(startTime,"2")
        && checkSelect(endTime,"3") 
        && resumeCheckInput50(institution,"8")
        && resumeCheckInput50(course,"9")
	){
		if(startTime<endTime){//开始时间不能大于结束时间
				addTrainingInfo();
			}else{
				topmobi.native.common.showMsg("结束时间应大于开始时间!", "middle", 1500);
		}	
	}
})

function addTrainingInfo(){
	userId = topmobi.native.cache.getSharedValue("user", "userId");
	if(flag=='true'){
		var dataJson = {
			"handler": "updateTrainExperHandler",
			"sub": {
				"userId":userId,
　　　　　　 		"trainingInstitution":institution,
　　　　　   			"trainingCourse":course, 
　　　　　  			"beginTime":startTime,
　　　　　  			"endTime":endTime
			}
		};
	}else{
		var dataJson = {
			"handler": "updateTrainExperHandler",
			"sub": {
				"id":id,
				"userId":userId,
　　　　　　 		"trainingInstitution":institution,
　　　　　   			"trainingCourse":course, 
　　　　　  			"beginTime":startTime,
　　　　　  			"endTime":endTime
			}
		};
	}
	
	var obj = {
		url: resumeEncryUrl,
		data: dataJson,
		isEncrypt:true,
		success: function(data) {
			var result = data.result;
			if(result.code=="1000"){
				topmobi.native.common.showMsg("信息提交成功!", "middle", 1500);
				topmobi.native.common.broadcast("trainingRefresh","1");
				topmobi.native.common.closeWindow(0);
			}else if(result.code=="2000"){
				topmobi.native.common.showMsg("添加信息失败!", "middle", 1500);
			}
		},
		fail: function(data) {
			//topmobi.native.common.showMsg(data.msg, "middle", 1500);
			topmobi.native.common.showMsg("网络异常！", "middle", 1500);
		}
	}
	rs_networkRequest(obj);
}

//删除记录
function delTrainingExper(){
	var dataJson = {
			"handler": "deleteTrainExperHandler",
			"sub": {
				"id":id
			}
	};
	var obj = {
		url: resumeEncryUrl,
		data: dataJson,
		isEncrypt:true,
		success: function(data) {
			var result = data.result;
			if(result.code=="1000"){
				topmobi.native.common.showMsg("删除成功!", "middle", 1500);
				topmobi.native.common.broadcast("trainingRefresh","1");
				topmobi.native.common.closeWindow(0);
			}else if(result.code=="4000"){
				topmobi.native.common.showMsg("记录为空!", "middle", 1500);
			}
		},
		fail: function(data) {
			topmobi.native.common.showMsg("网络异常", "middle", 1500);
		}
	}
	rs_networkRequest(obj);
	
}
$('.del-icon').on('tap',function(){
		var options = {
					title: '提示',
					content: '确定删除此条记录?<br>',
					btns: ['取消','确定']
		};
		var myAlert = new topmobi.widget.alert(options);
		myAlert.setWidth("60%");
		myAlert.setHeight("130px");
		myAlert.click(function(i) {
				myAlert.hide();
				if(i==1){
					delTrainingExper();
				}
		});
});