/*
 * 本文件是“职位评论”和“企业评论”共用
 */

var NUM_FIRST_REQ = 10; // 第一次请求的数量
var NUM_REQ = 10; // 上拉加载请求依次的数量
var TIMEOUT_REQ = 4000; // 请求延迟时间

//var arrJobId = new Array(0); // 存储id信息
var reqCount = 0; // 记录请求次数
// 标题
var $title = $('.title');
//获取信息
var commentId = topmobi.native.cache.getSharedValue('comment', 'commentId');//公司id或者是职位id
var commentType = topmobi.native.cache.getSharedValue('comment', 'commentType');
var commentName = topmobi.native.cache.getSharedValue('comment', 'commentName');

//返回
$(".back_icon").on("tap", function() {
	topmobi.native.common.unregisterBroadcast("commentRefresh");
	topmobi.native.common.closeWindow(0);
})

function noData(){
	$(".noData").css("display", "block");
}
$('.noData').on('tap', function() {
	window.location.reload();
}); 

// 列表控件
var listView;
var dataHtml = "";
var option = {
	'pullUpState': true,
	'pullDownState': true
};
//上拉加载 下拉刷新控件
var pullRefresh = new chui.widget.pullRefresh("#pRefresh", option);

//设置上拉加载事件
pullRefresh.pullUp(function() {
	requestMore();
});
//设置下拉刷新事件
pullRefresh.pullDown(function() {
	reqCount = 0;
    requestRefresh();
});

//请求数据
var dataRequest={
	"handler": "touristFindCommtsHandler",
	"sub": {
		"commentId":commentId,
　　　	"start":0,
　　　	"offset":NUM_FIRST_REQ
	}
};

//首次请求
function firstGetComments(){
	var obj = {
		url: resumeTouristUrl,
		data: dataRequest,
		success: function(data) {
			var result = data.result;
			if(result.code=="1000"){
				var arrData = new Array(0);
    			for(var i = 0; i < result.data.length; i++) {
       			// 数据处理
       			//	arrJobId.push(result.data[i].id); 
       				var item = {
       					id:result.data[i].id,
       					picUrl:result.data[i].picUrl,
						comment: result.data[i].comment,
       					crtime: result.data[i].crtime
        			  };
        				arrData.push(item);
    				}
    				dataHtml = '<div id="listView" class="ch_ui_list list_wrapper">';
    				dataHtml += '<ul class="list"></ul>';
    				dataHtml += '</div>';
    				pullRefresh.addContent(dataHtml);
    				// 列表控件
    				listView = new ch.widget.CListView("#listView", arrData, "list-comment", {pullToRefresh: true}, "ch_ui_list");
    				pullRefresh.refresh();
    				reqCount ++;
				}else if(result.code=="4000"){
					topmobi.native.common.showMsg("暂无结果!", "middle", 1500);
				}
			},
			fail: function(data) {
				noData();
				topmobi.native.common.showMsg("网络异常！", "middle", 1500);
			}
		}
		rs_networkRequest(obj);
}
firstGetComments();

//上拉加载更多
function requestMore(){
	var dataJson = {
		"handler": "touristFindCommtsHandler",
　　		"sub": { 
　　　　　		"commentId":commentId, 
　　　　　		"start": NUM_FIRST_REQ + NUM_REQ * (reqCount - 1),
            "offset": NUM_REQ
　　　　　		}
	};
    var obj = {
        url: resumeTouristUrl,
        data: dataJson,
        success: function(data) {
            // 获取返回的结果
            var result = data.result;
            switch (result.code) {
                case '1000':
                    var arrData = result.data;
                    // 数据优化处理
                    for (var i = 0; i < arrData.length; i ++) {
                        var item = {
                            id:result.data[i].id,
       						picUrl:result.data[i].picUrl,
							comment: result.data[i].comment,
       						crtime: result.data[i].crtime
                          };
                        listView.addItem(item);
                    }
                    reqCount ++;
                    break;
                case '4000':
                    topmobi.native.common.showMsg('无更多数据', 'bottom', 1500);
                    break;
            }
            pullRefresh.refresh();
        },
        fail: function() {
            topmobi.native.common.showMsg('网络异常', 'middle', 1500);
            pullRefresh.refresh();
        }
    };
    rs_networkRequest(obj);
}

//下拉刷新
function requestRefresh(){
    var obj = {
        url: resumeTouristUrl,
        data: dataRequest,
        success: function(success) {
            // 获取返回的结果
            var result = success.result;
            switch (result.code) {
                case '1000':
                    var arrData = result.data;
                    var arrDataOptimized = new Array(0);
                  
                    // 数据优化处理
                    for (var i = 0; i < arrData.length; i ++) {
                        var item = {
                            id:result.data[i].id,
       						picUrl:result.data[i].picUrl,
							comment: result.data[i].comment,
       						crtime: result.data[i].crtime
                        };
                        arrDataOptimized.push(item);
                    }
                    listView.setData(arrDataOptimized);
                    listView.update();
                    reqCount ++;
                    break;
                case '4000':
                    showNoData();
                    break;
            }
            pullRefresh.refresh();
        },
        fail: function() {
            topmobi.native.common.showMsg('网络异常', 'middle', 1500);
            pullRefresh.refresh();
        }
    };
    rs_networkRequest(obj);
}
//添加评论
function gotoAddComment(){
		var obj = {
            action: {
                android: 'gov.my.socialsecurity.htmlactivity.talentCenter.AddCommentActivity',
                ios: 'CHBaseWebViewController'
            },
            windowType: 0,
            params: {
                id: '',
                html:"html_talentCenter/addComment.html"
            }
    };
    topmobi.native.common.openWindow(obj);
}
$('.judgement-wrap').on('tap',function(){
	topmobi.native.cache.putSharedValue('comment', 'commentId', commentId);//职位或企业id
    topmobi.native.cache.putSharedValue('comment', 'commentType', commentType); //"2"表示对职位的评论  "1"表示对企业的评论
    topmobi.native.cache.putSharedValue('comment', 'commentName', commentName); //职位名称
	gotoAddComment();
});


//注册广播刷新页面
topmobi.native.common.registerBroadcast("commentRefresh", function(msg) {
		if(msg == "1") {
			getEducationInfo();
		} 
});