var area="",highSalary="",lowSalary="",jobName="",className="";//高级搜索接口参数
var searchWords="";//搜索历史关键字
var searchHistory="";//搜索历史拼接：关键字+地区+职位+薪资
// 行业
var ARR_industrySearch = [];
var ARR_industrySearch_CODE = [];
var industryId="";
//职位
var ARR_position = [];
var arrHistoryItem = new Array(0);//用于点击搜索历史记录时，触发搜索事件
var MAXNumber=5;
var max=0;
$(".back_icon").on("tap", function() {
	topmobi.native.common.unregisterBroadcast("searchHistoryRefresh");
	topmobi.native.common.closeWindow(0);
})

/*
 * 处理缓存读取的搜索历史数据，并显示搜索历史列表
 */
function showSearchHistory(){
	$('.find-history').remove();//先清空节点
	if($('.no-history').length>0) {
		$('.no-history').remove();
	}
	searchHistory = topmobi.native.cache.getSharedValue('jobs', 'searchHistory');
	arrHistoryItem =[];
	if(searchHistory!=null && searchHistory!=""){
		var arrList =[];
		var historyArray =new Array(0);
		var historyHtml="";
		historyHtml+='<div class="find-history"></div>';
		$('.content').append(historyHtml);
		arrList = searchHistory.split("&");
		if(arrList.length>MAXNumber){
			max = MAXNumber;
		}else{
			max = arrList.length;
		}
		for(var i=0; i<max;i++){
			arrHistoryItem.push(arrList[i]);
			var arrItem = JSON.parse(arrList[i]);
			var searchWordsTemp = arrItem.searchWords;
			var areaTemp = arrItem.area;
			var classNameTemp = arrItem.className;
			var highSalaryTemp = arrItem.highSalary;
			var lowSalaryTemp = arrItem.lowSalary;
			//将缓存中读取的各字段拼接成字符串
			var str="";
			str += searchWordsTemp;
			if(areaTemp != "") {
				str +=  '+' + areaTemp;
			}
			if(classNameTemp != "") {
				str += '+' + classNameTemp;
			}
			if(lowSalaryTemp != "" && highSalaryTemp != "") {
				str += '+￥' + lowSalaryTemp + '-￥' + highSalaryTemp;
			}
			historyArray.push(str);
		}
		var dataJson={
			"searchList":historyArray
		};
		$('.find-history').append(template('searchHistory', dataJson));//模板只能传对象！！！
		//添加搜索历史点击事件
		registerHistoryListener();
	}else{
		if($('.no-history').length==0) {
			//无搜索记录
			var noHistoryHtml="";
			noHistoryHtml+='<div class="no-history">暂无搜索记录</div>';
			$('.content').append(noHistoryHtml);
		}
	}
}
//$(".back_icon").on("tap", function() {
	showSearchHistory();
//})

function registerHistoryListener(){
	//点击搜索历史项，开始搜索
	$(".historyItem").each(function () {
		$(this).on('tap',function () {
			var index = $(this).index();
			var data = JSON.parse(arrHistoryItem[index]);
			//剥离搜索字段
             searchWords = data.searchWords;
			 area = data.area;
			 className = data.className;
			 highSalary = data.highSalary;
			 lowSalary = data.lowSalary;
			 startAdvancedSearch();
		});
	});
	//清空缓存
	$('.clear-wrap').on('tap',function () {
		topmobi.native.cache.putSharedValue('jobs', 'searchHistory', "");
		searchHistory="";
		
		$('.find-history').remove();
		if($('.no-history').length==0){
			var noHistoryHtml="";
			noHistoryHtml+='<div class="no-history">暂无搜索记录</div>';
			$('.content').append(noHistoryHtml);
		}
		
	});
}
/*
 * 地区
 */
$(".area").blur(function(event){
	area = $("#area").val();
});

//获取行业
function  getIndustry(){
	var dataJson = {
			"handler": "touristGetPositionHandler"
	};
	var obj = {
			url: resumeTouristUrl,
			data: dataJson,
			success: function(data) {
				var result = data.result;
				if(result.code=="1000"){
					for(var i=0;i<result.data.length;i++){
						ARR_industrySearch.push(result.data[i].className);
						ARR_industrySearch_CODE.push(result.data[i].id);
					}
				}else if(result.code=="4000"){
					topmobi.native.common.showMsg("暂无行业信息!", "bottom", 1500);
				}
			},
			fail: function(data) {
				topmobi.native.common.showMsg("网络异常", "bottom", 1500);
			}
	}
	rs_networkRequest(obj);
}
getIndustry();

//根据行业获取职位
function getPosition(){
	var dataJson = {
			"handler": "touristGetPositionHandler",
			"sub":{
				"id":industryId
			}
	};
	var obj = {
			url: resumeTouristUrl,
			data: dataJson,
			success: function(data) {
				var result = data.result;
				if(result.code=="1000"){
					ARR_position=[];
					for(var i=0;i<result.data.length;i++){
						ARR_position.push(result.data[i].className);
					}
				}else if(result.code=="4000"){
					topmobi.native.common.showMsg("暂无职位信息!", "bottom", 1500);
				}
			},
			fail: function(data) {
				topmobi.native.common.showMsg("网络异常", "bottom", 1500);
			}
	}
	rs_networkRequest(obj);
}

/*
 * 行业选择
 */
var options1 = {
                data: ARR_industrySearch,
                title: '请选择行业类别',
                duration: 300
            };
$(".industry").parent().on('tap', function() {
    var actionSheet = new topmobi.widget.actionSheetDialog(options1);
    actionSheet.setItemClick(function(index) {
        $(".industry").html(options1.data[index]);
        //要清空职位
		$(".position").html("--请选择--");
		className="";
		ARR_position=[];
        industryId = ARR_industrySearch_CODE[index];
        getPosition();//去获取职位
        actionSheet.remove();
    });
});

/*
 * 职位选择position
 */
$(".position").parent().on('tap', function() {
	//getPosition();
	if(ARR_position.length>0){
		var options2 = {
                data: ARR_position,
                title: '请选择行业对应的职位',
                duration: 300
    	};
    	var actionSheet = new topmobi.widget.actionSheetDialog(options2);
    	actionSheet.setItemClick(function(index) {
        	$(".position").html(options2.data[index]);
        	className = options2.data[index];
        	actionSheet.remove();
    	});
	}else{
		topmobi.native.common.showMsg("暂无职位信息!", "bottom", 1500);
	}
});

/*
 * 薪金
 */
var options3 = {
                data: ARR_salary,
                title: '请选择职位薪金',
                duration: 300
            };
$(".salary").parent().on('tap', function() {
    var actionSheet = new topmobi.widget.actionSheetDialog(options3);
    actionSheet.setItemClick(function(index) {
        $(".salary").html(options3.data[index]);
        if(index==0){
        	lowSalary = "0";
        	highSalary = "1000";
        }else if(index==12){
        	lowSalary = "100000";
        }else{
        	var item = options3.data[index].split("-");
        	lowSalary = item[0];
        	highSalary = item[1].split(" ")[0];
        }
        actionSheet.remove();
    });
});

//搜索按钮
$(".search-btn").click(function(){
	searchWords = $(".keywords").val();
	if(searchWords==""){
		topmobi.native.common.showMsg("请输入关键字", "middle", 1500);
	}else if(checkKeyWord(searchWords)==false){
		topmobi.native.common.showMsg("关键字请勿输入特殊字符！", "middle", 1500);
	}else{
		area = $("#area").val();
		//添加搜索历史记录
	    addSearchHistory();
		startAdvancedSearch();
	}
	
})

function startAdvancedSearch(){
	topmobi.native.cache.putSharedValue('jobs', 'keywords', searchWords);
	topmobi.native.cache.putSharedValue('jobs', 'jobType', 3);
	topmobi.native.cache.putSharedValue('jobs', 'className', className);
	topmobi.native.cache.putSharedValue('jobs', 'jobArea', area);
	topmobi.native.cache.putSharedValue('jobs', 'highSalary', highSalary);
	topmobi.native.cache.putSharedValue('jobs', 'lowSalary', lowSalary);
	var obj = {
        action: {
            android: 'gov.my.socialsecurity.htmlactivity.talentCenter.JobSearchActivity',
            ios: 'CHBaseWebViewController'
        },
        windowType: 0,
         	params: {
                'id': '',
                html:"html_talentCenter/jobList.html"
            }
    };
   topmobi.native.common.openWindow(obj);
}
/*
 * 添加搜索历史缓存
 */
function addSearchHistory(){
	var sameflag=false;
	var dataJson ={
		"searchWords":searchWords,
		"area":area,
		"className":className,
		"highSalary":highSalary,
		"lowSalary":lowSalary
	}
	searchHistory = topmobi.native.cache.getSharedValue('jobs', 'searchHistory');
	if(searchHistory!=""){
		var arrList =[];
		arrList = searchHistory.split("&");
		for(var i=0; i<arrList.length;i++){
			if(arrList[i]==JSON.stringify(dataJson)){
				sameflag =true;
			}
		}
	}else{//searchHistory==""
	     sameflag =true;
		 searchHistory = JSON.stringify(dataJson);
		 topmobi.native.cache.putSharedValue('jobs', 'searchHistory', searchHistory);
	}
	//拼接搜索词 最新的搜索词在最前面
	if(sameflag ==false){
		searchHistory = JSON.stringify(dataJson)+"&"+searchHistory;
	    topmobi.native.cache.putSharedValue('jobs', 'searchHistory', searchHistory);
	}
}

//注册广播刷新页面
topmobi.native.common.registerBroadcast("searchHistoryRefresh", function(msg) {
		if(msg == "1") {
			showSearchHistory();
		} 
});