$(".back_icon").on("tap", function() {
	topmobi.native.common.unregisterBroadcast("jobDetailRefresh");
	topmobi.native.common.closeWindow(0);
})
var registerFlag = false;//是否已注册“更多评论”点击事件。只注册一次
var count = 0;
var myViewpager = new chui.widget.viewPager();

var enterPriseHtml="";
var enterPriseId="";
var userId = topmobi.native.cache.getSharedValue("user", "userId");
var jobId = topmobi.native.cache.getSharedValue('jobFind', 'jobId');//获取id
var jobName="",collectType="",collectId="",enterpriseName="",enterpriseAddr="",salary="",coverImgUrl="";
var isCollect = '0',isResume = '0';//是否收藏过、投递过该职位
//无数据时刷新
function noData(){
	$(".noData").css("display", "block");
}
$('.noData').on('tap', function() {
	window.location.reload();
});


//获取职位详情信息
function  getJobDetail(){
	var dataJson = {
			"handler": "touristDetailJobHandler",
			"sub":{
				"userId":userId,
　　　　　			"jobId":jobId 
			}
		};
		var obj = {
			url: resumeTouristUrl,
			data: dataJson,
			success: function(data) {
				var result = data.result;
				if(result.code=="1000"){
					showJobDetail(result);
					registerFlag = true;
					getJobComments();	
				}else if(result.code=="4000"){
					topmobi.native.common.showMsg("暂无职位信息!", "middle", 1500);
				}
			},
			fail: function(data) {
				noData();
				topmobi.native.common.showMsg("网络异常", "middle", 1500);
			}
		}
		rs_networkRequest(obj);
}

function showJobDetail(result){
	//页面title显示职位名称
	jobName = result.data.jobName;
	$(".title").html(jobName);
	enterPriseId = result.data.enterpriseId;
	salary = "￥"+result.data.lowSalary+"-"+"￥"+result.data.highSalary;
	result.data.highSalary = salary;
	//是否投递过,收藏过
	isCollect = result.data.isCollect;
	isResume = result.data.isResume;
	if(isCollect=='1'){
		$('.collection').html('已收藏');
		$('.collection-icon').css("background-image","url(../img/collection.png)")
	}
	if(isResume=='1'){
		$('.delivery-btn').html('取消投递');
	}
	//显示基本信息
	 $(".jobContent").html(template('JobDetailInfo', result)); 
	 
	//企业信息html
	 $(".page2").html(template('enterpriseInfo', result)); 
    registerFindBtnListener();
}

//$(".back_icon").on("tap",function(){
	getJobDetail();
//});

//获取职位评论
 function getJobComments(){
	var dataJson = {
			"handler": "touristFindCommtsHandler",
			"sub":{
				"commentId":jobId,
　　　　　			"start":0,
				"offset":2
			}
		};
		var obj = {
			url: resumeTouristUrl,
			data: dataJson,
			success: function(data) {
				var result = data.result;
				if(result.code=="1000"){
					showJobComments(result.data);
				}else if(result.code=="4000"){
					registerFlag = false;
				}
			},
			fail: function(data) {
				topmobi.native.common.showMsg("网络异常", "middle", 1500);
			}
		}
		rs_networkRequest(obj);
 }
 function showJobComments(data){
 	//有评论数据才添加此评论标题
 	if($(".comment").length==0){
 		var commentHtml="";
 		commentHtml+='<div class="item-wrap bgActive ps-re comment">';
 		commentHtml+='<div class="text-center">评论</div>';
 		commentHtml+='<div class="more-comments">更多评论</div>';
 		commentHtml+='</div>';
 		commentHtml+='<div class="judgement-list">';
 		commentHtml+='</div>';
 		$(".jobContent").append(commentHtml);
 	}
 	//渲染评论模板
 	var html = "";
    for (var i = 0; i < data.length; i++) {
        html += template("JobComments", data[i]);
    }
    $(".judgement-list").html(html);
    if(registerFlag ==true){
    	registerJobCommentsListener();//只注册一次点击事件,防止添加完评论刷新职位详情也面的评论时,重复注册点击事件
    }
 }
  
function registerJobCommentsListener(){
	topmobi.native.cache.putSharedValue('comment', 'commentType', 2); //"2"表示对职位的评论
    topmobi.native.cache.putSharedValue('comment', 'commentName', jobName); //职位名称
	topmobi.native.cache.putSharedValue('comment', 'commentId', jobId);//职位id
 	//点击"更多评论"按钮,查看评论列表
 	$(".more-comments").on('tap',function () {
		var obj = {
            action: {
                android: 'gov.my.socialsecurity.htmlactivity.talentCenter.CommentsActivity',
                ios: 'CHBaseWebViewController'
            },
            windowType: 0,
            params: {
                'id': '',
                html:"html_talentCenter/commentsList.html"
            }
        };
        topmobi.native.common.openWindow(obj);
	});
}

//添加评论
function gotoAddComment(){
		var obj = {
            action: {
                android: 'gov.my.socialsecurity.htmlactivity.talentCenter.AddCommentActivity',
                ios: 'CHBaseWebViewController'
            },
            windowType: 0,
            params: {
                'id': '',
                html:"html_talentCenter/addComment.html"
            }
    };
    topmobi.native.common.openWindow(obj);
}
	//评论职位
	$(".judgement-wrap").on('tap',function(){
		topmobi.native.cache.putSharedValue('comment', 'commentId', jobId);//职位id
    	topmobi.native.cache.putSharedValue('comment', 'commentType', 2); //"2"表示对职位的评论
    	topmobi.native.cache.putSharedValue('comment', 'commentName', jobName); //职位名称
		gotoAddComment();
	});

	//投递简历
	$(".delivery-btn").on('tap',function(){
		collectType="3";
		collectId=jobId;
		gotoCollectOrApply();
	});
	//收藏职位
	$(".collection-wrap").on('tap',function(){
		collectType="2";
		collectId=jobId;
		gotoCollectOrApply();
	});


function gotoCollectOrApply(){
	var dataJson = {
			"handler": "addToCollectHandler",
			"sub":{
				"userId":userId,
				"collectType":collectType,
　　　　　　　		"collectId":collectId,
　　　　　　 　		"jobName":jobName,
				"enterpriseName":enterpriseName,
				"enterpriseAddr":enterpriseAddr,
				"salary":salary
			}
		};
		var obj = {
			url: resumeEncryUrl,
			data: dataJson,
			isEncrypt:true,
			success: function(data) {
				var result = data.result;
				if(result.code=="1000"){
					if(collectType=="2"){
						topmobi.native.common.showMsg("收藏成功!", "bottom", 1500);
						$('.collection-icon').css("background-image","url(../img/collection.png)")
						$('.collection').html('已收藏');
					}else{
						topmobi.native.common.showMsg("投递成功!", "bottom", 1500);
						$('.delivery-btn').html('取消投递');
					}
					topmobi.native.common.broadcast("myPositionRefresh","1");
				}else if(result.code=="8000"){	
					cancelCollectOrApply(collectType);
				}else if(result.code=="8003" ||result.code=="8005" ){
					topmobi.native.common.showMsg("请先完善个人简历信息!", "bottom", 1500);
				}
			},
			fail: function(data) {
				topmobi.native.common.showMsg("网络异常", "bottom", 1500);
			}
		}
		rs_networkRequest(obj);
}

//取消收藏或投递
function cancelCollectOrApply(collectType){
	var dataJson = {
			"handler": "deleteFromCollectHandler",
			"sub":{
				"userId":userId,
				"collectType":collectType,
　　　　　　　		"collectId":collectId
			}
		};
		var obj = {
			url: resumeEncryUrl,
			data: dataJson,
			isEncrypt:true,
			success: function(data) {
				var result = data.result;
				if(result.code=="1000"){
					if(collectType=="2"){
						topmobi.native.common.showMsg("取消收藏!", "bottom", 1500);
						$('.collection-icon').css("background-image","url(../img/notCollect.png)")
						$('.collection').html('收藏');
					}else{
						topmobi.native.common.showMsg("取消投递!", "bottom", 1500);
						$('.delivery-btn').html('投递简历');
					}	
					topmobi.native.common.broadcast("myPositionRefresh","1");
				}else if(result.code=="4000"){
					//record is null
				}
			},
			fail: function(data) {
				topmobi.native.common.showMsg("网络异常", "bottom", 1500);
			}
		}
		rs_networkRequest(obj);
}


/*
 * 点击"查看详情"，查看企业信息详情
 */
function registerFindBtnListener(){
	$(".look-btn").click(function(){
		topmobi.native.cache.putSharedValue('jobFind', 'jobId', enterPriseId);
		var obj = {
            action: {
                android: 'gov.my.socialsecurity.htmlactivity.talentCenter.CompanyDetailActivity',
                ios: 'CHBaseWebViewController'
            },
            windowType: 0,
            params: {
               html:"html_talentCenter/companyDetail.html" 
            }
    };
    topmobi.native.common.openWindow(obj);
  })
}
//注册广播刷新页面(当在此页面添加评论时)
topmobi.native.common.registerBroadcast("jobDetailRefresh", function(msg) {
		if(msg == "1") {
		    if(registerFlag==true){
		    	registerFlag = false;
		    } 
			getJobComments();
		} 
});