/*
 * 本文件用于存放“人才中心”公共的方法或变量
 */

/*基本信息*/
//var userId="0d348a81c33d4a78bf28adbe05541a3f";
var userId="";
var idCard="",name="",sex="",nation="",politicsStatus="";/*身份证，姓名，性别，民族，政治面貌*/
var educationBackground="",educationalSystme="",school="",graduateTime="",majorClass="",major="";/*学历，学制，学校，毕业时间，专业类别，专业*/
var difficultyStatus="",censusRegister="",homeAddress="",censusType="";/*困难情况、户籍、住址、户籍性质*/
var studentOfTeacher="";//师范生
var mobilePhoneNumber="",homeNumber="";/*移动电话 ，家庭电话*/
var fatherCompany="",motherCompany="";/*父亲工作单位、母亲工作单位*/
var integrity=0;//信息是否完整
var educationBackgroundText="";//学历对应的文本（educationBackground是学历对应的代码）
var majorClassText="";//专业类别对应的文本（majorClass是专业类别对应的代码）
var archivesCode="";//档案保存地代码
var archives="";//档案保存地
var TEXT_select = '--请选择--';

/*未就业信息*/
var employmentIntention = "";//就业服务需求
var	employmentPurpose = "";//就业意向
var	workPlaceIntention = "";//就业地意向

/*已就业信息*/
var employmentWay="";//就业途径
var company="";//公司名称
var companyAddress="";//单位地址
var companyNumber="";//公司电话
var empoymentLocation="";//就业地去向
//var userId="0d348a81c33d4a78bf28adbe05541a3e";
// Array

/**
 * 基本信息
 */

// 民族
var ARR_nation = ['汉族','壮族','藏族','裕固族','彝族','瑶族','锡伯族','乌孜别克族','维吾尔族','佤族','土家族','土族','塔塔尔族','塔吉克族','水族','畲族','撒拉族','羌族','普米族','怒族','纳西族','仫佬族','苗族','蒙古族','门巴族','毛南族','满族','珞巴族','僳僳族','黎族','拉祜族','柯尔克孜族','景颇族','京族','基诺族','回族','赫哲族','哈萨克族','哈尼族','仡佬族','高山族','鄂温克族','俄罗斯族','鄂伦春族','独龙族','东乡族','侗族','德昂族','傣族','达斡尔族','朝鲜族','布依族','布朗族','保安族','白族','阿昌族'];

// 政治面貌
var ARR_politicsStatus = ['中共党员','共青团员','其他'];

// 学历
var ARR_educationBackground = [];
var ARR_educationBackground_CODE = [];
(function() {
    var str = ''
        + '中专-03,'
        + '大专-05,'
        + '本科-06,'
        + '硕士-07,'
        + '博士-08';
    var arr = str.split(',');
    for (var i = 0; i < arr.length; i++) {
        var arrItem = arr[i].split('-');
        ARR_educationBackground.push(arrItem[0]);
        ARR_educationBackground_CODE.push(arrItem[1]);
    }
})();

// 专业类别
var ARR_majorCategory = [];
var ARR_majorCategory_CODE = [];
(function() {
    var str = ''
         + '机械类-000,'
         + '材料类-001,'
         + '计算机类-002,'
         + '电子信息类-003,'
         + '通讯类-004,'
         + '电气类-005,'
         + '仪器仪表类-006,'
         + '建筑装饰类-007,'
         + '房地产类-008,'
         + '地矿冶金类-009,'
         + '测绘类-010,'
         + '水利能源类-011,'
         + '管理类-012,'
         + '营销类-013,'
         + '经贸类-014,'
         + '医学卫生类-015,'
         + '化工类-016,'
         + '生物类-017,'
         + '制药类-018,'
         + '环境类-019,'
         + '轻工类-020,'
         + '交通运输类-021,'
         + '文科类-022,'
         + '汉语言类-023,'
         + '新闻类-024,'
         + '师范类-025,'
         + '外语类-026,'
         + '图书类-027,'
         + '体育类-028,'
         + '艺术类-029,'
         + '法律类-030,'
         + '金融类-031,'
         + '财会类-032,'
         + '公关类-033,'
         + '理科类-034,'
         + '职业技术类-035,'
         + '农林牧渔类-036,'
         + '其他类-037,'
         + '无-038,'
         + '四川红十字卫生学校-020';
    var arr = str.split(',');
    for (var i = 0; i < arr.length; i++) {
        var arrItem = arr[i].split('-');
        ARR_majorCategory.push(arrItem[0]);
        ARR_majorCategory_CODE.push(arrItem[1]);
    }
})();

// 困难情况
var ARR_difficultyStatus = ['零就业家庭','家庭经济困难','残疾','不属于困难情况'];

// 户籍性质
var ARR_censusType = ['农村','城镇'];
//档案保存地
var ARR_archives=[];
var ARR_archives_CODE = [];
(function() {
    var str = ''
 		+ '绵阳市人才服务中心-001001,'
		+ '三台县人社局-0010010002,'
 		+ '平武县人社局-0010010003,'
 		+ '安县人社局-0010010004,'
 		+ '北川县人社局-0010010005,'
 		+ '梓潼县人社局-0010010006,'
 		+ '盐亭县人社局-0010010007,'
 		+ '江油市人社局-0010010008,'
 		+ '涪城区人社局-0010010009,'
 		+ '游仙区人社局-0010010010,'
 		+ '经开区党群部-0010010011,'
 		+ '高新区人力资源开发中心-0010010012,'
 		+ '仙海区党群部-0010010142,'
 		+ '科学城劳人局-0010010143,'
 		+ '科创区党群部-0010010144,'
 		+ '工作单位自行管理-0010010140';
    var arr = str.split(',');
    for (var i = 0; i < arr.length; i++) {
        var arrItem = arr[i].split('-');
        ARR_archives.push(arrItem[0]);
        ARR_archives_CODE.push(arrItem[1]);
    }
})();


/**
 * 就业信息
 */

// 就业途径
var ARR_employmentWay = [];
(function() {
    var str = '基层项目,民营企业,国有企业,三资企业,事业单位,自由职业,自主创业,其他,升学出国,暂不就业,党政机关,科研助理,参军入伍,社区岗位';
    ARR_employmentWay = str.split(',');
})();

// 就业地去向
var ARR_empoymentLocation = [];
(function() {
    var str = '绵阳本市,成都市,川内其他市州,国内其他省市区,国外';
    ARR_empoymentLocation = str.split(',');
})();

// 就业意向
var ARR_employmentIntention = [];
(function() {
    var str = '就业见习,职业指导,职业介绍,政策咨询,职业培训,职业技能鉴定,创业培训,创业指导,公益性岗位,其他';
    ARR_employmentIntention = str.split(',');
})();

// 就业地去向
var ARR_workPlaceIntention = [];
(function() {
    var str = '准备到外地就业,准备在本地就业,不确定';
    ARR_workPlaceIntention = str.split(',');
})();

// 就业意向
var ARR_employmentPurpose = [];
(function() {
    var str = '准备到企业工作,准备考公务员,准备考事业单位,准备创业,准备参加基层项目,准备应征入伍,准备升学,准备出国,其他';
    ARR_employmentPurpose = str.split(',');
})();


//--------------------------简历部分 start---------------------------
// 求职状态
var ARR_jobState = ['正在找工作','考虑换工作','暂不工作'];
// 婚姻状况
var ARR_marriageState = ['未婚','已婚','离异','丧偶'];
// 证件类型
var ARR_certificate = ['身份证','居住证','户口本','军人证','港澳通行证'];
// 薪金
var ARR_salary = ['1000 元/月以下','1000-2000 元/月','2001-4000 元/月','4001-6000 元/月','6001-8000 元/月','8001-10000 元/月','10001-15000 元/月','15000-25000 元/月','25000-35000 元/月','35000-50000 元/月','50000-70000 元/月','70000-100000 元/月','100000 元/月以上'];
// 行业
var ARR_industry = ['农、林、牧、渔业','采矿业','制造业','电力、燃气及水的生产和供应','建筑业','交通运输、仓储和邮政','信息传输、计算机服务和软件业','批发和零售','住宿和餐饮业','金融业','房地产业','租赁和商务服务','科学研究、技术服务和地质勘查','水利、环境和公共设施管理','居民服务和其他服务','教育','卫生、社会保障和社会福利','文化、体育和娱乐业','公共管理和社会组织','国际组织'];
//工作性质
var ARR_workProperty = ['全职','兼职','实习'];
//求职状态
var ARR_jobStatus = ['离职，可立即上岗','在职，正考虑换个环境','在职，暂无跳槽打算','在职，有更好的机会可以考虑','应届毕业生'];
//语言类别
var ARR_language=['英语','日语','法语','德语','阿拉伯语','俄语','西班牙语'];
//行业
var ARR_intentionIndustry = [];
//--------------------------简历部分 end---------------------------
/**
 * 验证身份证号码
 * @param idNum {string} 身份证号码
 * @returns {boolean}
 */
function checkIdNum(idNum) {
    if (/^\d{17}(\d|X|x)$/.test(idNum)) {
        return true;
    } else if (!idNum) {
    	topmobi.native.common.showMsg('身份证号码不能为空！',"middle", 1500);
        return false;
    } else {
    	topmobi.native.common.showMsg('身份证号码格式不正确！',"middle", 1500);
        return false;
    }
};

    /**
 * 检测新密码
 * (?!^\\d+$)不能全是数字
 * (?!^[a-zA-Z]+$)不能全是字母
 * (?!^[_#@]+$)不能全是符号（这里只列出了部分符号，可自己增加，有的符号可能需要转义）
 * .{8,}长度不能少于8位
 * 合起来就是
 * (?!^\\d+$)(?!^[a-zA-Z]+$)(?!^[_#@]+$).{8,}
 * @param password {string} 密码
 * @returns {boolean}
 */
function checkPassword(password) {
    if (password.length == 0) {
    	topmobi.native.common.showMsg('密码不能为空！',"middle", 1500);
        return false;
    } else if (!password.match(/^.{6,18}$/)) {
    	topmobi.native.common.showMsg('密码长度必须为6-18位！',"middle", 1500);
        return false;
    }else {
        return true;
    }
};

 
//验证QQ

function checkQQ(qq) {
   	  if (qq.search(/^[1-9]\d{4,19}$/) !=-1){  
      	 return true;   
      }else{
      	 topmobi.native.common.showMsg('请输入正确的QQ号码！',"middle", 1500);
         return false;
      }
}

/**
 * 验证就业状态
 * @param sex {string}
 * @returns {boolean}
 */
function checkemploymentStatus(status) {
        if (!!status) {
            return true;
        } else {
        	//提示用户选择就业状态
		    topmobi.native.common.showMsg("请选择就业状态!", "middle", 1500);
            return false;
        }
 }
    
 /**
 * 验证学制
 * @param educationalSystme {string}
 * @returns {boolean}
 */
    function checkEducationalSystme(educationalSystme) {
        if (!(/^[1-9]\d*$/.test(parseInt(educationalSystme)))) {        
        	topmobi.native.common.showMsg('学制请输入1-10之间的数字！',"middle", 1500);
            return false;             	           
        }else if(parseInt(educationalSystme)>10) {
        	topmobi.native.common.showMsg('学制请输入1-10之间的数字！',"middle", 1500);
            return false; 
        }
        return true;
 }

    /**
     * 验证毕业学校,只能输入1-40个中文、英文、空格
     * @param school {string}
     * @returns {boolean}
     */
    function checkSchool(school) {
        if (/^[a-zA-Z\u4e00-\u9fa5 ]{1,40}$/.test(school)) {
            return true;
        } else if (!school) {
        	topmobi.native.common.showMsg('请输入毕业学校',"middle", 1500);
            return false;
        } else {
        	topmobi.native.common.showMsg('请输入规范的学校名称！',"middle", 1500);
            return false;
        }
    }   

    /**
     * 验证师范生/性别
     * type:  1 为性别  ；2 为师范生
     * @param content {string}
     * @returns {boolean}
     */
    function isRadioChecked(content,type) {
        if (!!content) {
            return true;
        } else {
        	switch(type){
        		case "1":
        			topmobi.native.common.showMsg('请选择性别！',"middle", 1500);
        			break;
        		case "2":
        			topmobi.native.common.showMsg('请选择是否是师范生！',"middle", 1500);
        			break;
        		}
        	
            return false;
        }
    }
     

    /**
     * 验证移动电话
     * @param mobilePhoneNumber {string}
     * @returns {boolean}
     */
    function checkmobilePhoneNumber(mobilePhoneNumber) {
          if(!(/^1[3|4|5|7|8]\d{9}$/.test(mobilePhoneNumber))){
         	topmobi.native.common.showMsg('请输入正确格式的移动电话号码',"middle", 1500);
          	return false; 
          }
    	  return true;
    }

    /**
     * 验证家庭电话
     * @param homeNumber {string}
     * @returns {boolean}
     */
    function checkHomeNumber(homeNumber) {
        if(homeNumber == "") return true;
        if(!(/^(\(\d{3,4}\)|\d{3,4}-|\s)?\d{7,14}$/.test(homeNumber)))
		{
			topmobi.native.common.showMsg('请输入正确格式的家庭电话',"middle", 1500);
			return false;
		}
		return true;
    }
    
 /**
   * 验证公司电话
   * @param companyNumber {string}
   * @returns {boolean}
  */
    function checkcompanyNumber(companyNumber) {
    	if(!(/^(\(\d{3,4}\)|\d{3,4}-|\s)?\d{7,14}$/.test(companyNumber)))
		{
			topmobi.native.common.showMsg('请输入正确的公司电话号码',"middle", 1500);
			return false;
		}
		return true;
    	
    }
    
    /**
     * 验证父亲、母亲工作单位
     * @param homeNumber {string}
     * @returns {boolean}
     */
    function checkWorkPlace(workPlace) {
        if(workPlace=="") return true;
        if (!(/^\S{1,50}$/.test(workPlace))){
        	topmobi.native.common.showMsg('请输入规范的工作单位！',"middle", 1500);
			return false;
        }
		return true;
    }
     

/**
   * 验证工作年限,只能为整数或一位小数
   * @param workLonger {string}
   * @returns {boolean}
 */
    function checkWorkLonger(workLonger) {
        if (/^\d+$/.test(workLonger)) {
        	if(workLonger.length<=4){
        		return true;
        	}else{
        		topmobi.native.common.showMsg('工作年限长度不能超过4位',"middle", 1500);
            	return false;
        	}  
        }else if(/^-?\d+\.?\d{0,1}$/.test(workLonger)){
        	return true;
        } else {
        	topmobi.native.common.showMsg('请输入规范的工作年限，如"2"、"0.5"',"middle", 1500);
            return false;
        }
    }
      
  /**
   * 对“--请选择--”类选项进行验证
     * 验证入学时间/开始时间   /结束时间/所在行业/职位薪金
     * type：  1表示入学时间，2表示开始时间，3表示结束时间，4表示所在行业，5表示职位薪金,6表示毕业时间，7表示工作性质，8表示行业类别，
     * 9表示求职状态，10表示学历学位，11表示语言类别，12表示出生日期，13表示婚姻状况，14表示证件类型
     * 15表示民族，16表示政治面貌，17表示学历，18表示专业类别，19表示困难情况，20表示户籍所在地，21表示家庭住址，22表示户籍性质，23表示档案保存地
     * 24表示就业途径，25表示就业地去向，26表示就业意向，27表示就业服务需求
     * @param content {string}
     * @param type {string}
     * @returns {boolean}
 */
    function checkSelect(content,type) {
        if (!!content && content != TEXT_select) {
        	if(type=="6"){
        		var current = new Date().getTime();
        		if(content>formatTimeStamp(current)){
        			topmobi.native.common.showMsg('毕业时间大于当前时间！',"middle", 1500);
        			return false;
        		}        		
        	}
            return true;
        } else {
        	switch(type){
        		case "1":
        			topmobi.native.common.showMsg('请选择入学时间！',"middle", 1500);
        			break;
        		case "2":
        			topmobi.native.common.showMsg('请选择开始时间！',"middle", 1500);
        			break;
        		case "3":
        			topmobi.native.common.showMsg('请选择结束时间！',"middle", 1500);
        			break;
        		case "4":
        			topmobi.native.common.showMsg('请选择所在行业！',"middle", 1500);
        			break;
        		case "5":
        			topmobi.native.common.showMsg('请选择职位薪金！',"middle", 1500);
        			break;
        		case "6":
        			topmobi.native.common.showMsg('请选择毕业时间！',"middle", 1500);
        			break;
        		case "7":
        			topmobi.native.common.showMsg('请选择工作性质！',"middle", 1500);
        			break;
        		case "8":
        			topmobi.native.common.showMsg('请选择行业类别！',"middle", 1500);
        			break;
        		case "9":
        			topmobi.native.common.showMsg('请选择求职状态！',"middle", 1500);
        			break;
        		case "10":
        			topmobi.native.common.showMsg('请选择学历学位！',"middle", 1500);
        			break;
        		case "11":
        			topmobi.native.common.showMsg('请选择语言类别！',"middle", 1500);
        			break;
        		case "12":
        			topmobi.native.common.showMsg('请选择出生日期！',"middle", 1500);
        			break;
        		case "13":
        			topmobi.native.common.showMsg('请选择婚姻状况！',"middle", 1500);
        			break;
        		case "14":
        			topmobi.native.common.showMsg('请选择证件类型！',"middle", 1500);
        			break;
        		case "15":
        			topmobi.native.common.showMsg('请选择民族！',"middle", 1500);
        			break;
        		case "16":
        			topmobi.native.common.showMsg('请选择政治面貌！',"middle", 1500);
        			break;
        		case "17":
        			topmobi.native.common.showMsg('请选择学历！',"middle", 1500);
        			break;
        		case "18":
        			topmobi.native.common.showMsg('请选择专业类别！',"middle", 1500);
        			break;
        		case "19":
        			topmobi.native.common.showMsg('请选择困难情况！',"middle", 1500);
        			break;
        		case "20":
        			topmobi.native.common.showMsg('请选择户籍所在地！',"middle", 1500);
        			break;
        		case "21":
        			topmobi.native.common.showMsg('请选择家庭住址！',"middle", 1500);
        			brea
        		case "22":
        			topmobi.native.common.showMsg('请选择户籍性质！',"middle", 1500);
        			break;
        		case "23":
        			topmobi.native.common.showMsg('请选择档案保存地！',"middle", 1500);
        			break;
        		case "24":
        			topmobi.native.common.showMsg('请选择就业途径！',"middle", 1500);
        			break;
        		case "25":
        			topmobi.native.common.showMsg('请选择就业地去向！',"middle", 1500);
        			break;
        		case "26":
        			topmobi.native.common.showMsg('请选择就业意向！',"middle", 1500);
        			break;
        		case "27":
        			topmobi.native.common.showMsg('请选择就业服务需求！',"middle", 1500);
        			break;
        	}
        	
            return false;
        }
    }
 
 /**
  * 毕业生报到部分：对输入框类信息进行验证，输入长度限制为20个中文字符
   * type：  1表示 专业名称
   * type：  2表示 街道
   *  @param input {string}
   * @param type {string}
   * @returns {boolean}
  */
    function graduateCheckInput20(input,type) {
       if (!(/^[a-zA-Z\u4e00-\u9fa5 ]{1,20}$/.test(input))){
       		switch(type){
        		case "1":
        			topmobi.native.common.showMsg('请输入规范的专业名称！',"middle", 1500);
        			break;
        		case "2":
        			topmobi.native.common.showMsg('请输入规范的街道信息！',"middle", 1500);
        			break;
        	}
			return false;
        } 
        return true;
    }
    
   /**
  * 毕业生报到部分：对输入框类信息进行验证，输入长度限制为10位以内
   * type：  1表示 街道号
   *  @param input {string}
   * @param type {string}
   * @returns {boolean}
  */
    function graduateCheckInput10(input,type) {
       if (input.length>10){
       		switch(type){
        		case "1":
        			topmobi.native.common.showMsg('请输入规范的街道号！',"middle", 1500);
        			break;
        		
        	}
			return false;
        } 
        return true;
    }
   
    /**
  * 毕业生报到部分：
  * 对输入框类信息进行验证，输入长度限制为25个中文字符
   * 验证公司名称/岗位名称/
   * type：  1表示公司名称，2表示单位地址，3标识惠民服务投诉标题
   * @param input {string}
   * @param type {string}
   * @returns {boolean}
  */
    function graduateCheckInput50(input,type) {
       if (!(/^\S{1,25}$/.test(input))){
       		switch(type){
        		case "1":
        			topmobi.native.common.showMsg('请输入规范的公司名称！',"middle", 1500);
        			break;
        		case "2":
        			topmobi.native.common.showMsg('请输入规范的地址！',"middle", 1500);
        			break;
        		case "3":
        			topmobi.native.common.showMsg('请输入规范的标题！',"middle", 1500);
        			break;
        	}
			return false;
        } 
        return true;
    }
    
  /**
  * 个人简历部分：
  * 对输入框类信息进行验证，输入长度限制为50
   * 验证公司名称/岗位名称/
   * @param input {string}
   * @param type {string}
   * @returns {boolean}
  */
    function resumeCheckInput50(input,type) {
       if (!(/^.{1,50}$/.test(input))){
       		switch(type){
        		case "1":
        			topmobi.native.common.showMsg('请输入规范的专业名称！',"middle", 1500);
        			break;
        		case "2":
        			topmobi.native.common.showMsg('请输入规范的岗位名称！',"middle", 1500);
        			break;
        		case "3":
        			topmobi.native.common.showMsg('请输入规范的职位名称！',"middle", 1500);
        			break;
        		case "4":
        			topmobi.native.common.showMsg('请输入规范的工作地点！',"middle", 1500);
        			break;
        		case "5":
        			topmobi.native.common.showMsg('请输入规范的学校名称！',"middle", 1500);
        			break;
        		case "6":
        			topmobi.native.common.showMsg('请输入规范的公司名称！',"middle", 1500);
        			break;
        		case "7":
        			topmobi.native.common.showMsg('请输入规范的项目名称！',"middle", 1500);
        			break;
        		case "8":
        			topmobi.native.common.showMsg('请输入规范的培训机构名称！',"middle", 1500);
        			break;
        		case "9":
        			topmobi.native.common.showMsg('请输入规范的培训课程名称！',"middle", 1500);
        			break;
        		case "10":
        			topmobi.native.common.showMsg('请输入规范的掌握程度描述，如“熟练”',"middle", 1500);
        			break;
        		case "11":
        			topmobi.native.common.showMsg('请输入规范的听说能力描述，如“熟练”',"middle", 1500);
        			break;
        		case "12":
        			topmobi.native.common.showMsg('请输入规范的读写能力描述，如“熟练”',"middle", 1500);
        			break;
        		case "13":
        			topmobi.native.common.showMsg('请输入规范的居住地',"middle", 1500);
        			break;
        	}
			return false;
        } 
        return true;
    }
   /*
    * 检验关键字是否含有特殊字符
    */
  function checkKeyWord(keyWord){
  	if(/[~#^$@%&!*]/gi.test(keyWord)){
   		return false;
 	}else{
 		return true;
 	}
  }
   
/*
 * 获取基本信息各字段值
 */
function getBasicItemValue(){	
	name = $(".name").val();//用户名
	//性别
	if(manRadio.isChecked()){
		sex="男";
	}else if(womanRadio.isChecked()){
		sex="女";
	}
	nation = $("#nationText").html();//民族
	politicsStatus = $("#policyText").html();//政治面貌
	var xueliText = $("#xueliText").html();//学历
	for(var item in ARR_educationBackground) {
		if(xueliText == ARR_educationBackground[item]){
			educationBackground = ARR_educationBackground_CODE[item];
		}
    }
	educationalSystme = $("#educationalSystme").val();//学制
	school = $(".school").val();//毕业院校
	graduateTime = $("#graduateTime").find(".itemRightText").html();//毕业时间
	var majorClassText = $("#majorClassText").html();//专业类别对应的文字
	for(var item in ARR_majorCategory) {
		if(majorClassText == ARR_majorCategory[item]){
			majorClass = ARR_majorCategory_CODE[item];
		}
    }
	major = $("#major").val();//专业
	difficultyStatus = $("#difficultText").html();//困难情况
	censusRegister = $("#homeText").html();//户籍
	homeAddress = $("#addressText").html();//家庭住址
	censusType = $("#hpropertyText").html();//户籍性质
	//师范生
	if(tmaRadio.isChecked()){
		studentOfTeacher="是";
	}else if(ntmaRadio.isChecked()){
		studentOfTeacher="否";
	}
	archives = $("#archives").html();//档案归属地
	for(var item in ARR_archives) {
		if(archives == ARR_archives[item]){
			archivesCode = ARR_archives_CODE[item];
		}
    }
	mobilePhoneNumber = $("#phoneNum").val();//移动电话
	homeNumber = $("#homePhoneNum").val();//家庭电话
	fatherCompany = $("#dadJob").val();//父亲工作单位
	motherCompany = $("#mumJob").val();//母亲工作单位
	//信息是否完整(可选)
    if(homeNumber!="" && fatherCompany!="" && motherCompany!=""){
    	integrity = 1;
    }
}

/*
 * 获取就业信息各字段值
 */
function getJobItemValue(){	
	employmentWay = $("#employmentWay").html();//就业途径
	company = $("#companyName").val();//公司名称
	companyAddress = $("#companyAddress").val();//单位地址
	companyNumber = $("#companyphoneNum").val();//公司电话
	empoymentLocation = $("#empoymentLocation").html();//就业地去向
}
/*
 * 获取未就业信息各字段值
 */
function getNoJobItemValue(){	
	employmentIntention = $("#employmentIntention").html();//就业服务需求
	employmentPurpose = $("#employmentPurpose").html();//就业意向
	workPlaceIntention = $("#workPlaceIntention").html();//就业地意向
}

function goToGraduatesReportInfo() {	
			//信息注册成功进入毕业生信息展示页面
			var obj = {
				action: {
					android: "gov.my.socialsecurity.htmlactivity.talentCenter.ShowGraduatesReportInfoActivity",
					ios: "CHBaseWebViewController"
				},
				windowType: 0,
				params: {
					info: "",
					html:"html_talentCenter/graduatesReportInfo.html"
				}
			}
			topmobi.native.common.openWindow(obj);
	}