setTimeout(function() {
	$(".confirm_btn").css("top", $(".confirm_btn").position().top);
}, 150)
var serviceItemData = topmobi.native.cache.getSharedValue("village", "serviceItemData");
serviceItemData = JSON.parse(serviceItemData);
var selectNumber = 1;
var price = 0;
var amount = 0;
$number = $(".number");
$price = $(".price");
$amount = $(".amount")
$number.html(selectNumber);
$(".service_name").html(serviceItemData.aka091);
$(".unit").html(serviceItemData.yka043 || "--");

function clearNoNum(obj) {
	obj.value = obj.value.replace(/[^\d.]/g, "");
	obj.value = obj.value.replace(/^\./g, "");
	obj.value = obj.value.replace(/\.{2,}/g, ".");
	obj.value = obj.value
		.replace(".", "$#$")
		.replace(/\./g, "")
		.replace("$#$", ".");
	obj.value = obj.value.replace(/^(-)*(\d+)\.(\d\d).*$/, "$1$2.$3");
	if(obj.value.substr(0, 1) === "0" && obj.value.length === 2 && obj.value.substr(1, 2) !== ".") {
		obj.value = obj.value.substr(1, obj.value.length);
	}
	updateAmount();
}
$(".minus_btn").on("tap", function() {
	if(selectNumber == 1) {
		topmobi.native.common.showMsg("药品数量不能再少了", "middle", 1500);
	} else {
		selectNumber--;
		updateAmount();
	}
})
$(".add_btn").on("tap", function() {
	selectNumber++;
	updateAmount();
})

function updateAmount() {
	$number.html(selectNumber);
	price = $price.val();
	if(!price) {
		price = 0;
	}
	amount = (selectNumber * parseFloat(price)).toFixed(2);
	$amount.html(amount);
}
$(".confirm_btn").on("tap", function() {
	price = $price.val()
	if(isNull(price)) {
		topmobi.native.common.showMsg("请输入药品单价", "middle", 1500);
		return;
	}
	var dataJson = {
		ykc120: parseInt(new Date().getTime() / 1000), //序号
		aka060: serviceItemData.ake001, //编码
		aka079: serviceItemData.aka079, //所在医院编码
		aka061: serviceItemData.aka091, //名称
		yka200: price, //单价
		yka201: $number.html(), //数量
		yak202: $amount.html(), //总金额
		ake003: serviceItemData.yka071 //项目类别
	}
	var datasetcw = topmobi.native.cache.getSharedValue("village", "datasetcw");
	if(isNull(datasetcw)) {
		datasetcw = [];
	} else {
		datasetcw = JSON.parse(datasetcw);
	}
	datasetcw.push(dataJson);
	topmobi.native.cache.putSharedValue("village", "datasetcw", JSON.stringify(datasetcw));
	topmobi.native.common.closeWindow(0);
})