$(function(){
	var personNum = topmobi.native.cache.getSharedValue("village", "personNum");
	var caseId = topmobi.native.cache.getSharedValue("village", "caseId");
	var caseName = topmobi.native.cache.getSharedValue("village", "caseName");
	var datasetyp = topmobi.native.cache.getSharedValue("village", "datasetyp");
	var datasetzl = topmobi.native.cache.getSharedValue("village", "datasetzl");
	var datasetcw = topmobi.native.cache.getSharedValue("village", "datasetcw");
	var nums = 0;
	var amount = 0;
	var settleData = {};
	$(".caseName").html(caseName);
	$dialogMask = $(".dialog_mask");
	if(!isNull(datasetyp) && datasetyp.length!=0){
		datasetyp = JSON.parse(datasetyp);
		$(".drug_box").html(template("drug_info",datasetyp));
		nums = nums+ datasetyp.length;
	}
	if(!isNull(datasetzl) && datasetzl.length!=0){
		datasetzl = JSON.parse(datasetzl);
		$(".diagnosis_box").html(template("diagnosis_info",datasetzl));
		nums = nums+ datasetzl.length;
	}
	if(!isNull(datasetcw) && datasetcw.length!=0){
		datasetcw = JSON.parse(datasetcw);
		$(".service_box").html(template("service_info",datasetcw));
		nums = nums+ datasetcw.length;
	}
	updateAmount();
	$(".drug_box").on("tap",".delete_icon",function(){
		var index = $(this).parents(".drug_item").index();
		datasetyp.splice(index,1);
		nums--;
		topmobi.native.cache.putSharedValue("village", "datasetyp",JSON.stringify(datasetyp));
		$(this).parents(".drug_item").remove();
		updateAmount();
	})
	$(".diagnosis_box").on("tap",".delete_icon",function(){
		var index = $(this).parents(".diagnosis_item").index();
		datasetzl.splice(index,1);
		nums--;
		topmobi.native.cache.putSharedValue("village", "datasetzl",JSON.stringify(datasetzl));
		$(this).parents(".diagnosis_item").remove();
		updateAmount();
	})
	$(".service_box").on("tap",".delete_icon",function(){
		var index = $(this).parents(".service_item").index();
		datasetcw.splice(index,1);
		nums--;
		topmobi.native.cache.putSharedValue("village", "datasetcw",JSON.stringify(datasetcw));
		$(this).parents(".service_item").remove();
		updateAmount();
	})
	$(".settlement_btn").on("tap",function(){
		if(datasetyp.length==0&&datasetcw==0&&datasetzl==0){
			topmobi.native.common.showMsg("请至少选择一类门诊物品", "middle", 1500);
			return;
		}
		preSettle();
	})
	$(".cancel_btn").on("tap",function(){
		$dialogMask.hide();
	})
	$(".ok_btn").on("tap",function(){
		$dialogMask.hide();
		settle();
	})
	function initDialog(result){
		$(".amount").html(result.akc264);
		$(".combinaPay").html(result.ykh011);
		$(".accountPay").html(result.yka136);
		$(".selfPay").html(result.yka133);
		$dialogMask.show();
	}
	function updateAmount(){
		amount = 0;
		for(var i=0;i<datasetyp.length;i++){
			amount+=parseFloat(datasetyp[i].yak202);
		}
		for(var j=0;j<datasetzl.length;j++){
			amount+=parseFloat(datasetzl[j].yak202);
		}
		for(var k=0;k<datasetcw.length;k++){
			amount+=parseFloat(datasetcw[k].yak202);
		}
		$(".total_amount").html(amount.toFixed(2) + "元");
	}
	function preSettle() {
		if(!datasetyp){
			datasetyp = [];
		}
		if(!datasetzl){
			datasetzl = [];
		}
		if(!datasetcw){
			datasetcw = [];
		}
		var dataJson = {
			"aac001":personNum,
			"ykc104":caseId,
			"nums":nums,
			"akc193":caseId,
			"datasetyp":datasetyp,
			"datasetzl":datasetzl,
			"datasetcw":datasetcw
		};
		settleData = dataJson;
		var obj = {
			url: renshe2ApiCyt + 'cyt/pre/settle',
			method: "post",
			data:dataJson,
			isEncrypt: true,
			success: function(data) {
				var result = data.result.result;
				console.log(JSON.stringify(result));
				result = JSON.parse(result);
				settleData.akc190 = result.akc190;
				initDialog(result);
			},
			fail: function(data) {
				if(!!data.result && !!data.result.message) {
					//平台出错将错误信息写入data.result.message
					topmobi.native.common.showMsg(data.result.message, "middle", 1500);
				} else if(!!data.msg) {
					topmobi.native.common.showMsg(data.msg, "middle", 1500);
				} else {
					topmobi.native.common.showMsg("网络异常", "middle", 1500);
				}

			}
		}
		rs_networkRequest(obj);
	}
	function settle(){
		var obj = {
			url: renshe2ApiCyt + 'cyt/settle',
			method: "post",
			data:settleData,
			isEncrypt: true,
			success: function(data) {
				var result = data.result;
				console.log(result.result);
				topmobi.native.common.showMsg("结算成功", "middle", 1500);
				topmobi.native.cache.removeSharedValue("village", "datasetyp");
				topmobi.native.cache.removeSharedValue("village", "datasetzl");
				topmobi.native.cache.removeSharedValue("village", "datasetcw");
				topmobi.native.common.closeWindow(0);
			},
			fail: function(data) {
				if(!!data.result && !!data.result.message) {
					//平台出错将错误信息写入data.result.message
					topmobi.native.common.showMsg(data.result.message, "middle", 1500);
				} else if(!!data.msg) {
					topmobi.native.common.showMsg(data.msg, "middle", 1500);
				} else {
					topmobi.native.common.showMsg("网络异常", "middle", 1500);
				}

			}
		}
		rs_networkRequest(obj);
	}

})
