$(function(){
	var nowTime = getCurrentTime();
	var nowMonth = nowTime.month;
	var startDay = nowTime.day-1;
	var endDay = nowTime.day;
	if(nowMonth<10){
		nowMonth = "0"+nowMonth;
	}
	if(startDay<10){
		startDay = "0"+startDay;
	}
	if(endDay<10){
		endDay = "0"+endDay;
	}
	var startTime = nowTime.year+"-"+nowMonth+"-"+startDay;
	var endTime = nowTime.year+"-"+nowMonth+"-"+endDay;
	var detailData = [];//详细信息数据
	var $startTime = $(".start_time");
	var $endTime = $(".end_time");
	$startTime.html(startTime);
	$endTime.html(endTime);
	$startTime.on("tap",function(){
		showMonthTimePicker($(this));
	})
	$endTime.on("tap",function(){
		showMonthTimePicker($(this));
	})
	$(".search_btn").on("tap",function(){
		startTime = $startTime.html();
		endTime = $endTime.html();
		if(startTime == "请输入开始日期"){
			topmobi.native.common.showMsg("请输入开始日期", "middle", 1500);
			return;
		}
		if(endTime == "请输入结束日期"){
			topmobi.native.common.showMsg("请输入结束日期", "middle", 1500);
			return;
		}
		if(compareTime(endTime,startTime) < 0){
			topmobi.native.common.showMsg("开始时间需早于结束日期", "middle", 1500);
			return;
		}
		getDetail();
	})
	$(".detail_info_box").on("tap",".detail_item",function(){
		var index = $(this).index();
		topmobi.native.cache.putSharedValue("village", "settmentDetail",JSON.stringify(detailData.rows.row[index]));
		location.href = "./settlementDetailForOrder.html";
	})
	getDetail();
	function  getDetail() {
		var obj = {
			url: renshe2ApiCyt + 'cyt/settle/info?startTime='+startTime+"&endTime="+endTime,
			method: "get",
			isEncrypt: true,
			success: function(data) {
				var result = data.result;
				detailData = JSON.parse(result.result).jslist;
				$(".total_info_box").html(template("total_info",detailData));
				$(".detail_info_box").html(template("detail_info",detailData.rows.row));
			},
			fail: function(data) {
				$(".total_info_box").html("");
				$(".detail_info_box").html("");
				if(!!data.result && !!data.result.message) {
					//平台出错将错误信息写入data.result.message
					topmobi.native.common.showMsg(data.result.message, "middle", 1500);
				} else if(!!data.msg) {
					topmobi.native.common.showMsg(data.msg, "middle", 1500);
				} else {
					topmobi.native.common.showMsg("网络异常", "middle", 1500);
				}

			}
		}
		rs_networkRequest(obj);
	}
})
