$(function(){
	$(".back_icon").off("tap");
	$('.back_icon').on('tap', function() {
		history.back();
	});
	var keywords = "";
	var $inputSearch = $(".search_input");
	setTimeout(function() {
		$(".next_btn").css("top", $(".next_btn").position().top);
	},150)
	$(".case_list").on("tap",".case_item",function(){
		$(this).addClass("selected").siblings().removeClass("selected");
	})
	$(".next_btn").on("tap",function(){
		if($(".case_item.selected").length==0){
			topmobi.native.common.showMsg("请选择疾病", "middle", 1500);
			return;
		}
		var caseId = $(".case_item.selected").data("id");
		var caseName = $(".case_item.selected").find(".case_name").html();
		topmobi.native.cache.putSharedValue("village", "caseId",caseId+"");
		topmobi.native.cache.putSharedValue("village", "caseName",caseName);
		location.href = "./settlementSelectOther.html";
	})
	$(".search_btn").on("tap",function(){
		keywords = $inputSearch.val();
		if(isNull(keywords)){
			topmobi.native.common.showMsg("请输入搜索疾病关键词", "middle", 1500);
			return;
		}
		$inputSearch.blur();
		searchCase();
	})
	function searchCase(){
		var obj = {
			url: renshe2ApiCyt + 'cyt/disease?keyword='+keywords,
			method: "get",
			success: function(data) {
				var result = data.result.result;
				result = JSON.parse(result);
				if(result.length==0){
					topmobi.native.common.showMsg("暂无相关记录", "middle", 1500);
					$(".case_list").html("");
					return;
				}
				$(".case_list").html(template("case_item",result));
			},
			fail: function(data) {
				if(!!data.result && !!data.result.message) {
					//平台出错将错误信息写入data.result.message
					topmobi.native.common.showMsg(data.result.message, "middle", 1500);
				} else if(!!data.msg) {
					topmobi.native.common.showMsg(data.msg, "middle", 1500);
				} else {
					topmobi.native.common.showMsg("网络异常", "middle", 1500);
				}

			}
		}
		rs_networkRequest(obj);
}
})
