
$(function() {
	if (isiOS) {
		$(".back_icon").off("tap");	
		$(".back_icon").on('tap', function() {
			myJsInterface.goToHome("0");
		});
	}
	getDoctorInfo();
	$("#settlement").on("tap", function() {
		var obj = {
			action: {
				android: "gov.my.socialsecurity.htmlactivity.villageDoctor.SettlementActivity",
				ios: "CHBaseWebViewController"
			},
			windowType: 0,
			params: {
				info: "",
				html: "html_villageDoctor/settlementSelectPerson.html"
			}
		}
		topmobi.native.common.openWindow(obj);
	})
	$("#detail").on("tap", function() {
		var obj = {
			action: {
				android: "gov.my.socialsecurity.htmlactivity.villageDoctor.SettlementDetailActivity",
				ios: "CHBaseWebViewController"
			},
			windowType: 0,
			params: {
				info: "",
				html: "html_villageDoctor/settlementDetail.html"
			}
		}
		topmobi.native.common.openWindow(obj);
	})
	$(".nav-btn").on("tap",function(){
		unbind();
	})
	function unbind(){
		var obj = {
			url: renshe2ApiCyt + 'cyt/unbind',
			method: "post",
			success: function(data) {
				var result = data.result.result;
				topmobi.native.common.showMsg("解绑成功", "middle", 1500);
				// location.href = "./doctorLogin.html";
				startDoctorLoginActivity();
			},
			fail: function(data) {
				if(!!data.result && !!data.result.message) {
					//平台出错将错误信息写入data.result.message
					topmobi.native.common.showMsg(data.result.message, "middle", 1500);
				} else if(!!data.msg) {
					topmobi.native.common.showMsg(data.msg, "middle", 1500);
				} else {
					topmobi.native.common.showMsg("网络异常", "middle", 1500);
				}

			}
		}
		rs_networkRequest(obj);
	}
	function getDoctorInfo() {
		var obj = {
			url: renshe2ApiCyt + 'cyt/doctorinfo',
			method: "get",
			isEncrypt: true,
			success: function(data) {
				var result = data.result.result;
				result = JSON.parse(result);
				$(".title").html(result.aae044);
				$(".address").html(result.akf001);
				$(".name").html(result.yka094);
			},
			fail: function(data) {
				if(!!data.result && !!data.result.message) {
					//平台出错将错误信息写入data.result.message
					if(data.result.statusCode == 401){
						// location.href = "./doctorLogin.html";
						startDoctorLoginActivity();
					}
					topmobi.native.common.showMsg(data.result.message, "middle", 1500);
				} else if(!!data.msg) {
					topmobi.native.common.showMsg(data.msg, "middle", 1500);
				} else {
					topmobi.native.common.showMsg("网络异常", "middle", 1500);
				}

			}
		}
		rs_networkRequest(obj);
	}

    function startDoctorLoginActivity() {
        var obj = {
            action: {
                android: "gov.my.socialsecurity.htmlactivity.villageDoctor.DoctorLoginActivity",
                ios: "CHBaseWebViewController"
            },
            windowType: 0,
            params: {
                info: "",
                html: "html_villageDoctor/doctorLogin.html"
            }
		}
		topmobi.native.common.openWindow(obj);
        if (isAndroid) {
			topmobi.native.common.closeWindow(0);
		}
    }
})